=== modified file 'Makefile'
--- Makefile	2010-02-05 13:53:30 +0000
+++ Makefile	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'NEWS'
--- NEWS	2010-02-17 17:47:40 +0000
+++ NEWS	2010-03-24 22:27:38 +0000
@@ -5,6 +5,66 @@
 .. contents:: List of Releases
    :depth: 1
 
+
+bzr 2.1.1
+#########
+
+:2.1.1: 2010-03-24
+
+This is a small bugfix release.  Upgrading is recommended for anyone
+running 2.1.0 or earlier.
+
+Bug Fixes
+*********
+
+* Allow syscalls to automatically restart when ``TextUIFactory``'s
+  SIGWINCH handler is invoked, avoiding ``EINTR`` errors during blocking
+  IO, which are often poorly handled by Python's libraries and parts of
+  bzrlib.  (Andrew Bennetts, #496813)
+
+* Avoid ``malloc(0)`` in ``patiencediff``, which is non-portable.
+  (Martin Pool, #331095)
+
+* Fix plugin packaging on Windows. (Ian Clatworthy, #524162)
+
+* Fix stub sftp test server to call os.getcwdu().
+  (Vincent Ladeuil, #526211, #526353)
+
+* Fixed CHM generation by moving the NEWS section template into
+  a separate file. (Ian Clatworthy, #524184)
+
+* Merge correctly when this_tree is not a WorkingTree.  (Aaron Bentley)
+
+* Register SIGWINCH handler only when creating a ``TextUIFactory``; avoids
+  problems importing bzrlib from a non-main thread.
+  (Elliot Murphy, #521989)
+
+* Standardize the error handling when creating a new ``StaticTuple``
+  (problems will raise TypeError). (Matt Nordhoff, #457979)
+
+* Warn if pyrex is too old to compile the new ``SimpleSet`` and
+  ``StaticTuple`` extensions, rather than having the build fail randomly.
+  (John Arbash Meinel, #449776)
+
+Documentation
+*************
+
+* Added a link to the Desktop Guide. (Ian Clatworthy)
+
+* Added What's New in Bazaar 2.1 document. (Ian Clatworthy)
+
+* Drop Google Analytics from the core docs as they caused problems
+  in the CHM files. (Ian Clatworthy, #502010)
+
+API Changes
+***********
+
+* Added ``bzrlib.osutils.set_signal_handler``, a convenience function that
+  can set a signal handler and call ``signal.siginterrupt(signum,
+  False)`` for it, if the platform and Python version supports it.
+  (Andrew Bennetts, #496813)
+
+
 bzr 2.1.0
 #########
 
@@ -328,23 +388,55 @@
   (Martin Pool)
 
 
-bzr 2.0.5 (not released yet)
-############################
+bzr 2.0.5
+#########
 
 :Codename:
-:2.0.5:
+:2.0.5: NOT RELEASED YET
 
 Bug Fixes
 *********
 
+* Avoid ``malloc(0)`` in ``patiencediff``, which is non-portable.
+  (Martin Pool, #331095)
+
+* Concurrent autopacking is more resilient to already-renamed pack files.
+  If we find that a file we are about to obsolete is already obsoleted, we
+  do not try to rename it, and we leave the file in ``obsolete_packs``.
+  The code is also fault tolerant if a file goes missing, assuming that
+  another process already removed the file.
+  (John Arbash Meinel, Gareth White, #507557)
+
+* Cope with the lockdir ``held/info`` file being empty, which seems to
+  happen fairly often if the process is suddenly interrupted while taking
+  a lock.
+  (Martin Pool, #185103)
+
+* Give the warning about potentially slow cross-format fetches much
+  earlier on in the fetch operation.  Don't show this message during
+  upgrades, and show the correct format indication for remote
+  repositories.
+  (Martin Pool, #456077, #515356, #513157)
+
 * Handle renames correctly when there are files or directories that 
   differ only in case.  (Chris Jones, Martin Pool, #368931)
 
+* Fixed CHM generation by moving the NEWS section template into
+  a separate file. (Ian Clatworthy, #524184)
+
 * If ``bzr push --create-prefix`` triggers an unexpected ``NoSuchFile``
   error, report that error rather than failing with an unhelpful
   ``UnboundLocalError``.
   (Andrew Bennetts, #423563)
 
+* Running ``bzr`` command without any arguments now shows bzr
+  version number along with rest of the help text.
+  (Parth Malwankar, #369501)
+
+* Use osutils.O_NOINHERIT for some files on win32 to avoid PermissionDenied
+  errors.
+  (Inada Naoki, #524560)
+
 Documentation
 *************
 
@@ -11829,37 +11921,5 @@
   diff, status, etc.
 
 
-bzr ?.?.? (not released yet)
-############################
-
-:Codename: template
-:2.0.2: ???
-
-Compatibility Breaks
-********************
-
-New Features
-************
-
-Bug Fixes
-*********
-
-Improvements
-************
-
-Documentation
-*************
-
-API Changes
-***********
-
-Internals
-*********
-
-Testing
-*******
-
-
-
 ..
    vim: tw=74 ft=rst ff=unix

=== added file 'NEWS-template.txt'
--- NEWS-template.txt	1970-01-01 00:00:00 +0000
+++ NEWS-template.txt	2010-03-24 22:27:38 +0000
@@ -0,0 +1,31 @@
+bzr ?.?.?
+#########
+
+:Codename: Nirvana
+:2.x.y: NOT RELEASED YET
+
+Compatibility Breaks
+********************
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
+

=== modified file 'bzr'
--- bzr	2010-02-05 13:53:30 +0000
+++ bzr	2010-03-24 22:27:38 +0000
@@ -23,7 +23,7 @@
 import warnings
 
 # update this on each release
-_script_version = (2, 1, 0)
+_script_version = (2, 1, 1)
 
 if __doc__ is None:
     print "bzr does not support python -OO."

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2010-02-17 17:47:40 +0000
+++ bzrlib/__init__.py	2010-03-24 22:27:38 +0000
@@ -35,7 +35,7 @@
 IGNORE_FILENAME = ".bzrignore"
 
 
-__copyright__ = "Copyright 2005, 2006, 2007, 2008, 2009 Canonical Ltd."
+__copyright__ = "Copyright 2005-2010 Canonical Ltd."
 
 # same format as sys.version_info: "A tuple containing the five components of
 # the version number: major, minor, micro, releaselevel, and serial. All
@@ -44,7 +44,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 1, 0, 'final', 0)
+version_info = (2, 1, 1, 'final', 0)
 
 # API compatibility version: bzrlib is currently API compatible with 1.15.
 api_minimum_version = (2, 1, 0)

=== modified file 'bzrlib/_annotator_pyx.c'
--- bzrlib/_annotator_pyx.c	2010-01-25 19:53:02 +0000
+++ bzrlib/_annotator_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 14:10:00 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:18 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -145,7 +145,7 @@
   Py_INCREF(__pyx_v_annotations);
   Py_INCREF(__pyx_v_parent_annotations);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":63 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":63 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_annotations));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 64; goto __pyx_L1;}
@@ -160,7 +160,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":65 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":65 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_parent_annotations));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 66; goto __pyx_L1;}
@@ -175,7 +175,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":67 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":67 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -201,7 +201,7 @@
   Py_INCREF(__pyx_v_parent_annotations);
   Py_INCREF(__pyx_v_annotations);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":73 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":73 */
   __pyx_1 = ((__pyx_v_parent_idx + __pyx_v_match_len) > PyList_GET_SIZE(__pyx_v_parent_annotations));
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t((__pyx_v_parent_idx + __pyx_v_match_len)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 76; goto __pyx_L1;}
@@ -225,7 +225,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":78 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":78 */
   __pyx_1 = ((__pyx_v_lines_idx + __pyx_v_match_len) > PyList_GET_SIZE(__pyx_v_annotations));
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t((__pyx_v_lines_idx + __pyx_v_match_len)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 81; goto __pyx_L1;}
@@ -249,7 +249,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":83 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":83 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -272,10 +272,10 @@
   int __pyx_1;
   Py_INCREF(__pyx_v_tpl);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":94 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":94 */
   (__pyx_v_pos[0]) = ((__pyx_v_pos[0]) + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":95 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":95 */
   __pyx_1 = ((__pyx_v_pos[0]) >= PyTuple_GET_SIZE(__pyx_v_tpl));
   if (__pyx_1) {
     __pyx_r = NULL;
@@ -284,7 +284,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":97 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":97 */
   __pyx_r = PyTuple_GET_ITEM(__pyx_v_tpl,(__pyx_v_pos[0]));
   goto __pyx_L0;
 
@@ -313,7 +313,7 @@
   __pyx_v_cache_key = Py_None; Py_INCREF(Py_None);
   __pyx_v_new_ann = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":106 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":106 */
   __pyx_1 = PyObject_RichCompareBool(__pyx_v_ann_one,__pyx_v_ann_two,Py_LT); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 106; goto __pyx_L1;}
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 107; goto __pyx_L1;}
@@ -338,10 +338,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":110 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":110 */
   __pyx_v_temp = PyDict_GetItem(__pyx_v_cache,__pyx_v_cache_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":111 */
   __pyx_1 = (__pyx_v_temp != NULL);
   if (__pyx_1) {
     Py_INCREF(((PyObject *)__pyx_v_temp));
@@ -351,7 +351,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":114 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":114 */
   __pyx_1 = (!PyTuple_CheckExact(__pyx_v_ann_one));
   if (!__pyx_1) {
     __pyx_1 = (!PyTuple_CheckExact(__pyx_v_ann_two));
@@ -369,28 +369,28 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":118 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":118 */
   __pyx_v_pos_one = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":119 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":119 */
   __pyx_v_pos_two = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":120 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":120 */
   __pyx_v_out_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":121 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":121 */
   __pyx_v_left = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_one,(&__pyx_v_pos_one));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":122 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":122 */
   __pyx_v_right = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_two,(&__pyx_v_pos_two));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":123 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":123 */
   __pyx_2 = PyTuple_New((PyTuple_GET_SIZE(__pyx_v_ann_one) + PyTuple_GET_SIZE(__pyx_v_ann_two))); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 123; goto __pyx_L1;}
   Py_DECREF(__pyx_v_new_ann);
   __pyx_v_new_ann = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":125 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":125 */
   while (1) {
     __pyx_1 = (__pyx_v_left != NULL);
     if (__pyx_1) {
@@ -398,93 +398,93 @@
     }
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":129 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":129 */
     __pyx_1 = (__pyx_v_left == __pyx_v_right);
     if (!__pyx_1) {
       __pyx_1 = PyObject_RichCompareBool(__pyx_v_left,__pyx_v_right,Py_EQ);
     }
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":132 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":132 */
       Py_INCREF(__pyx_v_left);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":133 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":133 */
       PyTuple_SET_ITEM(__pyx_v_new_ann,__pyx_v_out_pos,__pyx_v_left);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":134 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":134 */
       __pyx_v_left = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_one,(&__pyx_v_pos_one));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":135 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":135 */
       __pyx_v_right = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_two,(&__pyx_v_pos_two));
       goto __pyx_L7;
     }
     __pyx_1 = PyObject_RichCompareBool(__pyx_v_left,__pyx_v_right,Py_LT);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":138 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":138 */
       Py_INCREF(__pyx_v_left);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":139 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":139 */
       PyTuple_SET_ITEM(__pyx_v_new_ann,__pyx_v_out_pos,__pyx_v_left);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":140 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":140 */
       __pyx_v_left = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_one,(&__pyx_v_pos_one));
       goto __pyx_L7;
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":142 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":142 */
       Py_INCREF(__pyx_v_right);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":143 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":143 */
       PyTuple_SET_ITEM(__pyx_v_new_ann,__pyx_v_out_pos,__pyx_v_right);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":144 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":144 */
       __pyx_v_right = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_two,(&__pyx_v_pos_two));
     }
     __pyx_L7:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":145 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":145 */
     __pyx_v_out_pos = (__pyx_v_out_pos + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":146 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":146 */
   while (1) {
     __pyx_1 = (__pyx_v_left != NULL);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":147 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":147 */
     Py_INCREF(__pyx_v_left);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":148 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":148 */
     PyTuple_SET_ITEM(__pyx_v_new_ann,__pyx_v_out_pos,__pyx_v_left);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":149 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":149 */
     __pyx_v_left = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_one,(&__pyx_v_pos_one));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":150 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":150 */
     __pyx_v_out_pos = (__pyx_v_out_pos + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":151 */
   while (1) {
     __pyx_1 = (__pyx_v_right != NULL);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":152 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":152 */
     Py_INCREF(__pyx_v_right);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":153 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":153 */
     PyTuple_SET_ITEM(__pyx_v_new_ann,__pyx_v_out_pos,__pyx_v_right);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":154 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":154 */
     __pyx_v_right = __pyx_f_6bzrlib_14_annotator_pyx__next_tuple_entry(__pyx_v_ann_two,(&__pyx_v_pos_two));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":155 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":155 */
     __pyx_v_out_pos = (__pyx_v_out_pos + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":156 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":156 */
   __pyx_1 = (__pyx_v_out_pos != PyTuple_GET_SIZE(__pyx_v_new_ann));
   if (__pyx_1) {
     __pyx_3 = PySequence_GetSlice(__pyx_v_new_ann, 0, __pyx_v_out_pos); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 159; goto __pyx_L1;}
@@ -495,10 +495,10 @@
   }
   __pyx_L12:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":160 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":160 */
   __pyx_1 = PyDict_SetItem(__pyx_v_cache,__pyx_v_cache_key,__pyx_v_new_ann); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 160; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":161 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":161 */
   Py_INCREF(__pyx_v_new_ann);
   __pyx_r = __pyx_v_new_ann;
   goto __pyx_L0;
@@ -538,16 +538,16 @@
   Py_INCREF(__pyx_v_parent_annotations);
   Py_INCREF(__pyx_v_matching_blocks);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":174 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":174 */
   __pyx_1 = __pyx_f_6bzrlib_14_annotator_pyx__check_annotations_are_lists(__pyx_v_annotations,__pyx_v_parent_annotations); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 174; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":175 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":175 */
   __pyx_v_par_list = ((PyListObject *)__pyx_v_parent_annotations);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":176 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":176 */
   __pyx_v_ann_list = ((PyListObject *)__pyx_v_annotations);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":181 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":181 */
   __pyx_2 = PyObject_GetIter(__pyx_v_matching_blocks); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 181; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -572,31 +572,31 @@
     if (__Pyx_EndUnpack(__pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 181; goto __pyx_L1;}
     Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":182 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":182 */
     __pyx_1 = __pyx_f_6bzrlib_14_annotator_pyx__check_match_ranges(__pyx_v_parent_annotations,__pyx_v_annotations,__pyx_v_parent_idx,__pyx_v_lines_idx,__pyx_v_match_len); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 182; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":184 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":184 */
     __pyx_v_par_temp = (__pyx_v_par_list->ob_item + __pyx_v_parent_idx);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":185 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":185 */
     __pyx_v_ann_temp = (__pyx_v_ann_list->ob_item + __pyx_v_lines_idx);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":186 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":186 */
     for (__pyx_v_idx = 0; __pyx_v_idx < __pyx_v_match_len; ++__pyx_v_idx) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":187 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":187 */
       Py_INCREF((__pyx_v_par_temp[__pyx_v_idx]));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":188 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":188 */
       Py_DECREF((__pyx_v_ann_temp[__pyx_v_idx]));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":189 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":189 */
       (__pyx_v_ann_temp[__pyx_v_idx]) = (__pyx_v_par_temp[__pyx_v_idx]);
     }
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":190 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":190 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -647,25 +647,25 @@
   __pyx_v_ann = Py_None; Py_INCREF(Py_None);
   __pyx_v_new_ann = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":199 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":199 */
   __pyx_1 = __pyx_f_6bzrlib_14_annotator_pyx__check_annotations_are_lists(__pyx_v_annotations,__pyx_v_parent_annotations); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 199; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":200 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":200 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_last_ann);
   __pyx_v_last_ann = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":201 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":201 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_last_parent);
   __pyx_v_last_parent = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":202 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":202 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_last_res);
   __pyx_v_last_res = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":203 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":203 */
   __pyx_2 = PyObject_GetIter(__pyx_v_matching_blocks); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 203; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -690,22 +690,22 @@
     if (__Pyx_EndUnpack(__pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 203; goto __pyx_L1;}
     Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":204 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":204 */
     __pyx_1 = __pyx_f_6bzrlib_14_annotator_pyx__check_match_ranges(__pyx_v_parent_annotations,__pyx_v_annotations,__pyx_v_parent_idx,__pyx_v_lines_idx,__pyx_v_match_len); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 204; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":208 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":208 */
     for (__pyx_v_idx = 0; __pyx_v_idx < __pyx_v_match_len; ++__pyx_v_idx) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":209 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":209 */
       __pyx_v_ann_idx = (__pyx_v_lines_idx + __pyx_v_idx);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":210 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":210 */
       __pyx_v_ann_temp = PyList_GET_ITEM(__pyx_v_annotations,__pyx_v_ann_idx);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":211 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":211 */
       __pyx_v_par_temp = PyList_GET_ITEM(__pyx_v_parent_annotations,(__pyx_v_parent_idx + __pyx_v_idx));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":212 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":212 */
       __pyx_1 = (__pyx_v_ann_temp == __pyx_v_par_temp);
       if (__pyx_1) {
         goto __pyx_L4;
@@ -713,71 +713,71 @@
       }
       __pyx_L6:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":221 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":221 */
       Py_INCREF(((PyObject *)__pyx_v_par_temp));
       Py_DECREF(__pyx_v_par_ann);
       __pyx_v_par_ann = ((PyObject *)__pyx_v_par_temp);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":222 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":222 */
       Py_INCREF(((PyObject *)__pyx_v_ann_temp));
       Py_DECREF(__pyx_v_ann);
       __pyx_v_ann = ((PyObject *)__pyx_v_ann_temp);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":223 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":223 */
       __pyx_1 = __pyx_v_ann == __pyx_v_this_annotation;
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":226 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":226 */
         Py_INCREF(__pyx_v_par_ann);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":227 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":227 */
         __pyx_1 = PyList_SetItem(__pyx_v_annotations,__pyx_v_ann_idx,__pyx_v_par_ann); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 227; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":228 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":228 */
         goto __pyx_L4;
         goto __pyx_L7;
       }
       __pyx_L7:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":231 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":231 */
       __pyx_1 = __pyx_v_ann == __pyx_v_last_ann;
       if (__pyx_1) {
         __pyx_1 = __pyx_v_par_ann == __pyx_v_last_parent;
       }
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":232 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":232 */
         Py_INCREF(__pyx_v_last_res);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":233 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":233 */
         __pyx_1 = PyList_SetItem(__pyx_v_annotations,__pyx_v_ann_idx,__pyx_v_last_res); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 233; goto __pyx_L1;}
         goto __pyx_L8;
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":235 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":235 */
         __pyx_3 = __pyx_f_6bzrlib_14_annotator_pyx__combine_annotations(__pyx_v_ann,__pyx_v_par_ann,__pyx_v_ann_cache); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 235; goto __pyx_L1;}
         Py_DECREF(__pyx_v_new_ann);
         __pyx_v_new_ann = __pyx_3;
         __pyx_3 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":236 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":236 */
         Py_INCREF(__pyx_v_new_ann);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":237 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":237 */
         __pyx_1 = PyList_SetItem(__pyx_v_annotations,__pyx_v_ann_idx,__pyx_v_new_ann); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 237; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":238 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":238 */
         Py_INCREF(__pyx_v_ann);
         Py_DECREF(__pyx_v_last_ann);
         __pyx_v_last_ann = __pyx_v_ann;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":239 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":239 */
         Py_INCREF(__pyx_v_par_ann);
         Py_DECREF(__pyx_v_last_parent);
         __pyx_v_last_parent = __pyx_v_par_ann;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":240 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":240 */
         Py_INCREF(__pyx_v_new_ann);
         Py_DECREF(__pyx_v_last_res);
         __pyx_v_last_res = __pyx_v_new_ann;
@@ -788,7 +788,7 @@
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":241 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":241 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -841,7 +841,7 @@
   __pyx_v_parent_annotations = Py_None; Py_INCREF(Py_None);
   __pyx_v_matching_blocks = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":250 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":250 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_k6p); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 250; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(3); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 250; goto __pyx_L1;}
   Py_INCREF(__pyx_v_key);
@@ -866,7 +866,7 @@
   if (__Pyx_EndUnpack(__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 249; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":253 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":253 */
   __pyx_4 = __pyx_f_6bzrlib_14_annotator_pyx__apply_parent_annotations(__pyx_v_annotations,__pyx_v_parent_annotations,__pyx_v_matching_blocks); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 253; goto __pyx_L1;}
 
   __pyx_r = Py_None; Py_INCREF(Py_None);
@@ -916,7 +916,7 @@
   __pyx_v_parent_annotations = Py_None; Py_INCREF(Py_None);
   __pyx_v_matching_blocks = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":260 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":260 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_k6p); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 260; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(3); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 260; goto __pyx_L1;}
   Py_INCREF(__pyx_v_key);
@@ -941,7 +941,7 @@
   if (__Pyx_EndUnpack(__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 259; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":262 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":262 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_self, __pyx_n__ann_tuple_cache); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 263; goto __pyx_L1;}
   __pyx_4 = __pyx_f_6bzrlib_14_annotator_pyx__merge_annotations(__pyx_v_this_annotation,__pyx_v_annotations,__pyx_v_parent_annotations,__pyx_v_matching_blocks,__pyx_2); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 262; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -1005,7 +1005,7 @@
   __pyx_v_head = Py_None; Py_INCREF(Py_None);
   __pyx_v_the_heads = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":272 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":272 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 272; goto __pyx_L1;}
   Py_INCREF(__pyx_n_annotate);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_annotate);
@@ -1017,13 +1017,13 @@
   __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":274 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":274 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_annotate, __pyx_n__break_annotation_tie); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 274; goto __pyx_L1;}
   Py_DECREF(__pyx_v_custom_tiebreaker);
   __pyx_v_custom_tiebreaker = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":275 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":275 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n_annotate); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 275; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 275; goto __pyx_L1;}
   Py_INCREF(__pyx_v_key);
@@ -1044,17 +1044,17 @@
   if (__Pyx_EndUnpack(__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 275; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":276 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":276 */
   __pyx_4 = PyObject_Length(__pyx_v_lines); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 276; goto __pyx_L1;}
   __pyx_v_num_lines = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":277 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":277 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 277; goto __pyx_L1;}
   Py_DECREF(__pyx_v_out);
   __pyx_v_out = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":278 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":278 */
   __pyx_3 = PyObject_GetAttr(__pyx_v_self, __pyx_n__get_heads_provider); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
   __pyx_1 = PyObject_CallObject(__pyx_3, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -1064,22 +1064,22 @@
   __pyx_v_heads = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":279 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":279 */
   for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_v_num_lines; ++__pyx_v_pos) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":280 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":280 */
     __pyx_3 = __Pyx_GetItemInt(__pyx_v_annotations, __pyx_v_pos); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 280; goto __pyx_L1;}
     Py_DECREF(__pyx_v_annotation);
     __pyx_v_annotation = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":281 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":281 */
     __pyx_1 = __Pyx_GetItemInt(__pyx_v_lines, __pyx_v_pos); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 281; goto __pyx_L1;}
     Py_DECREF(__pyx_v_line);
     __pyx_v_line = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":282 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":282 */
     __pyx_4 = PyObject_Length(__pyx_v_annotation); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 282; goto __pyx_L1;}
     __pyx_5 = (__pyx_4 == 1);
     if (__pyx_5) {
@@ -1091,7 +1091,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":285 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":285 */
       __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 285; goto __pyx_L1;}
       Py_INCREF(__pyx_v_annotation);
       PyTuple_SET_ITEM(__pyx_3, 0, __pyx_v_annotation);
@@ -1101,7 +1101,7 @@
       __pyx_v_the_heads = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":286 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":286 */
       __pyx_4 = PyObject_Length(__pyx_v_the_heads); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 286; goto __pyx_L1;}
       __pyx_5 = (__pyx_4 == 1);
       if (__pyx_5) {
@@ -1141,7 +1141,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":293 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":293 */
     __pyx_1 = PyTuple_New(2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 293; goto __pyx_L1;}
     Py_INCREF(__pyx_v_head);
     PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_head);
@@ -1151,7 +1151,7 @@
     Py_DECREF(__pyx_1); __pyx_1 = 0;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":294 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":294 */
   Py_INCREF(__pyx_v_out);
   __pyx_r = __pyx_v_out;
   goto __pyx_L0;
@@ -1201,7 +1201,7 @@
   if (PyObject_SetAttrString(__pyx_m, "__builtins__", __pyx_b) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 17; goto __pyx_L1;};
   if (__Pyx_InitStrings(__pyx_string_tab) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 17; goto __pyx_L1;};
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":58 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":58 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 58; goto __pyx_L1;}
   Py_INCREF(__pyx_n__annotator_py);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n__annotator_py);
@@ -1212,7 +1212,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":244 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":244 */
   __pyx_2 = PyDict_New(); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 244; goto __pyx_L1;}
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n__annotator_py); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 244; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n_Annotator); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 244; goto __pyx_L1;}
@@ -1224,21 +1224,21 @@
   __pyx_3 = __Pyx_CreateClass(__pyx_1, __pyx_2, __pyx_n_Annotator, "bzrlib._annotator_pyx"); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 244; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":247 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":247 */
   __pyx_1 = PyCFunction_New(&__pyx_mdef_6bzrlib_14_annotator_pyx_9Annotator__update_from_first_parent, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 247; goto __pyx_L1;}
   __pyx_4 = PyMethod_New(__pyx_1, 0, __pyx_3); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 247; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   if (PyObject_SetAttr(__pyx_3, __pyx_n__update_from_first_parent, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 247; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":256 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":256 */
   __pyx_1 = PyCFunction_New(&__pyx_mdef_6bzrlib_14_annotator_pyx_9Annotator__update_from_other_parents, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 256; goto __pyx_L1;}
   __pyx_4 = PyMethod_New(__pyx_1, 0, __pyx_3); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 256; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   if (PyObject_SetAttr(__pyx_3, __pyx_n__update_from_other_parents, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 256; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_annotator_pyx.pyx":265 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_annotator_pyx.pyx":265 */
   __pyx_1 = PyCFunction_New(&__pyx_mdef_6bzrlib_14_annotator_pyx_9Annotator_annotate_flat, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 265; goto __pyx_L1;}
   __pyx_4 = PyMethod_New(__pyx_1, 0, __pyx_3); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 265; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;

=== modified file 'bzrlib/_annotator_pyx.pyx'
--- bzrlib/_annotator_pyx.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_annotator_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_bencode_pyx.c'
--- bzrlib/_bencode_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_bencode_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:22:57 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:20 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -249,7 +249,7 @@
   Py_INCREF(__pyx_v_s);
   Py_INCREF(__pyx_v_yield_tuples);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":81 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":81 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_s));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 82; goto __pyx_L1;}
@@ -264,20 +264,20 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":84 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":84 */
   Py_INCREF(__pyx_v_s);
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->text);
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->text = __pyx_v_s;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":85 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":85 */
   __pyx_4 = PyString_AS_STRING(__pyx_v_s); if (__pyx_4 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 85; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->tail = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":86 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":86 */
   __pyx_5 = PyString_GET_SIZE(__pyx_v_s); if (__pyx_5 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 86; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->size = __pyx_5;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":87 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":87 */
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 87; goto __pyx_L1;}
   Py_INCREF(__pyx_v_yield_tuples);
   PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_yield_tuples);
@@ -313,13 +313,13 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":90 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":90 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->__pyx_vtab)->_decode_object(((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 90; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":91 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":91 */
   __pyx_2 = (((struct __pyx_obj_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self)->size != 0);
   if (__pyx_2) {
     __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 92; goto __pyx_L1;}
@@ -334,7 +334,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":93 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":93 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -383,7 +383,7 @@
   PyObject *__pyx_3 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":101 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":101 */
   __pyx_1 = (0 == __pyx_v_self->size);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 102; goto __pyx_L1;}
@@ -398,7 +398,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":104 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":104 */
   __pyx_1 = Py_EnterRecursiveCall(__pyx_k4);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 105; goto __pyx_L1;}
@@ -413,13 +413,13 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":106 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":106 */
   /*try:*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":107 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":107 */
     __pyx_v_ch = (__pyx_v_self->tail[0]);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":108 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":108 */
     __pyx_1 = '0' <= __pyx_v_ch;
     if (__pyx_1) {
       __pyx_1 = __pyx_v_ch <= '9';
@@ -434,10 +434,10 @@
     __pyx_1 = (__pyx_v_ch == 'l');
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":111 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":111 */
       D_UPDATE_TAIL(__pyx_v_self,1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":112 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":112 */
       __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_decode_list(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 112; goto __pyx_L5;}
       __pyx_r = __pyx_3;
       __pyx_3 = 0;
@@ -447,10 +447,10 @@
     __pyx_1 = (__pyx_v_ch == 'i');
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":114 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":114 */
       D_UPDATE_TAIL(__pyx_v_self,1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":115 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":115 */
       __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_decode_int(__pyx_v_self); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 115; goto __pyx_L5;}
       __pyx_r = __pyx_2;
       __pyx_2 = 0;
@@ -460,10 +460,10 @@
     __pyx_1 = (__pyx_v_ch == 'd');
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":117 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":117 */
       D_UPDATE_TAIL(__pyx_v_self,1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":118 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":118 */
       __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_decode_dict(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 118; goto __pyx_L5;}
       __pyx_r = __pyx_3;
       __pyx_3 = 0;
@@ -535,10 +535,10 @@
   PyObject *__pyx_4 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":126 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":126 */
   __pyx_v_i = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":127 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":127 */
   while (1) {
     __pyx_1 = ((__pyx_v_self->tail[__pyx_v_i]) >= '0');
     if (__pyx_1) {
@@ -554,7 +554,7 @@
     __pyx_v_i = (__pyx_v_i + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":131 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":131 */
   __pyx_1 = ((__pyx_v_self->tail[__pyx_v_i]) != __pyx_v_stop_char);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromLong(__pyx_v_stop_char); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 133; goto __pyx_L1;}
@@ -578,7 +578,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":134 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":134 */
   __pyx_1 = ((__pyx_v_self->tail[0]) == '0');
   if (!__pyx_1) {
     __pyx_1 = ((__pyx_v_self->tail[0]) == '-');
@@ -602,7 +602,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":140 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":140 */
   __pyx_r = __pyx_v_i;
   goto __pyx_L0;
 
@@ -628,14 +628,14 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_ret = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":144 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":144 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_read_digits(__pyx_v_self,'e'); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 144; goto __pyx_L1;}
   __pyx_v_i = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":145 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":145 */
   (__pyx_v_self->tail[__pyx_v_i]) = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":146 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":146 */
   /*try:*/ {
     __pyx_2 = PyInt_FromString(__pyx_v_self->tail,NULL,10); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 147; goto __pyx_L3;}
     Py_DECREF(__pyx_v_ret);
@@ -668,10 +668,10 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":150 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":150 */
   D_UPDATE_TAIL(__pyx_v_self,(__pyx_v_i + 1));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":151 */
   Py_INCREF(__pyx_v_ret);
   __pyx_r = __pyx_v_ret;
   goto __pyx_L0;
@@ -699,10 +699,10 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":160 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":160 */
   __pyx_v_n = strtol(__pyx_v_self->tail,(&__pyx_v_next_tail),10);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":161 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":161 */
   __pyx_1 = (__pyx_v_next_tail == NULL);
   if (!__pyx_1) {
     __pyx_1 = ((__pyx_v_next_tail[0]) != ':');
@@ -720,7 +720,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":164 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":164 */
   __pyx_1 = ((__pyx_v_self->tail[0]) == '0');
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_n != 0);
@@ -741,10 +741,10 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":167 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":167 */
   D_UPDATE_TAIL(__pyx_v_self,((__pyx_v_next_tail - __pyx_v_self->tail) + 1));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":168 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":168 */
   __pyx_1 = (__pyx_v_n == 0);
   if (__pyx_1) {
     Py_INCREF(__pyx_k10p);
@@ -754,7 +754,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":170 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":170 */
   __pyx_1 = (__pyx_v_n > __pyx_v_self->size);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 171; goto __pyx_L1;}
@@ -769,7 +769,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":172 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":172 */
   __pyx_1 = (__pyx_v_n < 0);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromLong(__pyx_v_n); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 173; goto __pyx_L1;}
@@ -787,16 +787,16 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":175 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":175 */
   __pyx_2 = PyString_FromStringAndSize(__pyx_v_self->tail,__pyx_v_n); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 175; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":176 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":176 */
   D_UPDATE_TAIL(__pyx_v_self,__pyx_v_n);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":177 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":177 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -823,23 +823,23 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":180 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":180 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 180; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":182 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":182 */
   while (1) {
     __pyx_2 = (__pyx_v_self->size > 0);
     if (!__pyx_2) break;
     __pyx_2 = ((__pyx_v_self->tail[0]) == 'e');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":184 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":184 */
       D_UPDATE_TAIL(__pyx_v_self,1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":185 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":185 */
       __pyx_2 = __pyx_v_self->_yield_tuples;
       if (__pyx_2) {
         __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 186; goto __pyx_L1;}
@@ -868,7 +868,7 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":195 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":195 */
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 195; goto __pyx_L1;}
   Py_INCREF(__pyx_k12p);
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_k12p);
@@ -907,33 +907,33 @@
   __pyx_v_key = Py_None; Py_INCREF(Py_None);
   __pyx_v_value = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":200 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":200 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 200; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":201 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":201 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_lastkey);
   __pyx_v_lastkey = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":203 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":203 */
   while (1) {
     __pyx_2 = (__pyx_v_self->size > 0);
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":204 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":204 */
     __pyx_v_ch = (__pyx_v_self->tail[0]);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":205 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":205 */
     __pyx_2 = (__pyx_v_ch == 'e');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":206 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":206 */
       D_UPDATE_TAIL(__pyx_v_self,1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":207 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":207 */
       Py_INCREF(__pyx_v_result);
       __pyx_r = __pyx_v_result;
       goto __pyx_L0;
@@ -941,7 +941,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":210 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":210 */
       __pyx_2 = ((__pyx_v_self->tail[0]) < '0');
       if (!__pyx_2) {
         __pyx_2 = ((__pyx_v_self->tail[0]) > '9');
@@ -959,13 +959,13 @@
       }
       __pyx_L5:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":212 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":212 */
       __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_decode_string(__pyx_v_self); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 212; goto __pyx_L1;}
       Py_DECREF(__pyx_v_key);
       __pyx_v_key = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":213 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":213 */
       if (PyObject_Cmp(__pyx_v_lastkey, __pyx_v_key, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 213; goto __pyx_L1;}
       __pyx_2 = __pyx_2 >= 0;
       if (__pyx_2) {
@@ -986,19 +986,19 @@
       }
       __pyx_L6:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":217 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":217 */
       __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Decoder *)__pyx_v_self->__pyx_vtab)->_decode_object(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 217; goto __pyx_L1;}
       Py_DECREF(__pyx_v_value);
       __pyx_v_value = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":218 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":218 */
       if (PyObject_SetItem(__pyx_v_result, __pyx_v_key, __pyx_v_value) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 218; goto __pyx_L1;}
     }
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":220 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":220 */
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 220; goto __pyx_L1;}
   Py_INCREF(__pyx_k15p);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_k15p);
@@ -1132,19 +1132,19 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "|i", __pyx_argnames, &__pyx_v_maxsize)) return -1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":259 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":259 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->maxsize = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":260 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":260 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->size = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":261 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":261 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->tail = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":263 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":263 */
   __pyx_v_p = ((char *)malloc(__pyx_v_maxsize));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":264 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":264 */
   __pyx_1 = (__pyx_v_p == NULL);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 265; goto __pyx_L1;}
@@ -1159,13 +1159,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":267 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":267 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->buffer = __pyx_v_p;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":268 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":268 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->maxsize = __pyx_v_maxsize;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":269 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":269 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->tail = __pyx_v_p;
 
   __pyx_r = 0;
@@ -1184,13 +1184,13 @@
 static void __pyx_f_6bzrlib_12_bencode_pyx_7Encoder___dealloc__(PyObject *__pyx_v_self) {
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":272 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":272 */
   free(((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->buffer);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":273 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":273 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->buffer = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":274 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":274 */
   ((struct __pyx_obj_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self)->maxsize = 0;
 
   Py_DECREF(__pyx_v_self);
@@ -1240,7 +1240,7 @@
   PyObject *__pyx_3 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":290 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":290 */
   __pyx_1 = ((__pyx_v_self->size + __pyx_v_required) < __pyx_v_self->maxsize);
   if (__pyx_1) {
     __pyx_r = 1;
@@ -1249,20 +1249,20 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":293 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":293 */
   __pyx_v_new_size = __pyx_v_self->maxsize;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":294 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":294 */
   while (1) {
     __pyx_1 = (__pyx_v_new_size < (__pyx_v_self->size + __pyx_v_required));
     if (!__pyx_1) break;
     __pyx_v_new_size = (__pyx_v_new_size * 2);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":296 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":296 */
   __pyx_v_new_buffer = ((char *)realloc(__pyx_v_self->buffer,__pyx_v_new_size));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":297 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":297 */
   __pyx_1 = (__pyx_v_new_buffer == NULL);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 298; goto __pyx_L1;}
@@ -1277,16 +1277,16 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":300 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":300 */
   __pyx_v_self->buffer = __pyx_v_new_buffer;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":301 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":301 */
   __pyx_v_self->maxsize = __pyx_v_new_size;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":302 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":302 */
   __pyx_v_self->tail = (&(__pyx_v_new_buffer[__pyx_v_self->size]));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":303 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":303 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1310,13 +1310,13 @@
   PyObject *__pyx_3 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":310 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":310 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,__pyx_e_6bzrlib_12_bencode_pyx_INT_BUF_SIZE); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 310; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":311 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":311 */
   __pyx_v_n = snprintf(__pyx_v_self->tail,__pyx_e_6bzrlib_12_bencode_pyx_INT_BUF_SIZE,__pyx_k20,__pyx_v_x);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":312 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":312 */
   __pyx_1 = (__pyx_v_n < 0);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromLong(__pyx_v_x); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 313; goto __pyx_L1;}
@@ -1334,10 +1334,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":314 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":314 */
   E_UPDATE_TAIL(__pyx_v_self,__pyx_v_n);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":315 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":315 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1408,21 +1408,21 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":322 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":322 */
   __pyx_1 = PyString_GET_SIZE(__pyx_v_s); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 322; goto __pyx_L1;}
   __pyx_v_n = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":323 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":323 */
   __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,__pyx_v_n); if (__pyx_2 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 323; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":324 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":324 */
   __pyx_3 = PyString_AS_STRING(__pyx_v_s); if (__pyx_3 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 324; goto __pyx_L1;}
   memcpy(__pyx_v_self->tail,__pyx_3,__pyx_v_n);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":325 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":325 */
   E_UPDATE_TAIL(__pyx_v_self,__pyx_v_n);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":326 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":326 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1449,17 +1449,17 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_x);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":331 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":331 */
   __pyx_1 = PyString_GET_SIZE(__pyx_v_x); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 331; goto __pyx_L1;}
   __pyx_v_x_len = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":332 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":332 */
   __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,(__pyx_v_x_len + __pyx_e_6bzrlib_12_bencode_pyx_INT_BUF_SIZE)); if (__pyx_2 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 332; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":333 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":333 */
   __pyx_v_n = snprintf(__pyx_v_self->tail,__pyx_e_6bzrlib_12_bencode_pyx_INT_BUF_SIZE,__pyx_k25,__pyx_v_x_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":334 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":334 */
   __pyx_2 = (__pyx_v_n < 0);
   if (__pyx_2) {
     __pyx_3 = PyNumber_Remainder(__pyx_k26p, __pyx_v_x); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 335; goto __pyx_L1;}
@@ -1475,14 +1475,14 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":336 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":336 */
   __pyx_5 = PyString_AS_STRING(__pyx_v_x); if (__pyx_5 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 336; goto __pyx_L1;}
   memcpy((__pyx_v_self->tail + __pyx_v_n),__pyx_5,__pyx_v_x_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":337 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":337 */
   E_UPDATE_TAIL(__pyx_v_self,(__pyx_v_n + __pyx_v_x_len));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":338 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":338 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1511,16 +1511,16 @@
   Py_INCREF(__pyx_v_x);
   __pyx_v_i = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":341 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":341 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,1); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 341; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":342 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":342 */
   (__pyx_v_self->tail[0]) = 'l';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":343 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":343 */
   E_UPDATE_TAIL(__pyx_v_self,1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":345 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":345 */
   __pyx_2 = PyObject_GetIter(__pyx_v_x); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 345; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -1542,16 +1542,16 @@
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":348 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":348 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,1); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 348; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":349 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":349 */
   (__pyx_v_self->tail[0]) = 'e';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":350 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":350 */
   E_UPDATE_TAIL(__pyx_v_self,1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":351 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":351 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1585,16 +1585,16 @@
   __pyx_v_keys = Py_None; Py_INCREF(Py_None);
   __pyx_v_k = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":354 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":354 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,1); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 354; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":355 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":355 */
   (__pyx_v_self->tail[0]) = 'd';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":356 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":356 */
   E_UPDATE_TAIL(__pyx_v_self,1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":358 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":358 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_x, __pyx_n_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 358; goto __pyx_L1;}
   __pyx_3 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 358; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -1602,13 +1602,13 @@
   __pyx_v_keys = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":359 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":359 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_keys, __pyx_n_sort); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 359; goto __pyx_L1;}
   __pyx_3 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 359; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":360 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":360 */
   __pyx_2 = PyObject_GetIter(__pyx_v_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 360; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -1620,7 +1620,7 @@
     __pyx_v_k = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":361 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":361 */
     __pyx_1 = (!PyString_CheckExact(__pyx_v_k));
     if (__pyx_1) {
       __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 362; goto __pyx_L1;}
@@ -1635,10 +1635,10 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":363 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":363 */
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_encode_string(__pyx_v_self,__pyx_v_k); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 363; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":364 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":364 */
     __pyx_3 = PyObject_GetAttr(((PyObject *)__pyx_v_self), __pyx_n_process); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
     __pyx_4 = PyObject_GetItem(__pyx_v_x, __pyx_v_k); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
     __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
@@ -1651,16 +1651,16 @@
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":366 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":366 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_12_bencode_pyx_Encoder *)__pyx_v_self->__pyx_vtab)->_ensure_buffer(__pyx_v_self,1); if (__pyx_1 == 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":367 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":367 */
   (__pyx_v_self->tail[0]) = 'e';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":368 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":368 */
   E_UPDATE_TAIL(__pyx_v_self,1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":369 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":369 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1694,7 +1694,7 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_x);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":372 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":372 */
   __pyx_1 = Py_EnterRecursiveCall(__pyx_k31);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 373; goto __pyx_L1;}
@@ -1709,7 +1709,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":374 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":374 */
   /*try:*/ {
     __pyx_1 = PyString_CheckExact(__pyx_v_x);
     if (__pyx_1) {
@@ -1831,13 +1831,13 @@
   Py_INCREF(__pyx_v_x);
   __pyx_v_encoder = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":398 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":398 */
   __pyx_1 = PyObject_CallObject(((PyObject *)__pyx_ptype_6bzrlib_12_bencode_pyx_Encoder), 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 398; goto __pyx_L1;}
   Py_DECREF(__pyx_v_encoder);
   __pyx_v_encoder = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":399 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":399 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_encoder, __pyx_n_process); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 399; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 399; goto __pyx_L1;}
   Py_INCREF(__pyx_v_x);
@@ -1847,7 +1847,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":400 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":400 */
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 400; goto __pyx_L1;}
   Py_INCREF(__pyx_v_encoder);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_encoder);
@@ -2244,15 +2244,15 @@
   __pyx_ptype_6bzrlib_12_bencode_pyx_Encoder = &__pyx_type_6bzrlib_12_bencode_pyx_Encoder;
   __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple = __Pyx_ImportType("bzrlib._static_tuple_c", "StaticTuple", sizeof(StaticTuple)); if (!__pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 26; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":66 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":66 */
   __pyx_1 = import_static_tuple_c(); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 66; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":77 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":77 */
   __pyx_2 = PyInt_FromLong(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 77; goto __pyx_L1;}
   __pyx_d1 = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":233 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":233 */
   __pyx_3 = PyDict_New(); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 233; goto __pyx_L1;}
   __pyx_4 = __Pyx_GetName(__pyx_b, __pyx_n_object); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 233; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 233; goto __pyx_L1;}
@@ -2261,14 +2261,14 @@
   __pyx_4 = __Pyx_CreateClass(__pyx_5, __pyx_3, __pyx_n_Bencached, "bzrlib._bencode_pyx"); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 233; goto __pyx_L1;}
   Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":234 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":234 */
   __pyx_5 = PyList_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 234; goto __pyx_L1;}
   Py_INCREF(__pyx_n_bencoded);
   PyList_SET_ITEM(__pyx_5, 0, __pyx_n_bencoded);
   if (PyObject_SetAttr(__pyx_4, __pyx_n___slots__, __pyx_5) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 234; goto __pyx_L1;}
   Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":236 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":236 */
   __pyx_5 = PyCFunction_New(&__pyx_mdef_6bzrlib_12_bencode_pyx_9Bencached___init__, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 236; goto __pyx_L1;}
   __pyx_6 = PyMethod_New(__pyx_5, 0, __pyx_4); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 236; goto __pyx_L1;}
   Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -2278,10 +2278,10 @@
   Py_DECREF(__pyx_4); __pyx_4 = 0;
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":253 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":253 */
   __pyx_d2 = __pyx_e_6bzrlib_12_bencode_pyx_INITSIZE;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_bencode_pyx.pyx":396 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_bencode_pyx.pyx":396 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_2);

=== modified file 'bzrlib/_bencode_pyx.pyx'
--- bzrlib/_bencode_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_bencode_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007,2009 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_btree_serializer_py.py'
--- bzrlib/_btree_serializer_py.py	2010-02-05 13:53:30 +0000
+++ bzrlib/_btree_serializer_py.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_btree_serializer_pyx.c'
--- bzrlib/_btree_serializer_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_btree_serializer_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:24:31 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:18:05 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -172,18 +172,18 @@
   void *__pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":74 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":74 */
   __pyx_v_start = ((char *)__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":75 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":75 */
   __pyx_v_pos = ((__pyx_v_start + __pyx_v_n) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":76 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":76 */
   while (1) {
     __pyx_1 = (__pyx_v_pos >= __pyx_v_start);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":77 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":77 */
     __pyx_1 = ((__pyx_v_pos[0]) == __pyx_v_c);
     if (__pyx_1) {
       __pyx_r = __pyx_v_pos;
@@ -192,11 +192,11 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":79 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":79 */
     __pyx_v_pos = (__pyx_v_pos - 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":80 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":80 */
   __pyx_r = NULL;
   goto __pyx_L0;
 
@@ -212,7 +212,7 @@
   PyObject *__pyx_3 = 0;
   PyObject *__pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":85 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":85 */
   __pyx_1 = (__pyx_v_size < 0);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t(__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 88; goto __pyx_L1;}
@@ -236,7 +236,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":89 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":89 */
   __pyx_2 = PyString_FromStringAndSize(__pyx_v_s,__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 89; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -264,7 +264,7 @@
   PyObject *__pyx_4 = 0;
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":94 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":94 */
   __pyx_1 = (__pyx_v_size < 0);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t(__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 97; goto __pyx_L1;}
@@ -288,21 +288,21 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":98 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":98 */
   __pyx_v_py_str = PyString_FromStringAndSize(__pyx_v_s,__pyx_v_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":99 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":99 */
   PyString_InternInPlace((&__pyx_v_py_str));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":100 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":100 */
   Py_INCREF(((PyObject *)__pyx_v_py_str));
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = ((PyObject *)__pyx_v_py_str);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":103 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":103 */
   Py_DECREF(__pyx_v_py_str);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":104 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":104 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -335,32 +335,32 @@
   Py_INCREF(__pyx_v_key_length);
   Py_INCREF(__pyx_v_ref_list_length);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":142 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":142 */
   Py_INCREF(__pyx_v_bytes);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->bytes);
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->bytes = __pyx_v_bytes;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":143 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":143 */
   __pyx_1 = PyInt_AsLong(__pyx_v_key_length); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 143; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->key_length = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":144 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":144 */
   __pyx_1 = PyInt_AsLong(__pyx_v_ref_list_length); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 144; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->ref_list_length = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":145 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":145 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 145; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->keys);
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->keys = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":146 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":146 */
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_cur_str = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":147 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":147 */
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_end_str = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":148 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":148 */
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_header_found = 0;
 
   __pyx_r = 0;
@@ -393,20 +393,20 @@
   __pyx_v_failure_string = Py_None; Py_INCREF(Py_None);
   __pyx_v_key_element = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":161 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":161 */
   __pyx_1 = ((PyObject *)StaticTuple_New(__pyx_v_self->key_length)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 161; goto __pyx_L1;}
   Py_DECREF(((PyObject *)__pyx_v_key));
   __pyx_v_key = ((StaticTuple *)__pyx_1);
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":162 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":162 */
   __pyx_2 = __pyx_v_self->key_length;
   for (__pyx_v_loop_counter = 0; __pyx_v_loop_counter < __pyx_2; ++__pyx_v_loop_counter) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":164 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":164 */
     __pyx_v_temp_ptr = ((char *)memchr(__pyx_v_self->_start,'\0',(__pyx_v_last - __pyx_v_self->_start)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":165 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":165 */
     __pyx_3 = (__pyx_v_temp_ptr == NULL);
     if (__pyx_3) {
       __pyx_3 = ((__pyx_v_loop_counter + 1) == __pyx_v_self->key_length);
@@ -416,7 +416,7 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":171 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":171 */
         __pyx_1 = __pyx_f_6bzrlib_21_btree_serializer_pyx_safe_string_from_size(__pyx_v_self->_start,(__pyx_v_last - __pyx_v_self->_start)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 172; goto __pyx_L1;}
         __pyx_4 = PyObject_Repr(__pyx_1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 172; goto __pyx_L1;}
         Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -426,7 +426,7 @@
         __pyx_v_failure_string = __pyx_1;
         __pyx_1 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":174 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":174 */
         __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 174; goto __pyx_L1;}
         Py_INCREF(__pyx_v_failure_string);
         PyTuple_SET_ITEM(__pyx_4, 0, __pyx_v_failure_string);
@@ -441,7 +441,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":176 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":176 */
     __pyx_3 = (__pyx_v_self->key_length == 1);
     if (__pyx_3) {
       __pyx_3 = ((__pyx_v_temp_ptr - __pyx_v_self->_start) == 45);
@@ -464,23 +464,23 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":185 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":185 */
     __pyx_v_self->_start = (__pyx_v_temp_ptr + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":186 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":186 */
     Py_INCREF(__pyx_v_key_element);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":187 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":187 */
     StaticTuple_SET_ITEM(__pyx_v_key,__pyx_v_loop_counter,__pyx_v_key_element);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":188 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":188 */
   __pyx_4 = ((PyObject *)StaticTuple_Intern(__pyx_v_key)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 188; goto __pyx_L1;}
   Py_DECREF(((PyObject *)__pyx_v_key));
   __pyx_v_key = ((StaticTuple *)__pyx_4);
   __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":189 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":189 */
   Py_INCREF(((PyObject *)__pyx_v_key));
   __pyx_r = ((PyObject *)__pyx_v_key);
   goto __pyx_L0;
@@ -523,20 +523,20 @@
   __pyx_v_ref_list = Py_None; Py_INCREF(Py_None);
   __pyx_v_node_value = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":200 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":200 */
   __pyx_v_self->_start = __pyx_v_self->_cur_str;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":202 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":202 */
   __pyx_v_last = ((char *)memchr(__pyx_v_self->_start,'\n',(__pyx_v_self->_end_str - __pyx_v_self->_start)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":203 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":203 */
   __pyx_1 = (__pyx_v_last == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":205 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":205 */
     __pyx_v_last = __pyx_v_self->_end_str;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":206 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":206 */
     __pyx_v_self->_cur_str = __pyx_v_self->_end_str;
     goto __pyx_L2;
   }
@@ -545,7 +545,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":212 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":212 */
   __pyx_1 = (__pyx_v_last == __pyx_v_self->_start);
   if (__pyx_1) {
     __pyx_r = 0;
@@ -554,7 +554,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":215 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":215 */
   __pyx_1 = (__pyx_v_last < __pyx_v_self->_start);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 217; goto __pyx_L1;}
@@ -569,16 +569,16 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":218 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":218 */
   __pyx_1 = (0 == __pyx_v_self->_header_found);
   if (__pyx_1) {
     __pyx_1 = (strncmp(__pyx_k5,__pyx_v_self->_start,(__pyx_v_last - __pyx_v_self->_start)) == 0);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":221 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":221 */
       __pyx_v_self->_header_found = 1;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":222 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":222 */
       __pyx_r = 0;
       goto __pyx_L0;
       goto __pyx_L6;
@@ -601,16 +601,16 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":227 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":227 */
   __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self->__pyx_vtab)->extract_key(__pyx_v_self,__pyx_v_last); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 227; goto __pyx_L1;}
   Py_DECREF(__pyx_v_key);
   __pyx_v_key = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":229 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":229 */
   __pyx_v_temp_ptr = ((char *)__pyx_f_6bzrlib_21_btree_serializer_pyx__my_memrchr(__pyx_v_self->_start,'\0',(__pyx_v_last - __pyx_v_self->_start)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":230 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":230 */
   __pyx_1 = (__pyx_v_temp_ptr == NULL);
   if (__pyx_1) {
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 232; goto __pyx_L1;}
@@ -625,10 +625,10 @@
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":240 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":240 */
     __pyx_v_str_len = ((__pyx_v_last - __pyx_v_temp_ptr) - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":241 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":241 */
     __pyx_1 = (__pyx_v_str_len > 4);
     if (__pyx_1) {
       __pyx_1 = (strncmp(__pyx_k8,(__pyx_v_last - 4),4) == 0);
@@ -648,39 +648,39 @@
     }
     __pyx_L8:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":249 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":249 */
     __pyx_v_last = __pyx_v_temp_ptr;
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":251 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":251 */
   __pyx_1 = __pyx_v_self->ref_list_length;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":252 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":252 */
     __pyx_3 = ((PyObject *)StaticTuple_New(__pyx_v_self->ref_list_length)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 252; goto __pyx_L1;}
     Py_DECREF(__pyx_v_ref_lists);
     __pyx_v_ref_lists = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":253 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":253 */
     __pyx_v_loop_counter = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":254 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":254 */
     while (1) {
       __pyx_1 = (__pyx_v_loop_counter < __pyx_v_self->ref_list_length);
       if (!__pyx_1) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":255 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":255 */
       __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 255; goto __pyx_L1;}
       Py_DECREF(__pyx_v_ref_list);
       __pyx_v_ref_list = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":257 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":257 */
       __pyx_v_loop_counter = (__pyx_v_loop_counter + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":258 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":258 */
       __pyx_1 = (__pyx_v_last < __pyx_v_self->_start);
       if (__pyx_1) {
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 259; goto __pyx_L1;}
@@ -695,10 +695,10 @@
       }
       __pyx_L12:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":261 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":261 */
       __pyx_v_temp_ptr = ((char *)memchr(__pyx_v_self->_start,'\t',(__pyx_v_last - __pyx_v_self->_start)));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":262 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":262 */
       __pyx_1 = (__pyx_v_temp_ptr == NULL);
       if (__pyx_1) {
         __pyx_1 = (__pyx_v_loop_counter != __pyx_v_self->ref_list_length);
@@ -715,10 +715,10 @@
         }
         /*else*/ {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":270 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":270 */
           __pyx_v_ref_ptr = __pyx_v_last;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":271 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":271 */
           __pyx_v_next_start = __pyx_v_last;
         }
         __pyx_L14:;
@@ -726,23 +726,23 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":274 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":274 */
         __pyx_v_ref_ptr = __pyx_v_temp_ptr;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":275 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":275 */
         __pyx_v_next_start = (__pyx_v_temp_ptr + 1);
       }
       __pyx_L13:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":277 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":277 */
       while (1) {
         __pyx_1 = (__pyx_v_self->_start < __pyx_v_ref_ptr);
         if (!__pyx_1) break;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":279 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":279 */
         __pyx_v_temp_ptr = ((char *)memchr(__pyx_v_self->_start,'\r',(__pyx_v_ref_ptr - __pyx_v_self->_start)));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":281 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":281 */
         __pyx_1 = (__pyx_v_temp_ptr == NULL);
         if (__pyx_1) {
           __pyx_v_temp_ptr = __pyx_v_ref_ptr;
@@ -750,13 +750,13 @@
         }
         __pyx_L17:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":285 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":285 */
         __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self->__pyx_vtab)->extract_key(__pyx_v_self,__pyx_v_temp_ptr); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 285; goto __pyx_L1;}
         __pyx_1 = PyList_Append(__pyx_v_ref_list,__pyx_3); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 285; goto __pyx_L1;}
         Py_DECREF(__pyx_3); __pyx_3 = 0;
       }
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":286 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":286 */
       __pyx_2 = PySequence_Tuple(__pyx_v_ref_list); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 286; goto __pyx_L1;}
       __pyx_3 = PyObject_CallObject(((PyObject *)__pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple), __pyx_2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 286; goto __pyx_L1;}
       Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -766,18 +766,18 @@
       __pyx_v_ref_list = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":287 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":287 */
       Py_INCREF(__pyx_v_ref_list);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":288 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":288 */
       if (!__Pyx_TypeTest(__pyx_v_ref_lists, __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 288; goto __pyx_L1;}
       StaticTuple_SET_ITEM(((StaticTuple *)__pyx_v_ref_lists),(__pyx_v_loop_counter - 1),__pyx_v_ref_list);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":290 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":290 */
       __pyx_v_self->_start = __pyx_v_next_start;
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":291 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":291 */
     __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 291; goto __pyx_L1;}
     Py_INCREF(__pyx_v_value);
     PyTuple_SET_ITEM(__pyx_3, 0, __pyx_v_value);
@@ -792,7 +792,7 @@
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":293 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":293 */
     __pyx_1 = (__pyx_v_last != __pyx_v_self->_start);
     if (__pyx_1) {
       __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 295; goto __pyx_L1;}
@@ -807,7 +807,7 @@
     }
     __pyx_L18:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":296 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":296 */
     __pyx_3 = PyObject_CallObject(((PyObject *)__pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple), 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 296; goto __pyx_L1;}
     __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 296; goto __pyx_L1;}
     Py_INCREF(__pyx_v_value);
@@ -822,7 +822,7 @@
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":297 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":297 */
   __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 297; goto __pyx_L1;}
   Py_INCREF(__pyx_v_key);
   PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_key);
@@ -833,7 +833,7 @@
   __pyx_1 = PyList_Append(__pyx_v_self->keys,__pyx_3); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 297; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":298 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":298 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -866,7 +866,7 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "", __pyx_argnames)) return 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":302 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":302 */
   __pyx_1 = (!PyString_CheckExact(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->bytes));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 303; goto __pyx_L1;}
@@ -881,24 +881,24 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":304 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":304 */
   __pyx_v_byte_count = PyString_Size(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":305 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":305 */
   __pyx_4 = PyString_AsString(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->bytes); if (__pyx_4 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 305; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_cur_str = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":307 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":307 */
   ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_end_str = (((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_cur_str + __pyx_v_byte_count);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":308 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":308 */
   while (1) {
     __pyx_1 = (((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_cur_str < ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->_end_str);
     if (!__pyx_1) break;
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->__pyx_vtab)->process_line(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 309; goto __pyx_L1;}
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":310 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":310 */
   Py_INCREF(((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->keys);
   __pyx_r = ((struct __pyx_obj_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser *)__pyx_v_self)->keys;
   goto __pyx_L0;
@@ -931,7 +931,7 @@
   Py_INCREF(__pyx_v_ref_list_length);
   __pyx_v_parser = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":314 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":314 */
   __pyx_1 = PyTuple_New(3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 314; goto __pyx_L1;}
   Py_INCREF(__pyx_v_bytes);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_bytes);
@@ -945,7 +945,7 @@
   __pyx_v_parser = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":315 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":315 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_parser, __pyx_n_parse); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 315; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 315; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -1014,7 +1014,7 @@
   __pyx_v_val = Py_None; Py_INCREF(Py_None);
   __pyx_v_line = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":342 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":342 */
   __pyx_1 = (!PyTuple_CheckExact(__pyx_v_node));
   if (__pyx_1) {
     __pyx_1 = (!StaticTuple_CheckExact(__pyx_v_node));
@@ -1039,15 +1039,15 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":345 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":345 */
   __pyx_4 = PyObject_Length(__pyx_v_node); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 345; goto __pyx_L1;}
   __pyx_v_node_len = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":346 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":346 */
   __pyx_1 = PyInt_AsLong(__pyx_v_reference_lists); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 346; goto __pyx_L1;}
   __pyx_v_have_reference_lists = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":347 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":347 */
   __pyx_1 = __pyx_v_have_reference_lists;
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_node_len != 4);
@@ -1087,7 +1087,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":364 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":364 */
   __pyx_3 = PyObject_GetAttr(__pyx_k16p, __pyx_n_join); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
   __pyx_2 = __Pyx_GetItemInt(__pyx_v_node, 1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
@@ -1100,31 +1100,31 @@
   __pyx_v_string_key = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":378 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":378 */
   __pyx_v_refs_len = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":379 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":379 */
   __pyx_1 = __pyx_v_have_reference_lists;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":381 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":381 */
     __pyx_3 = __Pyx_GetItemInt(__pyx_v_node, 3); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 381; goto __pyx_L1;}
     Py_DECREF(__pyx_v_ref_lists);
     __pyx_v_ref_lists = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":382 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":382 */
     __pyx_4 = PyObject_Length(__pyx_v_ref_lists); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 382; goto __pyx_L1;}
     __pyx_v_next_len = __pyx_4;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":383 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":383 */
     __pyx_1 = (__pyx_v_next_len > 0);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":387 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":387 */
       __pyx_v_refs_len = (__pyx_v_refs_len + (__pyx_v_next_len - 1));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":388 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":388 */
       __pyx_5 = PyObject_GetIter(__pyx_v_ref_lists); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 388; goto __pyx_L1;}
       for (;;) {
         __pyx_2 = PyIter_Next(__pyx_5);
@@ -1136,18 +1136,18 @@
         __pyx_v_ref_list = __pyx_2;
         __pyx_2 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":389 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":389 */
         __pyx_4 = PyObject_Length(__pyx_v_ref_list); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 389; goto __pyx_L1;}
         __pyx_v_next_len = __pyx_4;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":390 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":390 */
         __pyx_1 = (__pyx_v_next_len > 0);
         if (__pyx_1) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":393 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":393 */
           __pyx_v_refs_len = (__pyx_v_refs_len + (__pyx_v_next_len - 1));
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":394 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":394 */
           __pyx_3 = PyObject_GetIter(__pyx_v_ref_list); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 394; goto __pyx_L1;}
           for (;;) {
             __pyx_2 = PyIter_Next(__pyx_3);
@@ -1159,7 +1159,7 @@
             __pyx_v_reference = __pyx_2;
             __pyx_2 = 0;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":395 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":395 */
             __pyx_1 = (!PyTuple_CheckExact(__pyx_v_reference));
             if (__pyx_1) {
               __pyx_1 = (!StaticTuple_CheckExact(__pyx_v_reference));
@@ -1184,18 +1184,18 @@
             }
             __pyx_L12:;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":400 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":400 */
             __pyx_4 = PyObject_Length(__pyx_v_reference); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 400; goto __pyx_L1;}
             __pyx_v_next_len = __pyx_4;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":401 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":401 */
             __pyx_1 = (__pyx_v_next_len > 0);
             if (__pyx_1) {
 
-              /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":404 */
+              /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":404 */
               __pyx_v_refs_len = (__pyx_v_refs_len + (__pyx_v_next_len - 1));
 
-              /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":405 */
+              /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":405 */
               __pyx_6 = PyObject_GetIter(__pyx_v_reference); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 405; goto __pyx_L1;}
               for (;;) {
                 __pyx_2 = PyIter_Next(__pyx_6);
@@ -1207,7 +1207,7 @@
                 __pyx_v_ref_bit = __pyx_2;
                 __pyx_2 = 0;
 
-                /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":406 */
+                /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":406 */
                 __pyx_1 = (!PyString_CheckExact(__pyx_v_ref_bit));
                 if (__pyx_1) {
                   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 409; goto __pyx_L1;}
@@ -1229,7 +1229,7 @@
                 }
                 __pyx_L16:;
 
-                /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":410 */
+                /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":410 */
                 __pyx_v_refs_len = (__pyx_v_refs_len + PyString_GET_SIZE(__pyx_v_ref_bit));
               }
               Py_DECREF(__pyx_6); __pyx_6 = 0;
@@ -1250,16 +1250,16 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":413 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":413 */
   __pyx_v_key_len = PyString_Size(__pyx_v_string_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":414 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":414 */
   __pyx_7 = __Pyx_GetItemInt(__pyx_v_node, 2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 414; goto __pyx_L1;}
   Py_DECREF(__pyx_v_val);
   __pyx_v_val = __pyx_7;
   __pyx_7 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":415 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":415 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_val));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 417; goto __pyx_L1;}
@@ -1281,46 +1281,46 @@
   }
   __pyx_L17:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":418 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":418 */
   __pyx_v_value = PyString_AS_STRING(__pyx_v_val);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":419 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":419 */
   __pyx_v_value_len = PyString_GET_SIZE(__pyx_v_val);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":420 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":420 */
   __pyx_v_flat_len = (((((__pyx_v_key_len + 1) + __pyx_v_refs_len) + 1) + __pyx_v_value_len) + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":421 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":421 */
   __pyx_2 = PyString_FromStringAndSize(NULL,__pyx_v_flat_len); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 421; goto __pyx_L1;}
   Py_DECREF(__pyx_v_line);
   __pyx_v_line = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":423 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":423 */
   __pyx_8 = PyString_AsString(__pyx_v_line); if (__pyx_8 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 423; goto __pyx_L1;}
   __pyx_v_out = __pyx_8;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":424 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":424 */
   __pyx_8 = PyString_AsString(__pyx_v_string_key); if (__pyx_8 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 424; goto __pyx_L1;}
   memcpy(__pyx_v_out,__pyx_8,__pyx_v_key_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":425 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":425 */
   __pyx_v_out = (__pyx_v_out + __pyx_v_key_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":426 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":426 */
   (__pyx_v_out[0]) = '\0';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":427 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":427 */
   __pyx_v_out = (__pyx_v_out + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":428 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":428 */
   __pyx_1 = (__pyx_v_refs_len > 0);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":429 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":429 */
     __pyx_v_first_ref_list = 1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":430 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":430 */
     __pyx_6 = PyObject_GetIter(__pyx_v_ref_lists); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 430; goto __pyx_L1;}
     for (;;) {
       __pyx_3 = PyIter_Next(__pyx_6);
@@ -1332,26 +1332,26 @@
       __pyx_v_ref_list = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":431 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":431 */
       __pyx_1 = (__pyx_v_first_ref_list == 0);
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":432 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":432 */
         (__pyx_v_out[0]) = '\t';
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":433 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":433 */
         __pyx_v_out = (__pyx_v_out + 1);
         goto __pyx_L21;
       }
       __pyx_L21:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":434 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":434 */
       __pyx_v_first_ref_list = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":435 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":435 */
       __pyx_v_first_reference = 1;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":436 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":436 */
       __pyx_5 = PyObject_GetIter(__pyx_v_ref_list); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 436; goto __pyx_L1;}
       for (;;) {
         __pyx_7 = PyIter_Next(__pyx_5);
@@ -1363,55 +1363,55 @@
         __pyx_v_reference = __pyx_7;
         __pyx_7 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":437 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":437 */
         __pyx_1 = (__pyx_v_first_reference == 0);
         if (__pyx_1) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":438 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":438 */
           (__pyx_v_out[0]) = '\r';
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":439 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":439 */
           __pyx_v_out = (__pyx_v_out + 1);
           goto __pyx_L24;
         }
         __pyx_L24:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":440 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":440 */
         __pyx_v_first_reference = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":441 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":441 */
         __pyx_4 = PyObject_Length(__pyx_v_reference); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 441; goto __pyx_L1;}
         __pyx_v_next_len = __pyx_4;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":442 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":442 */
         for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_next_len; ++__pyx_v_i) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":443 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":443 */
           __pyx_1 = (__pyx_v_i != 0);
           if (__pyx_1) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":444 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":444 */
             (__pyx_v_out[0]) = '\x000';
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":445 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":445 */
             __pyx_v_out = (__pyx_v_out + 1);
             goto __pyx_L27;
           }
           __pyx_L27:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":446 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":446 */
           __pyx_2 = __Pyx_GetItemInt(__pyx_v_reference, __pyx_v_i); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 446; goto __pyx_L1;}
           Py_DECREF(__pyx_v_ref_bit);
           __pyx_v_ref_bit = __pyx_2;
           __pyx_2 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":447 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":447 */
           __pyx_v_ref_bit_len = PyString_GET_SIZE(__pyx_v_ref_bit);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":448 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":448 */
           memcpy(__pyx_v_out,PyString_AS_STRING(__pyx_v_ref_bit),__pyx_v_ref_bit_len);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":449 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":449 */
           __pyx_v_out = (__pyx_v_out + __pyx_v_ref_bit_len);
         }
       }
@@ -1422,22 +1422,22 @@
   }
   __pyx_L18:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":450 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":450 */
   (__pyx_v_out[0]) = '\0';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":451 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":451 */
   __pyx_v_out = (__pyx_v_out + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":452 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":452 */
   memcpy(__pyx_v_out,__pyx_v_value,__pyx_v_value_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":453 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":453 */
   __pyx_v_out = (__pyx_v_out + __pyx_v_value_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":454 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":454 */
   (__pyx_v_out[0]) = '\n';
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":455 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":455 */
   __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 455; goto __pyx_L1;}
   Py_INCREF(__pyx_v_string_key);
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_v_string_key);
@@ -1668,7 +1668,7 @@
   __pyx_ptype_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser = &__pyx_type_6bzrlib_21_btree_serializer_pyx_BTreeLeafParser;
   __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple = __Pyx_ImportType("bzrlib._static_tuple_c", "StaticTuple", sizeof(StaticTuple)); if (!__pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 26; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":106 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":106 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 106; goto __pyx_L1;}
   Py_INCREF(__pyx_n__static_tuple_c);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n__static_tuple_c);
@@ -1679,10 +1679,10 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":108 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":108 */
   __pyx_3 = import_static_tuple_c(); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 108; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_btree_serializer_pyx.pyx":318 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_btree_serializer_pyx.pyx":318 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_btree_serializer_pyx.pyx'
--- bzrlib/_btree_serializer_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_btree_serializer_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_chk_map_py.py'
--- bzrlib/_chk_map_py.py	2010-02-05 13:53:30 +0000
+++ bzrlib/_chk_map_py.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_chk_map_pyx.c'
--- bzrlib/_chk_map_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_chk_map_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:24:16 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:54 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -211,18 +211,18 @@
   void *__pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":90 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":90 */
   __pyx_v_start = ((char *)__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":91 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":91 */
   __pyx_v_pos = ((__pyx_v_start + __pyx_v_n) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":92 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":92 */
   while (1) {
     __pyx_1 = (__pyx_v_pos >= __pyx_v_start);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":93 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":93 */
     __pyx_1 = ((__pyx_v_pos[0]) == __pyx_v_c);
     if (__pyx_1) {
       __pyx_r = __pyx_v_pos;
@@ -231,11 +231,11 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":95 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":95 */
     __pyx_v_pos = (__pyx_v_pos - 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":96 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":96 */
   __pyx_r = NULL;
   goto __pyx_L0;
 
@@ -267,7 +267,7 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_out = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":111 */
   __pyx_1 = (!StaticTuple_CheckExact(__pyx_v_key));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 112; goto __pyx_L1;}
@@ -287,43 +287,43 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":113 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":113 */
   __pyx_4 = PyObject_Length(__pyx_v_key); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 113; goto __pyx_L1;}
   __pyx_v_num_bits = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":115 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":115 */
   __pyx_v_num_out_bytes = ((9 * __pyx_v_num_bits) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":116 */
   __pyx_2 = PyString_FromStringAndSize(NULL,__pyx_v_num_out_bytes); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 116; goto __pyx_L1;}
   Py_DECREF(__pyx_v_out);
   __pyx_v_out = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":117 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":117 */
   __pyx_v_c_out = PyString_AS_STRING(__pyx_v_out);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":118 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":118 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_num_bits; ++__pyx_v_i) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":119 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":119 */
     __pyx_1 = (__pyx_v_i > 0);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":120 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":120 */
       (__pyx_v_c_out[0]) = '\x000';
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":121 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":121 */
       __pyx_v_c_out = (__pyx_v_c_out + 1);
       goto __pyx_L5;
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":125 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":125 */
     if (!__Pyx_TypeTest(__pyx_v_key, __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 125; goto __pyx_L1;}
     __pyx_v_bit = StaticTuple_GET_ITEM(((StaticTuple *)__pyx_v_key),__pyx_v_i);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":126 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":126 */
     __pyx_1 = (!PyString_CheckExact(__pyx_v_bit));
     if (__pyx_1) {
       __pyx_3 = PyInt_FromSsize_t(__pyx_v_i); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 127; goto __pyx_L1;}
@@ -346,23 +346,23 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":128 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":128 */
     __pyx_v_c_bit = ((Bytef *)PyString_AS_STRING(__pyx_v_bit));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":129 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":129 */
     __pyx_v_c_len = PyString_GET_SIZE(__pyx_v_bit);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":130 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":130 */
     __pyx_v_crc_val = crc32(0,__pyx_v_c_bit,__pyx_v_c_len);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":132 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":132 */
     sprintf(__pyx_v_c_out,__pyx_k3,__pyx_v_crc_val);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":133 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":133 */
     __pyx_v_c_out = (__pyx_v_c_out + 8);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":134 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":134 */
   Py_INCREF(__pyx_v_out);
   __pyx_r = __pyx_v_out;
   goto __pyx_L0;
@@ -404,7 +404,7 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_out = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":149 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":149 */
   __pyx_1 = (!StaticTuple_CheckExact(__pyx_v_key));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 150; goto __pyx_L1;}
@@ -424,43 +424,43 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":151 */
   __pyx_4 = PyObject_Length(__pyx_v_key); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 151; goto __pyx_L1;}
   __pyx_v_num_bits = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":153 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":153 */
   __pyx_v_num_out_bytes = ((5 * __pyx_v_num_bits) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":154 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":154 */
   __pyx_2 = PyString_FromStringAndSize(NULL,__pyx_v_num_out_bytes); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 154; goto __pyx_L1;}
   Py_DECREF(__pyx_v_out);
   __pyx_v_out = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":155 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":155 */
   __pyx_v_c_out = PyString_AS_STRING(__pyx_v_out);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":156 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":156 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_num_bits; ++__pyx_v_i) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":157 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":157 */
     __pyx_1 = (__pyx_v_i > 0);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":158 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":158 */
       (__pyx_v_c_out[0]) = '\x000';
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":159 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":159 */
       __pyx_v_c_out = (__pyx_v_c_out + 1);
       goto __pyx_L5;
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":160 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":160 */
     if (!__Pyx_TypeTest(__pyx_v_key, __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 160; goto __pyx_L1;}
     __pyx_v_bit = StaticTuple_GET_ITEM(((StaticTuple *)__pyx_v_key),__pyx_v_i);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":161 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":161 */
     __pyx_1 = (!PyString_CheckExact(__pyx_v_bit));
     if (__pyx_1) {
       __pyx_3 = PyInt_FromSsize_t(__pyx_v_i); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 163; goto __pyx_L1;}
@@ -485,28 +485,28 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":164 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":164 */
     __pyx_v_c_bit = ((Bytef *)PyString_AS_STRING(__pyx_v_bit));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":165 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":165 */
     __pyx_v_c_len = PyString_GET_SIZE(__pyx_v_bit);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":166 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":166 */
     __pyx_v_crc_val = crc32(0,__pyx_v_c_bit,__pyx_v_c_len);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":168 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":168 */
     (__pyx_v_c_out[0]) = ((__pyx_v_crc_val >> 24) & 0xFF);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":169 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":169 */
     (__pyx_v_c_out[1]) = ((__pyx_v_crc_val >> 16) & 0xFF);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":170 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":170 */
     (__pyx_v_c_out[2]) = ((__pyx_v_crc_val >> 8) & 0xFF);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":171 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":171 */
     (__pyx_v_c_out[3]) = ((__pyx_v_crc_val >> 0) & 0xFF);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":172 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":172 */
     for (__pyx_v_j = 0; __pyx_v_j < 4; ++__pyx_v_j) {
       __pyx_1 = ((__pyx_v_c_out[__pyx_v_j]) == '\n');
       if (__pyx_1) {
@@ -516,11 +516,11 @@
       __pyx_L9:;
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":175 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":175 */
     __pyx_v_c_out = (__pyx_v_c_out + 4);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":176 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":176 */
   Py_INCREF(__pyx_v_out);
   __pyx_r = __pyx_v_out;
   goto __pyx_L0;
@@ -547,10 +547,10 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":190 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":190 */
   __pyx_v_next_line = ((char *)memchr((__pyx_v_cur[0]),'\n',(__pyx_v_end - (__pyx_v_cur[0]))));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":191 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":191 */
   __pyx_1 = (__pyx_v_next_line == NULL);
   if (__pyx_1) {
     __pyx_2 = PyString_FromString(__pyx_v_message); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 192; goto __pyx_L1;}
@@ -568,10 +568,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":194 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":194 */
   __pyx_v_value = strtol((__pyx_v_cur[0]),(&__pyx_v_next),10);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":195 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":195 */
   __pyx_1 = (__pyx_v_next != __pyx_v_next_line);
   if (__pyx_1) {
     __pyx_2 = PyString_FromString(__pyx_v_message); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 196; goto __pyx_L1;}
@@ -589,10 +589,10 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":197 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":197 */
   (__pyx_v_cur[0]) = (__pyx_v_next_line + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":198 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":198 */
   __pyx_r = __pyx_v_value;
   goto __pyx_L0;
 
@@ -668,11 +668,11 @@
   __pyx_v_entry = Py_None; Py_INCREF(Py_None);
   __pyx_v_value = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":217 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":217 */
   __pyx_1 = __pyx_v__LeafNode == Py_None;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":218 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":218 */
     __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 218; goto __pyx_L1;}
     Py_INCREF(__pyx_n_chk_map);
     PyList_SET_ITEM(__pyx_2, 0, __pyx_n_chk_map);
@@ -684,19 +684,19 @@
     __pyx_2 = 0;
     Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":219 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":219 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n_LeafNode); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 219; goto __pyx_L1;}
     Py_DECREF(__pyx_v__LeafNode);
     __pyx_v__LeafNode = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":220 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":220 */
     __pyx_2 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n_InternalNode); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 220; goto __pyx_L1;}
     Py_DECREF(__pyx_v__InternalNode);
     __pyx_v__InternalNode = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":221 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":221 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n__unknown); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 221; goto __pyx_L1;}
     Py_DECREF(__pyx_v__unknown);
     __pyx_v__unknown = __pyx_3;
@@ -705,7 +705,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":223 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":223 */
   __pyx_2 = PyTuple_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 223; goto __pyx_L1;}
   __pyx_3 = PyDict_New(); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 223; goto __pyx_L1;}
   if (PyDict_SetItem(__pyx_3, __pyx_n_search_key_func, __pyx_v_search_key_func) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 223; goto __pyx_L1;}
@@ -716,7 +716,7 @@
   __pyx_v_result = __pyx_4;
   __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":226 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":226 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_bytes));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 227; goto __pyx_L1;}
@@ -741,13 +741,13 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":229 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":229 */
   __pyx_v_c_bytes = PyString_AS_STRING(__pyx_v_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":230 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":230 */
   __pyx_v_c_bytes_len = PyString_GET_SIZE(__pyx_v_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":232 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":232 */
   __pyx_1 = (__pyx_v_c_bytes_len < 9);
   if (!__pyx_1) {
     __pyx_1 = (memcmp(__pyx_v_c_bytes,__pyx_k14,9) != 0);
@@ -766,7 +766,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":234 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":234 */
   __pyx_1 = ((__pyx_v_c_bytes[(__pyx_v_c_bytes_len - 1)]) != '\n');
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 235; goto __pyx_L1;}
@@ -781,28 +781,28 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":237 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":237 */
   __pyx_v_end = (__pyx_v_c_bytes + __pyx_v_c_bytes_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":238 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":238 */
   __pyx_v_cur = (__pyx_v_c_bytes + 9);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":239 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":239 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k17); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 239; goto __pyx_L1;}
   __pyx_v_maximum_size = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":240 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":240 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k18); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 240; goto __pyx_L1;}
   __pyx_v_width = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":241 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":241 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k19); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 241; goto __pyx_L1;}
   __pyx_v_length = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":243 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":243 */
   __pyx_v_next_line = ((char *)memchr(__pyx_v_cur,'\n',(__pyx_v_end - __pyx_v_cur)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":244 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":244 */
   __pyx_1 = (__pyx_v_next_line == NULL);
   if (__pyx_1) {
     __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 245; goto __pyx_L1;}
@@ -817,39 +817,39 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":246 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":246 */
   __pyx_v_prefix = __pyx_v_cur;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":247 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":247 */
   __pyx_v_prefix_length = (__pyx_v_next_line - __pyx_v_cur);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":248 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":248 */
   __pyx_v_cur = (__pyx_v_next_line + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":250 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":250 */
   __pyx_3 = PyList_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 250; goto __pyx_L1;}
   Py_DECREF(__pyx_v_prefix_bits);
   __pyx_v_prefix_bits = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":251 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":251 */
   __pyx_v_prefix_tail = __pyx_v_prefix;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":252 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":252 */
   __pyx_v_num_prefix_bits = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":253 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":253 */
   __pyx_v_next_null = ((char *)memchr(__pyx_v_prefix,'\0',__pyx_v_prefix_length));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":254 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":254 */
   while (1) {
     __pyx_1 = (__pyx_v_next_null != NULL);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":255 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":255 */
     __pyx_v_num_prefix_bits = (__pyx_v_num_prefix_bits + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":256 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":256 */
     __pyx_4 = PyObject_GetAttr(__pyx_v_prefix_bits, __pyx_n_append); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 256; goto __pyx_L1;}
     __pyx_2 = PyString_FromStringAndSize(__pyx_v_prefix_tail,(__pyx_v_next_null - __pyx_v_prefix_tail)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 257; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 256; goto __pyx_L1;}
@@ -860,17 +860,17 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":258 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":258 */
     __pyx_v_prefix_tail = (__pyx_v_next_null + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":259 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":259 */
     __pyx_v_next_null = ((char *)memchr(__pyx_v_prefix_tail,'\0',(__pyx_v_next_line - __pyx_v_prefix_tail)));
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":260 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":260 */
   __pyx_v_prefix_tail_len = (__pyx_v_next_line - __pyx_v_prefix_tail);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":262 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":262 */
   __pyx_1 = (__pyx_v_num_prefix_bits >= __pyx_v_width);
   if (__pyx_1) {
     __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 263; goto __pyx_L1;}
@@ -885,27 +885,27 @@
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":265 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":265 */
   __pyx_v_items_length = (__pyx_v_end - __pyx_v_cur);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":266 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":266 */
   __pyx_2 = PyDict_New(); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 266; goto __pyx_L1;}
   Py_DECREF(__pyx_v_items);
   __pyx_v_items = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":267 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":267 */
   while (1) {
     __pyx_1 = (__pyx_v_cur < __pyx_v_end);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":268 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":268 */
     __pyx_v_line_start = __pyx_v_cur;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":269 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":269 */
     __pyx_v_next_line = ((char *)memchr(__pyx_v_cur,'\n',(__pyx_v_end - __pyx_v_cur)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":270 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":270 */
     __pyx_1 = (__pyx_v_next_line == NULL);
     if (__pyx_1) {
       __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 271; goto __pyx_L1;}
@@ -920,10 +920,10 @@
     }
     __pyx_L12:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":272 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":272 */
     __pyx_v_last_null = ((char *)__pyx_f_6bzrlib_12_chk_map_pyx__my_memrchr(__pyx_v_cur,'\0',(__pyx_v_next_line - __pyx_v_cur)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":273 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":273 */
     __pyx_1 = (__pyx_v_last_null == NULL);
     if (__pyx_1) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 274; goto __pyx_L1;}
@@ -938,26 +938,26 @@
     }
     __pyx_L13:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":275 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":275 */
     __pyx_v_next_null = (__pyx_v_last_null + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":276 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":276 */
     __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_next_null),(__pyx_v_next_line + 1),__pyx_k25); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 276; goto __pyx_L1;}
     __pyx_v_num_value_lines = __pyx_1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":278 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":278 */
     __pyx_v_cur = (__pyx_v_next_line + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":279 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":279 */
     __pyx_v_value_start = __pyx_v_cur;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":281 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":281 */
     for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_num_value_lines; ++__pyx_v_i) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":282 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":282 */
       __pyx_v_next_line = ((char *)memchr(__pyx_v_cur,'\n',(__pyx_v_end - __pyx_v_cur)));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":283 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":283 */
       __pyx_1 = (__pyx_v_next_line == NULL);
       if (__pyx_1) {
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 284; goto __pyx_L1;}
@@ -972,45 +972,45 @@
       }
       __pyx_L16:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":285 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":285 */
       __pyx_v_cur = (__pyx_v_next_line + 1);
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":286 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":286 */
     __pyx_4 = ((PyObject *)StaticTuple_New(__pyx_v_width)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 286; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_entry_bits));
     __pyx_v_entry_bits = ((StaticTuple *)__pyx_4);
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":287 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":287 */
     for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_num_prefix_bits; ++__pyx_v_i) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":290 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":290 */
       __pyx_3 = __Pyx_GetItemInt(__pyx_v_prefix_bits, __pyx_v_i); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 290; goto __pyx_L1;}
       Py_DECREF(__pyx_v_entry);
       __pyx_v_entry = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":292 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":292 */
       Py_INCREF(__pyx_v_entry);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":293 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":293 */
       StaticTuple_SET_ITEM(__pyx_v_entry_bits,__pyx_v_i,__pyx_v_entry);
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":294 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":294 */
     __pyx_2 = PyString_FromStringAndSize(__pyx_v_value_start,(__pyx_v_next_line - __pyx_v_value_start)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 294; goto __pyx_L1;}
     Py_DECREF(__pyx_v_value);
     __pyx_v_value = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":297 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":297 */
     __pyx_v_entry_start = __pyx_v_line_start;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":298 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":298 */
     __pyx_v_next_null = ((char *)memchr(__pyx_v_entry_start,'\0',((__pyx_v_last_null - __pyx_v_entry_start) + 1)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":300 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":300 */
     __pyx_1 = (__pyx_v_next_null == NULL);
     if (__pyx_1) {
       __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 301; goto __pyx_L1;}
@@ -1025,16 +1025,16 @@
     }
     __pyx_L19:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":302 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":302 */
     __pyx_2 = PyString_FromStringAndSize(NULL,((__pyx_v_prefix_tail_len + __pyx_v_next_null) - __pyx_v_line_start)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 302; goto __pyx_L1;}
     Py_DECREF(__pyx_v_entry);
     __pyx_v_entry = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":304 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":304 */
     __pyx_v_c_entry = PyString_AS_STRING(__pyx_v_entry);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":305 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":305 */
     __pyx_1 = (__pyx_v_prefix_tail_len > 0);
     if (__pyx_1) {
       memcpy(__pyx_v_c_entry,__pyx_v_prefix_tail,__pyx_v_prefix_tail_len);
@@ -1042,7 +1042,7 @@
     }
     __pyx_L20:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":307 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":307 */
     __pyx_1 = ((__pyx_v_next_null - __pyx_v_line_start) > 0);
     if (__pyx_1) {
       memcpy((__pyx_v_c_entry + __pyx_v_prefix_tail_len),__pyx_v_line_start,(__pyx_v_next_null - __pyx_v_line_start));
@@ -1050,24 +1050,24 @@
     }
     __pyx_L21:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":309 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":309 */
     Py_INCREF(__pyx_v_entry);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":310 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":310 */
     __pyx_v_i = __pyx_v_num_prefix_bits;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":311 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":311 */
     StaticTuple_SET_ITEM(__pyx_v_entry_bits,__pyx_v_i,__pyx_v_entry);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":312 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":312 */
     while (1) {
       __pyx_1 = (__pyx_v_next_null != __pyx_v_last_null);
       if (!__pyx_1) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":313 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":313 */
       __pyx_v_i = (__pyx_v_i + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":314 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":314 */
       __pyx_1 = (__pyx_v_i > __pyx_v_width);
       if (__pyx_1) {
         __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 315; goto __pyx_L1;}
@@ -1082,13 +1082,13 @@
       }
       __pyx_L24:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":316 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":316 */
       __pyx_v_entry_start = (__pyx_v_next_null + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":317 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":317 */
       __pyx_v_next_null = ((char *)memchr(__pyx_v_entry_start,'\0',((__pyx_v_last_null - __pyx_v_entry_start) + 1)));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":319 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":319 */
       __pyx_1 = (__pyx_v_next_null == NULL);
       if (__pyx_1) {
         __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 320; goto __pyx_L1;}
@@ -1103,20 +1103,20 @@
       }
       __pyx_L25:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":321 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":321 */
       __pyx_3 = PyString_FromStringAndSize(__pyx_v_entry_start,(__pyx_v_next_null - __pyx_v_entry_start)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 321; goto __pyx_L1;}
       Py_DECREF(__pyx_v_entry);
       __pyx_v_entry = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":323 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":323 */
       Py_INCREF(__pyx_v_entry);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":324 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":324 */
       StaticTuple_SET_ITEM(__pyx_v_entry_bits,__pyx_v_i,__pyx_v_entry);
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":325 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":325 */
     __pyx_5 = PyObject_Length(((PyObject *)__pyx_v_entry_bits)); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 325; goto __pyx_L1;}
     __pyx_1 = (__pyx_5 != __pyx_v_width);
     if (__pyx_1) {
@@ -1142,17 +1142,17 @@
     }
     __pyx_L26:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":329 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":329 */
     __pyx_2 = ((PyObject *)StaticTuple_Intern(__pyx_v_entry_bits)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 329; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_entry_bits));
     __pyx_v_entry_bits = ((StaticTuple *)__pyx_2);
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":330 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":330 */
     __pyx_1 = PyDict_SetItem(__pyx_v_items,((PyObject *)__pyx_v_entry_bits),__pyx_v_value); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 330; goto __pyx_L1;}
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":331 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":331 */
   __pyx_5 = PyObject_Length(__pyx_v_items); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 331; goto __pyx_L1;}
   __pyx_1 = (__pyx_5 != __pyx_v_length);
   if (__pyx_1) {
@@ -1178,56 +1178,56 @@
   }
   __pyx_L27:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":334 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":334 */
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__items, __pyx_v_items) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 334; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":335 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":335 */
   __pyx_2 = PyInt_FromLong(__pyx_v_length); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 335; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__len, __pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 335; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":336 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":336 */
   __pyx_4 = PyInt_FromLong(__pyx_v_maximum_size); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 336; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__maximum_size, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 336; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":337 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":337 */
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__key, __pyx_v_key) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 337; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":338 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":338 */
   __pyx_3 = PyInt_FromLong(__pyx_v_width); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 338; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__key_width, __pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 338; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":339 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":339 */
   __pyx_2 = PyInt_FromSsize_t((__pyx_v_items_length + (__pyx_v_length * __pyx_v_prefix_length))); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 339; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__raw_size, __pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 339; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":340 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":340 */
   __pyx_1 = (__pyx_v_length == 0);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":341 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":341 */
     if (PyObject_SetAttr(__pyx_v_result, __pyx_n__search_prefix, Py_None) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 341; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":342 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":342 */
     if (PyObject_SetAttr(__pyx_v_result, __pyx_n__common_serialised_prefix, Py_None) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 342; goto __pyx_L1;}
     goto __pyx_L28;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":344 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":344 */
     if (PyObject_SetAttr(__pyx_v_result, __pyx_n__search_prefix, __pyx_v__unknown) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 344; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":345 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":345 */
     __pyx_4 = PyString_FromStringAndSize(__pyx_v_prefix,__pyx_v_prefix_length); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 345; goto __pyx_L1;}
     if (PyObject_SetAttr(__pyx_v_result, __pyx_n__common_serialised_prefix, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 345; goto __pyx_L1;}
     Py_DECREF(__pyx_4); __pyx_4 = 0;
   }
   __pyx_L28:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":347 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":347 */
   __pyx_3 = PyInt_FromSsize_t(__pyx_v_c_bytes_len); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 347; goto __pyx_L1;}
   __pyx_2 = PyObject_GetAttr(__pyx_v_result, __pyx_n__current_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 347; goto __pyx_L1;}
   __pyx_4 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 347; goto __pyx_L1;}
@@ -1257,7 +1257,7 @@
   }
   __pyx_L29:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":350 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":350 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -1333,11 +1333,11 @@
   __pyx_v_item_prefix = Py_None; Py_INCREF(Py_None);
   __pyx_v_flat_key = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":360 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":360 */
   __pyx_1 = __pyx_v__InternalNode == Py_None;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":361 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":361 */
     __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 361; goto __pyx_L1;}
     Py_INCREF(__pyx_n_chk_map);
     PyList_SET_ITEM(__pyx_2, 0, __pyx_n_chk_map);
@@ -1349,19 +1349,19 @@
     __pyx_2 = 0;
     Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":362 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":362 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n_LeafNode); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 362; goto __pyx_L1;}
     Py_DECREF(__pyx_v__LeafNode);
     __pyx_v__LeafNode = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":363 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":363 */
     __pyx_2 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n_InternalNode); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 363; goto __pyx_L1;}
     Py_DECREF(__pyx_v__InternalNode);
     __pyx_v__InternalNode = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":364 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":364 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_chk_map, __pyx_n__unknown); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
     Py_DECREF(__pyx_v__unknown);
     __pyx_v__unknown = __pyx_3;
@@ -1370,7 +1370,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":365 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":365 */
   __pyx_2 = PyTuple_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 365; goto __pyx_L1;}
   __pyx_3 = PyDict_New(); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 365; goto __pyx_L1;}
   if (PyDict_SetItem(__pyx_3, __pyx_n_search_key_func, __pyx_v_search_key_func) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 365; goto __pyx_L1;}
@@ -1381,7 +1381,7 @@
   __pyx_v_result = __pyx_4;
   __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":367 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":367 */
   __pyx_1 = (!StaticTuple_CheckExact(__pyx_v_key));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 368; goto __pyx_L1;}
@@ -1401,7 +1401,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":369 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":369 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_bytes));
   if (__pyx_1) {
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 370; goto __pyx_L1;}
@@ -1426,13 +1426,13 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":372 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":372 */
   __pyx_v_c_bytes = PyString_AS_STRING(__pyx_v_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":373 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":373 */
   __pyx_v_c_bytes_len = PyString_GET_SIZE(__pyx_v_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":375 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":375 */
   __pyx_1 = (__pyx_v_c_bytes_len < 9);
   if (!__pyx_1) {
     __pyx_1 = (memcmp(__pyx_v_c_bytes,__pyx_k42,9) != 0);
@@ -1451,7 +1451,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":377 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":377 */
   __pyx_1 = ((__pyx_v_c_bytes[(__pyx_v_c_bytes_len - 1)]) != '\n');
   if (__pyx_1) {
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 378; goto __pyx_L1;}
@@ -1466,34 +1466,34 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":380 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":380 */
   __pyx_2 = PyDict_New(); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 380; goto __pyx_L1;}
   Py_DECREF(__pyx_v_items);
   __pyx_v_items = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":381 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":381 */
   __pyx_v_cur = (__pyx_v_c_bytes + 9);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":382 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":382 */
   __pyx_v_end = (__pyx_v_c_bytes + __pyx_v_c_bytes_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":383 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":383 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k17); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 383; goto __pyx_L1;}
   __pyx_v_maximum_size = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":384 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":384 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k18); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 384; goto __pyx_L1;}
   __pyx_v_width = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":385 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":385 */
   __pyx_1 = __pyx_f_6bzrlib_12_chk_map_pyx__get_int_from_line((&__pyx_v_cur),__pyx_v_end,__pyx_k19); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 385; goto __pyx_L1;}
   __pyx_v_length = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":387 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":387 */
   __pyx_v_next_line = ((char *)memchr(__pyx_v_cur,'\n',(__pyx_v_end - __pyx_v_cur)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":388 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":388 */
   __pyx_1 = (__pyx_v_next_line == NULL);
   if (__pyx_1) {
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 389; goto __pyx_L1;}
@@ -1508,24 +1508,24 @@
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":390 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":390 */
   __pyx_v_prefix = __pyx_v_cur;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":391 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":391 */
   __pyx_v_prefix_length = (__pyx_v_next_line - __pyx_v_cur);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":392 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":392 */
   __pyx_v_cur = (__pyx_v_next_line + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":394 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":394 */
   while (1) {
     __pyx_1 = (__pyx_v_cur < __pyx_v_end);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":396 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":396 */
     __pyx_v_next_line = ((char *)memchr(__pyx_v_cur,'\n',(__pyx_v_end - __pyx_v_cur)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":397 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":397 */
     __pyx_1 = (__pyx_v_next_line == NULL);
     if (__pyx_1) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 398; goto __pyx_L1;}
@@ -1540,10 +1540,10 @@
     }
     __pyx_L10:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":399 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":399 */
     __pyx_v_next_null = ((char *)__pyx_f_6bzrlib_12_chk_map_pyx__my_memrchr(__pyx_v_cur,'\0',(__pyx_v_next_line - __pyx_v_cur)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":400 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":400 */
     __pyx_1 = (__pyx_v_next_null == NULL);
     if (__pyx_1) {
       __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 401; goto __pyx_L1;}
@@ -1558,16 +1558,16 @@
     }
     __pyx_L11:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":402 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":402 */
     __pyx_3 = PyString_FromStringAndSize(NULL,((__pyx_v_prefix_length + __pyx_v_next_null) - __pyx_v_cur)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 402; goto __pyx_L1;}
     Py_DECREF(__pyx_v_item_prefix);
     __pyx_v_item_prefix = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":404 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":404 */
     __pyx_v_c_item_prefix = PyString_AS_STRING(__pyx_v_item_prefix);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":405 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":405 */
     __pyx_5 = __pyx_v_prefix_length;
     if (__pyx_5) {
       memcpy(__pyx_v_c_item_prefix,__pyx_v_prefix,__pyx_v_prefix_length);
@@ -1575,16 +1575,16 @@
     }
     __pyx_L12:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":407 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":407 */
     memcpy((__pyx_v_c_item_prefix + __pyx_v_prefix_length),__pyx_v_cur,(__pyx_v_next_null - __pyx_v_cur));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":408 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":408 */
     __pyx_4 = PyString_FromStringAndSize((__pyx_v_next_null + 1),((__pyx_v_next_line - __pyx_v_next_null) - 1)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 408; goto __pyx_L1;}
     Py_DECREF(__pyx_v_flat_key);
     __pyx_v_flat_key = __pyx_4;
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":410 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":410 */
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 410; goto __pyx_L1;}
     Py_INCREF(__pyx_v_flat_key);
     PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_flat_key);
@@ -1598,14 +1598,14 @@
     __pyx_v_flat_key = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":411 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":411 */
     __pyx_1 = PyDict_SetItem(__pyx_v_items,__pyx_v_item_prefix,__pyx_v_flat_key); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 411; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":412 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":412 */
     __pyx_v_cur = (__pyx_v_next_line + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":413 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":413 */
   #ifndef PYREX_WITHOUT_ASSERTIONS
   __pyx_5 = PyObject_Length(__pyx_v_items); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 413; goto __pyx_L1;}
   if (!(__pyx_5 > 0)) {
@@ -1614,42 +1614,42 @@
   }
   #endif
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":414 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":414 */
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__items, __pyx_v_items) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 414; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":415 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":415 */
   __pyx_3 = PyInt_FromLong(__pyx_v_length); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 415; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__len, __pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 415; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":416 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":416 */
   __pyx_4 = PyInt_FromLong(__pyx_v_maximum_size); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 416; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__maximum_size, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 416; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":417 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":417 */
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__key, __pyx_v_key) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 417; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":418 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":418 */
   __pyx_2 = PyInt_FromLong(__pyx_v_width); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 418; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__key_width, __pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 418; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":421 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":421 */
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__raw_size, Py_None) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 421; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":422 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":422 */
   __pyx_5 = PyObject_Length(__pyx_v_item_prefix); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 422; goto __pyx_L1;}
   __pyx_3 = PyInt_FromSsize_t(__pyx_5); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 422; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__node_width, __pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 422; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":423 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":423 */
   __pyx_4 = PyString_FromStringAndSize(__pyx_v_prefix,__pyx_v_prefix_length); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 423; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_v_result, __pyx_n__search_prefix, __pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 423; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":424 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":424 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -1703,29 +1703,29 @@
   __pyx_v_6bzrlib_12_chk_map_pyx__unknown = Py_None; Py_INCREF(Py_None);
   __pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple = __Pyx_ImportType("bzrlib._static_tuple_c", "StaticTuple", sizeof(StaticTuple)); if (!__pyx_ptype_6bzrlib_15_static_tuple_c_StaticTuple) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 26; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":75 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":75 */
   __pyx_1 = import_static_tuple_c(); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 75; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":78 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":78 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_6bzrlib_12_chk_map_pyx__LeafNode);
   __pyx_v_6bzrlib_12_chk_map_pyx__LeafNode = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":80 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":80 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_6bzrlib_12_chk_map_pyx__InternalNode);
   __pyx_v_6bzrlib_12_chk_map_pyx__InternalNode = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":82 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":82 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_6bzrlib_12_chk_map_pyx__unknown);
   __pyx_v_6bzrlib_12_chk_map_pyx__unknown = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":201 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":201 */
   Py_INCREF(Py_None);
   __pyx_d1 = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chk_map_pyx.pyx":353 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chk_map_pyx.pyx":353 */
   Py_INCREF(Py_None);
   __pyx_d2 = Py_None;
   return;

=== modified file 'bzrlib/_chk_map_pyx.pyx'
--- bzrlib/_chk_map_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_chk_map_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_chunks_to_lines_pyx.c'
--- bzrlib/_chunks_to_lines_pyx.c	2009-11-04 22:47:44 +0000
+++ bzrlib/_chunks_to_lines_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Tue Jun  2 12:28:20 2009 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:22 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -94,10 +94,10 @@
   __pyx_v_tail = Py_None; Py_INCREF(Py_None);
   __pyx_v_line = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":60 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":60 */
   __pyx_v_last_no_newline = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":61 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":61 */
   __pyx_1 = PyObject_GetIter(__pyx_v_chunks); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 61; goto __pyx_L1;}
   for (;;) {
     __pyx_2 = PyIter_Next(__pyx_1);
@@ -109,7 +109,7 @@
     __pyx_v_chunk = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":62 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":62 */
     __pyx_3 = __pyx_v_last_no_newline;
     if (__pyx_3) {
       goto __pyx_L3;
@@ -117,7 +117,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":70 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":70 */
     __pyx_3 = (!PyString_CheckExact(__pyx_v_chunk));
     if (__pyx_3) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 71; goto __pyx_L1;}
@@ -132,10 +132,10 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":72 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":72 */
     __pyx_v_the_len = PyString_GET_SIZE(__pyx_v_chunk);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":73 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":73 */
     __pyx_3 = (__pyx_v_the_len == 0);
     if (__pyx_3) {
       goto __pyx_L3;
@@ -143,16 +143,16 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":76 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":76 */
     __pyx_v_c_str = PyString_AS_STRING(__pyx_v_chunk);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":77 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":77 */
     __pyx_v_c_last = ((__pyx_v_c_str + __pyx_v_the_len) - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":78 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":78 */
     __pyx_v_newline = ((char *)memchr(__pyx_v_c_str,'\n',__pyx_v_the_len));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":79 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":79 */
     __pyx_3 = (__pyx_v_newline != __pyx_v_c_last);
     if (__pyx_3) {
       __pyx_3 = (__pyx_v_newline == NULL);
@@ -177,18 +177,18 @@
   __pyx_L3:;
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":91 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":91 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 91; goto __pyx_L1;}
   Py_DECREF(__pyx_v_lines);
   __pyx_v_lines = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":92 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":92 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_tail);
   __pyx_v_tail = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":93 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":93 */
   __pyx_4 = PyObject_GetIter(__pyx_v_chunks); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 93; goto __pyx_L1;}
   for (;;) {
     __pyx_1 = PyIter_Next(__pyx_4);
@@ -200,17 +200,17 @@
     __pyx_v_chunk = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":94 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":94 */
     __pyx_3 = __pyx_v_tail != Py_None;
     if (__pyx_3) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":95 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":95 */
       __pyx_2 = PyNumber_Add(__pyx_v_tail, __pyx_v_chunk); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 95; goto __pyx_L1;}
       Py_DECREF(__pyx_v_chunk);
       __pyx_v_chunk = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":96 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":96 */
       Py_INCREF(Py_None);
       Py_DECREF(__pyx_v_tail);
       __pyx_v_tail = Py_None;
@@ -218,7 +218,7 @@
     }
     __pyx_L11:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":97 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":97 */
     __pyx_3 = (!PyString_CheckExact(__pyx_v_chunk));
     if (__pyx_3) {
       __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 98; goto __pyx_L1;}
@@ -233,10 +233,10 @@
     }
     __pyx_L12:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":99 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":99 */
     __pyx_v_the_len = PyString_GET_SIZE(__pyx_v_chunk);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":100 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":100 */
     __pyx_3 = (__pyx_v_the_len == 0);
     if (__pyx_3) {
       goto __pyx_L9;
@@ -244,16 +244,16 @@
     }
     __pyx_L13:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":104 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":104 */
     __pyx_v_c_str = PyString_AS_STRING(__pyx_v_chunk);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":105 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":105 */
     __pyx_v_c_last = ((__pyx_v_c_str + __pyx_v_the_len) - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":106 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":106 */
     __pyx_v_newline = ((char *)memchr(__pyx_v_c_str,'\n',__pyx_v_the_len));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":107 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":107 */
     __pyx_3 = (__pyx_v_newline == __pyx_v_c_last);
     if (__pyx_3) {
       __pyx_3 = PyList_Append(__pyx_v_lines,__pyx_v_chunk); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 109; goto __pyx_L1;}
@@ -271,19 +271,19 @@
         __pyx_3 = (__pyx_v_newline != NULL);
         if (!__pyx_3) break;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":118 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":118 */
         __pyx_1 = PyString_FromStringAndSize(__pyx_v_c_str,((__pyx_v_newline - __pyx_v_c_str) + 1)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 118; goto __pyx_L1;}
         Py_DECREF(__pyx_v_line);
         __pyx_v_line = __pyx_1;
         __pyx_1 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":119 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":119 */
         __pyx_3 = PyList_Append(__pyx_v_lines,__pyx_v_line); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 119; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":120 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":120 */
         __pyx_v_c_str = (__pyx_v_newline + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":121 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":121 */
         __pyx_3 = (__pyx_v_c_str > __pyx_v_c_last);
         if (__pyx_3) {
           goto __pyx_L16;
@@ -291,23 +291,23 @@
         }
         __pyx_L17:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":123 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":123 */
         __pyx_v_the_len = ((__pyx_v_c_last - __pyx_v_c_str) + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":124 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":124 */
         __pyx_v_newline = ((char *)memchr(__pyx_v_c_str,'\n',__pyx_v_the_len));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":125 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":125 */
         __pyx_3 = (__pyx_v_newline == NULL);
         if (__pyx_3) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":126 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":126 */
           __pyx_2 = PyString_FromStringAndSize(__pyx_v_c_str,__pyx_v_the_len); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 126; goto __pyx_L1;}
           Py_DECREF(__pyx_v_tail);
           __pyx_v_tail = __pyx_2;
           __pyx_2 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":127 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":127 */
           goto __pyx_L16;
           goto __pyx_L18;
         }
@@ -320,7 +320,7 @@
   }
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":128 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":128 */
   __pyx_3 = __pyx_v_tail != Py_None;
   if (__pyx_3) {
     __pyx_3 = PyList_Append(__pyx_v_lines,__pyx_v_tail); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 129; goto __pyx_L1;}
@@ -328,7 +328,7 @@
   }
   __pyx_L19:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":130 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":130 */
   Py_INCREF(__pyx_v_lines);
   __pyx_r = __pyx_v_lines;
   goto __pyx_L0;
@@ -368,7 +368,7 @@
   if (PyObject_SetAttrString(__pyx_m, "__builtins__", __pyx_b) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 18; goto __pyx_L1;};
   if (__Pyx_InitStrings(__pyx_string_tab) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 18; goto __pyx_L1;};
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_chunks_to_lines_pyx.pyx":42 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_chunks_to_lines_pyx.pyx":42 */
   return;
   __pyx_L1:;
   __Pyx_AddTraceback("bzrlib._chunks_to_lines_pyx");

=== modified file 'bzrlib/_dirstate_helpers_pyx.c'
--- bzrlib/_dirstate_helpers_pyx.c	2010-01-25 19:53:02 +0000
+++ bzrlib/_dirstate_helpers_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 14:10:44 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:33 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -592,18 +592,18 @@
   void *__pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":127 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":127 */
   __pyx_v_start = ((char *)__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":128 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":128 */
   __pyx_v_pos = ((__pyx_v_start + __pyx_v_n) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":129 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":129 */
   while (1) {
     __pyx_1 = (__pyx_v_pos >= __pyx_v_start);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":130 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":130 */
     __pyx_1 = ((__pyx_v_pos[0]) == __pyx_v_c);
     if (__pyx_1) {
       __pyx_r = __pyx_v_pos;
@@ -612,11 +612,11 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":132 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":132 */
     __pyx_v_pos = (__pyx_v_pos - 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":133 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":133 */
   __pyx_r = NULL;
   goto __pyx_L0;
 
@@ -643,16 +643,16 @@
   Py_INCREF(__pyx_v_s);
   Py_INCREF(__pyx_v_c);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":148 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":148 */
   __pyx_v__s = PyString_AsString(__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":149 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":149 */
   __pyx_v_length = PyString_Size(__pyx_v_s);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":151 */
   __pyx_v__c = PyString_AsString(__pyx_v_c);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":152 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":152 */
   #ifndef PYREX_WITHOUT_ASSERTIONS
   if (!(PyString_Size(__pyx_v_c) == 1)) {
     __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 153; goto __pyx_L1;}
@@ -665,10 +665,10 @@
   }
   #endif
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":154 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":154 */
   __pyx_v_found = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__my_memrchr(__pyx_v__s,(__pyx_v__c[0]),__pyx_v_length);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":155 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":155 */
   __pyx_3 = (__pyx_v_found == NULL);
   if (__pyx_3) {
     Py_INCREF(Py_None);
@@ -678,7 +678,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":157 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":157 */
   __pyx_1 = PyInt_FromLong((((char *)__pyx_v_found) - ((char *)__pyx_v__s))); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 157; goto __pyx_L1;}
   __pyx_r = __pyx_1;
   __pyx_1 = 0;
@@ -704,7 +704,7 @@
   PyObject *__pyx_3 = 0;
   PyObject *__pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":160 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":160 */
   __pyx_1 = (__pyx_v_size < 0);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t(__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 164; goto __pyx_L1;}
@@ -728,7 +728,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":165 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":165 */
   __pyx_2 = PyString_FromStringAndSize(__pyx_v_s,__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 165; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -768,7 +768,7 @@
   int __pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":186 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":186 */
   __pyx_1 = (__pyx_v_path1 == __pyx_v_path2);
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_size1 == __pyx_v_size2);
@@ -780,32 +780,32 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":189 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":189 */
   __pyx_v_end1 = (((unsigned char *)__pyx_v_path1) + __pyx_v_size1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":190 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":190 */
   __pyx_v_end2 = (((unsigned char *)__pyx_v_path2) + __pyx_v_size2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":197 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":197 */
   __pyx_1 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__is_aligned(__pyx_v_path1);
   if (__pyx_1) {
     __pyx_1 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__is_aligned(__pyx_v_path2);
   }
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":198 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":198 */
     __pyx_v_cur_int1 = ((int *)__pyx_v_path1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":199 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":199 */
     __pyx_v_cur_int2 = ((int *)__pyx_v_path2);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":200 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":200 */
     __pyx_v_end_int1 = ((int *)((__pyx_v_path1 + __pyx_v_size1) - (__pyx_v_size1 % (sizeof(int)))));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":201 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":201 */
     __pyx_v_end_int2 = ((int *)((__pyx_v_path2 + __pyx_v_size2) - (__pyx_v_size2 % (sizeof(int)))));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":203 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":203 */
     while (1) {
       __pyx_1 = (__pyx_v_cur_int1 < __pyx_v_end_int1);
       if (__pyx_1) {
@@ -813,7 +813,7 @@
       }
       if (!__pyx_1) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":204 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":204 */
       __pyx_1 = ((__pyx_v_cur_int1[0]) != (__pyx_v_cur_int2[0]));
       if (__pyx_1) {
         goto __pyx_L5;
@@ -821,32 +821,32 @@
       }
       __pyx_L6:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":206 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":206 */
       __pyx_v_cur_int1 = (__pyx_v_cur_int1 + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":207 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":207 */
       __pyx_v_cur_int2 = (__pyx_v_cur_int2 + 1);
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":209 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":209 */
     __pyx_v_cur1 = ((unsigned char *)__pyx_v_cur_int1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":210 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":210 */
     __pyx_v_cur2 = ((unsigned char *)__pyx_v_cur_int2);
     goto __pyx_L3;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":212 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":212 */
     __pyx_v_cur1 = ((unsigned char *)__pyx_v_path1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":213 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":213 */
     __pyx_v_cur2 = ((unsigned char *)__pyx_v_path2);
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":215 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":215 */
   while (1) {
     __pyx_1 = (__pyx_v_cur1 < __pyx_v_end1);
     if (__pyx_1) {
@@ -854,23 +854,23 @@
     }
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":216 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":216 */
     __pyx_1 = ((__pyx_v_cur1[0]) == (__pyx_v_cur2[0]));
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":218 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":218 */
       __pyx_v_cur1 = (__pyx_v_cur1 + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":219 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":219 */
       __pyx_v_cur2 = (__pyx_v_cur2 + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":220 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":220 */
       goto __pyx_L7;
       goto __pyx_L9;
     }
     __pyx_L9:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":222 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":222 */
     __pyx_1 = ((__pyx_v_cur1[0]) == '/');
     if (__pyx_1) {
       __pyx_r = (-1);
@@ -897,7 +897,7 @@
     __pyx_L7:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":232 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":232 */
   __pyx_1 = (__pyx_v_cur1 < __pyx_v_end1);
   if (__pyx_1) {
     __pyx_r = 1;
@@ -906,7 +906,7 @@
   }
   __pyx_L11:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":234 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":234 */
   __pyx_1 = (__pyx_v_cur2 < __pyx_v_end2);
   if (__pyx_1) {
     __pyx_r = (-1);
@@ -915,7 +915,7 @@
   }
   __pyx_L12:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":237 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":237 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -938,7 +938,7 @@
   Py_INCREF(__pyx_v_path1);
   Py_INCREF(__pyx_v_path2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":257 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":257 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path1));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 259; goto __pyx_L1;}
@@ -965,7 +965,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":260 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":260 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path2));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 262; goto __pyx_L1;}
@@ -992,7 +992,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":263 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":263 */
   __pyx_2 = PyInt_FromLong(__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_by_dirs(PyString_AsString(__pyx_v_path1),PyString_Size(__pyx_v_path1),PyString_AsString(__pyx_v_path2),PyString_Size(__pyx_v_path2))); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 263; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1025,7 +1025,7 @@
   Py_INCREF(__pyx_v_path1);
   Py_INCREF(__pyx_v_path2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":285 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":285 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path1));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 287; goto __pyx_L1;}
@@ -1052,7 +1052,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":288 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":288 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path2));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 290; goto __pyx_L1;}
@@ -1079,7 +1079,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":291 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":291 */
   __pyx_2 = PyInt_FromLong(__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_path_by_dirblock_intern(PyString_AsString(__pyx_v_path1),PyString_Size(__pyx_v_path1),PyString_AsString(__pyx_v_path2),PyString_Size(__pyx_v_path2))); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 291; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1112,7 +1112,7 @@
   int __pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":314 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":314 */
   __pyx_1 = (__pyx_v_path1_len == 0);
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_path2_len == 0);
@@ -1124,7 +1124,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":317 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":317 */
   __pyx_1 = (__pyx_v_path1 == __pyx_v_path2);
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_path1_len == __pyx_v_path2_len);
@@ -1136,7 +1136,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":320 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":320 */
   __pyx_1 = (__pyx_v_path1_len == 0);
   if (__pyx_1) {
     __pyx_r = (-1);
@@ -1145,7 +1145,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":323 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":323 */
   __pyx_1 = (__pyx_v_path2_len == 0);
   if (__pyx_1) {
     __pyx_r = 1;
@@ -1154,82 +1154,82 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":326 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":326 */
   __pyx_v_basename1 = ((char *)__pyx_f_6bzrlib_21_dirstate_helpers_pyx__my_memrchr(__pyx_v_path1,'/',__pyx_v_path1_len));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":328 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":328 */
   __pyx_1 = (__pyx_v_basename1 == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":329 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":329 */
     __pyx_v_basename1 = __pyx_v_path1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":330 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":330 */
     __pyx_v_basename1_len = __pyx_v_path1_len;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":331 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":331 */
     __pyx_v_dirname1 = __pyx_k5;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":332 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":332 */
     __pyx_v_dirname1_len = 0;
     goto __pyx_L6;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":334 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":334 */
     __pyx_v_dirname1 = __pyx_v_path1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":335 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":335 */
     __pyx_v_dirname1_len = (__pyx_v_basename1 - __pyx_v_path1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":336 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":336 */
     __pyx_v_basename1 = (__pyx_v_basename1 + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":337 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":337 */
     __pyx_v_basename1_len = ((__pyx_v_path1_len - __pyx_v_dirname1_len) - 1);
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":339 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":339 */
   __pyx_v_basename2 = ((char *)__pyx_f_6bzrlib_21_dirstate_helpers_pyx__my_memrchr(__pyx_v_path2,'/',__pyx_v_path2_len));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":341 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":341 */
   __pyx_1 = (__pyx_v_basename2 == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":342 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":342 */
     __pyx_v_basename2 = __pyx_v_path2;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":343 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":343 */
     __pyx_v_basename2_len = __pyx_v_path2_len;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":344 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":344 */
     __pyx_v_dirname2 = __pyx_k5;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":345 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":345 */
     __pyx_v_dirname2_len = 0;
     goto __pyx_L7;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":347 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":347 */
     __pyx_v_dirname2 = __pyx_v_path2;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":348 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":348 */
     __pyx_v_dirname2_len = (__pyx_v_basename2 - __pyx_v_path2);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":349 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":349 */
     __pyx_v_basename2 = (__pyx_v_basename2 + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":350 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":350 */
     __pyx_v_basename2_len = ((__pyx_v_path2_len - __pyx_v_dirname2_len) - 1);
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":352 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":352 */
   __pyx_v_cmp_val = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_by_dirs(__pyx_v_dirname1,__pyx_v_dirname1_len,__pyx_v_dirname2,__pyx_v_dirname2_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":354 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":354 */
   __pyx_1 = (__pyx_v_cmp_val != 0);
   if (__pyx_1) {
     __pyx_r = __pyx_v_cmp_val;
@@ -1238,10 +1238,10 @@
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":357 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":357 */
   __pyx_v_cur_len = __pyx_v_basename1_len;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":358 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":358 */
   __pyx_1 = (__pyx_v_basename2_len < __pyx_v_basename1_len);
   if (__pyx_1) {
     __pyx_v_cur_len = __pyx_v_basename2_len;
@@ -1249,10 +1249,10 @@
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":361 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":361 */
   __pyx_v_cmp_val = memcmp(__pyx_v_basename1,__pyx_v_basename2,__pyx_v_cur_len);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":362 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":362 */
   __pyx_1 = (__pyx_v_cmp_val != 0);
   if (__pyx_1) {
     __pyx_r = __pyx_v_cmp_val;
@@ -1261,7 +1261,7 @@
   }
   __pyx_L10:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":364 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":364 */
   __pyx_1 = (__pyx_v_basename1_len == __pyx_v_basename2_len);
   if (__pyx_1) {
     __pyx_r = 0;
@@ -1270,7 +1270,7 @@
   }
   __pyx_L11:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":366 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":366 */
   __pyx_1 = (__pyx_v_basename1_len < __pyx_v_basename2_len);
   if (__pyx_1) {
     __pyx_r = (-1);
@@ -1279,7 +1279,7 @@
   }
   __pyx_L12:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":368 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":368 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1311,7 +1311,7 @@
   Py_INCREF(__pyx_v_paths);
   Py_INCREF(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":398 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":398 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_paths));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 400; goto __pyx_L1;}
@@ -1338,7 +1338,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":401 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":401 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 403; goto __pyx_L1;}
@@ -1365,37 +1365,37 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":405 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":405 */
   __pyx_4 = PyObject_Length(__pyx_v_paths); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 405; goto __pyx_L1;}
   __pyx_v__hi = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":406 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":406 */
   __pyx_v__lo = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":408 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":408 */
   __pyx_v_path_cstr = PyString_AsString(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":409 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":409 */
   __pyx_v_path_size = PyString_Size(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":411 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":411 */
   while (1) {
     __pyx_1 = (__pyx_v__lo < __pyx_v__hi);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":412 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":412 */
     __pyx_v__mid = ((__pyx_v__lo + __pyx_v__hi) / 2);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":413 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":413 */
     __pyx_v_cur = PyList_GET_ITEM(__pyx_v_paths,__pyx_v__mid);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":414 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":414 */
     __pyx_v_cur_cstr = PyString_AS_STRING(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":415 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":415 */
     __pyx_v_cur_size = PyString_GET_SIZE(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":416 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":416 */
     __pyx_1 = (__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_path_by_dirblock_intern(__pyx_v_cur_cstr,__pyx_v_cur_size,__pyx_v_path_cstr,__pyx_v_path_size) < 0);
     if (__pyx_1) {
       __pyx_v__lo = (__pyx_v__mid + 1);
@@ -1407,7 +1407,7 @@
     __pyx_L6:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":421 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":421 */
   __pyx_2 = PyInt_FromLong(__pyx_v__lo); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 421; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1449,7 +1449,7 @@
   Py_INCREF(__pyx_v_paths);
   Py_INCREF(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":451 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":451 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_paths));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 453; goto __pyx_L1;}
@@ -1476,7 +1476,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":454 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":454 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_path));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 456; goto __pyx_L1;}
@@ -1503,37 +1503,37 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":458 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":458 */
   __pyx_4 = PyObject_Length(__pyx_v_paths); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 458; goto __pyx_L1;}
   __pyx_v__hi = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":459 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":459 */
   __pyx_v__lo = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":461 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":461 */
   __pyx_v_path_cstr = PyString_AsString(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":462 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":462 */
   __pyx_v_path_size = PyString_Size(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":464 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":464 */
   while (1) {
     __pyx_1 = (__pyx_v__lo < __pyx_v__hi);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":465 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":465 */
     __pyx_v__mid = ((__pyx_v__lo + __pyx_v__hi) / 2);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":466 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":466 */
     __pyx_v_cur = PyList_GET_ITEM(__pyx_v_paths,__pyx_v__mid);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":467 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":467 */
     __pyx_v_cur_cstr = PyString_AS_STRING(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":468 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":468 */
     __pyx_v_cur_size = PyString_GET_SIZE(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":469 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":469 */
     __pyx_1 = (__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_path_by_dirblock_intern(__pyx_v_path_cstr,__pyx_v_path_size,__pyx_v_cur_cstr,__pyx_v_cur_size) < 0);
     if (__pyx_1) {
       __pyx_v__hi = __pyx_v__mid;
@@ -1545,7 +1545,7 @@
     __pyx_L6:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":474 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":474 */
   __pyx_2 = PyInt_FromLong(__pyx_v__lo); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 474; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1596,7 +1596,7 @@
   Py_INCREF(__pyx_v_hi);
   Py_INCREF(__pyx_v_cache);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":496 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":496 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_dirblocks));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 498; goto __pyx_L1;}
@@ -1623,7 +1623,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":499 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":499 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_dirname));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 501; goto __pyx_L1;}
@@ -1650,7 +1650,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":502 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":502 */
   __pyx_1 = __pyx_v_hi == Py_None;
   if (__pyx_1) {
     __pyx_4 = PyObject_Length(__pyx_v_dirblocks); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 503; goto __pyx_L1;}
@@ -1663,34 +1663,34 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":507 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":507 */
   __pyx_1 = PyInt_AsLong(__pyx_v_lo); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 507; goto __pyx_L1;}
   __pyx_v__lo = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":508 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":508 */
   __pyx_v_dirname_cstr = PyString_AsString(__pyx_v_dirname);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":509 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":509 */
   __pyx_v_dirname_size = PyString_Size(__pyx_v_dirname);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":511 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":511 */
   while (1) {
     __pyx_1 = (__pyx_v__lo < __pyx_v__hi);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":512 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":512 */
     __pyx_v__mid = ((__pyx_v__lo + __pyx_v__hi) / 2);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":515 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":515 */
     __pyx_v_cur = PyTuple_GET_ITEM(PyList_GET_ITEM(__pyx_v_dirblocks,__pyx_v__mid),0);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":517 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":517 */
     __pyx_v_cur_cstr = PyString_AS_STRING(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":518 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":518 */
     __pyx_v_cur_size = PyString_GET_SIZE(__pyx_v_cur);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":519 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":519 */
     __pyx_1 = (__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_by_dirs(__pyx_v_cur_cstr,__pyx_v_cur_size,__pyx_v_dirname_cstr,__pyx_v_dirname_size) < 0);
     if (__pyx_1) {
       __pyx_v__lo = (__pyx_v__mid + 1);
@@ -1702,7 +1702,7 @@
     __pyx_L7:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":523 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":523 */
   __pyx_2 = PyInt_FromLong(__pyx_v__lo); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 523; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1735,26 +1735,26 @@
   Py_INCREF(__pyx_v_text);
   Py_INCREF(__pyx_v_state);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":539 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":539 */
   Py_INCREF(__pyx_v_state);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state = __pyx_v_state;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":540 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":540 */
   Py_INCREF(__pyx_v_text);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text = __pyx_v_text;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":541 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":541 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text_cstr = PyString_AsString(__pyx_v_text);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":542 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":542 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text_size = PyString_Size(__pyx_v_text);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":543 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":543 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->end_cstr = (((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text_cstr + ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":544 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":544 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->cur_cstr = ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->text_cstr;
 
   __pyx_r = 0;
@@ -1774,7 +1774,7 @@
   PyObject *__pyx_4 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":551 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":551 */
   __pyx_1 = (__pyx_v_self->cur_cstr == NULL);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 552; goto __pyx_L1;}
@@ -1801,20 +1801,20 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":556 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":556 */
   __pyx_v_next = __pyx_v_self->cur_cstr;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":557 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":557 */
   __pyx_v_self->cur_cstr = ((char *)memchr(__pyx_v_next,'\0',(__pyx_v_self->end_cstr - __pyx_v_next)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":558 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":558 */
   __pyx_1 = (__pyx_v_self->cur_cstr == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":559 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":559 */
     __pyx_v_extra_len = (__pyx_v_self->end_cstr - __pyx_v_next);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":560 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":560 */
     __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 560; goto __pyx_L1;}
     __pyx_3 = PyObject_GetAttr(__pyx_2, __pyx_n_DirstateCorrupt); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 560; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -1836,13 +1836,13 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":564 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":564 */
   (__pyx_v_size[0]) = (__pyx_v_self->cur_cstr - __pyx_v_next);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":565 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":565 */
   __pyx_v_self->cur_cstr = (__pyx_v_self->cur_cstr + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":566 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":566 */
   __pyx_r = __pyx_v_next;
   goto __pyx_L0;
 
@@ -1867,11 +1867,11 @@
   PyObject *__pyx_2 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":572 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":572 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 572; goto __pyx_L1;}
   __pyx_v_next = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":573 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":573 */
   __pyx_2 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx_safe_string_from_size(__pyx_v_next,__pyx_v_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 573; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1898,11 +1898,11 @@
   PyObject *__pyx_4 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":586 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":586 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 586; goto __pyx_L1;}
   __pyx_v_first = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":587 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":587 */
   __pyx_2 = ((__pyx_v_first[0]) != '\0');
   if (__pyx_2) {
     __pyx_2 = (__pyx_v_size == 0);
@@ -1926,7 +1926,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":590 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":590 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -1974,27 +1974,27 @@
   __pyx_v_trees = Py_None; Py_INCREF(Py_None);
   __pyx_v_ret = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":627 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":627 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_cur_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 627; goto __pyx_L1;}
   __pyx_v_dirname_cstr = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":635 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":635 */
   __pyx_2 = (__pyx_v_cur_size != PyString_GET_SIZE((__pyx_v_p_current_dirname[0])));
   if (!__pyx_2) {
     __pyx_2 = (strncmp(__pyx_v_dirname_cstr,PyString_AS_STRING((__pyx_v_p_current_dirname[0])),(__pyx_v_cur_size + 1)) != 0);
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":644 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":644 */
     __pyx_3 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx_safe_string_from_size(__pyx_v_dirname_cstr,__pyx_v_cur_size); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 644; goto __pyx_L1;}
     Py_DECREF(__pyx_v_dirname);
     __pyx_v_dirname = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":645 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":645 */
     (__pyx_v_p_current_dirname[0]) = ((void *)__pyx_v_dirname);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":646 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":646 */
     (__pyx_v_new_block[0]) = 1;
     goto __pyx_L2;
   }
@@ -2003,7 +2003,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":653 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":653 */
   __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next_str(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 654; goto __pyx_L1;}
   __pyx_4 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next_str(__pyx_v_self); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 655; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(3); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 653; goto __pyx_L1;}
@@ -2017,48 +2017,48 @@
   __pyx_v_path_name_file_id_key = __pyx_5;
   __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":671 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":671 */
   __pyx_3 = PyList_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 671; goto __pyx_L1;}
   Py_DECREF(__pyx_v_trees);
   __pyx_v_trees = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":672 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":672 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_num_trees; ++__pyx_v_i) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":673 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":673 */
     __pyx_4 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next_str(__pyx_v_self); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 673; goto __pyx_L1;}
     Py_DECREF(__pyx_v_minikind);
     __pyx_v_minikind = __pyx_4;
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":674 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":674 */
     __pyx_5 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next_str(__pyx_v_self); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 674; goto __pyx_L1;}
     Py_DECREF(__pyx_v_fingerprint);
     __pyx_v_fingerprint = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":675 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":675 */
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_cur_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 675; goto __pyx_L1;}
     __pyx_v_entry_size_cstr = __pyx_1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":676 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":676 */
     __pyx_v_entry_size = strtoul(__pyx_v_entry_size_cstr,NULL,10);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":677 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":677 */
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_cur_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 677; goto __pyx_L1;}
     __pyx_v_executable_cstr = __pyx_1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":678 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":678 */
     __pyx_v_is_executable = ((__pyx_v_executable_cstr[0]) == 'y');
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":679 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":679 */
     __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next_str(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 679; goto __pyx_L1;}
     Py_DECREF(__pyx_v_info);
     __pyx_v_info = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":680 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":680 */
     __pyx_4 = PyLong_FromUnsignedLong(__pyx_v_entry_size); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 683; goto __pyx_L1;}
     __pyx_5 = PyInt_FromLong(__pyx_v_is_executable); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 684; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(5); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 681; goto __pyx_L1;}
@@ -2076,7 +2076,7 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":689 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":689 */
   __pyx_4 = PyTuple_New(2); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 689; goto __pyx_L1;}
   Py_INCREF(__pyx_v_path_name_file_id_key);
   PyTuple_SET_ITEM(__pyx_4, 0, __pyx_v_path_name_file_id_key);
@@ -2086,11 +2086,11 @@
   __pyx_v_ret = __pyx_4;
   __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":693 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":693 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self->__pyx_vtab)->get_next(__pyx_v_self,(&__pyx_v_cur_size)); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 693; goto __pyx_L1;}
   __pyx_v_trailing = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":694 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":694 */
   __pyx_2 = (__pyx_v_cur_size != 1);
   if (!__pyx_2) {
     __pyx_2 = ((__pyx_v_trailing[0]) != '\n');
@@ -2125,7 +2125,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":699 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":699 */
   Py_INCREF(__pyx_v_ret);
   __pyx_r = __pyx_v_ret;
   goto __pyx_L0;
@@ -2177,7 +2177,7 @@
   __pyx_v_dirblocks = Py_None; Py_INCREF(Py_None);
   __pyx_v_obj = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":711 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":711 */
   __pyx_1 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state, __pyx_n__num_present_parents); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 711; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 711; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2189,22 +2189,22 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   __pyx_v_num_trees = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":712 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":712 */
   __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state, __pyx_n__num_entries); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 712; goto __pyx_L1;}
   __pyx_4 = PyInt_AsLong(__pyx_2); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 712; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   __pyx_v_expected_entry_count = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":715 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":715 */
   __pyx_4 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->__pyx_vtab)->_init(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 715; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":717 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":717 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 717; goto __pyx_L1;}
   Py_DECREF(__pyx_v_current_block);
   __pyx_v_current_block = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":718 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":718 */
   __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 718; goto __pyx_L1;}
   Py_INCREF(__pyx_k5p);
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_k5p);
@@ -2225,45 +2225,45 @@
   __pyx_v_dirblocks = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":719 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":719 */
   if (PyObject_SetAttr(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state, __pyx_n__dirblocks, __pyx_v_dirblocks) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 719; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":720 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":720 */
   Py_INCREF(__pyx_k5p);
   Py_DECREF(__pyx_v_obj);
   __pyx_v_obj = __pyx_k5p;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":721 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":721 */
   __pyx_v_current_dirname = ((void *)__pyx_v_obj);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":722 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":722 */
   __pyx_v_new_block = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":723 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":723 */
   __pyx_v_entry_count = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":732 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":732 */
   while (1) {
     __pyx_4 = (((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->cur_cstr < ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->end_cstr);
     if (!__pyx_4) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":733 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":733 */
     __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_Reader *)((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->__pyx_vtab)->_get_entry(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self),__pyx_v_num_trees,(&__pyx_v_current_dirname),(&__pyx_v_new_block)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 733; goto __pyx_L1;}
     Py_DECREF(__pyx_v_entry);
     __pyx_v_entry = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":734 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":734 */
     __pyx_4 = __pyx_v_new_block;
     if (__pyx_4) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":736 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":736 */
       __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 736; goto __pyx_L1;}
       Py_DECREF(__pyx_v_current_block);
       __pyx_v_current_block = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":737 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":737 */
       __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 738; goto __pyx_L1;}
       Py_INCREF(((PyObject *)__pyx_v_current_dirname));
       PyTuple_SET_ITEM(__pyx_2, 0, ((PyObject *)__pyx_v_current_dirname));
@@ -2275,14 +2275,14 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":739 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":739 */
     __pyx_4 = PyList_Append(__pyx_v_current_block,__pyx_v_entry); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 739; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":740 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":740 */
     __pyx_v_entry_count = (__pyx_v_entry_count + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":741 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":741 */
   __pyx_4 = (__pyx_v_entry_count != __pyx_v_expected_entry_count);
   if (__pyx_4) {
     __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 742; goto __pyx_L1;}
@@ -2312,7 +2312,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":746 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":746 */
   __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_Reader *)__pyx_v_self)->state, __pyx_k21p); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 746; goto __pyx_L1;}
   __pyx_1 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 746; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -2352,7 +2352,7 @@
   __pyx_v_text = Py_None; Py_INCREF(Py_None);
   __pyx_v_reader = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":761 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":761 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_state, __pyx_n__state_file); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 761; goto __pyx_L1;}
   __pyx_2 = PyObject_GetAttr(__pyx_1, __pyx_n_seek); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 761; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2365,7 +2365,7 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":762 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":762 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_state, __pyx_n__state_file); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 762; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_2, __pyx_n_read); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 762; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -2375,7 +2375,7 @@
   __pyx_v_text = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":765 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":765 */
   __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 765; goto __pyx_L1;}
   Py_INCREF(__pyx_v_text);
   PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_text);
@@ -2387,13 +2387,13 @@
   __pyx_v_reader = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":767 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":767 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_reader, __pyx_n__parse_dirblocks); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 767; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 767; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":768 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":768 */
   __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_DirState); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 768; goto __pyx_L1;}
   __pyx_1 = PyObject_GetAttr(__pyx_3, __pyx_n_IN_MEMORY_UNMODIFIED); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 768; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -2419,7 +2419,7 @@
   int __pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":773 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":773 */
   __pyx_1 = S_ISREG(__pyx_v_mode);
   if (__pyx_1) {
     __pyx_r = 'f';
@@ -2428,7 +2428,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":775 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":775 */
   __pyx_1 = S_ISDIR(__pyx_v_mode);
   if (__pyx_1) {
     __pyx_r = 'd';
@@ -2437,7 +2437,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":777 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":777 */
   __pyx_1 = S_ISLNK(__pyx_v_mode);
   if (__pyx_1) {
     __pyx_r = 'l';
@@ -2446,7 +2446,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":779 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":779 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -2467,16 +2467,16 @@
   Py_INCREF(__pyx_v_stat_value);
   __pyx_v_packed = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":794 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":794 */
   __pyx_v_aliased = ((int *)__pyx_v_result);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":795 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":795 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_size); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 795; goto __pyx_L1;}
   __pyx_2 = PyInt_AsUnsignedLongMask(__pyx_1); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 795; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   (__pyx_v_aliased[0]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":796 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":796 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mtime); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 796; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 796; goto __pyx_L1;}
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_1);
@@ -2487,7 +2487,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   (__pyx_v_aliased[1]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":797 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":797 */
   __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_ctime); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 797; goto __pyx_L1;}
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 797; goto __pyx_L1;}
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_3);
@@ -2498,13 +2498,13 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   (__pyx_v_aliased[2]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":798 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":798 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_dev); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 798; goto __pyx_L1;}
   __pyx_2 = PyInt_AsUnsignedLongMask(__pyx_1); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 798; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   (__pyx_v_aliased[3]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":799 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":799 */
   __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_ino); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 799; goto __pyx_L1;}
   __pyx_1 = PyInt_FromLong(0xFFFFFFFF); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 799; goto __pyx_L1;}
   __pyx_4 = PyNumber_And(__pyx_3, __pyx_1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 799; goto __pyx_L1;}
@@ -2514,19 +2514,19 @@
   Py_DECREF(__pyx_4); __pyx_4 = 0;
   (__pyx_v_aliased[4]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":800 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":800 */
   __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mode); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 800; goto __pyx_L1;}
   __pyx_2 = PyInt_AsUnsignedLongMask(__pyx_3); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 800; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   (__pyx_v_aliased[5]) = htonl(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":801 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":801 */
   __pyx_1 = PyString_FromStringAndSize(__pyx_v_result,(6 * 4)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 801; goto __pyx_L1;}
   Py_DECREF(__pyx_v_packed);
   __pyx_v_packed = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":802 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":802 */
   __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n__encode); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 802; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 802; goto __pyx_L1;}
   Py_INCREF(__pyx_v_packed);
@@ -2627,13 +2627,13 @@
   __pyx_v_dir_present = Py_None; Py_INCREF(Py_None);
   __pyx_v_file_present = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":840 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":840 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mode); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 840; goto __pyx_L1;}
   __pyx_2 = PyInt_AsLong(__pyx_1); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 840; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   __pyx_v_minikind = __pyx_f_6bzrlib_21_dirstate_helpers_pyx_minikind_from_mode(__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":841 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":841 */
   __pyx_2 = (0 == __pyx_v_minikind);
   if (__pyx_2) {
     Py_INCREF(Py_None);
@@ -2643,19 +2643,19 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":843 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":843 */
   __pyx_1 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__pack_stat(__pyx_v_stat_value); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 843; goto __pyx_L1;}
   Py_DECREF(__pyx_v_packed_stat);
   __pyx_v_packed_stat = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":844 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":844 */
   __pyx_v_details = PyList_GET_ITEM(PyTuple_GET_ITEM(((void *)__pyx_v_entry),1),0);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":845 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":845 */
   __pyx_v_saved_minikind = (PyString_AsString(((PyObject *)PyTuple_GET_ITEM(__pyx_v_details,0)))[0]);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":846 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":846 */
   __pyx_2 = (__pyx_v_minikind == 'd');
   if (__pyx_2) {
     __pyx_2 = (__pyx_v_saved_minikind == 't');
@@ -2666,43 +2666,43 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":848 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":848 */
   __pyx_1 = PyTuple_GET_ITEM(__pyx_v_details,1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 848; goto __pyx_L1;}
   Py_DECREF(__pyx_v_saved_link_or_sha1);
   __pyx_v_saved_link_or_sha1 = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":849 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":849 */
   __pyx_1 = PyTuple_GET_ITEM(__pyx_v_details,2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 849; goto __pyx_L1;}
   Py_DECREF(__pyx_v_saved_file_size);
   __pyx_v_saved_file_size = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":850 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":850 */
   __pyx_1 = PyTuple_GET_ITEM(__pyx_v_details,3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 850; goto __pyx_L1;}
   Py_DECREF(__pyx_v_saved_executable);
   __pyx_v_saved_executable = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":851 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":851 */
   __pyx_1 = PyTuple_GET_ITEM(__pyx_v_details,4); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 851; goto __pyx_L1;}
   Py_DECREF(__pyx_v_saved_packed_stat);
   __pyx_v_saved_packed_stat = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":853 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":853 */
   Py_INCREF(__pyx_v_saved_link_or_sha1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":854 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":854 */
   Py_INCREF(__pyx_v_saved_file_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":855 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":855 */
   Py_INCREF(__pyx_v_saved_executable);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":856 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":856 */
   Py_INCREF(__pyx_v_saved_packed_stat);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":860 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":860 */
   __pyx_2 = (__pyx_v_minikind == __pyx_v_saved_minikind);
   if (__pyx_2) {
     if (PyObject_Cmp(__pyx_v_packed_stat, __pyx_v_saved_packed_stat, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 861; goto __pyx_L1;}
@@ -2710,7 +2710,7 @@
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":864 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":864 */
     __pyx_2 = (__pyx_v_minikind == 'd');
     if (__pyx_2) {
       Py_INCREF(Py_None);
@@ -2720,7 +2720,7 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":868 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":868 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_size); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 868; goto __pyx_L1;}
     if (PyObject_Cmp(__pyx_v_saved_file_size, __pyx_1, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 868; goto __pyx_L1;}
     __pyx_2 = __pyx_2 == 0;
@@ -2736,16 +2736,16 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":873 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":873 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_link_or_sha1);
   __pyx_v_link_or_sha1 = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":874 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":874 */
   __pyx_2 = (__pyx_v_minikind == 'f');
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":875 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":875 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__is_executable); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 875; goto __pyx_L1;}
     __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mode); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 875; goto __pyx_L1;}
     __pyx_4 = PyTuple_New(2); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 875; goto __pyx_L1;}
@@ -2760,7 +2760,7 @@
     __pyx_v_executable = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":877 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":877 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__cutoff_time); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 877; goto __pyx_L1;}
     __pyx_2 = __pyx_1 == Py_None;
     Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2773,7 +2773,7 @@
     }
     __pyx_L8:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":879 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":879 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mtime); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 879; goto __pyx_L1;}
     __pyx_4 = PyObject_GetAttr(__pyx_v_self, __pyx_n__cutoff_time); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 879; goto __pyx_L1;}
     if (PyObject_Cmp(__pyx_1, __pyx_4, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 879; goto __pyx_L1;}
@@ -2806,7 +2806,7 @@
     }
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":886 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":886 */
       __pyx_3 = PyObject_GetAttr(__pyx_v_self, __pyx_n__sha1_file); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 886; goto __pyx_L1;}
       __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 886; goto __pyx_L1;}
       Py_INCREF(__pyx_v_abspath);
@@ -2818,7 +2818,7 @@
       __pyx_v_link_or_sha1 = __pyx_4;
       __pyx_4 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":887 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":887 */
       __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_size); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 887; goto __pyx_L1;}
       __pyx_1 = PyTuple_New(5); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 887; goto __pyx_L1;}
       Py_INCREF(__pyx_n_f);
@@ -2864,12 +2864,12 @@
   __pyx_2 = (__pyx_v_minikind == 'd');
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":893 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":893 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_link_or_sha1);
     __pyx_v_link_or_sha1 = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":894 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":894 */
     __pyx_4 = PyInt_FromLong(0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 894; goto __pyx_L1;}
     __pyx_1 = PyTuple_New(5); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 894; goto __pyx_L1;}
     Py_INCREF(__pyx_n_d);
@@ -2887,11 +2887,11 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":895 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":895 */
     __pyx_2 = (__pyx_v_saved_minikind != 'd');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":900 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":900 */
       __pyx_4 = PyObject_GetAttr(__pyx_v_self, __pyx_n__get_block_entry_index); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 900; goto __pyx_L1;}
       __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 900; goto __pyx_L1;}
       __pyx_3 = __Pyx_GetItemInt(__pyx_1, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 900; goto __pyx_L1;}
@@ -2931,7 +2931,7 @@
       if (__Pyx_EndUnpack(__pyx_6) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 899; goto __pyx_L1;}
       Py_DECREF(__pyx_6); __pyx_6 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":901 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":901 */
       __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__ensure_block); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 901; goto __pyx_L1;}
       __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n_pathjoin); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 902; goto __pyx_L1;}
       __pyx_7 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 902; goto __pyx_L1;}
@@ -2967,7 +2967,7 @@
   __pyx_2 = (__pyx_v_minikind == 'l');
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":904 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":904 */
     __pyx_6 = PyObject_GetAttr(__pyx_v_self, __pyx_n__read_link); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 904; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 904; goto __pyx_L1;}
     Py_INCREF(__pyx_v_abspath);
@@ -2981,7 +2981,7 @@
     __pyx_v_link_or_sha1 = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":905 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":905 */
     __pyx_7 = PyObject_GetAttr(__pyx_v_self, __pyx_n__cutoff_time); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 905; goto __pyx_L1;}
     __pyx_2 = __pyx_7 == Py_None;
     Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -2994,7 +2994,7 @@
     }
     __pyx_L11:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":907 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":907 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_stat_value, __pyx_n_st_mtime); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 907; goto __pyx_L1;}
     __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__cutoff_time); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 907; goto __pyx_L1;}
     if (PyObject_Cmp(__pyx_3, __pyx_1, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 907; goto __pyx_L1;}
@@ -3054,14 +3054,14 @@
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":914 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":914 */
   __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n_DirState); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 914; goto __pyx_L1;}
   __pyx_7 = PyObject_GetAttr(__pyx_4, __pyx_n_IN_MEMORY_MODIFIED); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 914; goto __pyx_L1;}
   Py_DECREF(__pyx_4); __pyx_4 = 0;
   if (PyObject_SetAttr(__pyx_v_self, __pyx_n__dirblock_state, __pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 914; goto __pyx_L1;}
   Py_DECREF(__pyx_7); __pyx_7 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":915 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":915 */
   Py_INCREF(__pyx_v_link_or_sha1);
   __pyx_r = __pyx_v_link_or_sha1;
   goto __pyx_L0;
@@ -3114,7 +3114,7 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":941 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":941 */
   __pyx_1 = (__pyx_v_minikind == 'f');
   if (__pyx_1) {
     Py_INCREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_file);
@@ -3159,10 +3159,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":953 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":953 */
   (__pyx_v__minikind[0]) = __pyx_v_minikind;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":954 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":954 */
   __pyx_2 = PyString_FromStringAndSize(__pyx_v__minikind,1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 954; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 954; goto __pyx_L1;}
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_2);
@@ -3232,22 +3232,22 @@
   Py_INCREF(__pyx_v_want_unversioned);
   Py_INCREF(__pyx_v_tree);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1012 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1012 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->doing_consistency_expansion = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1013 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1013 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1013; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->old_dirname_to_file_id);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->old_dirname_to_file_id = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1014 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1014 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1014; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->new_dirname_to_file_id);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->new_dirname_to_file_id = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1016 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1016 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_set); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1016; goto __pyx_L1;}
   __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1016; goto __pyx_L1;}
   Py_INCREF(__pyx_k5p);
@@ -3270,7 +3270,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->partial = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1019 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1019 */
   __pyx_1 = PyList_New(2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1019; goto __pyx_L1;}
   Py_INCREF(Py_None);
   PyList_SET_ITEM(__pyx_1, 0, Py_None);
@@ -3280,7 +3280,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->last_source_parent = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1020 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1020 */
   __pyx_3 = PyList_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1020; goto __pyx_L1;}
   Py_INCREF(Py_None);
   PyList_SET_ITEM(__pyx_3, 0, Py_None);
@@ -3290,7 +3290,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->last_target_parent = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1021 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1021 */
   __pyx_4 = __pyx_v_include_unchanged == Py_None;
   if (__pyx_4) {
     __pyx_4 = PyInt_AsLong(Py_False); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1022; goto __pyx_L1;}
@@ -3309,12 +3309,12 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1025 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1025 */
   Py_INCREF(__pyx_v_use_filesystem_for_exec);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->use_filesystem_for_exec);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->use_filesystem_for_exec = __pyx_v_use_filesystem_for_exec;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1026 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1026 */
   __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_cache_utf8); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1026; goto __pyx_L1;}
   __pyx_2 = PyObject_GetAttr(__pyx_3, __pyx_n__utf8_decode); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1026; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3322,7 +3322,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->utf8_decode = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1031 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1031 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_set); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1031; goto __pyx_L1;}
   __pyx_3 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1031; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3330,7 +3330,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->searched_specific_files = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1034 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1034 */
   __pyx_2 = __Pyx_GetName(__pyx_b, __pyx_n_set); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1034; goto __pyx_L1;}
   __pyx_1 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1034; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -3338,12 +3338,12 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->searched_exact_paths = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1035 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1035 */
   Py_INCREF(__pyx_v_search_specific_files);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->search_specific_files);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->search_specific_files = __pyx_v_search_specific_files;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1038 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1038 */
   __pyx_3 = __Pyx_GetName(__pyx_b, __pyx_n_set); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1038; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_3, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1038; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3351,7 +3351,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->search_specific_file_parents = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1040 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1040 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_set); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1040; goto __pyx_L1;}
   __pyx_3 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1040; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3359,38 +3359,38 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->seen_ids = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1041 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1041 */
   Py_INCREF(__pyx_v_state);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->state);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->state = __pyx_v_state;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1042 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1042 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_root);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_root = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1043 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1043 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_root_unicode);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_root_unicode = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1044 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1044 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_entries);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_entries = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1045 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1045 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_entries_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1046 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1046 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_entries_len = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1047 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1047 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_abspath);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_abspath = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1048 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1048 */
   __pyx_4 = __pyx_v_source_index == Py_None;
   if (__pyx_4) {
     ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->source_index = (-1);
@@ -3402,65 +3402,65 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1052 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1052 */
   __pyx_4 = PyInt_AsLong(__pyx_v_target_index); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1052; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->target_index = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1053 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1053 */
   __pyx_4 = PyInt_AsLong(__pyx_v_want_unversioned); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1053; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->want_unversioned = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1054 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1054 */
   Py_INCREF(__pyx_v_tree);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->tree);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->tree = __pyx_v_tree;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1055 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1055 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->dir_iterator);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->dir_iterator = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1056 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1056 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->block_index = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1057 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1057 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_block);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_block = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1058 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1058 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_block_list);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_block_list = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1059 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1059 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_block_pos = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1060 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1060 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_dir_info);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_dir_info = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1061 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1061 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_dir_list);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->current_dir_list = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1062 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1062 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1062; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->_pending_consistent_entries);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->_pending_consistent_entries = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1063 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1063 */
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->path_index = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1064 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1064 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_dir_info);
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->root_dir_info = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1065 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1065 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_bisect); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1065; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n_bisect_left); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1065; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3468,7 +3468,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->bisect_left = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1066 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1066 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1066; goto __pyx_L1;}
   __pyx_1 = PyObject_GetAttr(__pyx_2, __pyx_n_pathjoin); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1066; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -3476,7 +3476,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->pathjoin = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1067 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1067 */
   __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_os); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1067; goto __pyx_L1;}
   __pyx_2 = PyObject_GetAttr(__pyx_3, __pyx_n_fstat); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1067; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3484,7 +3484,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->fstat = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1068 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1068 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1068; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n_sha_file); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1068; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3492,7 +3492,7 @@
   ((struct __pyx_obj_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self)->sha_file = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1069 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1069 */
   __pyx_2 = PyInt_FromLong(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1069; goto __pyx_L1;}
   if (PyObject_Cmp(__pyx_v_target_index, __pyx_2, &__pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1069; goto __pyx_L1;}
   __pyx_4 = __pyx_4 != 0;
@@ -3606,18 +3606,18 @@
   __pyx_v_parent_entry = Py_None; Py_INCREF(Py_None);
   __pyx_v_parent_id = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1095 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1095 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_file_id);
   __pyx_v_file_id = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1096 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1096 */
   __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1096; goto __pyx_L1;}
   Py_DECREF(__pyx_v_details_list);
   __pyx_v_details_list = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1097 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1097 */
   __pyx_2 = ((-1) == __pyx_v_self->source_index);
   if (__pyx_2) {
     __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_DirState); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1098; goto __pyx_L1;}
@@ -3636,26 +3636,26 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1101 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1101 */
   __pyx_3 = __Pyx_GetItemInt(__pyx_v_details_list, __pyx_v_self->target_index); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1101; goto __pyx_L1;}
   Py_DECREF(__pyx_v_target_details);
   __pyx_v_target_details = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1102 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1102 */
   __pyx_1 = __Pyx_GetItemInt(__pyx_v_target_details, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1102; goto __pyx_L1;}
   __pyx_4 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__minikind_from_string(__pyx_1); if (__pyx_4 == (-1) && PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1102; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   __pyx_v_target_minikind = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1103 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1103 */
   __pyx_2 = __pyx_v_path_info != Py_None;
   if (__pyx_2) {
     __pyx_2 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__versioned_minikind(__pyx_v_target_minikind);
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1104 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1104 */
     __pyx_2 = (__pyx_v_self->target_index != 0);
     if (__pyx_2) {
       __pyx_3 = PyInt_FromLong(__pyx_v_self->target_index); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1106; goto __pyx_L1;}
@@ -3673,7 +3673,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1107 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1107 */
     __pyx_3 = __Pyx_GetItemInt(__pyx_v_path_info, 4); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1107; goto __pyx_L1;}
     __pyx_1 = __Pyx_GetItemInt(__pyx_v_path_info, 3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1107; goto __pyx_L1;}
     __pyx_5 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__update_entry(__pyx_v_self->state,__pyx_v_entry,__pyx_3,__pyx_1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1107; goto __pyx_L1;}
@@ -3683,13 +3683,13 @@
     __pyx_v_link_or_sha1 = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1109 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1109 */
     __pyx_3 = __Pyx_GetItemInt(__pyx_v_details_list, __pyx_v_self->target_index); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1109; goto __pyx_L1;}
     Py_DECREF(__pyx_v_target_details);
     __pyx_v_target_details = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1110 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1110 */
     __pyx_1 = __Pyx_GetItemInt(__pyx_v_target_details, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1110; goto __pyx_L1;}
     __pyx_4 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__minikind_from_string(__pyx_1); if (__pyx_4 == (-1) && PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1110; goto __pyx_L1;}
     Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3703,13 +3703,13 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1115 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1115 */
   __pyx_5 = __Pyx_GetItemInt(__pyx_v_source_details, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1115; goto __pyx_L1;}
   __pyx_4 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__minikind_from_string(__pyx_5); if (__pyx_4 == (-1) && PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1115; goto __pyx_L1;}
   Py_DECREF(__pyx_5); __pyx_5 = 0;
   __pyx_v_source_minikind = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1116 */
   __pyx_2 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__versioned_minikind(__pyx_v_source_minikind);
   if (!__pyx_2) {
     __pyx_2 = (__pyx_v_source_minikind == 'r');
@@ -3719,11 +3719,11 @@
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1123 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1123 */
     __pyx_2 = (__pyx_v_source_minikind != 'r');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1124 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1124 */
       __pyx_3 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1124; goto __pyx_L1;}
       __pyx_1 = __Pyx_GetItemInt(__pyx_3, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1124; goto __pyx_L1;}
       Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3731,7 +3731,7 @@
       __pyx_v_old_dirname = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1125 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1125 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1125; goto __pyx_L1;}
       __pyx_3 = __Pyx_GetItemInt(__pyx_5, 1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1125; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -3739,7 +3739,7 @@
       __pyx_v_old_basename = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1126 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1126 */
       Py_INCREF(Py_None);
       Py_DECREF(__pyx_v_old_path);
       __pyx_v_old_path = Py_None;
@@ -3750,7 +3750,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1130 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1130 */
       __pyx_2 = (!__pyx_v_self->doing_consistency_expansion);
       if (__pyx_2) {
         __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1131; goto __pyx_L1;}
@@ -3783,13 +3783,13 @@
       }
       __pyx_L7:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1138 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1138 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_source_details, 1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1138; goto __pyx_L1;}
       Py_DECREF(__pyx_v_old_path);
       __pyx_v_old_path = __pyx_5;
       __pyx_5 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1139 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1139 */
       __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_os); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1139; goto __pyx_L1;}
       __pyx_1 = PyObject_GetAttr(__pyx_3, __pyx_n_path); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1139; goto __pyx_L1;}
       Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3814,7 +3814,7 @@
       if (__Pyx_EndUnpack(__pyx_5) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1139; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1140 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1140 */
       __pyx_3 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1140; goto __pyx_L1;}
       __pyx_1 = __Pyx_GetItemInt(__pyx_3, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1140; goto __pyx_L1;}
       Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -3832,7 +3832,7 @@
       __pyx_v_path = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1141 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1141 */
       __pyx_3 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__get_entry); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1141; goto __pyx_L1;}
       __pyx_5 = PyInt_FromLong(__pyx_v_self->source_index); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1141; goto __pyx_L1;}
       __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1141; goto __pyx_L1;}
@@ -3848,7 +3848,7 @@
       __pyx_v_old_entry = __pyx_7;
       __pyx_7 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1145 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1145 */
       __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1145; goto __pyx_L1;}
       Py_INCREF(Py_None);
       PyTuple_SET_ITEM(__pyx_3, 0, Py_None);
@@ -3894,7 +3894,7 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1150 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1150 */
       __pyx_7 = __Pyx_GetItemInt(__pyx_v_old_entry, 1); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1150; goto __pyx_L1;}
       __pyx_1 = __Pyx_GetItemInt(__pyx_7, __pyx_v_self->source_index); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1150; goto __pyx_L1;}
       Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -3902,7 +3902,7 @@
       __pyx_v_source_details = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1151 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1151 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_source_details, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1151; goto __pyx_L1;}
       __pyx_4 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__minikind_from_string(__pyx_5); if (__pyx_4 == (-1) && PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1151; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -3910,19 +3910,19 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1152 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1152 */
     __pyx_2 = __pyx_v_path_info == Py_None;
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1154 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1154 */
       __pyx_v_content_change = 1;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1155 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1155 */
       Py_INCREF(Py_None);
       Py_DECREF(__pyx_v_target_kind);
       __pyx_v_target_kind = Py_None;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1156 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1156 */
       Py_INCREF(Py_False);
       Py_DECREF(__pyx_v_target_exec);
       __pyx_v_target_exec = Py_False;
@@ -3930,18 +3930,18 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1159 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1159 */
       __pyx_8 = __Pyx_GetItemInt(__pyx_v_path_info, 2); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1159; goto __pyx_L1;}
       Py_DECREF(__pyx_v_target_kind);
       __pyx_v_target_kind = __pyx_8;
       __pyx_8 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1160 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1160 */
       if (PyObject_Cmp(__pyx_v_target_kind, __pyx_n_directory, &__pyx_6) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1160; goto __pyx_L1;}
       __pyx_6 = __pyx_6 == 0;
       if (__pyx_6) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1161 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1161 */
         __pyx_2 = __pyx_v_path == Py_None;
         if (__pyx_2) {
           __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1162; goto __pyx_L1;}
@@ -3962,7 +3962,7 @@
         }
         __pyx_L11:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1163 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1163 */
         __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1163; goto __pyx_L1;}
         __pyx_5 = __Pyx_GetItemInt(__pyx_1, 2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1163; goto __pyx_L1;}
         Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3970,10 +3970,10 @@
         __pyx_v_file_id = __pyx_5;
         __pyx_5 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1164 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1164 */
         if (PyObject_SetItem(__pyx_v_self->new_dirname_to_file_id, __pyx_v_path, __pyx_v_file_id) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1164; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1165 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1165 */
         __pyx_6 = (__pyx_v_source_minikind != 'd');
         if (__pyx_6) {
           __pyx_v_content_change = 1;
@@ -3984,7 +3984,7 @@
         }
         __pyx_L12:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1170 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1170 */
         Py_INCREF(Py_False);
         Py_DECREF(__pyx_v_target_exec);
         __pyx_v_target_exec = Py_False;
@@ -3994,7 +3994,7 @@
       __pyx_2 = __pyx_2 == 0;
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1172 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1172 */
         __pyx_6 = (__pyx_v_source_minikind != 'f');
         if (__pyx_6) {
           __pyx_v_content_change = 1;
@@ -4002,11 +4002,11 @@
         }
         /*else*/ {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1178 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1178 */
           __pyx_2 = __pyx_v_link_or_sha1 == Py_None;
           if (__pyx_2) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1181 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1181 */
             __pyx_8 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__sha1_provider); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1181; goto __pyx_L1;}
             __pyx_3 = PyObject_GetAttr(__pyx_8, __pyx_n_stat_and_sha1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1181; goto __pyx_L1;}
             Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -4030,7 +4030,7 @@
             if (__Pyx_EndUnpack(__pyx_8) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1180; goto __pyx_L1;}
             Py_DECREF(__pyx_8); __pyx_8 = 0;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1183 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1183 */
             __pyx_1 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__observed_sha1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1183; goto __pyx_L1;}
             __pyx_5 = PyTuple_New(3); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1183; goto __pyx_L1;}
             Py_INCREF(__pyx_v_entry);
@@ -4047,7 +4047,7 @@
           }
           __pyx_L14:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1185 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1185 */
           __pyx_3 = __Pyx_GetItemInt(__pyx_v_source_details, 1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1185; goto __pyx_L1;}
           if (PyObject_Cmp(__pyx_v_link_or_sha1, __pyx_3, &__pyx_6) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1185; goto __pyx_L1;}
           __pyx_6 = __pyx_6 != 0;
@@ -4056,7 +4056,7 @@
         }
         __pyx_L13:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1187 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1187 */
         __pyx_2 = PyObject_IsTrue(__pyx_v_self->use_filesystem_for_exec); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1187; goto __pyx_L1;}
         if (__pyx_2) {
           __pyx_8 = PyInt_FromLong(S_IXUSR); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1190; goto __pyx_L1;}
@@ -4087,7 +4087,7 @@
       __pyx_2 = __pyx_2 == 0;
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1194 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1194 */
         __pyx_6 = (__pyx_v_source_minikind != 'l');
         if (__pyx_6) {
           __pyx_v_content_change = 1;
@@ -4102,7 +4102,7 @@
         }
         __pyx_L16:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1198 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1198 */
         Py_INCREF(Py_False);
         Py_DECREF(__pyx_v_target_exec);
         __pyx_v_target_exec = Py_False;
@@ -4112,7 +4112,7 @@
       __pyx_6 = __pyx_6 == 0;
       if (__pyx_6) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1200 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1200 */
         __pyx_2 = (__pyx_v_source_minikind != 't');
         if (__pyx_2) {
           __pyx_v_content_change = 1;
@@ -4123,7 +4123,7 @@
         }
         __pyx_L17:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1204 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1204 */
         Py_INCREF(Py_False);
         Py_DECREF(__pyx_v_target_exec);
         __pyx_v_target_exec = Py_False;
@@ -4131,7 +4131,7 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1206 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1206 */
         __pyx_6 = __pyx_v_path == Py_None;
         if (__pyx_6) {
           __pyx_5 = PyTuple_New(2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1207; goto __pyx_L1;}
@@ -4148,7 +4148,7 @@
         }
         __pyx_L18:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1208 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1208 */
         __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1208; goto __pyx_L1;}
         __pyx_1 = PyObject_GetAttr(__pyx_3, __pyx_n_BadFileKindError); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1208; goto __pyx_L1;}
         Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -4169,11 +4169,11 @@
     }
     __pyx_L9:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1209 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1209 */
     __pyx_2 = (__pyx_v_source_minikind == 'd');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1210 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1210 */
       __pyx_6 = __pyx_v_path == Py_None;
       if (__pyx_6) {
         __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1211; goto __pyx_L1;}
@@ -4194,7 +4194,7 @@
       }
       __pyx_L20:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1212 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1212 */
       __pyx_2 = __pyx_v_file_id == Py_None;
       if (__pyx_2) {
         __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1213; goto __pyx_L1;}
@@ -4207,13 +4207,13 @@
       }
       __pyx_L21:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1214 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1214 */
       if (PyObject_SetItem(__pyx_v_self->old_dirname_to_file_id, __pyx_v_old_path, __pyx_v_file_id) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1214; goto __pyx_L1;}
       goto __pyx_L19;
     }
     __pyx_L19:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1216 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1216 */
     __pyx_7 = __pyx_v_old_basename;
     Py_INCREF(__pyx_7);
     __pyx_6 = PyObject_IsTrue(__pyx_7); if (__pyx_6 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1216; goto __pyx_L1;}
@@ -4236,7 +4236,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1220 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1220 */
       /*try:*/ {
         __pyx_1 = PyObject_GetItem(__pyx_v_self->old_dirname_to_file_id, __pyx_v_old_dirname); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1221; goto __pyx_L23;}
         Py_DECREF(__pyx_v_source_parent_id);
@@ -4251,13 +4251,13 @@
       Py_XDECREF(__pyx_8); __pyx_8 = 0;
       Py_XDECREF(__pyx_1); __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1222 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1222 */
       __pyx_2 = PyErr_ExceptionMatches(PyExc_KeyError);
       if (__pyx_2) {
         __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._process_entry");
         if (__Pyx_GetException(&__pyx_5, &__pyx_3, &__pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1222; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1223 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1223 */
         __pyx_8 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__get_entry); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1223; goto __pyx_L1;}
         __pyx_1 = PyInt_FromLong(__pyx_v_self->source_index); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1223; goto __pyx_L1;}
         __pyx_9 = PyTuple_New(1); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1223; goto __pyx_L1;}
@@ -4273,7 +4273,7 @@
         __pyx_v_source_parent_entry = __pyx_10;
         __pyx_10 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1225 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1225 */
         __pyx_8 = __Pyx_GetItemInt(__pyx_v_source_parent_entry, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1225; goto __pyx_L1;}
         __pyx_9 = __Pyx_GetItemInt(__pyx_8, 2); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1225; goto __pyx_L1;}
         Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -4288,7 +4288,7 @@
       goto __pyx_L1;
       __pyx_L24:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1226 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1226 */
       __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1226; goto __pyx_L1;}
       __pyx_10 = __Pyx_GetItemInt(__pyx_1, 2); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1226; goto __pyx_L1;}
       Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -4303,17 +4303,17 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1230 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1230 */
         if (__Pyx_SetItemInt(__pyx_v_self->last_source_parent, 0, __pyx_v_old_dirname) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1230; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1231 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1231 */
         if (__Pyx_SetItemInt(__pyx_v_self->last_source_parent, 1, __pyx_v_source_parent_id) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1231; goto __pyx_L1;}
       }
       __pyx_L25:;
     }
     __pyx_L22:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1232 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1232 */
     __pyx_8 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1232; goto __pyx_L1;}
     __pyx_9 = __Pyx_GetItemInt(__pyx_8, 0); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1232; goto __pyx_L1;}
     Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -4321,7 +4321,7 @@
     __pyx_v_new_dirname = __pyx_9;
     __pyx_9 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1233 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1233 */
     __pyx_3 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1233; goto __pyx_L1;}
     __pyx_5 = __Pyx_GetItemInt(__pyx_3, 1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1233; goto __pyx_L1;}
     Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -4345,7 +4345,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1237 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1237 */
       /*try:*/ {
         __pyx_10 = PyObject_GetItem(__pyx_v_self->new_dirname_to_file_id, __pyx_v_new_dirname); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1238; goto __pyx_L27;}
         Py_DECREF(__pyx_v_target_parent_id);
@@ -4362,13 +4362,13 @@
       Py_XDECREF(__pyx_1); __pyx_1 = 0;
       Py_XDECREF(__pyx_10); __pyx_10 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1239 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1239 */
       __pyx_6 = PyErr_ExceptionMatches(PyExc_KeyError);
       if (__pyx_6) {
         __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._process_entry");
         if (__Pyx_GetException(&__pyx_8, &__pyx_9, &__pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1239; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1242 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1242 */
         __pyx_7 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__get_entry); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1242; goto __pyx_L1;}
         __pyx_5 = PyInt_FromLong(__pyx_v_self->target_index); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1242; goto __pyx_L1;}
         __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1242; goto __pyx_L1;}
@@ -4384,7 +4384,7 @@
         __pyx_v_target_parent_entry = __pyx_5;
         __pyx_5 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1244 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1244 */
         __pyx_7 = PyTuple_New(2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1244; goto __pyx_L1;}
         Py_INCREF(Py_None);
         PyTuple_SET_ITEM(__pyx_7, 0, Py_None);
@@ -4413,7 +4413,7 @@
         }
         __pyx_L29:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1248 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1248 */
         __pyx_1 = __Pyx_GetItemInt(__pyx_v_target_parent_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1248; goto __pyx_L1;}
         __pyx_10 = __Pyx_GetItemInt(__pyx_1, 2); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1248; goto __pyx_L1;}
         Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -4428,7 +4428,7 @@
       goto __pyx_L1;
       __pyx_L28:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1249 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1249 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1249; goto __pyx_L1;}
       __pyx_7 = __Pyx_GetItemInt(__pyx_5, 2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1249; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -4443,23 +4443,23 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1253 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1253 */
         if (__Pyx_SetItemInt(__pyx_v_self->last_target_parent, 0, __pyx_v_new_dirname) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1253; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1254 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1254 */
         if (__Pyx_SetItemInt(__pyx_v_self->last_target_parent, 1, __pyx_v_target_parent_id) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1254; goto __pyx_L1;}
       }
       __pyx_L30:;
     }
     __pyx_L26:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1256 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1256 */
     __pyx_1 = __Pyx_GetItemInt(__pyx_v_source_details, 3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1256; goto __pyx_L1;}
     Py_DECREF(__pyx_v_source_exec);
     __pyx_v_source_exec = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1258 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1258 */
     __pyx_2 = __pyx_v_content_change;
     if (!__pyx_2) {
       if (PyObject_Cmp(__pyx_v_source_parent_id, __pyx_v_target_parent_id, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1258; goto __pyx_L1;}
@@ -4482,7 +4482,7 @@
     __pyx_v_changed = __pyx_9;
     __pyx_9 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1262 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1262 */
     __pyx_2 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1262; goto __pyx_L1;}
     __pyx_6 = (!__pyx_2);
     if (__pyx_6) {
@@ -4501,11 +4501,11 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1265 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1265 */
       __pyx_2 = __pyx_v_old_path == Py_None;
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1266 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1266 */
         __pyx_5 = PyTuple_New(2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1266; goto __pyx_L1;}
         Py_INCREF(__pyx_v_old_dirname);
         PyTuple_SET_ITEM(__pyx_5, 0, __pyx_v_old_dirname);
@@ -4517,12 +4517,12 @@
         __pyx_v_path = __pyx_7;
         __pyx_7 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1267 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1267 */
         Py_INCREF(__pyx_v_path);
         Py_DECREF(__pyx_v_old_path);
         __pyx_v_old_path = __pyx_v_path;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1268 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1268 */
         __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1268; goto __pyx_L1;}
         Py_INCREF(__pyx_v_old_path);
         PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_old_path);
@@ -4534,7 +4534,7 @@
         __pyx_v_old_path_u = __pyx_8;
         __pyx_8 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1269 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1269 */
         Py_INCREF(__pyx_v_old_path_u);
         Py_DECREF(__pyx_v_path_u);
         __pyx_v_path_u = __pyx_v_old_path_u;
@@ -4542,7 +4542,7 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1271 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1271 */
         __pyx_9 = PyTuple_New(1); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1271; goto __pyx_L1;}
         Py_INCREF(__pyx_v_old_path);
         PyTuple_SET_ITEM(__pyx_9, 0, __pyx_v_old_path);
@@ -4554,7 +4554,7 @@
         __pyx_v_old_path_u = __pyx_5;
         __pyx_5 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1272 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1272 */
         if (PyObject_Cmp(__pyx_v_old_path, __pyx_v_path, &__pyx_6) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1272; goto __pyx_L1;}
         __pyx_6 = __pyx_6 == 0;
         if (__pyx_6) {
@@ -4579,13 +4579,13 @@
       }
       __pyx_L32:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1276 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1276 */
       __pyx_8 = __pyx_f_6bzrlib_21_dirstate_helpers_pyx__minikind_to_kind(__pyx_v_source_minikind); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1276; goto __pyx_L1;}
       Py_DECREF(__pyx_v_source_kind);
       __pyx_v_source_kind = __pyx_8;
       __pyx_8 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1277 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1277 */
       __pyx_9 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1277; goto __pyx_L1;}
       __pyx_3 = __Pyx_GetItemInt(__pyx_9, 2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1277; goto __pyx_L1;}
       Py_DECREF(__pyx_9); __pyx_9 = 0;
@@ -4672,7 +4672,7 @@
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1287 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1287 */
     __pyx_5 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1287; goto __pyx_L1;}
     __pyx_7 = __Pyx_GetItemInt(__pyx_5, 0); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1287; goto __pyx_L1;}
     Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -4690,7 +4690,7 @@
     __pyx_v_path = __pyx_8;
     __pyx_8 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1290 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1290 */
     __pyx_9 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__get_entry); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1290; goto __pyx_L1;}
     __pyx_12 = PyInt_FromLong(__pyx_v_self->target_index); if (!__pyx_12) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1290; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1290; goto __pyx_L1;}
@@ -4710,7 +4710,7 @@
     __pyx_v_parent_entry = __pyx_10;
     __pyx_10 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1292 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1292 */
     __pyx_6 = __pyx_v_parent_entry == Py_None;
     if (__pyx_6) {
       __pyx_11 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1293; goto __pyx_L1;}
@@ -4740,7 +4740,7 @@
     }
     __pyx_L34:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1297 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1297 */
     __pyx_10 = __Pyx_GetItemInt(__pyx_v_parent_entry, 0); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1297; goto __pyx_L1;}
     __pyx_11 = __Pyx_GetItemInt(__pyx_10, 2); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1297; goto __pyx_L1;}
     Py_DECREF(__pyx_10); __pyx_10 = 0;
@@ -4748,7 +4748,7 @@
     __pyx_v_parent_id = __pyx_11;
     __pyx_11 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1298 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1298 */
     __pyx_12 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_12) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1298; goto __pyx_L1;}
     __pyx_1 = __Pyx_GetItemInt(__pyx_12, 2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1298; goto __pyx_L1;}
     Py_DECREF(__pyx_12); __pyx_12 = 0;
@@ -4763,11 +4763,11 @@
     }
     __pyx_L35:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1300 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1300 */
     __pyx_6 = __pyx_v_path_info != Py_None;
     if (__pyx_6) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1302 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1302 */
       __pyx_2 = PyObject_IsTrue(__pyx_v_self->use_filesystem_for_exec); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1302; goto __pyx_L1;}
       if (__pyx_2) {
         __pyx_9 = __Pyx_GetItemInt(__pyx_v_path_info, 3); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1306; goto __pyx_L1;}
@@ -4803,7 +4803,7 @@
       }
       __pyx_L37:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1310 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1310 */
       __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1310; goto __pyx_L1;}
       __pyx_9 = __Pyx_GetItemInt(__pyx_1, 2); if (!__pyx_9) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1310; goto __pyx_L1;}
       Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -4968,7 +4968,7 @@
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1333 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1333 */
     __pyx_10 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1333; goto __pyx_L1;}
     __pyx_8 = __Pyx_GetItemInt(__pyx_10, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1333; goto __pyx_L1;}
     Py_DECREF(__pyx_10); __pyx_10 = 0;
@@ -4986,7 +4986,7 @@
     __pyx_v_old_path = __pyx_9;
     __pyx_9 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1335 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1335 */
     __pyx_7 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__get_entry); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1335; goto __pyx_L1;}
     __pyx_11 = PyInt_FromLong(__pyx_v_self->source_index); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1335; goto __pyx_L1;}
     __pyx_12 = PyTuple_New(1); if (!__pyx_12) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1335; goto __pyx_L1;}
@@ -5010,7 +5010,7 @@
     __pyx_v_parent_id = __pyx_9;
     __pyx_9 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1336 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1336 */
     __pyx_11 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1336; goto __pyx_L1;}
     __pyx_5 = __Pyx_GetItemInt(__pyx_11, 2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1336; goto __pyx_L1;}
     Py_DECREF(__pyx_11); __pyx_11 = 0;
@@ -5025,7 +5025,7 @@
     }
     __pyx_L38:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1338 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1338 */
     __pyx_8 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1338; goto __pyx_L1;}
     __pyx_7 = __Pyx_GetItemInt(__pyx_8, 2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1338; goto __pyx_L1;}
     Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -5177,7 +5177,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1369 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1369 */
   __pyx_12 = PyTuple_New(2); if (!__pyx_12) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1369; goto __pyx_L1;}
   Py_INCREF(Py_None);
   PyTuple_SET_ITEM(__pyx_12, 0, Py_None);
@@ -5277,7 +5277,7 @@
   Py_INCREF(__pyx_v_result);
   __pyx_v_new_path = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1384 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1384 */
   __pyx_1 = (!__pyx_v_self->partial);
   if (!__pyx_1) {
     __pyx_2 = __Pyx_GetItemInt(__pyx_v_result, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1384; goto __pyx_L1;}
@@ -5292,7 +5292,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1386 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1386 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_self->seen_ids, __pyx_n_add); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1386; goto __pyx_L1;}
   __pyx_4 = __Pyx_GetItemInt(__pyx_v_result, 0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1386; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1386; goto __pyx_L1;}
@@ -5303,7 +5303,7 @@
   Py_DECREF(__pyx_5); __pyx_5 = 0;
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1387 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1387 */
   __pyx_2 = __Pyx_GetItemInt(__pyx_v_result, 1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1387; goto __pyx_L1;}
   __pyx_5 = __Pyx_GetItemInt(__pyx_2, 1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1387; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -5311,11 +5311,11 @@
   __pyx_v_new_path = __pyx_5;
   __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1388 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1388 */
   __pyx_3 = PyObject_IsTrue(__pyx_v_new_path); if (__pyx_3 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1388; goto __pyx_L1;}
   if (__pyx_3) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1390 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1390 */
     __pyx_4 = PyObject_GetAttr(__pyx_v_self->search_specific_file_parents, __pyx_n_update); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1390; goto __pyx_L1;}
     __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1391; goto __pyx_L1;}
     __pyx_5 = PyObject_GetAttr(__pyx_2, __pyx_n_parent_directories); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1391; goto __pyx_L1;}
@@ -5341,7 +5341,7 @@
     Py_DECREF(__pyx_7); __pyx_7 = 0;
     Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1394 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1394 */
     __pyx_2 = PyObject_GetAttr(__pyx_v_self->search_specific_file_parents, __pyx_n_add); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1394; goto __pyx_L1;}
     __pyx_6 = PyTuple_New(1); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1394; goto __pyx_L1;}
     Py_INCREF(__pyx_k5p);
@@ -5354,7 +5354,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1395 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1395 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -5385,7 +5385,7 @@
   PyObject *__pyx_6 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1398 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1398 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__dirblocks); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1398; goto __pyx_L1;}
   __pyx_3 = PyObject_Length(__pyx_2); if (__pyx_3 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1398; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -5414,7 +5414,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   if (__pyx_4) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1400 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1400 */
     __pyx_2 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__dirblocks); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1400; goto __pyx_L1;}
     __pyx_5 = __Pyx_GetItemInt(__pyx_2, __pyx_v_self->block_index); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1400; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -5422,31 +5422,31 @@
     __pyx_v_self->current_block = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1401 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1401 */
     __pyx_6 = __Pyx_GetItemInt(__pyx_v_self->current_block, 1); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1401; goto __pyx_L1;}
     Py_DECREF(__pyx_v_self->current_block_list);
     __pyx_v_self->current_block_list = __pyx_6;
     __pyx_6 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1402 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1402 */
     __pyx_v_self->current_block_pos = 0;
     goto __pyx_L2;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1404 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1404 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_self->current_block);
     __pyx_v_self->current_block = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1405 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1405 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_self->current_block_list);
     __pyx_v_self->current_block_list = Py_None;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1406 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1406 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -5535,26 +5535,26 @@
   __pyx_v_current_path_info = Py_None; Py_INCREF(Py_None);
   __pyx_v_current_entry = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1464 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1464 */
   Py_INCREF(__pyx_v_self->searched_specific_files);
   Py_DECREF(__pyx_v_searched_specific_files);
   __pyx_v_searched_specific_files = __pyx_v_self->searched_specific_files;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1466 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1466 */
   while (1) {
     __pyx_1 = (__pyx_v_self->root_entries_pos < __pyx_v_self->root_entries_len);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1467 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1467 */
     __pyx_2 = __Pyx_GetItemInt(__pyx_v_self->root_entries, __pyx_v_self->root_entries_pos); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1467; goto __pyx_L1;}
     Py_DECREF(__pyx_v_entry);
     __pyx_v_entry = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1468 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1468 */
     __pyx_v_self->root_entries_pos = (__pyx_v_self->root_entries_pos + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1469 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1469 */
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_entry,__pyx_v_self->root_dir_info); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1469; goto __pyx_L1;}
     __pyx_3 = PyObject_GetIter(__pyx_2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1469; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -5569,11 +5569,11 @@
     if (__Pyx_EndUnpack(__pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1469; goto __pyx_L1;}
     Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1470 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1470 */
     __pyx_1 = __pyx_v_changed != Py_None;
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1471 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1471 */
       __pyx_1 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1471; goto __pyx_L1;}
       if (__pyx_1) {
         __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_gather_result_for_consistency(__pyx_v_self,__pyx_v_result); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1472; goto __pyx_L1;}
@@ -5581,7 +5581,7 @@
       }
       __pyx_L5:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1473 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1473 */
       __pyx_2 = __pyx_v_changed;
       Py_INCREF(__pyx_2);
       __pyx_1 = PyObject_IsTrue(__pyx_2); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1473; goto __pyx_L1;}
@@ -5603,11 +5603,11 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1476 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1476 */
   __pyx_1 = __pyx_v_self->current_root == Py_None;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1479 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1479 */
     /*try:*/ {
       __pyx_3 = PyObject_GetAttr(__pyx_v_self->search_specific_files, __pyx_n_pop); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1480; goto __pyx_L8;}
       __pyx_2 = PyObject_CallObject(__pyx_3, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1480; goto __pyx_L8;}
@@ -5621,7 +5621,7 @@
     Py_XDECREF(__pyx_3); __pyx_3 = 0;
     Py_XDECREF(__pyx_2); __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1481 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1481 */
     __pyx_1 = PyErr_ExceptionMatches(PyExc_KeyError);
     if (__pyx_1) {
       __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._iter_next");
@@ -5638,7 +5638,7 @@
     goto __pyx_L1;
     __pyx_L9:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1483 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1483 */
     __pyx_5 = PyObject_GetAttr(__pyx_v_self->searched_specific_files, __pyx_n_add); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1483; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1483; goto __pyx_L1;}
     Py_INCREF(__pyx_v_self->current_root);
@@ -5648,7 +5648,7 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1486 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1486 */
     __pyx_4 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__entries_for_path); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1486; goto __pyx_L1;}
     __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1486; goto __pyx_L1;}
     Py_INCREF(__pyx_v_self->current_root);
@@ -5660,11 +5660,11 @@
     __pyx_v_self->root_entries = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1487 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1487 */
     __pyx_6 = PyObject_Length(__pyx_v_self->root_entries); if (__pyx_6 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1487; goto __pyx_L1;}
     __pyx_v_self->root_entries_len = __pyx_6;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1488 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1488 */
     __pyx_2 = PyObject_GetAttr(__pyx_v_self->current_root, __pyx_n_decode); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1488; goto __pyx_L1;}
     __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1488; goto __pyx_L1;}
     Py_INCREF(__pyx_n_utf8);
@@ -5676,7 +5676,7 @@
     __pyx_v_self->current_root_unicode = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1489 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1489 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_self->tree, __pyx_n_abspath); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1489; goto __pyx_L1;}
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1489; goto __pyx_L1;}
     Py_INCREF(__pyx_v_self->current_root_unicode);
@@ -5688,7 +5688,7 @@
     __pyx_v_self->root_abspath = __pyx_4;
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1490 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1490 */
     /*try:*/ {
       __pyx_5 = __Pyx_GetName(__pyx_m, __pyx_n_os); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1491; goto __pyx_L10;}
       __pyx_3 = PyObject_GetAttr(__pyx_5, __pyx_n_lstat); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1491; goto __pyx_L10;}
@@ -5705,7 +5705,7 @@
     }
     /*else:*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1500 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1500 */
       __pyx_7 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1501; goto __pyx_L1;}
       __pyx_4 = PyObject_GetAttr(__pyx_7, __pyx_n_file_kind_from_stat_mode); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1501; goto __pyx_L1;}
       Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -5731,7 +5731,7 @@
       __pyx_v_self->root_dir_info = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1503 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1503 */
       __pyx_7 = __Pyx_GetItemInt(__pyx_v_self->root_dir_info, 2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1503; goto __pyx_L1;}
       if (PyObject_Cmp(__pyx_7, __pyx_n_directory, &__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1503; goto __pyx_L1;}
       __pyx_1 = __pyx_1 == 0;
@@ -5775,7 +5775,7 @@
     Py_XDECREF(__pyx_2); __pyx_2 = 0;
     Py_XDECREF(__pyx_4); __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1492 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1492 */
     __pyx_1 = PyErr_ExceptionMatches(PyExc_OSError);
     if (__pyx_1) {
       __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._iter_next");
@@ -5810,7 +5810,7 @@
     goto __pyx_L1;
     __pyx_L11:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1508 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1508 */
     __pyx_9 = PyObject_IsTrue(__pyx_v_self->root_entries); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1508; goto __pyx_L1;}
     __pyx_1 = (!__pyx_9);
     if (__pyx_1) {
@@ -5826,27 +5826,27 @@
     }
     __pyx_L15:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1513 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1513 */
     __pyx_v_path_handled = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1514 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1514 */
     __pyx_v_self->root_entries_pos = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1519 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1519 */
     while (1) {
       __pyx_9 = (__pyx_v_self->root_entries_pos < __pyx_v_self->root_entries_len);
       if (!__pyx_9) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1520 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1520 */
       __pyx_3 = __Pyx_GetItemInt(__pyx_v_self->root_entries, __pyx_v_self->root_entries_pos); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1520; goto __pyx_L1;}
       Py_DECREF(__pyx_v_entry);
       __pyx_v_entry = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1521 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1521 */
       __pyx_v_self->root_entries_pos = (__pyx_v_self->root_entries_pos + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1522 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1522 */
       __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_entry,__pyx_v_self->root_dir_info); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1522; goto __pyx_L1;}
       __pyx_7 = PyObject_GetIter(__pyx_2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1522; goto __pyx_L1;}
       Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -5861,14 +5861,14 @@
       if (__Pyx_EndUnpack(__pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1522; goto __pyx_L1;}
       Py_DECREF(__pyx_7); __pyx_7 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1523 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1523 */
       __pyx_1 = __pyx_v_changed != Py_None;
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1524 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1524 */
         __pyx_v_path_handled = (-1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1525 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1525 */
         __pyx_9 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1525; goto __pyx_L1;}
         if (__pyx_9) {
           __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_gather_result_for_consistency(__pyx_v_self,__pyx_v_result); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1526; goto __pyx_L1;}
@@ -5876,7 +5876,7 @@
         }
         __pyx_L19:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1527 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1527 */
         __pyx_5 = __pyx_v_changed;
         Py_INCREF(__pyx_5);
         __pyx_9 = PyObject_IsTrue(__pyx_5); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1527; goto __pyx_L1;}
@@ -5898,7 +5898,7 @@
       __pyx_L18:;
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1530 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1530 */
     __pyx_3 = PyInt_FromLong(__pyx_v_self->want_unversioned); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1530; goto __pyx_L1;}
     __pyx_9 = PyObject_IsTrue(__pyx_3); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1530; goto __pyx_L1;}
     if (__pyx_9) {
@@ -5915,7 +5915,7 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     if (__pyx_9) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1531 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1531 */
       __pyx_8 = __Pyx_GetName(__pyx_m, __pyx_n_stat); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1532; goto __pyx_L1;}
       __pyx_4 = PyObject_GetAttr(__pyx_8, __pyx_n_S_ISREG); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1532; goto __pyx_L1;}
       Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -5948,7 +5948,7 @@
       __pyx_v_new_executable = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1534 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1534 */
       __pyx_8 = PyTuple_New(2); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1535; goto __pyx_L1;}
       Py_INCREF(Py_None);
       PyTuple_SET_ITEM(__pyx_8, 0, Py_None);
@@ -6016,7 +6016,7 @@
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1545 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1545 */
   __pyx_1 = __pyx_v_self->current_dir_info == Py_None;
   if (__pyx_1) {
     __pyx_1 = __pyx_v_self->current_block == Py_None;
@@ -6026,12 +6026,12 @@
   }
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1548 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1548 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_self->current_dir_list);
     __pyx_v_self->current_dir_list = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1549 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1549 */
     __pyx_8 = __pyx_v_self->root_dir_info;
     Py_INCREF(__pyx_8);
     __pyx_9 = PyObject_IsTrue(__pyx_8); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1549; goto __pyx_L1;}
@@ -6053,7 +6053,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1552 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1552 */
       __pyx_7 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1552; goto __pyx_L1;}
       __pyx_2 = PyObject_GetAttr(__pyx_7, __pyx_n__walkdirs_utf8); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1552; goto __pyx_L1;}
       Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -6070,13 +6070,13 @@
       __pyx_v_self->dir_iterator = __pyx_10;
       __pyx_10 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1554 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1554 */
       __pyx_v_self->path_index = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1555 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1555 */
       /*try:*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1556 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1556 */
         __pyx_5 = PyObject_GetAttr(__pyx_v_self->dir_iterator, __pyx_n_next); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1556; goto __pyx_L24;}
         __pyx_8 = PyObject_CallObject(__pyx_5, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1556; goto __pyx_L24;}
         Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -6084,7 +6084,7 @@
         __pyx_v_self->current_dir_info = __pyx_8;
         __pyx_8 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1557 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1557 */
         __pyx_7 = __Pyx_GetItemInt(__pyx_v_self->current_dir_info, 1); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1557; goto __pyx_L24;}
         Py_DECREF(__pyx_v_self->current_dir_list);
         __pyx_v_self->current_dir_list = __pyx_7;
@@ -6099,7 +6099,7 @@
         Py_DECREF(__pyx_11); __pyx_11 = 0;
         if (__pyx_9) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1583 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1583 */
           __pyx_10 = PyTuple_New(1); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1583; goto __pyx_L1;}
           Py_INCREF(__pyx_k106p);
           PyTuple_SET_ITEM(__pyx_10, 0, __pyx_k106p);
@@ -6114,7 +6114,7 @@
           __pyx_v_bzr_index = __pyx_8;
           __pyx_8 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1584 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1584 */
           __pyx_2 = PyObject_GetItem(__pyx_v_self->current_dir_list, __pyx_v_bzr_index); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1584; goto __pyx_L1;}
           __pyx_4 = __Pyx_GetItemInt(__pyx_2, 0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1584; goto __pyx_L1;}
           Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -6130,7 +6130,7 @@
           }
           __pyx_L27:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1586 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1586 */
           if (PyObject_DelItem(__pyx_v_self->current_dir_list, __pyx_v_bzr_index) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1586; goto __pyx_L1;}
           goto __pyx_L26;
         }
@@ -6146,7 +6146,7 @@
       Py_XDECREF(__pyx_8); __pyx_8 = 0;
       Py_XDECREF(__pyx_7); __pyx_7 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1558 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1558 */
       __pyx_1 = PyErr_ExceptionMatches(PyExc_OSError);
       if (__pyx_1) {
         __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._iter_next");
@@ -6188,7 +6188,7 @@
         Py_DECREF(__pyx_5); __pyx_5 = 0;
         if (__pyx_1) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1568 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1568 */
           /*try:*/ {
             __pyx_11 = PyObject_GetAttr(__pyx_v_e, __pyx_n_winerror); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1569; goto __pyx_L29;}
             Py_DECREF(__pyx_v_e_winerror);
@@ -6203,7 +6203,7 @@
           Py_XDECREF(__pyx_5); __pyx_5 = 0;
           Py_XDECREF(__pyx_11); __pyx_11 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1570 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1570 */
           __pyx_10 = __Pyx_GetName(__pyx_b, __pyx_n_AttributeError); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1570; goto __pyx_L1;}
           __pyx_9 = PyErr_ExceptionMatches(__pyx_10);
           Py_DECREF(__pyx_10); __pyx_10 = 0;
@@ -6221,7 +6221,7 @@
           goto __pyx_L1;
           __pyx_L30:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1572 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1572 */
           __pyx_11 = PyInt_FromLong(__pyx_v_6bzrlib_21_dirstate_helpers_pyx_ERROR_DIRECTORY); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1572; goto __pyx_L1;}
           __pyx_10 = PyInt_FromLong(__pyx_v_6bzrlib_21_dirstate_helpers_pyx_ERROR_PATH_NOT_FOUND); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1572; goto __pyx_L1;}
           __pyx_7 = PyTuple_New(2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1572; goto __pyx_L1;}
@@ -6233,7 +6233,7 @@
           __pyx_v_win_errors = __pyx_7;
           __pyx_7 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1573 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1573 */
           __pyx_8 = PyObject_GetAttr(__pyx_v_e, __pyx_n_errno); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1573; goto __pyx_L1;}
           __pyx_1 = PySequence_Contains(__pyx_v_win_errors, __pyx_8); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1573; goto __pyx_L1;}
           Py_DECREF(__pyx_8); __pyx_8 = 0;
@@ -6268,7 +6268,7 @@
     }
     __pyx_L23:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1587 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1587 */
     __pyx_5 = PyTuple_New(3); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1587; goto __pyx_L1;}
     Py_INCREF(__pyx_v_self->current_root);
     PyTuple_SET_ITEM(__pyx_5, 0, __pyx_v_self->current_root);
@@ -6280,7 +6280,7 @@
     __pyx_v_initial_key = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1588 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1588 */
     __pyx_11 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__find_block_index_from_key); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1588; goto __pyx_L1;}
     __pyx_10 = PyTuple_New(1); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1588; goto __pyx_L1;}
     Py_INCREF(__pyx_v_initial_key);
@@ -6301,7 +6301,7 @@
     if (__Pyx_EndUnpack(__pyx_8) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1588; goto __pyx_L1;}
     Py_DECREF(__pyx_8); __pyx_8 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1589 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1589 */
     __pyx_1 = (__pyx_v_self->block_index == 0);
     if (__pyx_1) {
       __pyx_v_self->block_index = (__pyx_v_self->block_index + 1);
@@ -6309,13 +6309,13 @@
     }
     __pyx_L32:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1593 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1593 */
     __pyx_9 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_update_current_block(__pyx_v_self); if (__pyx_9 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1593; goto __pyx_L1;}
     goto __pyx_L22;
   }
   __pyx_L22:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1596 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1596 */
   while (1) {
     __pyx_1 = __pyx_v_self->current_dir_info != Py_None;
     if (!__pyx_1) {
@@ -6323,7 +6323,7 @@
     }
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1599 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1599 */
     __pyx_3 = __pyx_v_self->current_dir_info;
     Py_INCREF(__pyx_3);
     __pyx_9 = PyObject_IsTrue(__pyx_3); if (__pyx_9 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1599; goto __pyx_L1;}
@@ -6349,7 +6349,7 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1603 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1603 */
       __pyx_7 = __Pyx_GetItemInt(__pyx_v_self->current_dir_info, 0); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1603; goto __pyx_L1;}
       __pyx_2 = __Pyx_GetItemInt(__pyx_7, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1603; goto __pyx_L1;}
       Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -6357,35 +6357,35 @@
       __pyx_v_current_dirname = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1604 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1604 */
       __pyx_v_current_dirname_c = PyString_AS_STRING(((void *)__pyx_v_current_dirname));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1606 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1606 */
       __pyx_4 = __Pyx_GetItemInt(__pyx_v_self->current_block, 0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1606; goto __pyx_L1;}
       Py_DECREF(__pyx_v_current_blockname);
       __pyx_v_current_blockname = __pyx_4;
       __pyx_4 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1607 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1607 */
       __pyx_v_current_blockname_c = PyString_AS_STRING(((void *)__pyx_v_current_blockname));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1613 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1613 */
       __pyx_9 = (__pyx_f_6bzrlib_21_dirstate_helpers_pyx__cmp_by_dirs(__pyx_v_current_dirname_c,PyString_Size(__pyx_v_current_dirname),__pyx_v_current_blockname_c,PyString_Size(__pyx_v_current_blockname)) < 0);
       if (__pyx_9) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1627 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1627 */
         while (1) {
           __pyx_6 = PyObject_Length(__pyx_v_self->current_dir_list); if (__pyx_6 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1627; goto __pyx_L1;}
           __pyx_1 = (__pyx_v_self->path_index < __pyx_6);
           if (!__pyx_1) break;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1628 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1628 */
           __pyx_8 = __Pyx_GetItemInt(__pyx_v_self->current_dir_list, __pyx_v_self->path_index); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1628; goto __pyx_L1;}
           Py_DECREF(__pyx_v_current_path_info);
           __pyx_v_current_path_info = __pyx_8;
           __pyx_8 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1631 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1631 */
           __pyx_5 = __Pyx_GetItemInt(__pyx_v_current_path_info, 2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1631; goto __pyx_L1;}
           __pyx_11 = PyTuple_New(2); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1631; goto __pyx_L1;}
           Py_INCREF(__pyx_n_directory);
@@ -6397,23 +6397,23 @@
           Py_DECREF(__pyx_11); __pyx_11 = 0;
           if (__pyx_9) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1633 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1633 */
             if (PySequence_DelItem(__pyx_v_self->current_dir_list, __pyx_v_self->path_index) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1633; goto __pyx_L1;}
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1634 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1634 */
             __pyx_v_self->path_index = (__pyx_v_self->path_index - 1);
             goto __pyx_L39;
           }
           __pyx_L39:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1635 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1635 */
           __pyx_v_self->path_index = (__pyx_v_self->path_index + 1);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1636 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1636 */
           __pyx_1 = __pyx_v_self->want_unversioned;
           if (__pyx_1) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1637 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1637 */
             __pyx_10 = __Pyx_GetItemInt(__pyx_v_current_path_info, 2); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1637; goto __pyx_L1;}
             if (PyObject_Cmp(__pyx_10, __pyx_n_directory, &__pyx_9) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1637; goto __pyx_L1;}
             __pyx_9 = __pyx_9 == 0;
@@ -6458,7 +6458,7 @@
             }
             __pyx_L41:;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1642 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1642 */
             __pyx_5 = __Pyx_GetName(__pyx_m, __pyx_n_stat); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1643; goto __pyx_L1;}
             __pyx_11 = PyObject_GetAttr(__pyx_5, __pyx_n_S_ISREG); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1643; goto __pyx_L1;}
             Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -6491,7 +6491,7 @@
             __pyx_v_new_executable = __pyx_7;
             __pyx_7 = 0;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1645 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1645 */
             __pyx_11 = __Pyx_GetItemInt(__pyx_v_current_path_info, 0); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1646; goto __pyx_L1;}
             __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1646; goto __pyx_L1;}
             PyTuple_SET_ITEM(__pyx_2, 0, __pyx_11);
@@ -6564,18 +6564,18 @@
           __pyx_L40:;
         }
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1654 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1654 */
         __pyx_v_self->path_index = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1655 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1655 */
         Py_INCREF(Py_None);
         Py_DECREF(__pyx_v_self->current_dir_list);
         __pyx_v_self->current_dir_list = Py_None;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1656 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1656 */
         /*try:*/ {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1657 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1657 */
           __pyx_7 = PyObject_GetAttr(__pyx_v_self->dir_iterator, __pyx_n_next); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1657; goto __pyx_L43;}
           __pyx_8 = PyObject_CallObject(__pyx_7, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1657; goto __pyx_L43;}
           Py_DECREF(__pyx_7); __pyx_7 = 0;
@@ -6583,7 +6583,7 @@
           __pyx_v_self->current_dir_info = __pyx_8;
           __pyx_8 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1658 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1658 */
           __pyx_10 = __Pyx_GetItemInt(__pyx_v_self->current_dir_info, 1); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1658; goto __pyx_L43;}
           Py_DECREF(__pyx_v_self->current_dir_list);
           __pyx_v_self->current_dir_list = __pyx_10;
@@ -6600,7 +6600,7 @@
         Py_XDECREF(__pyx_8); __pyx_8 = 0;
         Py_XDECREF(__pyx_10); __pyx_10 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1659 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1659 */
         __pyx_9 = PyErr_ExceptionMatches(PyExc_StopIteration);
         if (__pyx_9) {
           __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._iter_next");
@@ -6619,22 +6619,22 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1669 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1669 */
         while (1) {
           __pyx_6 = PyObject_Length(__pyx_v_self->current_block_list); if (__pyx_6 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1669; goto __pyx_L1;}
           __pyx_1 = (__pyx_v_self->current_block_pos < __pyx_6);
           if (!__pyx_1) break;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1670 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1670 */
           __pyx_2 = __Pyx_GetItemInt(__pyx_v_self->current_block_list, __pyx_v_self->current_block_pos); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1670; goto __pyx_L1;}
           Py_DECREF(__pyx_v_current_entry);
           __pyx_v_current_entry = __pyx_2;
           __pyx_2 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1671 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1671 */
           __pyx_v_self->current_block_pos = (__pyx_v_self->current_block_pos + 1);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1674 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1674 */
           __pyx_4 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_current_entry,Py_None); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1674; goto __pyx_L1;}
           __pyx_7 = PyObject_GetIter(__pyx_4); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1674; goto __pyx_L1;}
           Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -6649,11 +6649,11 @@
           if (__Pyx_EndUnpack(__pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1674; goto __pyx_L1;}
           Py_DECREF(__pyx_7); __pyx_7 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1675 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1675 */
           __pyx_9 = __pyx_v_changed != Py_None;
           if (__pyx_9) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1676 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1676 */
             __pyx_1 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1676; goto __pyx_L1;}
             if (__pyx_1) {
               __pyx_9 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_gather_result_for_consistency(__pyx_v_self,__pyx_v_result); if (__pyx_9 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1677; goto __pyx_L1;}
@@ -6661,7 +6661,7 @@
             }
             __pyx_L48:;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1678 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1678 */
             __pyx_3 = __pyx_v_changed;
             Py_INCREF(__pyx_3);
             __pyx_1 = PyObject_IsTrue(__pyx_3); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1678; goto __pyx_L1;}
@@ -6683,27 +6683,27 @@
           __pyx_L47:;
         }
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1680 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1680 */
         __pyx_v_self->block_index = (__pyx_v_self->block_index + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1681 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1681 */
         __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_update_current_block(__pyx_v_self); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1681; goto __pyx_L1;}
       }
       __pyx_L36:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1682 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1682 */
       goto __pyx_L33;
       goto __pyx_L35;
     }
     __pyx_L35:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1683 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1683 */
     __pyx_5 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_loop_one_block(__pyx_v_self); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1683; goto __pyx_L1;}
     Py_DECREF(__pyx_v_result);
     __pyx_v_result = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1684 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1684 */
     __pyx_9 = __pyx_v_result != Py_None;
     if (__pyx_9) {
       Py_INCREF(__pyx_v_result);
@@ -6715,16 +6715,16 @@
     __pyx_L33:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1686 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1686 */
   __pyx_6 = PyObject_Length(__pyx_v_self->search_specific_files); if (__pyx_6 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1686; goto __pyx_L1;}
   if (__pyx_6) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1688 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1688 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_self->current_root);
     __pyx_v_self->current_root = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1689 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1689 */
     __pyx_11 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_iter_next(__pyx_v_self); if (!__pyx_11) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1689; goto __pyx_L1;}
     __pyx_r = __pyx_11;
     __pyx_11 = 0;
@@ -6733,10 +6733,10 @@
   }
   __pyx_L51:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1692 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1692 */
   __pyx_v_self->doing_consistency_expansion = 1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1693 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1693 */
   __pyx_1 = PyObject_IsTrue(__pyx_v_self->_pending_consistent_entries); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1693; goto __pyx_L1;}
   __pyx_9 = (!__pyx_1);
   if (__pyx_9) {
@@ -6748,12 +6748,12 @@
   }
   __pyx_L52:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1695 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1695 */
   while (1) {
     __pyx_1 = PyObject_IsTrue(__pyx_v_self->_pending_consistent_entries); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1695; goto __pyx_L1;}
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1696 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1696 */
     __pyx_4 = PyObject_GetAttr(__pyx_v_self->_pending_consistent_entries, __pyx_n_pop); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1696; goto __pyx_L1;}
     __pyx_8 = PyObject_CallObject(__pyx_4, 0); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1696; goto __pyx_L1;}
     Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -6770,7 +6770,7 @@
     if (__Pyx_EndUnpack(__pyx_10) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1696; goto __pyx_L1;}
     Py_DECREF(__pyx_10); __pyx_10 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1697 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1697 */
     __pyx_9 = __pyx_v_changed != Py_None;
     if (__pyx_9) {
       Py_INCREF(__pyx_v_result);
@@ -6781,7 +6781,7 @@
     __pyx_L55:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1699 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1699 */
   __pyx_5 = PyObject_CallObject(PyExc_StopIteration, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1699; goto __pyx_L1;}
   __Pyx_Raise(__pyx_5, 0, 0);
   Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -6920,20 +6920,20 @@
   __pyx_v_new_executable = Py_None; Py_INCREF(Py_None);
   __pyx_v_relpath_unicode = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1722 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1722 */
   __pyx_1 = __pyx_v_self->current_block != Py_None;
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_self->current_block_pos < PyList_GET_SIZE(__pyx_v_self->current_block_list));
   }
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1724 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1724 */
     __pyx_2 = PyList_GET_ITEM(__pyx_v_self->current_block_list,__pyx_v_self->current_block_pos); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1724; goto __pyx_L1;}
     Py_DECREF(__pyx_v_current_entry);
     __pyx_v_current_entry = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1727 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1727 */
     Py_INCREF(__pyx_v_current_entry);
     goto __pyx_L2;
   }
@@ -6944,32 +6944,32 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1730 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1730 */
   __pyx_1 = __pyx_v_self->current_dir_info != Py_None;
   if (__pyx_1) {
     __pyx_1 = (__pyx_v_self->path_index < PyList_GET_SIZE(__pyx_v_self->current_dir_list));
   }
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1732 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1732 */
     __pyx_2 = PyList_GET_ITEM(__pyx_v_self->current_dir_list,__pyx_v_self->path_index); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1732; goto __pyx_L1;}
     Py_DECREF(__pyx_v_current_path_info);
     __pyx_v_current_path_info = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1735 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1735 */
     Py_INCREF(__pyx_v_current_path_info);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1736 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1736 */
     __pyx_2 = PyTuple_GET_ITEM(__pyx_v_current_path_info,2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1736; goto __pyx_L1;}
     Py_DECREF(__pyx_v_disk_kind);
     __pyx_v_disk_kind = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1738 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1738 */
     Py_INCREF(__pyx_v_disk_kind);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1739 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1739 */
     if (PyObject_Cmp(__pyx_v_disk_kind, __pyx_n_directory, &__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1739; goto __pyx_L1;}
     __pyx_1 = __pyx_1 == 0;
     if (__pyx_1) {
@@ -6989,7 +6989,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1743 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1743 */
   while (1) {
     __pyx_1 = __pyx_v_current_entry != Py_None;
     if (!__pyx_1) {
@@ -6997,27 +6997,27 @@
     }
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1744 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1744 */
     __pyx_2 = PyInt_FromLong((-1)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1744; goto __pyx_L1;}
     Py_DECREF(__pyx_v_advance_entry);
     __pyx_v_advance_entry = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1745 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1745 */
     __pyx_2 = PyInt_FromLong((-1)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1745; goto __pyx_L1;}
     Py_DECREF(__pyx_v_advance_path);
     __pyx_v_advance_path = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1746 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1746 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_result);
     __pyx_v_result = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1747 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1747 */
     __pyx_v_path_handled = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1748 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1748 */
     __pyx_1 = __pyx_v_current_entry == Py_None;
     if (__pyx_1) {
       goto __pyx_L7;
@@ -7041,7 +7041,7 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1757 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1757 */
       __pyx_2 = __Pyx_GetItemInt(__pyx_v_current_entry, 1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1758; goto __pyx_L1;}
       __pyx_3 = __Pyx_GetItemInt(__pyx_2, __pyx_v_self->target_index); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1758; goto __pyx_L1;}
       Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -7051,7 +7051,7 @@
       Py_DECREF(__pyx_2); __pyx_2 = 0;
       __pyx_v_minikind = __pyx_4;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1759 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1759 */
       __pyx_3 = __Pyx_GetName(__pyx_b, __pyx_n_cmp); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1759; goto __pyx_L1;}
       __pyx_2 = __Pyx_GetItemInt(__pyx_v_current_path_info, 1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1759; goto __pyx_L1;}
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_current_entry, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1759; goto __pyx_L1;}
@@ -7069,7 +7069,7 @@
       Py_DECREF(__pyx_2); __pyx_2 = 0;
       __pyx_v_cmp_result = __pyx_1;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1760 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1760 */
       __pyx_1 = __pyx_v_cmp_result;
       if (!__pyx_1) {
         __pyx_1 = (__pyx_v_minikind == 'a');
@@ -7088,7 +7088,7 @@
         }
         /*else*/ {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1776 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1776 */
           __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_current_entry,Py_None); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1776; goto __pyx_L1;}
           __pyx_5 = PyObject_GetIter(__pyx_3); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1776; goto __pyx_L1;}
           Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -7103,7 +7103,7 @@
           if (__Pyx_EndUnpack(__pyx_5) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1776; goto __pyx_L1;}
           Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1778 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1778 */
           __pyx_3 = PyInt_FromLong(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1778; goto __pyx_L1;}
           Py_DECREF(__pyx_v_advance_path);
           __pyx_v_advance_path = __pyx_3;
@@ -7114,7 +7114,7 @@
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1782 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1782 */
         __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_current_entry,__pyx_v_current_path_info); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1782; goto __pyx_L1;}
         __pyx_6 = PyObject_GetIter(__pyx_2); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1782; goto __pyx_L1;}
         Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -7129,14 +7129,14 @@
         if (__Pyx_EndUnpack(__pyx_6) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1782; goto __pyx_L1;}
         Py_DECREF(__pyx_6); __pyx_6 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1784 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1784 */
         __pyx_1 = __pyx_v_changed != Py_None;
         if (__pyx_1) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1785 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1785 */
           __pyx_v_path_handled = (-1);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1786 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1786 */
           __pyx_7 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_7 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1786; goto __pyx_L1;}
           __pyx_1 = (!__pyx_7);
           if (__pyx_1) {
@@ -7157,7 +7157,7 @@
     }
     __pyx_L7:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1790 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1790 */
     __pyx_2 = __pyx_v_advance_entry;
     Py_INCREF(__pyx_2);
     __pyx_7 = PyObject_IsTrue(__pyx_2); if (__pyx_7 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1790; goto __pyx_L1;}
@@ -7170,10 +7170,10 @@
     Py_DECREF(__pyx_2); __pyx_2 = 0;
     if (__pyx_7) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1791 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1791 */
       __pyx_v_self->current_block_pos = (__pyx_v_self->current_block_pos + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1792 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1792 */
       __pyx_1 = (__pyx_v_self->current_block_pos < PyList_GET_SIZE(__pyx_v_self->current_block_list));
       if (__pyx_1) {
         __pyx_5 = __Pyx_GetItemInt(__pyx_v_self->current_block_list, __pyx_v_self->current_block_pos); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1793; goto __pyx_L1;}
@@ -7192,7 +7192,7 @@
     }
     __pyx_L12:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1797 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1797 */
     __pyx_3 = __pyx_v_advance_path;
     Py_INCREF(__pyx_3);
     __pyx_7 = PyObject_IsTrue(__pyx_3); if (__pyx_7 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1797; goto __pyx_L1;}
@@ -7205,15 +7205,15 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     if (__pyx_7) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1798 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1798 */
       __pyx_1 = (!__pyx_v_path_handled);
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1800 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1800 */
         __pyx_7 = __pyx_v_self->want_unversioned;
         if (__pyx_7) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1801 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1801 */
           __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_stat); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1802; goto __pyx_L1;}
           __pyx_5 = PyObject_GetAttr(__pyx_2, __pyx_n_S_ISREG); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1802; goto __pyx_L1;}
           Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -7246,7 +7246,7 @@
           __pyx_v_new_executable = __pyx_3;
           __pyx_3 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1804 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1804 */
           /*try:*/ {
             __pyx_5 = __Pyx_GetItemInt(__pyx_v_current_path_info, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1805; goto __pyx_L17;}
             __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1805; goto __pyx_L17;}
@@ -7267,7 +7267,7 @@
           Py_XDECREF(__pyx_6); __pyx_6 = 0;
           Py_XDECREF(__pyx_3); __pyx_3 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1806 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1806 */
           __pyx_1 = PyErr_ExceptionMatches(PyExc_UnicodeDecodeError);
           if (__pyx_1) {
             __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._loop_one_block");
@@ -7298,7 +7298,7 @@
           goto __pyx_L1;
           __pyx_L18:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1809 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1809 */
           __pyx_7 = __pyx_v_changed != Py_None;
           if (__pyx_7) {
             __pyx_10 = PyNumber_Remainder(__pyx_k118p, __pyx_v_result); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1811; goto __pyx_L1;}
@@ -7314,7 +7314,7 @@
           }
           __pyx_L19:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1812 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1812 */
           __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1813; goto __pyx_L1;}
           Py_INCREF(Py_None);
           PyTuple_SET_ITEM(__pyx_3, 0, Py_None);
@@ -7375,7 +7375,7 @@
           __pyx_v_result = __pyx_10;
           __pyx_10 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1820 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1820 */
           Py_INCREF(Py_True);
           Py_DECREF(__pyx_v_changed);
           __pyx_v_changed = Py_True;
@@ -7383,16 +7383,16 @@
         }
         __pyx_L16:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1823 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1823 */
         __pyx_3 = __Pyx_GetItemInt(__pyx_v_current_path_info, 2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1823; goto __pyx_L1;}
         __pyx_1 = PySequence_Contains(__pyx_n_directory, __pyx_3); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1823; goto __pyx_L1;}
         Py_DECREF(__pyx_3); __pyx_3 = 0;
         if (__pyx_1) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1824 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1824 */
           if (PySequence_DelItem(__pyx_v_self->current_dir_list, __pyx_v_self->path_index) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1824; goto __pyx_L1;}
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1825 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1825 */
           __pyx_v_self->path_index = (__pyx_v_self->path_index - 1);
           goto __pyx_L20;
         }
@@ -7401,37 +7401,37 @@
       }
       __pyx_L15:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1828 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1828 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_current_path_info, 2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1828; goto __pyx_L1;}
       if (PyObject_Cmp(__pyx_5, __pyx_k80p, &__pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1828; goto __pyx_L1;}
       __pyx_7 = __pyx_7 == 0;
       Py_DECREF(__pyx_5); __pyx_5 = 0;
       if (__pyx_7) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1829 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1829 */
         if (PySequence_DelItem(__pyx_v_self->current_dir_list, __pyx_v_self->path_index) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1829; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1830 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1830 */
         __pyx_v_self->path_index = (__pyx_v_self->path_index - 1);
         goto __pyx_L21;
       }
       __pyx_L21:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1831 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1831 */
       __pyx_v_self->path_index = (__pyx_v_self->path_index + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1832 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1832 */
       __pyx_11 = PyObject_Length(__pyx_v_self->current_dir_list); if (__pyx_11 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1832; goto __pyx_L1;}
       __pyx_1 = (__pyx_v_self->path_index < __pyx_11);
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1833 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1833 */
         __pyx_2 = __Pyx_GetItemInt(__pyx_v_self->current_dir_list, __pyx_v_self->path_index); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1833; goto __pyx_L1;}
         Py_DECREF(__pyx_v_current_path_info);
         __pyx_v_current_path_info = __pyx_2;
         __pyx_2 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1834 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1834 */
         __pyx_6 = __Pyx_GetItemInt(__pyx_v_current_path_info, 2); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1834; goto __pyx_L1;}
         if (PyObject_Cmp(__pyx_6, __pyx_n_directory, &__pyx_7) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1834; goto __pyx_L1;}
         __pyx_7 = __pyx_7 == 0;
@@ -7456,11 +7456,11 @@
     }
     __pyx_L14:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1839 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1839 */
     __pyx_1 = __pyx_v_changed != Py_None;
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1841 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1841 */
       __pyx_7 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_7 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1841; goto __pyx_L1;}
       if (__pyx_7) {
         __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_gather_result_for_consistency(__pyx_v_self,__pyx_v_result); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1842; goto __pyx_L1;}
@@ -7468,7 +7468,7 @@
       }
       __pyx_L25:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1843 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1843 */
       __pyx_9 = __pyx_v_changed;
       Py_INCREF(__pyx_9);
       __pyx_7 = PyObject_IsTrue(__pyx_9); if (__pyx_7 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1843; goto __pyx_L1;}
@@ -7490,35 +7490,35 @@
     __pyx_L24:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1845 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1845 */
   __pyx_7 = __pyx_v_self->current_block != Py_None;
   if (__pyx_7) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1846 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1846 */
     __pyx_v_self->block_index = (__pyx_v_self->block_index + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1847 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1847 */
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_update_current_block(__pyx_v_self); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1847; goto __pyx_L1;}
     goto __pyx_L27;
   }
   __pyx_L27:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1848 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1848 */
   __pyx_7 = __pyx_v_self->current_dir_info != Py_None;
   if (__pyx_7) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1849 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1849 */
     __pyx_v_self->path_index = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1850 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1850 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_self->current_dir_list);
     __pyx_v_self->current_dir_list = Py_None;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1851 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1851 */
     /*try:*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1852 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1852 */
       __pyx_10 = PyObject_GetAttr(__pyx_v_self->dir_iterator, __pyx_n_next); if (!__pyx_10) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1852; goto __pyx_L29;}
       __pyx_3 = PyObject_CallObject(__pyx_10, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1852; goto __pyx_L29;}
       Py_DECREF(__pyx_10); __pyx_10 = 0;
@@ -7526,7 +7526,7 @@
       __pyx_v_self->current_dir_info = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1853 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1853 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_self->current_dir_info, 1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1853; goto __pyx_L29;}
       Py_DECREF(__pyx_v_self->current_dir_list);
       __pyx_v_self->current_dir_list = __pyx_5;
@@ -7542,7 +7542,7 @@
     Py_XDECREF(__pyx_3); __pyx_3 = 0;
     Py_XDECREF(__pyx_5); __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1854 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1854 */
     __pyx_1 = PyErr_ExceptionMatches(PyExc_StopIteration);
     if (__pyx_1) {
       __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._loop_one_block");
@@ -7629,18 +7629,18 @@
   __pyx_v__ = Py_None; Py_INCREF(Py_None);
   __pyx_v_current_block = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1862 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1862 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1862; goto __pyx_L1;}
   Py_DECREF(__pyx_v_results);
   __pyx_v_results = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1863 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1863 */
   while (1) {
     __pyx_2 = PyObject_IsTrue(__pyx_v_self->search_specific_file_parents); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1863; goto __pyx_L1;}
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1867 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1867 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_self->search_specific_file_parents, __pyx_n_pop); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1867; goto __pyx_L1;}
     __pyx_3 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1867; goto __pyx_L1;}
     Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -7648,7 +7648,7 @@
     __pyx_v_path_utf8 = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1868 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1868 */
     __pyx_2 = PySequence_Contains(__pyx_v_self->searched_exact_paths, __pyx_v_path_utf8); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1868; goto __pyx_L1;}
     if (__pyx_2) {
       goto __pyx_L2;
@@ -7656,7 +7656,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1871 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1871 */
     __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1871; goto __pyx_L1;}
     __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n_is_inside_any); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1871; goto __pyx_L1;}
     Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -7676,7 +7676,7 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1874 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1874 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__entries_for_path); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1874; goto __pyx_L1;}
     __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1874; goto __pyx_L1;}
     Py_INCREF(__pyx_v_path_utf8);
@@ -7688,18 +7688,18 @@
     __pyx_v_path_entries = __pyx_4;
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1879 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1879 */
     __pyx_3 = PyList_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1879; goto __pyx_L1;}
     Py_DECREF(__pyx_v_selected_entries);
     __pyx_v_selected_entries = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1880 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1880 */
     Py_INCREF(Py_False);
     Py_DECREF(__pyx_v_found_item);
     __pyx_v_found_item = Py_False;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1881 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1881 */
     __pyx_1 = PyObject_GetIter(__pyx_v_path_entries); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1881; goto __pyx_L1;}
     for (;;) {
       __pyx_4 = PyIter_Next(__pyx_1);
@@ -7720,12 +7720,12 @@
       Py_DECREF(__pyx_3); __pyx_3 = 0;
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1884 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1884 */
         Py_INCREF(Py_True);
         Py_DECREF(__pyx_v_found_item);
         __pyx_v_found_item = Py_True;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1885 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1885 */
         __pyx_4 = PyObject_GetAttr(__pyx_v_selected_entries, __pyx_n_append); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1885; goto __pyx_L1;}
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1885; goto __pyx_L1;}
         Py_INCREF(__pyx_v_candidate_entry);
@@ -7751,12 +7751,12 @@
       }
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1889 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1889 */
         Py_INCREF(Py_True);
         Py_DECREF(__pyx_v_found_item);
         __pyx_v_found_item = Py_True;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1890 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1890 */
         __pyx_3 = __Pyx_GetItemInt(__pyx_v_candidate_entry, 1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1890; goto __pyx_L1;}
         __pyx_5 = __Pyx_GetItemInt(__pyx_3, __pyx_v_self->target_index); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1890; goto __pyx_L1;}
         Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -7798,7 +7798,7 @@
     }
     Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1898 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1898 */
     __pyx_2 = PyObject_IsTrue(__pyx_v_found_item); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1898; goto __pyx_L1;}
     __pyx_6 = (!__pyx_2);
     if (__pyx_6) {
@@ -7821,7 +7821,7 @@
     }
     __pyx_L10:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1902 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1902 */
     __pyx_3 = PyObject_GetAttr(__pyx_v_path_utf8, __pyx_n_decode); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1902; goto __pyx_L1;}
     __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1902; goto __pyx_L1;}
     Py_INCREF(__pyx_n_utf8);
@@ -7835,7 +7835,7 @@
     __pyx_v_path_info = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1903 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1903 */
     __pyx_3 = PyObject_GetIter(__pyx_v_selected_entries); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1903; goto __pyx_L1;}
     for (;;) {
       __pyx_4 = PyIter_Next(__pyx_3);
@@ -7847,7 +7847,7 @@
       __pyx_v_entry = __pyx_4;
       __pyx_4 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1904 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1904 */
       __pyx_5 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1904; goto __pyx_L1;}
       __pyx_1 = __Pyx_GetItemInt(__pyx_5, 2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1904; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -7859,7 +7859,7 @@
       }
       __pyx_L13:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1906 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1906 */
       __pyx_4 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_process_entry(__pyx_v_self,__pyx_v_entry,__pyx_v_path_info); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1906; goto __pyx_L1;}
       __pyx_5 = PyObject_GetIter(__pyx_4); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1906; goto __pyx_L1;}
       Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -7874,7 +7874,7 @@
       if (__Pyx_EndUnpack(__pyx_5) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1906; goto __pyx_L1;}
       Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1907 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1907 */
       __pyx_6 = __pyx_v_changed == Py_None;
       if (__pyx_6) {
         __pyx_1 = PyTuple_New(3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1911; goto __pyx_L1;}
@@ -7898,14 +7898,14 @@
       }
       __pyx_L14:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1914 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1914 */
       __pyx_2 = PyObject_IsTrue(__pyx_v_changed); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1914; goto __pyx_L1;}
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1915 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1915 */
         __pyx_6 = ((struct __pyx_vtabstruct_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC *)__pyx_v_self->__pyx_vtab)->_gather_result_for_consistency(__pyx_v_self,__pyx_v_result); if (__pyx_6 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1915; goto __pyx_L1;}
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1916 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1916 */
         __pyx_4 = __Pyx_GetItemInt(__pyx_v_result, 6); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1916; goto __pyx_L1;}
         __pyx_5 = __Pyx_GetItemInt(__pyx_4, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1916; goto __pyx_L1;}
         Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -7922,7 +7922,7 @@
         }
         if (__pyx_2) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1920 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1920 */
           __pyx_5 = __Pyx_GetItemInt(__pyx_v_entry, 1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1920; goto __pyx_L1;}
           __pyx_1 = __Pyx_GetItemInt(__pyx_5, __pyx_v_self->source_index); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1920; goto __pyx_L1;}
           Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -7949,7 +7949,7 @@
           }
           __pyx_L17:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1925 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1925 */
           __pyx_5 = PyTuple_New(3); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1925; goto __pyx_L1;}
           Py_INCREF(__pyx_v_entry_path_utf8);
           PyTuple_SET_ITEM(__pyx_5, 0, __pyx_v_entry_path_utf8);
@@ -7961,7 +7961,7 @@
           __pyx_v_initial_key = __pyx_5;
           __pyx_5 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1926 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1926 */
           __pyx_1 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__find_block_index_from_key); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1926; goto __pyx_L1;}
           __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1926; goto __pyx_L1;}
           Py_INCREF(__pyx_v_initial_key);
@@ -7982,7 +7982,7 @@
           if (__Pyx_EndUnpack(__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1926; goto __pyx_L1;}
           Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1928 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1928 */
           __pyx_4 = PyInt_FromLong(0); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1928; goto __pyx_L1;}
           if (PyObject_Cmp(__pyx_v_block_index, __pyx_4, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1928; goto __pyx_L1;}
           __pyx_2 = __pyx_2 == 0;
@@ -7998,12 +7998,12 @@
           }
           __pyx_L18:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1931 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1931 */
           Py_INCREF(Py_None);
           Py_DECREF(__pyx_v_current_block);
           __pyx_v_current_block = Py_None;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1932 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1932 */
           __pyx_4 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__dirblocks); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1932; goto __pyx_L1;}
           __pyx_7 = PyObject_Length(__pyx_4); if (__pyx_7 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1932; goto __pyx_L1;}
           Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -8013,7 +8013,7 @@
           Py_DECREF(__pyx_5); __pyx_5 = 0;
           if (__pyx_6) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1933 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1933 */
             __pyx_1 = PyObject_GetAttr(__pyx_v_self->state, __pyx_n__dirblocks); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1933; goto __pyx_L1;}
             __pyx_4 = PyObject_GetItem(__pyx_1, __pyx_v_block_index); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1933; goto __pyx_L1;}
             Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -8021,7 +8021,7 @@
             __pyx_v_current_block = __pyx_4;
             __pyx_4 = 0;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1934 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1934 */
             __pyx_5 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1934; goto __pyx_L1;}
             __pyx_1 = PyObject_GetAttr(__pyx_5, __pyx_n_is_inside); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1934; goto __pyx_L1;}
             Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -8048,7 +8048,7 @@
           }
           __pyx_L19:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1938 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1938 */
           __pyx_2 = __pyx_v_current_block != Py_None;
           if (__pyx_2) {
             __pyx_1 = __Pyx_GetItemInt(__pyx_v_current_block, 1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1939; goto __pyx_L1;}
@@ -8064,7 +8064,7 @@
               __pyx_v_entry = __pyx_4;
               __pyx_4 = 0;
 
-              /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1940 */
+              /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1940 */
               __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1940; goto __pyx_L1;}
               __pyx_4 = __Pyx_GetItemInt(__pyx_1, __pyx_v_self->source_index); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1940; goto __pyx_L1;}
               Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -8078,7 +8078,7 @@
               }
               __pyx_L24:;
 
-              /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1945 */
+              /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1945 */
               __pyx_4 = PyObject_GetAttr(__pyx_v_self->search_specific_file_parents, __pyx_n_add); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1945; goto __pyx_L1;}
               __pyx_1 = __Pyx_GetItemInt(__pyx_v_entry, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1946; goto __pyx_L1;}
               __pyx_8 = PySequence_GetSlice(__pyx_1, 0, 2); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1946; goto __pyx_L1;}
@@ -8107,7 +8107,7 @@
       }
       __pyx_L15:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1947 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1947 */
       __pyx_4 = __pyx_v_changed;
       Py_INCREF(__pyx_4);
       __pyx_2 = PyObject_IsTrue(__pyx_4); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1947; goto __pyx_L1;}
@@ -8138,7 +8138,7 @@
     }
     Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1949 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1949 */
     __pyx_8 = PyObject_GetAttr(__pyx_v_self->searched_exact_paths, __pyx_n_add); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1949; goto __pyx_L1;}
     __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1949; goto __pyx_L1;}
     Py_INCREF(__pyx_v_path_utf8);
@@ -8150,7 +8150,7 @@
     __pyx_L2:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1950 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1950 */
   Py_INCREF(__pyx_v_results);
   __pyx_r = __pyx_v_results;
   goto __pyx_L0;
@@ -8208,7 +8208,7 @@
   __pyx_v_utf8_basename = Py_None; Py_INCREF(Py_None);
   __pyx_v_dir_info = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1957 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1957 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self->tree, __pyx_n_abspath); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1957; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1957; goto __pyx_L1;}
   Py_INCREF(__pyx_v_unicode_path);
@@ -8220,7 +8220,7 @@
   __pyx_v_abspath = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1958 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1958 */
   /*try:*/ {
     __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_os); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1959; goto __pyx_L2;}
     __pyx_2 = PyObject_GetAttr(__pyx_1, __pyx_n_lstat); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1959; goto __pyx_L2;}
@@ -8241,7 +8241,7 @@
   Py_XDECREF(__pyx_3); __pyx_3 = 0;
   Py_XDECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1960 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1960 */
   __pyx_4 = PyErr_ExceptionMatches(PyExc_OSError);
   if (__pyx_4) {
     __Pyx_AddTraceback("bzrlib._dirstate_helpers_pyx._path_info");
@@ -8279,7 +8279,7 @@
   goto __pyx_L1;
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1966 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1966 */
   __pyx_6 = PyObject_GetAttr(__pyx_v_utf8_path, __pyx_n_rsplit); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1966; goto __pyx_L1;}
   __pyx_5 = PyInt_FromLong(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1966; goto __pyx_L1;}
   __pyx_7 = PyTuple_New(2); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1966; goto __pyx_L1;}
@@ -8296,7 +8296,7 @@
   __pyx_v_utf8_basename = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1967 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1967 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1968; goto __pyx_L1;}
   __pyx_5 = PyObject_GetAttr(__pyx_1, __pyx_n_file_kind_from_stat_mode); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1968; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -8322,7 +8322,7 @@
   __pyx_v_dir_info = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1970 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1970 */
   __pyx_1 = __Pyx_GetItemInt(__pyx_v_dir_info, 2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1970; goto __pyx_L1;}
   if (PyObject_Cmp(__pyx_1, __pyx_n_directory, &__pyx_4) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 1970; goto __pyx_L1;}
   __pyx_4 = __pyx_4 == 0;
@@ -8359,7 +8359,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1975 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1975 */
   Py_INCREF(__pyx_v_dir_info);
   __pyx_r = __pyx_v_dir_info;
   goto __pyx_L0;
@@ -8993,37 +8993,37 @@
   if (PyObject_SetAttrString(__pyx_m, "ProcessEntryC", (PyObject *)&__pyx_type_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 965; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC = &__pyx_type_6bzrlib_21_dirstate_helpers_pyx_ProcessEntryC;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":22 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":22 */
   __pyx_1 = __Pyx_Import(__pyx_n_binascii, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 22; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_binascii, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 22; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":23 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":23 */
   __pyx_1 = __Pyx_Import(__pyx_n_bisect, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 23; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_bisect, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 23; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":24 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":24 */
   __pyx_1 = __Pyx_Import(__pyx_n_errno, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 24; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_errno, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 24; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":25 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":25 */
   __pyx_1 = __Pyx_Import(__pyx_n_os, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 25; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_os, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 25; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":26 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":26 */
   __pyx_1 = __Pyx_Import(__pyx_n_stat, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 26; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_stat, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 26; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":27 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":27 */
   __pyx_1 = __Pyx_Import(__pyx_n_sys, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 27; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_sys, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 27; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":29 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":29 */
   __pyx_1 = PyList_New(3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 29; goto __pyx_L1;}
   Py_INCREF(__pyx_n_cache_utf8);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_cache_utf8);
@@ -9044,7 +9044,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":30 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":30 */
   __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 30; goto __pyx_L1;}
   Py_INCREF(__pyx_n_DirState);
   PyList_SET_ITEM(__pyx_2, 0, __pyx_n_DirState);
@@ -9055,7 +9055,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":31 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":31 */
   __pyx_1 = PyList_New(3); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 31; goto __pyx_L1;}
   Py_INCREF(__pyx_n_parent_directories);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_parent_directories);
@@ -9076,13 +9076,13 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":39 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":39 */
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx_ERROR_PATH_NOT_FOUND = 3;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":41 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":41 */
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx_ERROR_DIRECTORY = 267;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":477 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":477 */
   __pyx_2 = PyInt_FromLong(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 477; goto __pyx_L1;}
   __pyx_d1 = __pyx_2;
   __pyx_2 = 0;
@@ -9091,14 +9091,14 @@
   Py_INCREF(Py_None);
   __pyx_d3 = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":782 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":782 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_binascii); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 782; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n_b2a_base64); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 782; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   if (PyObject_SetAttr(__pyx_m, __pyx_n__encode, __pyx_3) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 782; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":785 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":785 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 785; goto __pyx_L1;}
   Py_INCREF(__pyx_n_pack);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_pack);
@@ -9109,37 +9109,37 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":930 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":930 */
   Py_INCREF(__pyx_n_absent);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_absent);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_absent = __pyx_n_absent;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":931 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":931 */
   Py_INCREF(__pyx_n_file);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_file);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_file = __pyx_n_file;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":932 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":932 */
   Py_INCREF(__pyx_n_directory);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_directory);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_directory = __pyx_n_directory;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":933 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":933 */
   Py_INCREF(__pyx_n_symlink);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_symlink);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_symlink = __pyx_n_symlink;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":934 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":934 */
   Py_INCREF(__pyx_n_relocated);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_relocated);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_relocated = __pyx_n_relocated;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":935 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":935 */
   Py_INCREF(__pyx_k80p);
   Py_DECREF(__pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_tree_reference);
   __pyx_v_6bzrlib_21_dirstate_helpers_pyx__kind_tree_reference = __pyx_k80p;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_dirstate_helpers_pyx.pyx":1952 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_dirstate_helpers_pyx.pyx":1952 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_dirstate_helpers_pyx.pyx'
--- bzrlib/_dirstate_helpers_pyx.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_dirstate_helpers_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_groupcompress_pyx.c'
--- bzrlib/_groupcompress_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_groupcompress_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:23:04 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:23 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -173,10 +173,10 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":61 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":61 */
   __pyx_v_result = malloc(__pyx_v_count);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":62 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":62 */
   __pyx_1 = (__pyx_v_result == NULL);
   if (__pyx_1) {
     __pyx_2 = PyLong_FromUnsignedLong(__pyx_v_count); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 63; goto __pyx_L1;}
@@ -197,7 +197,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":64 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":64 */
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
 
@@ -219,10 +219,10 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":69 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":69 */
   __pyx_v_result = realloc(__pyx_v_old,__pyx_v_count);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":70 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":70 */
   __pyx_1 = (__pyx_v_result == NULL);
   if (__pyx_1) {
     __pyx_2 = PyLong_FromUnsignedLong(__pyx_v_count); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 72; goto __pyx_L1;}
@@ -243,7 +243,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":73 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":73 */
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
 
@@ -262,7 +262,7 @@
   int __pyx_r;
   int __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":77 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":77 */
   #ifndef PYREX_WITHOUT_ASSERTIONS
   if (!(__pyx_v_val != NULL)) {
     PyErr_SetNone(PyExc_AssertionError);
@@ -270,14 +270,14 @@
   }
   #endif
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":78 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":78 */
   __pyx_1 = ((__pyx_v_val[0]) != NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":79 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":79 */
     free((__pyx_v_val[0]));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":80 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":80 */
     (__pyx_v_val[0]) = NULL;
     goto __pyx_L2;
   }
@@ -337,26 +337,26 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_source);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":98 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":98 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 98; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources);
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":99 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":99 */
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":100 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":100 */
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_max_num_sources = 65000;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":101 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":101 */
   __pyx_2 = __pyx_f_6bzrlib_18_groupcompress_pyx_safe_malloc(((sizeof(struct source_info)) * ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_max_num_sources)); if (__pyx_2 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 101; goto __pyx_L1;}
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_infos = ((struct source_info *)__pyx_2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":103 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":103 */
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_offset = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":105 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":105 */
   __pyx_3 = __pyx_v_source != Py_None;
   if (__pyx_3) {
     __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n_add_source); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 106; goto __pyx_L1;}
@@ -435,20 +435,20 @@
   int __pyx_1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":113 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":113 */
   __pyx_1 = (((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index != NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":114 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":114 */
     free_delta_index(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":115 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":115 */
     ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index = NULL;
     goto __pyx_L2;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":116 */
   __pyx_1 = __pyx_f_6bzrlib_18_groupcompress_pyx_safe_free(((void **)(&((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_infos))); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 116; goto __pyx_L1;}
 
   goto __pyx_L0;
@@ -504,7 +504,7 @@
   Py_INCREF(__pyx_v_delta);
   Py_INCREF(__pyx_v_unadded_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":135 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":135 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_delta));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 136; goto __pyx_L1;}
@@ -519,11 +519,11 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":138 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":138 */
   __pyx_4 = PyObject_Length(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 138; goto __pyx_L1;}
   __pyx_v_source_location = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":139 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":139 */
   __pyx_1 = (__pyx_v_source_location >= ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_max_num_sources);
   if (__pyx_1) {
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_18_groupcompress_pyx_DeltaIndex *)((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->__pyx_vtab)->_expand_sources(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 140; goto __pyx_L1;}
@@ -532,7 +532,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":141 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":141 */
   __pyx_3 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources, __pyx_n_append); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 141; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 141; goto __pyx_L1;}
   Py_INCREF(__pyx_v_delta);
@@ -542,22 +542,22 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":142 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":142 */
   __pyx_v_c_delta = PyString_AS_STRING(__pyx_v_delta);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":143 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":143 */
   __pyx_v_c_delta_size = PyString_GET_SIZE(__pyx_v_delta);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":144 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":144 */
   __pyx_v_src = (((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_infos + __pyx_v_source_location);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":145 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":145 */
   __pyx_v_src->buf = __pyx_v_c_delta;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":146 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":146 */
   __pyx_v_src->size = __pyx_v_c_delta_size;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":147 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":147 */
   __pyx_3 = PyLong_FromUnsignedLong(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_offset); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 147; goto __pyx_L1;}
   __pyx_2 = PyNumber_Add(__pyx_3, __pyx_v_unadded_bytes); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 147; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -565,7 +565,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   __pyx_v_src->agg_offset = __pyx_6;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":148 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":148 */
   /*with nogil:*/ {
     PyThreadState *_save;
     Py_UNBLOCK_THREADS
@@ -577,17 +577,17 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":150 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":150 */
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_offset = (__pyx_v_src->agg_offset + __pyx_v_src->size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":151 */
   __pyx_1 = (__pyx_v_index != NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":152 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":152 */
     free_delta_index(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":153 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":153 */
     ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index = __pyx_v_index;
     goto __pyx_L7;
   }
@@ -631,7 +631,7 @@
   Py_INCREF(__pyx_v_source);
   Py_INCREF(__pyx_v_unadded_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":169 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":169 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_source));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 170; goto __pyx_L1;}
@@ -646,11 +646,11 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":172 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":172 */
   __pyx_4 = PyObject_Length(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 172; goto __pyx_L1;}
   __pyx_v_source_location = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":173 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":173 */
   __pyx_1 = (__pyx_v_source_location >= ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_max_num_sources);
   if (__pyx_1) {
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_18_groupcompress_pyx_DeltaIndex *)((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->__pyx_vtab)->_expand_sources(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 174; goto __pyx_L1;}
@@ -659,7 +659,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":175 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":175 */
   __pyx_1 = (__pyx_v_source_location != 0);
   if (__pyx_1) {
     __pyx_1 = (((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index == NULL);
@@ -671,7 +671,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":178 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":178 */
   __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources, __pyx_n_append); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 178; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 178; goto __pyx_L1;}
   Py_INCREF(__pyx_v_source);
@@ -681,22 +681,22 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":179 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":179 */
   __pyx_v_c_source = PyString_AS_STRING(__pyx_v_source);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":180 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":180 */
   __pyx_v_c_source_size = PyString_GET_SIZE(__pyx_v_source);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":181 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":181 */
   __pyx_v_src = (((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_infos + __pyx_v_source_location);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":182 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":182 */
   __pyx_v_src->buf = __pyx_v_c_source;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":183 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":183 */
   __pyx_v_src->size = __pyx_v_c_source_size;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":185 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":185 */
   __pyx_2 = PyLong_FromUnsignedLong(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_offset); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 185; goto __pyx_L1;}
   __pyx_3 = PyNumber_Add(__pyx_2, __pyx_v_unadded_bytes); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 185; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -704,14 +704,14 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   __pyx_v_src->agg_offset = __pyx_6;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":186 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":186 */
   ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_source_offset = (__pyx_v_src->agg_offset + __pyx_v_src->size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":188 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":188 */
   __pyx_1 = (__pyx_v_source_location != 0);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":189 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":189 */
     /*with nogil:*/ {
       PyThreadState *_save;
       Py_UNBLOCK_THREADS
@@ -723,14 +723,14 @@
       }
     }
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":191 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":191 */
     __pyx_1 = (__pyx_v_index != NULL);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":192 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":192 */
       free_delta_index(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":193 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":193 */
       ((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index = __pyx_v_index;
       goto __pyx_L9;
     }
@@ -762,7 +762,7 @@
   PyObject *__pyx_4 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":197 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":197 */
   __pyx_2 = PyObject_Length(__pyx_v_self->_sources); if (__pyx_2 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 197; goto __pyx_L1;}
   __pyx_1 = (__pyx_2 != 1);
   if (!__pyx_1) {
@@ -781,7 +781,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":203 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":203 */
   /*with nogil:*/ {
     PyThreadState *_save;
     Py_UNBLOCK_THREADS
@@ -793,7 +793,7 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":205 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":205 */
   #ifndef PYREX_WITHOUT_ASSERTIONS
   if (!(__pyx_v_self->_index != NULL)) {
     PyErr_SetNone(PyExc_AssertionError);
@@ -820,7 +820,7 @@
   void *__pyx_3;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":208 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":208 */
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 208; goto __pyx_L1;}
   Py_INCREF(__pyx_k11p);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_k11p);
@@ -830,10 +830,10 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   {__pyx_filename = __pyx_f[0]; __pyx_lineno = 208; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":210 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":210 */
   __pyx_v_self->_max_num_sources = (__pyx_v_self->_max_num_sources * 2);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":211 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":211 */
   __pyx_3 = __pyx_f_6bzrlib_18_groupcompress_pyx_safe_realloc(__pyx_v_self->_source_infos,((sizeof(struct source_info)) * __pyx_v_self->_max_num_sources)); if (__pyx_3 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 211; goto __pyx_L1;}
   __pyx_v_self->_source_infos = ((struct source_info *)__pyx_3);
 
@@ -874,11 +874,11 @@
   Py_INCREF(__pyx_v_max_delta_size);
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":223 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":223 */
   __pyx_1 = (((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_index == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":224 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":224 */
     __pyx_2 = PyObject_Length(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->_sources); if (__pyx_2 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 224; goto __pyx_L1;}
     __pyx_1 = (__pyx_2 == 0);
     if (__pyx_1) {
@@ -889,14 +889,14 @@
     }
     __pyx_L3:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":227 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":227 */
     __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_18_groupcompress_pyx_DeltaIndex *)((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)->__pyx_vtab)->_populate_first_index(((struct __pyx_obj_6bzrlib_18_groupcompress_pyx_DeltaIndex *)__pyx_v_self)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 227; goto __pyx_L1;}
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     goto __pyx_L2;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":229 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":229 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_target_bytes));
   if (__pyx_1) {
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 230; goto __pyx_L1;}
@@ -911,17 +911,17 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":232 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":232 */
   __pyx_v_target = PyString_AS_STRING(__pyx_v_target_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":233 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":233 */
   __pyx_v_target_size = PyString_GET_SIZE(__pyx_v_target_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":238 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":238 */
   __pyx_5 = PyInt_AsUnsignedLongMask(__pyx_v_max_delta_size); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 238; goto __pyx_L1;}
   __pyx_v_c_max_delta_size = __pyx_5;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":239 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":239 */
   /*with nogil:*/ {
     PyThreadState *_save;
     Py_UNBLOCK_THREADS
@@ -933,28 +933,28 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":243 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":243 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":244 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":244 */
   __pyx_1 = (__pyx_v_delta != 0);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":245 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":245 */
     __pyx_3 = PyString_FromStringAndSize(((char *)__pyx_v_delta),__pyx_v_delta_size); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 245; goto __pyx_L1;}
     Py_DECREF(__pyx_v_result);
     __pyx_v_result = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":246 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":246 */
     free(__pyx_v_delta);
     goto __pyx_L8;
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":247 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":247 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -990,7 +990,7 @@
   Py_INCREF(__pyx_v_target_bytes);
   __pyx_v_di = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":252 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":252 */
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 252; goto __pyx_L1;}
   Py_INCREF(__pyx_v_source_bytes);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_source_bytes);
@@ -1000,7 +1000,7 @@
   __pyx_v_di = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":253 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":253 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_di, __pyx_n_make_delta); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 253; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 253; goto __pyx_L1;}
   Py_INCREF(__pyx_v_target_bytes);
@@ -1046,7 +1046,7 @@
   Py_INCREF(__pyx_v_source_bytes);
   Py_INCREF(__pyx_v_delta_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":263 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":263 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_source_bytes));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 264; goto __pyx_L1;}
@@ -1061,7 +1061,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":265 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":265 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_delta_bytes));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 266; goto __pyx_L1;}
@@ -1076,19 +1076,19 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":267 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":267 */
   __pyx_v_source = PyString_AS_STRING(__pyx_v_source_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":268 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":268 */
   __pyx_v_source_size = PyString_GET_SIZE(__pyx_v_source_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":269 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":269 */
   __pyx_v_delta = PyString_AS_STRING(__pyx_v_delta_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":270 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":270 */
   __pyx_v_delta_size = PyString_GET_SIZE(__pyx_v_delta_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":273 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":273 */
   __pyx_1 = (__pyx_v_delta_size < DELTA_SIZE_MIN);
   if (__pyx_1) {
     __pyx_2 = PyInt_FromSsize_t(__pyx_v_delta_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 276; goto __pyx_L1;}
@@ -1112,7 +1112,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":278 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":278 */
   __pyx_2 = __pyx_f_6bzrlib_18_groupcompress_pyx__apply_delta(__pyx_v_source,__pyx_v_source_size,__pyx_v_delta,__pyx_v_delta_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1140,107 +1140,107 @@
   long __pyx_1;
   int __pyx_2;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":295 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":295 */
   __pyx_v_off = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":296 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":296 */
   __pyx_v_size = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":297 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":297 */
   __pyx_v_count = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":298 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":298 */
   __pyx_1 = (__pyx_v_cmd & 0x01);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":299 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":299 */
     __pyx_v_off = (__pyx_v_bytes[__pyx_v_count]);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":300 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":300 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L2;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":301 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":301 */
   __pyx_1 = (__pyx_v_cmd & 0x02);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":302 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":302 */
     __pyx_v_off = (__pyx_v_off | ((__pyx_v_bytes[__pyx_v_count]) << 8));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":303 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":303 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L3;
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":304 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":304 */
   __pyx_1 = (__pyx_v_cmd & 0x04);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":305 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":305 */
     __pyx_v_off = (__pyx_v_off | ((__pyx_v_bytes[__pyx_v_count]) << 16));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":306 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":306 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L4;
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":307 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":307 */
   __pyx_1 = (__pyx_v_cmd & 0x08);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":308 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":308 */
     __pyx_v_off = (__pyx_v_off | ((__pyx_v_bytes[__pyx_v_count]) << 24));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":309 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":309 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L5;
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":310 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":310 */
   __pyx_1 = (__pyx_v_cmd & 0x10);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":311 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":311 */
     __pyx_v_size = (__pyx_v_bytes[__pyx_v_count]);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":312 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":312 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L6;
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":313 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":313 */
   __pyx_1 = (__pyx_v_cmd & 0x20);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":314 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":314 */
     __pyx_v_size = (__pyx_v_size | ((__pyx_v_bytes[__pyx_v_count]) << 8));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":315 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":315 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L7;
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":316 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":316 */
   __pyx_1 = (__pyx_v_cmd & 0x40);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":317 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":317 */
     __pyx_v_size = (__pyx_v_size | ((__pyx_v_bytes[__pyx_v_count]) << 16));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":318 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":318 */
     __pyx_v_count = (__pyx_v_count + 1);
     goto __pyx_L8;
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":319 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":319 */
   __pyx_2 = (__pyx_v_size == 0);
   if (__pyx_2) {
     __pyx_v_size = 0x10000;
@@ -1248,13 +1248,13 @@
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":321 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":321 */
   (__pyx_v_offset[0]) = __pyx_v_off;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":322 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":322 */
   (__pyx_v_length[0]) = __pyx_v_size;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":323 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":323 */
   __pyx_r = (__pyx_v_bytes + __pyx_v_count);
   goto __pyx_L0;
 
@@ -1284,55 +1284,55 @@
   PyObject *__pyx_7 = 0;
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":335 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":335 */
   __pyx_v_data = ((unsigned char *)__pyx_v_delta);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":336 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":336 */
   __pyx_v_top = (__pyx_v_data + __pyx_v_delta_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":339 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":339 */
   __pyx_v_size = get_delta_hdr_size((&__pyx_v_data),__pyx_v_top);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":340 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":340 */
   __pyx_1 = PyString_FromStringAndSize(NULL,__pyx_v_size); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 340; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":341 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":341 */
   __pyx_v_dst_buf = ((unsigned char *)PyString_AS_STRING(__pyx_v_result));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":343 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":343 */
   __pyx_v_failed = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":344 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":344 */
   /*with nogil:*/ {
     PyThreadState *_save;
     Py_UNBLOCK_THREADS
     /*try:*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":345 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":345 */
       __pyx_v_out = __pyx_v_dst_buf;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":346 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":346 */
       while (1) {
         __pyx_2 = (__pyx_v_data < __pyx_v_top);
         if (!__pyx_2) break;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":347 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":347 */
         __pyx_v_cmd = (__pyx_v_data[0]);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":348 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":348 */
         __pyx_v_data = (__pyx_v_data + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":349 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":349 */
         __pyx_3 = (__pyx_v_cmd & 0x80);
         if (__pyx_3) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":351 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":351 */
           __pyx_v_data = __pyx_f_6bzrlib_18_groupcompress_pyx__decode_copy_instruction(__pyx_v_data,__pyx_v_cmd,(&__pyx_v_cp_off),(&__pyx_v_cp_size));
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":352 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":352 */
           __pyx_2 = ((__pyx_v_cp_off + __pyx_v_cp_size) < __pyx_v_cp_size);
           if (!__pyx_2) {
             __pyx_2 = ((__pyx_v_cp_off + __pyx_v_cp_size) > __pyx_v_source_size);
@@ -1342,63 +1342,63 @@
           }
           if (__pyx_2) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":355 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":355 */
             __pyx_v_failed = 1;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":356 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":356 */
             goto __pyx_L6;
             goto __pyx_L8;
           }
           __pyx_L8:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":357 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":357 */
           memcpy(__pyx_v_out,(__pyx_v_source + __pyx_v_cp_off),__pyx_v_cp_size);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":358 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":358 */
           __pyx_v_out = (__pyx_v_out + __pyx_v_cp_size);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":359 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":359 */
           __pyx_v_size = (__pyx_v_size - __pyx_v_cp_size);
           goto __pyx_L7;
         }
         /*else*/ {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":362 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":362 */
           __pyx_2 = (__pyx_v_cmd == 0);
           if (__pyx_2) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":366 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":366 */
             __pyx_v_failed = 2;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":367 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":367 */
             goto __pyx_L6;
             goto __pyx_L9;
           }
           __pyx_L9:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":368 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":368 */
           __pyx_2 = (__pyx_v_cmd > __pyx_v_size);
           if (__pyx_2) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":369 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":369 */
             __pyx_v_failed = 3;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":370 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":370 */
             goto __pyx_L6;
             goto __pyx_L10;
           }
           __pyx_L10:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":371 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":371 */
           memcpy(__pyx_v_out,__pyx_v_data,__pyx_v_cmd);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":372 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":372 */
           __pyx_v_out = (__pyx_v_out + __pyx_v_cmd);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":373 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":373 */
           __pyx_v_data = (__pyx_v_data + __pyx_v_cmd);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":374 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":374 */
           __pyx_v_size = (__pyx_v_size - __pyx_v_cmd);
         }
         __pyx_L7:;
@@ -1410,7 +1410,7 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":375 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":375 */
   __pyx_2 = __pyx_v_failed;
   if (__pyx_2) {
     __pyx_2 = (__pyx_v_failed == 1);
@@ -1478,14 +1478,14 @@
   }
   __pyx_L11:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":388 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":388 */
   __pyx_2 = (__pyx_v_data != __pyx_v_top);
   if (!__pyx_2) {
     __pyx_2 = (__pyx_v_size != 0);
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":389 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":389 */
     __pyx_4 = PyInt_FromSsize_t(__pyx_v_size); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 391; goto __pyx_L1;}
     __pyx_5 = PyInt_FromLong(((int)(__pyx_v_top - __pyx_v_data))); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 391; goto __pyx_L1;}
     __pyx_6 = PyTuple_New(2); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 391; goto __pyx_L1;}
@@ -1504,7 +1504,7 @@
     Py_DECREF(__pyx_4); __pyx_4 = 0;
     {__pyx_filename = __pyx_f[0]; __pyx_lineno = 389; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":392 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":392 */
     Py_INCREF(Py_None);
     __pyx_r = Py_None;
     goto __pyx_L0;
@@ -1512,7 +1512,7 @@
   }
   __pyx_L13:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":395 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":395 */
   __pyx_2 = ((__pyx_v_out - __pyx_v_dst_buf) != PyString_GET_SIZE(__pyx_v_result));
   if (__pyx_2) {
     __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 396; goto __pyx_L1;}
@@ -1527,7 +1527,7 @@
   }
   __pyx_L14:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":398 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":398 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -1570,7 +1570,7 @@
   Py_INCREF(__pyx_v_delta_start);
   Py_INCREF(__pyx_v_delta_end);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":409 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":409 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_source));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 410; goto __pyx_L1;}
@@ -1585,18 +1585,18 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":411 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":411 */
   __pyx_v_c_source_size = PyString_GET_SIZE(__pyx_v_source);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":412 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":412 */
   __pyx_4 = PyInt_AsSsize_t(__pyx_v_delta_start); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 412; goto __pyx_L1;}
   __pyx_v_c_delta_start = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":413 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":413 */
   __pyx_4 = PyInt_AsSsize_t(__pyx_v_delta_end); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 413; goto __pyx_L1;}
   __pyx_v_c_delta_end = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":414 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":414 */
   __pyx_1 = (__pyx_v_c_delta_start >= __pyx_v_c_source_size);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 415; goto __pyx_L1;}
@@ -1611,7 +1611,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":416 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":416 */
   __pyx_1 = (__pyx_v_c_delta_end > __pyx_v_c_source_size);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 417; goto __pyx_L1;}
@@ -1626,7 +1626,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":418 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":418 */
   __pyx_1 = (__pyx_v_c_delta_start >= __pyx_v_c_delta_end);
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 419; goto __pyx_L1;}
@@ -1641,16 +1641,16 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":421 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":421 */
   __pyx_v_c_delta_size = (__pyx_v_c_delta_end - __pyx_v_c_delta_start);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":422 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":422 */
   __pyx_v_c_source = PyString_AS_STRING(__pyx_v_source);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":423 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":423 */
   __pyx_v_c_delta = (__pyx_v_c_source + __pyx_v_c_delta_start);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":426 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":426 */
   __pyx_2 = __pyx_f_6bzrlib_18_groupcompress_pyx__apply_delta(__pyx_v_c_source,__pyx_v_c_delta_start,__pyx_v_c_delta,__pyx_v_c_delta_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 426; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1686,14 +1686,14 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "O", __pyx_argnames, &__pyx_v_val)) return 0;
   Py_INCREF(__pyx_v_val);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":436 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":436 */
   __pyx_1 = PyInt_AsUnsignedLongMask(__pyx_v_val); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 436; goto __pyx_L1;}
   __pyx_v_c_val = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":437 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":437 */
   __pyx_v_count = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":438 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":438 */
   while (1) {
     __pyx_2 = (__pyx_v_c_val >= 0x80);
     if (__pyx_2) {
@@ -1701,17 +1701,17 @@
     }
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":439 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":439 */
     (__pyx_v_c_bytes[__pyx_v_count]) = ((unsigned char)((__pyx_v_c_val | 0x80) & 0xFF));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":440 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":440 */
     __pyx_v_c_val = (__pyx_v_c_val >> 7);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":441 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":441 */
     __pyx_v_count = (__pyx_v_count + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":442 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":442 */
   __pyx_2 = (__pyx_v_count >= 8);
   if (!__pyx_2) {
     __pyx_2 = (__pyx_v_c_val >= 0x80);
@@ -1729,13 +1729,13 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":444 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":444 */
   (__pyx_v_c_bytes[__pyx_v_count]) = ((unsigned char)(__pyx_v_c_val & 0xFF));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":445 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":445 */
   __pyx_v_count = (__pyx_v_count + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":446 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":446 */
   __pyx_3 = PyString_FromStringAndSize(((char *)__pyx_v_c_bytes),__pyx_v_count); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 446; goto __pyx_L1;}
   __pyx_r = __pyx_3;
   __pyx_3 = 0;
@@ -1773,16 +1773,16 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "O", __pyx_argnames, &__pyx_v_bytes)) return 0;
   Py_INCREF(__pyx_v_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":458 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":458 */
   __pyx_v_offset = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":459 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":459 */
   __pyx_v_val = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":460 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":460 */
   __pyx_v_shift = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":461 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":461 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_bytes));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 462; goto __pyx_L1;}
@@ -1797,13 +1797,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":463 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":463 */
   __pyx_v_c_bytes = ((unsigned char *)PyString_AS_STRING(__pyx_v_bytes));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":465 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":465 */
   __pyx_v_num_low_bytes = (PyString_GET_SIZE(__pyx_v_bytes) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":466 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":466 */
   while (1) {
     __pyx_1 = ((__pyx_v_c_bytes[__pyx_v_offset]) & 0x80);
     if (__pyx_1) {
@@ -1811,17 +1811,17 @@
     }
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":467 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":467 */
     __pyx_v_val = (__pyx_v_val | (((__pyx_v_c_bytes[__pyx_v_offset]) & 0x7F) << __pyx_v_shift));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":468 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":468 */
     __pyx_v_shift = (__pyx_v_shift + 7);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":469 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":469 */
     __pyx_v_offset = (__pyx_v_offset + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":470 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":470 */
   __pyx_4 = ((__pyx_v_c_bytes[__pyx_v_offset]) & 0x80);
   if (__pyx_4) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 471; goto __pyx_L1;}
@@ -1836,20 +1836,20 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":473 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":473 */
   __pyx_v_val = (__pyx_v_val | ((__pyx_v_c_bytes[__pyx_v_offset]) << __pyx_v_shift));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":474 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":474 */
   __pyx_v_offset = (__pyx_v_offset + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":475 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":475 */
   __pyx_1 = (__pyx_v_val < 0);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":476 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":476 */
     __pyx_v_uval = __pyx_v_val;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":477 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":477 */
     __pyx_2 = PyLong_FromUnsignedLong(__pyx_v_uval); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 477; goto __pyx_L1;}
     __pyx_3 = PyInt_FromLong(__pyx_v_offset); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 477; goto __pyx_L1;}
     __pyx_5 = PyTuple_New(2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 477; goto __pyx_L1;}
@@ -1864,7 +1864,7 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":478 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":478 */
   __pyx_2 = PyInt_FromLong(__pyx_v_val); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 478; goto __pyx_L1;}
   __pyx_3 = PyInt_FromLong(__pyx_v_offset); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 478; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(2); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 478; goto __pyx_L1;}
@@ -2099,16 +2099,16 @@
   if (PyObject_SetAttrString(__pyx_m, "DeltaIndex", (PyObject *)&__pyx_type_6bzrlib_18_groupcompress_pyx_DeltaIndex) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 86; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_18_groupcompress_pyx_DeltaIndex = &__pyx_type_6bzrlib_18_groupcompress_pyx_DeltaIndex;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":97 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":97 */
   Py_INCREF(Py_None);
   __pyx_d1 = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":215 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":215 */
   __pyx_1 = PyInt_FromLong(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 215; goto __pyx_L1;}
   __pyx_d2 = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_groupcompress_pyx.pyx":449 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_groupcompress_pyx.pyx":449 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_groupcompress_pyx.pyx'
--- bzrlib/_groupcompress_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_groupcompress_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_knit_load_data_pyx.c'
--- bzrlib/_knit_load_data_pyx.c	2010-01-25 19:53:02 +0000
+++ bzrlib/_knit_load_data_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 14:10:24 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:25 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -147,20 +147,20 @@
   PyObject *__pyx_3 = 0;
   __pyx_v_py_s = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":69 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":69 */
   (__pyx_v_out[0]) = ((int)strtol(__pyx_v_s,(&__pyx_v_integer_end),10));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":70 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":70 */
   __pyx_1 = (__pyx_v_integer_end != __pyx_v_end);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":71 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":71 */
     __pyx_2 = PyString_FromStringAndSize(__pyx_v_s,(__pyx_v_end - __pyx_v_s)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 71; goto __pyx_L1;}
     Py_DECREF(__pyx_v_py_s);
     __pyx_v_py_s = __pyx_2;
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":72 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":72 */
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 72; goto __pyx_L1;}
     Py_INCREF(__pyx_v_py_s);
     PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_py_s);
@@ -178,7 +178,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":73 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":73 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -206,35 +206,35 @@
   Py_INCREF(__pyx_v_kndx);
   Py_INCREF(__pyx_v_fp);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":90 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":90 */
   Py_INCREF(__pyx_v_kndx);
   Py_DECREF(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->kndx);
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->kndx = __pyx_v_kndx;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":91 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":91 */
   Py_INCREF(__pyx_v_fp);
   Py_DECREF(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->fp);
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->fp = __pyx_v_fp;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":93 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":93 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_kndx, __pyx_n__cache); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 93; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cache);
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cache = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":94 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":94 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_kndx, __pyx_n__history); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 94; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->history);
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->history = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":96 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":96 */
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cur_str = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":97 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":97 */
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->end_str = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":98 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":98 */
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->history_len = 0;
 
   __pyx_r = 0;
@@ -257,7 +257,7 @@
   PyObject *__pyx_3 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":101 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":101 */
   __pyx_1 = (!PyDict_CheckExact(__pyx_v_self->cache));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 102; goto __pyx_L1;}
@@ -272,7 +272,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":103 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":103 */
   __pyx_1 = (!PyList_CheckExact(__pyx_v_self->history));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 104; goto __pyx_L1;}
@@ -287,7 +287,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":105 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":105 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -314,21 +314,21 @@
   __pyx_v_final_options = Py_None; Py_INCREF(Py_None);
   __pyx_v_next_option = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":119 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":119 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 119; goto __pyx_L1;}
   Py_DECREF(__pyx_v_final_options);
   __pyx_v_final_options = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":121 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":121 */
   while (1) {
     __pyx_2 = (__pyx_v_option_str < __pyx_v_end);
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":122 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":122 */
     __pyx_v_next = ((char *)memchr(__pyx_v_option_str,',',(__pyx_v_end - __pyx_v_option_str)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":123 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":123 */
     __pyx_2 = (__pyx_v_next == NULL);
     if (__pyx_2) {
       __pyx_v_next = __pyx_v_end;
@@ -336,20 +336,20 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":125 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":125 */
     __pyx_1 = PyString_FromStringAndSize(__pyx_v_option_str,(__pyx_v_next - __pyx_v_option_str)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 125; goto __pyx_L1;}
     Py_DECREF(__pyx_v_next_option);
     __pyx_v_next_option = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":127 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":127 */
     __pyx_2 = PyList_Append(__pyx_v_final_options,__pyx_v_next_option); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 127; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":130 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":130 */
     __pyx_v_option_str = (__pyx_v_next + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":132 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":132 */
   Py_INCREF(__pyx_v_final_options);
   __pyx_r = __pyx_v_final_options;
   goto __pyx_L0;
@@ -381,21 +381,21 @@
   __pyx_v_parents = Py_None; Py_INCREF(Py_None);
   __pyx_v_parent = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":151 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":151 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 151; goto __pyx_L1;}
   Py_DECREF(__pyx_v_parents);
   __pyx_v_parents = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":152 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":152 */
   while (1) {
     __pyx_2 = (__pyx_v_parent_str <= __pyx_v_end);
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":153 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":153 */
     __pyx_v_next = ((char *)memchr(__pyx_v_parent_str,' ',(__pyx_v_end - __pyx_v_parent_str)));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":154 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":154 */
     __pyx_2 = (__pyx_v_next == NULL);
     if (!__pyx_2) {
       __pyx_2 = (__pyx_v_next >= __pyx_v_end);
@@ -409,14 +409,14 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":157 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":157 */
     __pyx_2 = ((__pyx_v_parent_str[0]) == '.');
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":159 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":159 */
       __pyx_v_parent_str = (__pyx_v_parent_str + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":160 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":160 */
       __pyx_1 = PyString_FromStringAndSize(__pyx_v_parent_str,(__pyx_v_next - __pyx_v_parent_str)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 160; goto __pyx_L1;}
       Py_DECREF(__pyx_v_parent);
       __pyx_v_parent = __pyx_1;
@@ -425,10 +425,10 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":164 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":164 */
       __pyx_2 = __pyx_f_6bzrlib_19_knit_load_data_pyx_string_to_int_safe(__pyx_v_parent_str,__pyx_v_next,(&__pyx_v_int_parent)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 164; goto __pyx_L1;}
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":166 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":166 */
       __pyx_2 = (__pyx_v_int_parent >= __pyx_v_self->history_len);
       if (__pyx_2) {
         __pyx_1 = PyInt_FromLong(__pyx_v_int_parent); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 169; goto __pyx_L1;}
@@ -452,26 +452,26 @@
       }
       __pyx_L6:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":170 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":170 */
       __pyx_1 = PyList_GET_ITEM(__pyx_v_self->history,__pyx_v_int_parent); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 170; goto __pyx_L1;}
       Py_DECREF(__pyx_v_parent);
       __pyx_v_parent = __pyx_1;
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":172 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":172 */
       Py_INCREF(__pyx_v_parent);
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":173 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":173 */
     __pyx_2 = PyList_Append(__pyx_v_parents,__pyx_v_parent); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 173; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":174 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":174 */
     __pyx_v_parent_str = (__pyx_v_next + 1);
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":175 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":175 */
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 175; goto __pyx_L1;}
   Py_INCREF(__pyx_v_parents);
   PyTuple_SET_ITEM(__pyx_3, 0, __pyx_v_parents);
@@ -530,13 +530,13 @@
   __pyx_v_py_line = Py_None; Py_INCREF(Py_None);
   __pyx_v_index = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":191 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":191 */
   __pyx_v_version_id_str = __pyx_v_start;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":192 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":192 */
   __pyx_v_option_str = ((char *)memchr(__pyx_v_version_id_str,' ',(__pyx_v_end - __pyx_v_version_id_str)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":193 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":193 */
   __pyx_1 = (__pyx_v_option_str == NULL);
   if (!__pyx_1) {
     __pyx_1 = (__pyx_v_option_str >= __pyx_v_end);
@@ -548,16 +548,16 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":196 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":196 */
   __pyx_v_version_id_size = (__pyx_v_option_str - __pyx_v_version_id_str);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":198 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":198 */
   __pyx_v_option_str = (__pyx_v_option_str + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":200 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":200 */
   __pyx_v_pos_str = ((char *)memchr(__pyx_v_option_str,' ',(__pyx_v_end - __pyx_v_option_str)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":201 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":201 */
   __pyx_1 = (__pyx_v_pos_str == NULL);
   if (!__pyx_1) {
     __pyx_1 = (__pyx_v_pos_str >= __pyx_v_end);
@@ -569,16 +569,16 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":204 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":204 */
   __pyx_v_option_end = __pyx_v_pos_str;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":205 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":205 */
   __pyx_v_pos_str = (__pyx_v_pos_str + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":207 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":207 */
   __pyx_v_size_str = ((char *)memchr(__pyx_v_pos_str,' ',(__pyx_v_end - __pyx_v_pos_str)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":208 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":208 */
   __pyx_1 = (__pyx_v_size_str == NULL);
   if (!__pyx_1) {
     __pyx_1 = (__pyx_v_size_str >= __pyx_v_end);
@@ -590,13 +590,13 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":211 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":211 */
   __pyx_v_size_str = (__pyx_v_size_str + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":213 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":213 */
   __pyx_v_parent_str = ((char *)memchr(__pyx_v_size_str,' ',(__pyx_v_end - __pyx_v_size_str)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":214 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":214 */
   __pyx_1 = (__pyx_v_parent_str == NULL);
   if (!__pyx_1) {
     __pyx_1 = (__pyx_v_parent_str >= __pyx_v_end);
@@ -608,31 +608,31 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":217 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":217 */
   __pyx_v_parent_str = (__pyx_v_parent_str + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":219 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":219 */
   __pyx_2 = PyString_FromStringAndSize(__pyx_v_version_id_str,__pyx_v_version_id_size); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 219; goto __pyx_L1;}
   Py_DECREF(__pyx_v_version_id);
   __pyx_v_version_id = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":221 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":221 */
   __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self->__pyx_vtab)->process_options(__pyx_v_self,__pyx_v_option_str,__pyx_v_option_end); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 221; goto __pyx_L1;}
   Py_DECREF(__pyx_v_options);
   __pyx_v_options = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":223 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":223 */
   /*try:*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":224 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":224 */
     __pyx_1 = __pyx_f_6bzrlib_19_knit_load_data_pyx_string_to_int_safe(__pyx_v_pos_str,(__pyx_v_size_str - 1),(&__pyx_v_pos)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 224; goto __pyx_L6;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":225 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":225 */
     __pyx_1 = __pyx_f_6bzrlib_19_knit_load_data_pyx_string_to_int_safe(__pyx_v_size_str,(__pyx_v_parent_str - 1),(&__pyx_v_size)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 225; goto __pyx_L6;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":226 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":226 */
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self->__pyx_vtab)->process_parents(__pyx_v_self,__pyx_v_parent_str,__pyx_v_end); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 226; goto __pyx_L6;}
     Py_DECREF(__pyx_v_parents);
     __pyx_v_parents = __pyx_2;
@@ -642,7 +642,7 @@
   __pyx_L6:;
   Py_XDECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":227 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":227 */
   __pyx_2 = PyTuple_New(2); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 227; goto __pyx_L1;}
   Py_INCREF(PyExc_ValueError);
   PyTuple_SET_ITEM(__pyx_2, 0, PyExc_ValueError);
@@ -657,13 +657,13 @@
     Py_DECREF(__pyx_v_e);
     __pyx_v_e = __pyx_3;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":228 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":228 */
     __pyx_5 = PyString_FromStringAndSize(__pyx_v_start,(__pyx_v_end - __pyx_v_start)); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 228; goto __pyx_L1;}
     Py_DECREF(__pyx_v_py_line);
     __pyx_v_py_line = __pyx_5;
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":229 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":229 */
     __pyx_5 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 229; goto __pyx_L1;}
     __pyx_6 = PyObject_GetAttr(__pyx_5, __pyx_n_KnitCorrupt); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 229; goto __pyx_L1;}
     Py_DECREF(__pyx_5); __pyx_5 = 0;
@@ -694,23 +694,23 @@
   goto __pyx_L1;
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":232 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":232 */
   __pyx_v_cache_entry = PyDict_GetItem(__pyx_v_self->cache,__pyx_v_version_id);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":233 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":233 */
   __pyx_1 = (__pyx_v_cache_entry == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":234 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":234 */
     __pyx_1 = PyList_Append(__pyx_v_self->history,__pyx_v_version_id); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 234; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":235 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":235 */
     __pyx_8 = PyInt_FromLong(__pyx_v_self->history_len); if (!__pyx_8) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 235; goto __pyx_L1;}
     Py_DECREF(__pyx_v_index);
     __pyx_v_index = __pyx_8;
     __pyx_8 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":236 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":236 */
     __pyx_v_self->history_len = (__pyx_v_self->history_len + 1);
     goto __pyx_L8;
   }
@@ -721,7 +721,7 @@
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":242 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":242 */
   __pyx_6 = PyInt_FromLong(__pyx_v_pos); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 245; goto __pyx_L1;}
   __pyx_7 = PyInt_FromLong(__pyx_v_size); if (!__pyx_7) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 246; goto __pyx_L1;}
   __pyx_5 = PyTuple_New(6); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 243; goto __pyx_L1;}
@@ -740,7 +740,7 @@
   __pyx_1 = PyDict_SetItem(__pyx_v_self->cache,__pyx_v_version_id,__pyx_5); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 242; goto __pyx_L1;}
   Py_DECREF(__pyx_5); __pyx_5 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":250 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":250 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -774,34 +774,34 @@
   int __pyx_1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":257 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":257 */
   __pyx_v_start = __pyx_v_self->cur_str;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":259 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":259 */
   __pyx_v_last = ((char *)memchr(__pyx_v_start,'\n',(__pyx_v_self->end_str - __pyx_v_start)));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":260 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":260 */
   __pyx_1 = (__pyx_v_last == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":262 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":262 */
     __pyx_v_last = (__pyx_v_self->end_str - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":263 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":263 */
     __pyx_v_self->cur_str = __pyx_v_self->end_str;
     goto __pyx_L2;
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":267 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":267 */
     __pyx_v_self->cur_str = (__pyx_v_last + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":268 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":268 */
     __pyx_v_last = (__pyx_v_last - 1);
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":270 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":270 */
   __pyx_1 = (__pyx_v_last <= __pyx_v_start);
   if (!__pyx_1) {
     __pyx_1 = ((__pyx_v_last[0]) != ':');
@@ -813,7 +813,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":274 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":274 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self->__pyx_vtab)->process_one_record(__pyx_v_self,__pyx_v_start,__pyx_v_last); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 274; goto __pyx_L1;}
   __pyx_r = __pyx_1;
   goto __pyx_L0;
@@ -842,10 +842,10 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_text = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":279 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":279 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->__pyx_vtab)->validate(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 279; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":281 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":281 */
   __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->kndx, __pyx_n_check_header); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 281; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 281; goto __pyx_L1;}
   Py_INCREF(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->fp);
@@ -855,7 +855,7 @@
   Py_DECREF(__pyx_3); __pyx_3 = 0;
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":291 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":291 */
   __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->fp, __pyx_n_read); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 291; goto __pyx_L1;}
   __pyx_3 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 291; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -863,16 +863,16 @@
   __pyx_v_text = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":292 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":292 */
   __pyx_v_text_size = PyString_Size(__pyx_v_text);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":293 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":293 */
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cur_str = PyString_AsString(__pyx_v_text);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":295 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":295 */
   ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->end_str = (((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cur_str + __pyx_v_text_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":297 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":297 */
   while (1) {
     __pyx_1 = (((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->cur_str < ((struct __pyx_obj_6bzrlib_19_knit_load_data_pyx_KnitIndexReader *)__pyx_v_self)->end_str);
     if (!__pyx_1) break;
@@ -908,7 +908,7 @@
   Py_INCREF(__pyx_v_fp);
   __pyx_v_reader = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":303 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":303 */
   __pyx_1 = PyTuple_New(2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 303; goto __pyx_L1;}
   Py_INCREF(__pyx_v_kndx);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_kndx);
@@ -920,7 +920,7 @@
   __pyx_v_reader = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":304 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":304 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_reader, __pyx_n_read); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 304; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 304; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -1154,12 +1154,12 @@
   if (PyObject_SetAttrString(__pyx_m, "KnitIndexReader", (PyObject *)&__pyx_type_6bzrlib_19_knit_load_data_pyx_KnitIndexReader) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 76; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_19_knit_load_data_pyx_KnitIndexReader = &__pyx_type_6bzrlib_19_knit_load_data_pyx_KnitIndexReader;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":19 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":19 */
   __pyx_1 = __Pyx_Import(__pyx_n_sys, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 19; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_sys, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 19; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":21 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":21 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 21; goto __pyx_L1;}
   Py_INCREF(__pyx_n_errors);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_errors);
@@ -1170,7 +1170,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_knit_load_data_pyx.pyx":301 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_knit_load_data_pyx.pyx":301 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_knit_load_data_pyx.pyx'
--- bzrlib/_knit_load_data_pyx.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_knit_load_data_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_known_graph_py.py'
--- bzrlib/_known_graph_py.py	2010-02-05 13:53:30 +0000
+++ bzrlib/_known_graph_py.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_known_graph_pyx.c'
--- bzrlib/_known_graph_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_known_graph_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:23:13 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:26 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -278,29 +278,29 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":74 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":74 */
   Py_INCREF(__pyx_v_key);
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->key);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->key = __pyx_v_key;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":75 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":75 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":77 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":77 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 77; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->children);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->children = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":79 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":79 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->gdfo = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":80 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":80 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->seen = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":81 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":81 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->extra);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->extra = Py_None;
@@ -329,13 +329,13 @@
   __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_keys = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":87 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":87 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 87; goto __pyx_L1;}
   Py_DECREF(__pyx_v_keys);
   __pyx_v_keys = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":88 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":88 */
   __pyx_1 = PyObject_GetIter(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->children); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 88; goto __pyx_L1;}
   for (;;) {
     __pyx_2 = PyIter_Next(__pyx_1);
@@ -351,7 +351,7 @@
   }
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":90 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":90 */
   Py_INCREF(__pyx_v_keys);
   __pyx_r = __pyx_v_keys;
   goto __pyx_L0;
@@ -382,7 +382,7 @@
   __pyx_v_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_keys = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":94 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":94 */
   __pyx_1 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents == Py_None;
   if (__pyx_1) {
     Py_INCREF(Py_None);
@@ -392,13 +392,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":99 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":99 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 99; goto __pyx_L1;}
   Py_DECREF(__pyx_v_keys);
   __pyx_v_keys = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":100 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":100 */
   __pyx_2 = PyObject_GetIter(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 100; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -414,7 +414,7 @@
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":102 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":102 */
   Py_INCREF(__pyx_v_keys);
   __pyx_r = __pyx_v_keys;
   goto __pyx_L0;
@@ -437,12 +437,12 @@
   PyObject *__pyx_r;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":105 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":105 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_self->parents);
   __pyx_v_self->parents = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":106 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":106 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_self->children);
   __pyx_v_self->children = Py_None;
@@ -468,13 +468,13 @@
   __pyx_v_parent_keys = Py_None; Py_INCREF(Py_None);
   __pyx_v_child_keys = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":111 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 111; goto __pyx_L1;}
   Py_DECREF(__pyx_v_parent_keys);
   __pyx_v_parent_keys = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":112 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":112 */
   __pyx_2 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents != Py_None;
   if (__pyx_2) {
     __pyx_1 = PyObject_GetIter(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->parents); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 113; goto __pyx_L1;}
@@ -502,13 +502,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":115 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":115 */
   __pyx_3 = PyList_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 115; goto __pyx_L1;}
   Py_DECREF(__pyx_v_child_keys);
   __pyx_v_child_keys = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":116 */
   __pyx_2 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->children != Py_None;
   if (__pyx_2) {
     __pyx_4 = PyObject_GetIter(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_self)->children); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 117; goto __pyx_L1;}
@@ -536,7 +536,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":119 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":119 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n___class__); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 120; goto __pyx_L1;}
   __pyx_3 = PyObject_GetAttr(__pyx_1, __pyx_n___name__); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 120; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -580,10 +580,10 @@
   struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *__pyx_r;
   Py_INCREF(__pyx_v_lst);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":127 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":127 */
   __pyx_v_temp_node = PyList_GET_ITEM(__pyx_v_lst,__pyx_v_pos);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":128 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":128 */
   Py_INCREF(((PyObject *)__pyx_v_temp_node));
   __pyx_r = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
   goto __pyx_L0;
@@ -599,10 +599,10 @@
   struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *__pyx_r;
   Py_INCREF(__pyx_v_tpl);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":134 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":134 */
   __pyx_v_temp_node = PyTuple_GET_ITEM(__pyx_v_tpl,__pyx_v_pos);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":135 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":135 */
   Py_INCREF(((PyObject *)__pyx_v_temp_node));
   __pyx_r = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
   goto __pyx_L0;
@@ -623,13 +623,13 @@
   Py_INCREF(__pyx_v_node);
   __pyx_v_real_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":140 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":140 */
   if (!__Pyx_TypeTest(__pyx_v_node, __pyx_ptype_6bzrlib_16_known_graph_pyx__KnownGraphNode)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 140; goto __pyx_L1;}
   Py_INCREF(__pyx_v_node);
   Py_DECREF(((PyObject *)__pyx_v_real_node));
   __pyx_v_real_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_node);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":141 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":141 */
   Py_INCREF(__pyx_v_real_node->key);
   __pyx_r = __pyx_v_real_node->key;
   goto __pyx_L0;
@@ -663,10 +663,10 @@
   __pyx_v_node1 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_node2 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":154 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":154 */
   __pyx_v_is_tuple = PyTuple_CheckExact(__pyx_v_lst_or_tpl);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":155 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":155 */
   __pyx_1 = __pyx_v_is_tuple;
   if (!__pyx_1) {
     __pyx_1 = PyList_CheckExact(__pyx_v_lst_or_tpl);
@@ -685,11 +685,11 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":157 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":157 */
   __pyx_5 = PyObject_Length(__pyx_v_lst_or_tpl); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 157; goto __pyx_L1;}
   __pyx_v_length = __pyx_5;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":158 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":158 */
   __pyx_1 = (__pyx_v_length == 0);
   if (!__pyx_1) {
     __pyx_1 = (__pyx_v_length == 1);
@@ -702,21 +702,21 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":160 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":160 */
   __pyx_2 = (__pyx_v_length == 2);
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":161 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":161 */
     __pyx_1 = __pyx_v_is_tuple;
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":162 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":162 */
       __pyx_3 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_lst_or_tpl,0)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 162; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_node1));
       __pyx_v_node1 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":163 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":163 */
       __pyx_4 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_lst_or_tpl,1)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 163; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_node2));
       __pyx_v_node2 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_4);
@@ -725,13 +725,13 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":165 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":165 */
       __pyx_3 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_lst_or_tpl,0)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 165; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_node1));
       __pyx_v_node1 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":166 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":166 */
       __pyx_4 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_lst_or_tpl,1)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 166; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_node2));
       __pyx_v_node2 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_4);
@@ -739,7 +739,7 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":167 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":167 */
     __pyx_2 = __pyx_v_reverse;
     if (__pyx_2) {
       __pyx_v_do_swap = PyObject_RichCompareBool(__pyx_v_node1->key,__pyx_v_node2->key,Py_LT);
@@ -750,7 +750,7 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":171 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":171 */
     __pyx_1 = (!__pyx_v_do_swap);
     if (__pyx_1) {
       Py_INCREF(__pyx_v_lst_or_tpl);
@@ -760,7 +760,7 @@
     }
     __pyx_L7:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":173 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":173 */
     __pyx_2 = __pyx_v_is_tuple;
     if (__pyx_2) {
       __pyx_3 = PyTuple_New(2); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 174; goto __pyx_L1;}
@@ -775,19 +775,19 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":177 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":177 */
       Py_INCREF(((PyObject *)__pyx_v_node1));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":178 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":178 */
       __pyx_1 = PyList_SetItem(__pyx_v_lst_or_tpl,1,((PyObject *)__pyx_v_node1)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 178; goto __pyx_L1;}
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":179 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":179 */
       Py_INCREF(((PyObject *)__pyx_v_node2));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":180 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":180 */
       __pyx_2 = PyList_SetItem(__pyx_v_lst_or_tpl,0,((PyObject *)__pyx_v_node2)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 180; goto __pyx_L1;}
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":181 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":181 */
       Py_INCREF(__pyx_v_lst_or_tpl);
       __pyx_r = __pyx_v_lst_or_tpl;
       goto __pyx_L0;
@@ -797,7 +797,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":183 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":183 */
   __pyx_1 = __pyx_v_is_tuple;
   if (__pyx_1) {
     __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 185; goto __pyx_L1;}
@@ -812,7 +812,7 @@
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":186 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":186 */
   __pyx_4 = PyObject_GetAttr(__pyx_v_lst_or_tpl, __pyx_n_sort); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 186; goto __pyx_L1;}
   __pyx_3 = PyTuple_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 186; goto __pyx_L1;}
   __pyx_6 = PyDict_New(); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 186; goto __pyx_L1;}
@@ -828,7 +828,7 @@
   Py_DECREF(__pyx_6); __pyx_6 = 0;
   Py_DECREF(__pyx_7); __pyx_7 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":187 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":187 */
   Py_INCREF(__pyx_v_lst_or_tpl);
   __pyx_r = __pyx_v_lst_or_tpl;
   goto __pyx_L0;
@@ -865,19 +865,19 @@
   Py_INCREF(__pyx_v_parent_map);
   Py_INCREF(__pyx_v_do_cache);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":205 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":205 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 205; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":207 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":207 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 207; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_known_heads);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_known_heads = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":208 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":208 */
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 208; goto __pyx_L1;}
   Py_INCREF(__pyx_v_do_cache);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_do_cache);
@@ -887,7 +887,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->do_cache = __pyx_3;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":212 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":212 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__initialize_nodes); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 212; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 212; goto __pyx_L1;}
   Py_INCREF(__pyx_v_parent_map);
@@ -897,7 +897,7 @@
   Py_DECREF(__pyx_2); __pyx_2 = 0;
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":213 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":213 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__find_gdfo); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 213; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 213; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -928,17 +928,17 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":220 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":220 */
   while (1) {
     __pyx_1 = PyDict_Next(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,(&__pyx_v_pos),NULL,(&__pyx_v_temp_node));
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":221 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":221 */
     Py_INCREF(((PyObject *)__pyx_v_temp_node));
     Py_DECREF(((PyObject *)__pyx_v_child));
     __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":222 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":222 */
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_child->__pyx_vtab)->clear_references(__pyx_v_child); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 222; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
   }
@@ -963,14 +963,14 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":228 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":228 */
   __pyx_v_temp_node = PyDict_GetItem(__pyx_v_self->_nodes,__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":229 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":229 */
   __pyx_1 = (__pyx_v_temp_node == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":230 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":230 */
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 230; goto __pyx_L1;}
     Py_INCREF(__pyx_v_key);
     PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_key);
@@ -980,7 +980,7 @@
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":231 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":231 */
     __pyx_1 = PyDict_SetItem(__pyx_v_self->_nodes,__pyx_v_key,((PyObject *)__pyx_v_node)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 231; goto __pyx_L1;}
     goto __pyx_L2;
   }
@@ -991,7 +991,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":234 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":234 */
   Py_INCREF(((PyObject *)__pyx_v_node));
   __pyx_r = __pyx_v_node;
   goto __pyx_L0;
@@ -1026,20 +1026,20 @@
   __pyx_v_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_parent_nodes = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":240 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":240 */
   __pyx_1 = PyObject_Length(__pyx_v_parent_keys); if (__pyx_1 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 240; goto __pyx_L1;}
   __pyx_v_num_parent_keys = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":242 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":242 */
   __pyx_2 = PyTuple_New(__pyx_v_num_parent_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 242; goto __pyx_L1;}
   Py_DECREF(__pyx_v_parent_nodes);
   __pyx_v_parent_nodes = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":243 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":243 */
   for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_v_num_parent_keys; ++__pyx_v_pos) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":251 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":251 */
     __pyx_2 = __Pyx_GetItemInt(__pyx_v_parent_keys, __pyx_v_pos); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 251; goto __pyx_L1;}
     __pyx_3 = ((PyObject *)((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self->__pyx_vtab)->_get_or_create_node(__pyx_v_self,__pyx_2)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 251; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -1047,17 +1047,17 @@
     __pyx_v_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":253 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":253 */
     Py_INCREF(((PyObject *)__pyx_v_parent_node));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":254 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":254 */
     PyTuple_SET_ITEM(__pyx_v_parent_nodes,__pyx_v_pos,((PyObject *)__pyx_v_parent_node));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":255 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":255 */
     __pyx_4 = PyList_Append(__pyx_v_parent_node->children,((PyObject *)__pyx_v_node)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 255; goto __pyx_L1;}
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":256 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":256 */
   Py_INCREF(__pyx_v_parent_nodes);
   Py_DECREF(__pyx_v_node->parents);
   __pyx_v_node->parents = __pyx_v_parent_nodes;
@@ -1100,7 +1100,7 @@
   __pyx_v_key = Py_None; Py_INCREF(Py_None);
   __pyx_v_parent_keys = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":272 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":272 */
   __pyx_1 = (!PyDict_CheckExact(__pyx_v_parent_map));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 273; goto __pyx_L1;}
@@ -1115,31 +1115,31 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":275 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":275 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":276 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":276 */
   while (1) {
     __pyx_1 = PyDict_Next(__pyx_v_parent_map,(&__pyx_v_pos),(&__pyx_v_temp_key),(&__pyx_v_temp_parent_keys));
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":277 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":277 */
     Py_INCREF(((PyObject *)__pyx_v_temp_key));
     Py_DECREF(__pyx_v_key);
     __pyx_v_key = ((PyObject *)__pyx_v_temp_key);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":278 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":278 */
     Py_INCREF(((PyObject *)__pyx_v_temp_parent_keys));
     Py_DECREF(__pyx_v_parent_keys);
     __pyx_v_parent_keys = ((PyObject *)__pyx_v_temp_parent_keys);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":279 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":279 */
     __pyx_2 = ((PyObject *)((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx_KnownGraph *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->__pyx_vtab)->_get_or_create_node(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self),__pyx_v_key)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 279; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_2);
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":280 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":280 */
     __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx_KnownGraph *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->__pyx_vtab)->_populate_parents(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self),__pyx_v_node,__pyx_v_parent_keys); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 280; goto __pyx_L1;}
     Py_DECREF(__pyx_3); __pyx_3 = 0;
   }
@@ -1175,43 +1175,43 @@
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_tails = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":287 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":287 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 287; goto __pyx_L1;}
   Py_DECREF(__pyx_v_tails);
   __pyx_v_tails = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":288 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":288 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":289 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":289 */
   while (1) {
     __pyx_2 = PyDict_Next(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,(&__pyx_v_pos),NULL,(&__pyx_v_temp_node));
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":290 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":290 */
     Py_INCREF(((PyObject *)__pyx_v_temp_node));
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":291 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":291 */
     __pyx_2 = __pyx_v_node->parents == Py_None;
     if (!__pyx_2) {
       __pyx_2 = (PyTuple_GET_SIZE(__pyx_v_node->parents) == 0);
     }
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":292 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":292 */
       __pyx_v_node->gdfo = 1;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":293 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":293 */
       __pyx_2 = PyList_Append(__pyx_v_tails,((PyObject *)__pyx_v_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 293; goto __pyx_L1;}
       goto __pyx_L4;
     }
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":294 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":294 */
   Py_INCREF(__pyx_v_tails);
   __pyx_r = __pyx_v_tails;
   goto __pyx_L0;
@@ -1244,26 +1244,26 @@
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_tips = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":301 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":301 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 301; goto __pyx_L1;}
   Py_DECREF(__pyx_v_tips);
   __pyx_v_tips = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":302 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":302 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":303 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":303 */
   while (1) {
     __pyx_2 = PyDict_Next(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,(&__pyx_v_pos),NULL,(&__pyx_v_temp_node));
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":304 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":304 */
     Py_INCREF(((PyObject *)__pyx_v_temp_node));
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":305 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":305 */
     __pyx_2 = (PyList_GET_SIZE(__pyx_v_node->children) == 0);
     if (__pyx_2) {
       __pyx_2 = PyList_Append(__pyx_v_tips,((PyObject *)__pyx_v_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 306; goto __pyx_L1;}
@@ -1272,7 +1272,7 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":307 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":307 */
   Py_INCREF(__pyx_v_tips);
   __pyx_r = __pyx_v_tips;
   goto __pyx_L0;
@@ -1310,7 +1310,7 @@
   __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_pending = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":318 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":318 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__find_tails); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 318; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 318; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -1318,37 +1318,37 @@
   __pyx_v_pending = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":320 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":320 */
   __pyx_v_last_item = (PyList_GET_SIZE(__pyx_v_pending) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":321 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":321 */
   while (1) {
     __pyx_3 = (__pyx_v_last_item >= 0);
     if (!__pyx_3) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":324 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":324 */
     __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_pending,__pyx_v_last_item)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 324; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":325 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":325 */
     __pyx_v_last_item = (__pyx_v_last_item - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":326 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":326 */
     __pyx_v_next_gdfo = (__pyx_v_node->gdfo + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":327 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":327 */
     __pyx_4 = PyList_GET_SIZE(__pyx_v_node->children);
     for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_4; ++__pyx_v_pos) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":328 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":328 */
       __pyx_2 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_node->children,__pyx_v_pos)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 328; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_child));
       __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_2);
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":329 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":329 */
       __pyx_3 = (__pyx_v_next_gdfo > __pyx_v_child->gdfo);
       if (__pyx_3) {
         __pyx_v_child->gdfo = __pyx_v_next_gdfo;
@@ -1356,24 +1356,24 @@
       }
       __pyx_L6:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":331 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":331 */
       __pyx_v_child->seen = (__pyx_v_child->seen + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":332 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":332 */
       __pyx_3 = (__pyx_v_child->seen == PyTuple_GET_SIZE(__pyx_v_child->parents));
       if (__pyx_3) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":334 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":334 */
         __pyx_v_last_item = (__pyx_v_last_item + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":335 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":335 */
         __pyx_3 = (__pyx_v_last_item < PyList_GET_SIZE(__pyx_v_pending));
         if (__pyx_3) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":336 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":336 */
           Py_INCREF(((PyObject *)__pyx_v_child));
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":337 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":337 */
           __pyx_3 = PyList_SetItem(__pyx_v_pending,__pyx_v_last_item,((PyObject *)__pyx_v_child)); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 337; goto __pyx_L1;}
           goto __pyx_L8;
         }
@@ -1382,7 +1382,7 @@
         }
         __pyx_L8:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":342 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":342 */
         __pyx_v_child->seen = 0;
         goto __pyx_L7;
       }
@@ -1439,27 +1439,27 @@
   __pyx_v_pending_popleft = Py_None; Py_INCREF(Py_None);
   __pyx_v_pending_append = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":359 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":359 */
   __pyx_v_maybe_node = PyDict_GetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":360 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":360 */
   __pyx_1 = (__pyx_v_maybe_node != NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":361 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":361 */
     Py_INCREF(((PyObject *)__pyx_v_maybe_node));
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_maybe_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":362 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":362 */
     __pyx_1 = __pyx_v_node->parents == Py_None;
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":364 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":364 */
       __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx_KnownGraph *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->__pyx_vtab)->_populate_parents(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self),__pyx_v_node,__pyx_v_parent_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 364; goto __pyx_L1;}
       Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":366 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":366 */
       __pyx_2 = PyObject_GetAttr(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_known_heads, __pyx_n_clear); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L1;}
       __pyx_3 = PyObject_CallObject(__pyx_2, 0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L1;}
       Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -1468,13 +1468,13 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":368 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":368 */
       __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 368; goto __pyx_L1;}
       Py_DECREF(__pyx_v_existing_parent_keys);
       __pyx_v_existing_parent_keys = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":369 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":369 */
       __pyx_3 = PyObject_GetIter(__pyx_v_node->parents); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 369; goto __pyx_L1;}
       for (;;) {
         __pyx_2 = PyIter_Next(__pyx_3);
@@ -1497,7 +1497,7 @@
       }
       Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":373 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":373 */
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 373; goto __pyx_L1;}
       Py_INCREF(__pyx_v_parent_keys);
       PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_parent_keys);
@@ -1507,7 +1507,7 @@
       __pyx_v_parent_keys = __pyx_4;
       __pyx_4 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":374 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":374 */
       if (PyObject_Cmp(__pyx_v_existing_parent_keys, __pyx_v_parent_keys, &__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 374; goto __pyx_L1;}
       __pyx_1 = __pyx_1 == 0;
       if (__pyx_1) {
@@ -1541,7 +1541,7 @@
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":382 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":382 */
     __pyx_5 = PyTuple_New(1); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 382; goto __pyx_L1;}
     Py_INCREF(__pyx_v_key);
     PyTuple_SET_ITEM(__pyx_5, 0, __pyx_v_key);
@@ -1551,19 +1551,19 @@
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":383 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":383 */
     __pyx_1 = PyDict_SetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,__pyx_v_key,((PyObject *)__pyx_v_node)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 383; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":384 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":384 */
     __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx_KnownGraph *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->__pyx_vtab)->_populate_parents(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self),__pyx_v_node,__pyx_v_parent_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 384; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":385 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":385 */
   __pyx_v_parent_gdfo = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":386 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":386 */
   __pyx_4 = PyObject_GetIter(__pyx_v_node->parents); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 386; goto __pyx_L1;}
   for (;;) {
     __pyx_5 = PyIter_Next(__pyx_4);
@@ -1576,7 +1576,7 @@
     __pyx_v_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_5);
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":387 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":387 */
     __pyx_1 = (__pyx_v_parent_node->gdfo == (-1));
     if (__pyx_1) {
       __pyx_v_parent_node->gdfo = 1;
@@ -1584,7 +1584,7 @@
     }
     __pyx_L9:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":390 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":390 */
     __pyx_1 = (__pyx_v_parent_gdfo < __pyx_v_parent_node->gdfo);
     if (__pyx_1) {
       __pyx_v_parent_gdfo = __pyx_v_parent_node->gdfo;
@@ -1594,10 +1594,10 @@
   }
   Py_DECREF(__pyx_4); __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":392 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":392 */
   __pyx_v_node->gdfo = (__pyx_v_parent_gdfo + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":401 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":401 */
   __pyx_3 = __Pyx_GetName(__pyx_m, __pyx_n_deque); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 401; goto __pyx_L1;}
   __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 401; goto __pyx_L1;}
   Py_INCREF(((PyObject *)__pyx_v_node));
@@ -1612,34 +1612,34 @@
   __pyx_v_pending = __pyx_4;
   __pyx_4 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":402 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":402 */
   __pyx_2 = PyObject_GetAttr(__pyx_v_pending, __pyx_n_popleft); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 402; goto __pyx_L1;}
   Py_DECREF(__pyx_v_pending_popleft);
   __pyx_v_pending_popleft = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":403 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":403 */
   __pyx_3 = PyObject_GetAttr(__pyx_v_pending, __pyx_n_append); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 403; goto __pyx_L1;}
   Py_DECREF(__pyx_v_pending_append);
   __pyx_v_pending_append = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":404 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":404 */
   while (1) {
     __pyx_1 = PyObject_IsTrue(__pyx_v_pending); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 404; goto __pyx_L1;}
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":405 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":405 */
     __pyx_5 = PyObject_CallObject(__pyx_v_pending_popleft, 0); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 405; goto __pyx_L1;}
     if (!__Pyx_TypeTest(__pyx_5, __pyx_ptype_6bzrlib_16_known_graph_pyx__KnownGraphNode)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 405; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_5);
     __pyx_5 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":406 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":406 */
     __pyx_v_next_gdfo = (__pyx_v_node->gdfo + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":407 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":407 */
     __pyx_4 = PyObject_GetIter(__pyx_v_node->children); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 407; goto __pyx_L1;}
     for (;;) {
       __pyx_2 = PyIter_Next(__pyx_4);
@@ -1654,10 +1654,10 @@
       __pyx_1 = (__pyx_v_child_node->gdfo < __pyx_v_next_gdfo);
       if (__pyx_1) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":411 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":411 */
         __pyx_v_child_node->gdfo = __pyx_v_next_gdfo;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":412 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":412 */
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 412; goto __pyx_L1;}
         Py_INCREF(((PyObject *)__pyx_v_child_node));
         PyTuple_SET_ITEM(__pyx_3, 0, ((PyObject *)__pyx_v_child_node));
@@ -1732,7 +1732,7 @@
   __pyx_v_parent_node = Py_None; Py_INCREF(Py_None);
   __pyx_v_heads = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":435 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":435 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_frozenset); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 435; goto __pyx_L1;}
   __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 435; goto __pyx_L1;}
   Py_INCREF(__pyx_v_keys);
@@ -1744,10 +1744,10 @@
   __pyx_v_heads_key = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":436 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":436 */
   __pyx_v_maybe_heads = PyDict_GetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_known_heads,__pyx_v_heads_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":437 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":437 */
   __pyx_4 = (__pyx_v_maybe_heads != NULL);
   if (__pyx_4) {
     Py_INCREF(((PyObject *)__pyx_v_maybe_heads));
@@ -1757,13 +1757,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":440 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":440 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 440; goto __pyx_L1;}
   Py_DECREF(__pyx_v_candidate_nodes);
   __pyx_v_candidate_nodes = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":441 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":441 */
   __pyx_2 = PyObject_GetIter(__pyx_v_keys); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 441; goto __pyx_L1;}
   for (;;) {
     __pyx_3 = PyIter_Next(__pyx_2);
@@ -1775,10 +1775,10 @@
     __pyx_v_key = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":442 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":442 */
     __pyx_v_maybe_node = PyDict_GetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes,__pyx_v_key);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":443 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":443 */
     __pyx_4 = (__pyx_v_maybe_node == NULL);
     if (__pyx_4) {
       __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 444; goto __pyx_L1;}
@@ -1798,19 +1798,19 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":445 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":445 */
     __pyx_4 = PyDict_SetItem(__pyx_v_candidate_nodes,__pyx_v_key,((PyObject *)__pyx_v_maybe_node)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 445; goto __pyx_L1;}
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":446 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":446 */
   __pyx_v_maybe_node = PyDict_GetItem(__pyx_v_candidate_nodes,__pyx_v_6bzrlib_16_known_graph_pyx_NULL_REVISION);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":447 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":447 */
   __pyx_4 = (__pyx_v_maybe_node != NULL);
   if (__pyx_4) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":449 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":449 */
     __pyx_1 = PyObject_GetAttr(__pyx_v_candidate_nodes, __pyx_n_pop); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 449; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 449; goto __pyx_L1;}
     Py_INCREF(__pyx_v_6bzrlib_16_known_graph_pyx_NULL_REVISION);
@@ -1820,7 +1820,7 @@
     Py_DECREF(__pyx_3); __pyx_3 = 0;
     Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":450 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":450 */
     __pyx_4 = PyObject_IsTrue(__pyx_v_candidate_nodes); if (__pyx_4 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 450; goto __pyx_L1;}
     __pyx_5 = (!__pyx_4);
     if (__pyx_5) {
@@ -1841,7 +1841,7 @@
     }
     __pyx_L7:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":453 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":453 */
     __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_frozenset); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 453; goto __pyx_L1;}
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 453; goto __pyx_L1;}
     Py_INCREF(__pyx_v_candidate_nodes);
@@ -1856,7 +1856,7 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":454 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":454 */
   __pyx_6 = PyDict_Size(__pyx_v_candidate_nodes); if (__pyx_6 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 454; goto __pyx_L1;}
   __pyx_4 = (__pyx_6 < 2);
   if (__pyx_4) {
@@ -1867,36 +1867,36 @@
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":457 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":457 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 457; goto __pyx_L1;}
   Py_DECREF(__pyx_v_cleanup);
   __pyx_v_cleanup = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":458 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":458 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 458; goto __pyx_L1;}
   Py_DECREF(__pyx_v_pending);
   __pyx_v_pending = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":460 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":460 */
   __pyx_6 = PyDict_Size(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes); if (__pyx_6 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 460; goto __pyx_L1;}
   __pyx_v_min_gdfo = (__pyx_6 + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":463 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":463 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":464 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":464 */
   while (1) {
     __pyx_5 = PyDict_Next(__pyx_v_candidate_nodes,(&__pyx_v_pos),NULL,(&__pyx_v_temp_node));
     if (!__pyx_5) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":465 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":465 */
     Py_INCREF(((PyObject *)__pyx_v_temp_node));
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":466 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":466 */
     __pyx_4 = __pyx_v_node->parents != Py_None;
     if (__pyx_4) {
       __pyx_3 = PyObject_GetAttr(__pyx_v_pending, __pyx_n_extend); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 467; goto __pyx_L1;}
@@ -1911,7 +1911,7 @@
     }
     __pyx_L11:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":468 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":468 */
     __pyx_5 = (__pyx_v_node->gdfo < __pyx_v_min_gdfo);
     if (__pyx_5) {
       __pyx_v_min_gdfo = __pyx_v_node->gdfo;
@@ -1920,24 +1920,24 @@
     __pyx_L12:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":472 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":472 */
   __pyx_v_last_item = (PyList_GET_SIZE(__pyx_v_pending) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":473 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":473 */
   while (1) {
     __pyx_4 = (__pyx_v_last_item >= 0);
     if (!__pyx_4) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":474 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":474 */
     __pyx_3 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_pending,__pyx_v_last_item)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 474; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":475 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":475 */
     __pyx_v_last_item = (__pyx_v_last_item - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":476 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":476 */
     __pyx_5 = __pyx_v_node->seen;
     if (__pyx_5) {
       goto __pyx_L13;
@@ -1945,13 +1945,13 @@
     }
     __pyx_L15:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":479 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":479 */
     __pyx_4 = PyList_Append(__pyx_v_cleanup,((PyObject *)__pyx_v_node)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 479; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":480 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":480 */
     __pyx_v_node->seen = 1;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":481 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":481 */
     __pyx_5 = (__pyx_v_node->gdfo <= __pyx_v_min_gdfo);
     if (__pyx_5) {
       goto __pyx_L13;
@@ -1959,7 +1959,7 @@
     }
     __pyx_L16:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":483 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":483 */
     __pyx_4 = __pyx_v_node->parents != Py_None;
     if (__pyx_4) {
       __pyx_4 = (PyTuple_GET_SIZE(__pyx_v_node->parents) > 0);
@@ -1968,23 +1968,23 @@
       __pyx_6 = PyTuple_GET_SIZE(__pyx_v_node->parents);
       for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_6; ++__pyx_v_pos) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":485 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":485 */
         __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_node->parents,__pyx_v_pos)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 485; goto __pyx_L1;}
         Py_DECREF(__pyx_v_parent_node);
         __pyx_v_parent_node = __pyx_1;
         __pyx_1 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":486 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":486 */
         __pyx_v_last_item = (__pyx_v_last_item + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":487 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":487 */
         __pyx_5 = (__pyx_v_last_item < PyList_GET_SIZE(__pyx_v_pending));
         if (__pyx_5) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":488 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":488 */
           Py_INCREF(__pyx_v_parent_node);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":489 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":489 */
           __pyx_4 = PyList_SetItem(__pyx_v_pending,__pyx_v_last_item,__pyx_v_parent_node); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 489; goto __pyx_L1;}
           goto __pyx_L20;
         }
@@ -1999,26 +1999,26 @@
     __pyx_L13:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":492 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":492 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 492; goto __pyx_L1;}
   Py_DECREF(__pyx_v_heads);
   __pyx_v_heads = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":493 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":493 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":494 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":494 */
   while (1) {
     __pyx_4 = PyDict_Next(__pyx_v_candidate_nodes,(&__pyx_v_pos),NULL,(&__pyx_v_temp_node));
     if (!__pyx_4) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":495 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":495 */
     Py_INCREF(((PyObject *)__pyx_v_temp_node));
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_v_temp_node);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":496 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":496 */
     __pyx_5 = (!__pyx_v_node->seen);
     if (__pyx_5) {
       __pyx_4 = PyList_Append(__pyx_v_heads,__pyx_v_node->key); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 497; goto __pyx_L1;}
@@ -2027,7 +2027,7 @@
     __pyx_L23:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":498 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":498 */
   __pyx_3 = __Pyx_GetName(__pyx_b, __pyx_n_frozenset); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 498; goto __pyx_L1;}
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 498; goto __pyx_L1;}
   Py_INCREF(__pyx_v_heads);
@@ -2039,21 +2039,21 @@
   __pyx_v_heads = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":499 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":499 */
   __pyx_6 = PyList_GET_SIZE(__pyx_v_cleanup);
   for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_6; ++__pyx_v_pos) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":500 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":500 */
     __pyx_3 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_cleanup,__pyx_v_pos)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 500; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":501 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":501 */
     __pyx_v_node->seen = 0;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":502 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":502 */
   __pyx_5 = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->do_cache;
   if (__pyx_5) {
     __pyx_4 = PyDict_SetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_known_heads,__pyx_v_heads_key,__pyx_v_heads); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 503; goto __pyx_L1;}
@@ -2061,7 +2061,7 @@
   }
   __pyx_L26:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":504 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":504 */
   Py_INCREF(__pyx_v_heads);
   __pyx_r = __pyx_v_heads;
   goto __pyx_L0;
@@ -2111,7 +2111,7 @@
   __pyx_v_pending = Py_None; Py_INCREF(Py_None);
   __pyx_v_topo_order = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":523 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":523 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__find_tails); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 523; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 523; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2119,7 +2119,7 @@
   __pyx_v_pending = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":524 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":524 */
   __pyx_3 = (PyList_GET_SIZE(__pyx_v_pending) == 0);
   if (__pyx_3) {
     __pyx_4 = PyObject_Length(((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_self)->_nodes); if (__pyx_4 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 524; goto __pyx_L1;}
@@ -2142,30 +2142,30 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":527 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":527 */
   __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 527; goto __pyx_L1;}
   Py_DECREF(__pyx_v_topo_order);
   __pyx_v_topo_order = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":529 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":529 */
   __pyx_v_last_item = (PyList_GET_SIZE(__pyx_v_pending) - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":530 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":530 */
   while (1) {
     __pyx_3 = (__pyx_v_last_item >= 0);
     if (!__pyx_3) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":533 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":533 */
     __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_pending,__pyx_v_last_item)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 533; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":534 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":534 */
     __pyx_v_last_item = (__pyx_v_last_item - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":535 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":535 */
     __pyx_3 = __pyx_v_node->parents != Py_None;
     if (__pyx_3) {
       __pyx_3 = PyList_Append(__pyx_v_topo_order,__pyx_v_node->key); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 537; goto __pyx_L1;}
@@ -2173,17 +2173,17 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":538 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":538 */
     __pyx_4 = PyList_GET_SIZE(__pyx_v_node->children);
     for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_4; ++__pyx_v_pos) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":539 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":539 */
       __pyx_5 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_node->children,__pyx_v_pos)); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 539; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_child));
       __pyx_v_child = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_5);
       __pyx_5 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":540 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":540 */
       __pyx_3 = (__pyx_v_child->gdfo == (-1));
       if (__pyx_3) {
         __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 543; goto __pyx_L1;}
@@ -2202,24 +2202,24 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":544 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":544 */
       __pyx_v_child->seen = (__pyx_v_child->seen + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":545 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":545 */
       __pyx_3 = (__pyx_v_child->seen == PyTuple_GET_SIZE(__pyx_v_child->parents));
       if (__pyx_3) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":548 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":548 */
         __pyx_v_last_item = (__pyx_v_last_item + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":549 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":549 */
         __pyx_3 = (__pyx_v_last_item < PyList_GET_SIZE(__pyx_v_pending));
         if (__pyx_3) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":550 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":550 */
           Py_INCREF(((PyObject *)__pyx_v_child));
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":551 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":551 */
           __pyx_3 = PyList_SetItem(__pyx_v_pending,__pyx_v_last_item,((PyObject *)__pyx_v_child)); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 551; goto __pyx_L1;}
           goto __pyx_L10;
         }
@@ -2228,7 +2228,7 @@
         }
         __pyx_L10:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":556 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":556 */
         __pyx_v_child->seen = 0;
         goto __pyx_L9;
       }
@@ -2236,7 +2236,7 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":558 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":558 */
   Py_INCREF(__pyx_v_topo_order);
   __pyx_r = __pyx_v_topo_order;
   goto __pyx_L0;
@@ -2293,7 +2293,7 @@
   __pyx_v_pending = Py_None; Py_INCREF(Py_None);
   __pyx_v_parents = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":575 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":575 */
   __pyx_1 = PyObject_GetAttr(__pyx_v_self, __pyx_n__find_tips); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 575; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 575; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2301,23 +2301,23 @@
   __pyx_v_tips = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":577 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":577 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 577; goto __pyx_L1;}
   Py_DECREF(__pyx_v_prefix_tips);
   __pyx_v_prefix_tips = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":578 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":578 */
   __pyx_3 = PyList_GET_SIZE(__pyx_v_tips);
   for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_3; ++__pyx_v_pos) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":579 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":579 */
     __pyx_2 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_tips,__pyx_v_pos)); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 579; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_2);
     __pyx_2 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":580 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":580 */
     __pyx_4 = PyString_CheckExact(__pyx_v_node->key);
     if (!__pyx_4) {
       __pyx_5 = PyObject_Length(__pyx_v_node->key); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 580; goto __pyx_L1;}
@@ -2337,10 +2337,10 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":584 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":584 */
     __pyx_v_temp = PyDict_GetItem(__pyx_v_prefix_tips,__pyx_v_prefix);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":585 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":585 */
     __pyx_4 = (__pyx_v_temp == NULL);
     if (__pyx_4) {
       __pyx_2 = PyList_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 586; goto __pyx_L1;}
@@ -2352,24 +2352,24 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":588 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":588 */
       Py_INCREF(((PyObject *)__pyx_v_temp));
       Py_DECREF(__pyx_v_tip_nodes);
       __pyx_v_tip_nodes = ((PyObject *)__pyx_v_temp);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":589 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":589 */
       __pyx_4 = PyList_Append(__pyx_v_tip_nodes,((PyObject *)__pyx_v_node)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 589; goto __pyx_L1;}
     }
     __pyx_L5:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":591 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":591 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 591; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":592 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":592 */
   __pyx_2 = __Pyx_GetName(__pyx_b, __pyx_n_sorted); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 592; goto __pyx_L1;}
   __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 592; goto __pyx_L1;}
   Py_INCREF(__pyx_v_prefix_tips);
@@ -2389,10 +2389,10 @@
     __pyx_v_prefix = __pyx_1;
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":593 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":593 */
     __pyx_v_temp = PyDict_GetItem(__pyx_v_prefix_tips,__pyx_v_prefix);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":594 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":594 */
     #ifndef PYREX_WITHOUT_ASSERTIONS
     if (!(__pyx_v_temp != NULL)) {
       PyErr_SetNone(PyExc_AssertionError);
@@ -2400,35 +2400,35 @@
     }
     #endif
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":595 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":595 */
     Py_INCREF(((PyObject *)__pyx_v_temp));
     Py_DECREF(__pyx_v_tip_nodes);
     __pyx_v_tip_nodes = ((PyObject *)__pyx_v_temp);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":596 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":596 */
     __pyx_6 = __pyx_f_6bzrlib_16_known_graph_pyx__sort_list_nodes(__pyx_v_tip_nodes,1); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 596; goto __pyx_L1;}
     Py_DECREF(__pyx_v_pending);
     __pyx_v_pending = __pyx_6;
     __pyx_6 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":597 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":597 */
     __pyx_v_last_item = (PyList_GET_SIZE(__pyx_v_pending) - 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":598 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":598 */
     while (1) {
       __pyx_4 = (__pyx_v_last_item >= 0);
       if (!__pyx_4) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":599 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":599 */
       __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_pending,__pyx_v_last_item)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 599; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_node));
       __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":600 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":600 */
       __pyx_v_last_item = (__pyx_v_last_item - 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":601 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":601 */
       __pyx_4 = __pyx_v_node->parents == Py_None;
       if (__pyx_4) {
         goto __pyx_L8;
@@ -2436,20 +2436,20 @@
       }
       __pyx_L10:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":604 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":604 */
       __pyx_4 = PyList_Append(__pyx_v_result,__pyx_v_node->key); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 604; goto __pyx_L1;}
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":611 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":611 */
       __pyx_6 = __pyx_f_6bzrlib_16_known_graph_pyx__sort_list_nodes(__pyx_v_node->parents,1); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 611; goto __pyx_L1;}
       Py_DECREF(__pyx_v_parents);
       __pyx_v_parents = __pyx_6;
       __pyx_6 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":612 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":612 */
       __pyx_5 = PyObject_Length(__pyx_v_parents); if (__pyx_5 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 612; goto __pyx_L1;}
       for (__pyx_v_pos = 0; __pyx_v_pos < __pyx_5; ++__pyx_v_pos) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":613 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":613 */
         __pyx_4 = PyTuple_CheckExact(__pyx_v_parents);
         if (__pyx_4) {
           __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_parents,__pyx_v_pos)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 614; goto __pyx_L1;}
@@ -2466,24 +2466,24 @@
         }
         __pyx_L13:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":618 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":618 */
         __pyx_v_parent_node->seen = (__pyx_v_parent_node->seen + 1);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":619 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":619 */
         __pyx_4 = (__pyx_v_parent_node->seen == PyList_GET_SIZE(__pyx_v_parent_node->children));
         if (__pyx_4) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":623 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":623 */
           __pyx_v_last_item = (__pyx_v_last_item + 1);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":624 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":624 */
           __pyx_4 = (__pyx_v_last_item < PyList_GET_SIZE(__pyx_v_pending));
           if (__pyx_4) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":625 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":625 */
             Py_INCREF(((PyObject *)__pyx_v_parent_node));
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":626 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":626 */
             __pyx_4 = PyList_SetItem(__pyx_v_pending,__pyx_v_last_item,((PyObject *)__pyx_v_parent_node)); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 626; goto __pyx_L1;}
             goto __pyx_L15;
           }
@@ -2492,7 +2492,7 @@
           }
           __pyx_L15:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":629 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":629 */
           __pyx_v_parent_node->seen = 0;
           goto __pyx_L14;
         }
@@ -2503,7 +2503,7 @@
   }
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":630 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":630 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -2544,7 +2544,7 @@
   Py_INCREF(__pyx_v_tip_key);
   __pyx_v_sorter = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":639 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":639 */
   __pyx_1 = PyTuple_New(2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 639; goto __pyx_L1;}
   Py_INCREF(__pyx_v_self);
   PyTuple_SET_ITEM(__pyx_1, 0, __pyx_v_self);
@@ -2556,7 +2556,7 @@
   __pyx_v_sorter = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_2);
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":640 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":640 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_sorter->__pyx_vtab)->topo_order(__pyx_v_sorter); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 640; goto __pyx_L1;}
   __pyx_r = __pyx_1;
   __pyx_1 = 0;
@@ -2647,45 +2647,45 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":687 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":687 */
   Py_INCREF(__pyx_v_key);
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->key);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->key = __pyx_v_key;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":688 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":688 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->merge_depth = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":689 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":689 */
   Py_INCREF(Py_None);
   Py_DECREF(((PyObject *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->left_parent));
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->left_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":690 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":690 */
   Py_INCREF(Py_None);
   Py_DECREF(((PyObject *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->left_pending_parent));
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->left_pending_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":691 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":691 */
   Py_INCREF(Py_None);
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->pending_parents);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->pending_parents = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":692 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":692 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->_revno_first = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":693 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":693 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->_revno_second = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":694 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":694 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->_revno_last = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":695 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":695 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->is_first_child = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":696 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":696 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->seen_by_child = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":697 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":697 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_self)->completed = 0;
 
   __pyx_r = 0;
@@ -2762,7 +2762,7 @@
   int __pyx_2;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":707 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":707 */
   __pyx_2 = ((PyObject *)__pyx_v_self->left_pending_parent) != Py_None;
   __pyx_1 = PyInt_FromLong(__pyx_2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 707; goto __pyx_L1;}
   __pyx_2 = PyObject_IsTrue(__pyx_1); if (__pyx_2 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 707; goto __pyx_L1;}
@@ -2780,7 +2780,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":709 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":709 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -2806,7 +2806,7 @@
   __pyx_1 = (__pyx_v_self->_revno_first == (-1));
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":713 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":713 */
     __pyx_1 = (__pyx_v_self->_revno_second != (-1));
     if (__pyx_1) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 714; goto __pyx_L1;}
@@ -2826,7 +2826,7 @@
     }
     __pyx_L3:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":715 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":715 */
     __pyx_2 = PyInt_FromLong(__pyx_v_self->_revno_last); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 715; goto __pyx_L1;}
     __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 715; goto __pyx_L1;}
     PyTuple_SET_ITEM(__pyx_3, 0, __pyx_2);
@@ -2903,34 +2903,34 @@
   Py_INCREF(__pyx_v_tip_key);
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":746 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":746 */
   if (!__Pyx_TypeTest(__pyx_v_known_graph, __pyx_ptype_6bzrlib_16_known_graph_pyx_KnownGraph)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 746; goto __pyx_L1;}
   Py_INCREF(__pyx_v_known_graph);
   Py_DECREF(((PyObject *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->graph));
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->graph = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx_KnownGraph *)__pyx_v_known_graph);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":748 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":748 */
   __pyx_1 = PyDict_New(); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 748; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_revno_to_branch_count);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_revno_to_branch_count = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":749 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":749 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 749; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_depth_first_stack);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_depth_first_stack = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":750 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":750 */
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_last_stack_item = (-1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":751 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":751 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 751; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_scheduled_nodes);
   ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->_scheduled_nodes = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":752 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":752 */
   __pyx_2 = __pyx_v_tip_key != Py_None;
   if (__pyx_2) {
     if (PyObject_Cmp(__pyx_v_tip_key, __pyx_v_6bzrlib_16_known_graph_pyx_NULL_REVISION, &__pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 752; goto __pyx_L1;}
@@ -2946,14 +2946,14 @@
   }
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":754 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":754 */
     __pyx_1 = PyObject_GetItem(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->graph->_nodes, __pyx_v_tip_key); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 754; goto __pyx_L1;}
     if (!__Pyx_TypeTest(__pyx_1, __pyx_ptype_6bzrlib_16_known_graph_pyx__KnownGraphNode)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 754; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":755 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":755 */
     __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self)->__pyx_vtab)->_push_node(((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self),__pyx_v_node,0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 755; goto __pyx_L1;}
     Py_DECREF(__pyx_1); __pyx_1 = 0;
     goto __pyx_L2;
@@ -2984,11 +2984,11 @@
   Py_INCREF(__pyx_v_node);
   __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":761 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":761 */
   __pyx_1 = __pyx_v_node->extra == Py_None;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":762 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":762 */
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 762; goto __pyx_L1;}
     Py_INCREF(__pyx_v_node->key);
     PyTuple_SET_ITEM(__pyx_2, 0, __pyx_v_node->key);
@@ -2998,7 +2998,7 @@
     __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":763 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":763 */
     Py_INCREF(((PyObject *)__pyx_v_ms_node));
     Py_DECREF(__pyx_v_node->extra);
     __pyx_v_node->extra = ((PyObject *)__pyx_v_ms_node);
@@ -3011,7 +3011,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":766 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":766 */
   Py_INCREF(((PyObject *)__pyx_v_ms_node));
   __pyx_r = __pyx_v_ms_node;
   goto __pyx_L0;
@@ -3046,16 +3046,16 @@
   __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_ms_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":773 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":773 */
   __pyx_1 = ((PyObject *)((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_get_ms_node(__pyx_v_self,__pyx_v_node)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 773; goto __pyx_L1;}
   Py_DECREF(((PyObject *)__pyx_v_ms_node));
   __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_1);
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":774 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":774 */
   __pyx_v_ms_node->merge_depth = __pyx_v_merge_depth;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":775 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":775 */
   __pyx_2 = __pyx_v_node->parents == Py_None;
   if (__pyx_2) {
     __pyx_1 = PyTuple_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 777; goto __pyx_L1;}
@@ -3075,31 +3075,31 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":778 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":778 */
   __pyx_2 = (PyTuple_GET_SIZE(__pyx_v_node->parents) > 0);
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":779 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":779 */
     __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_node->parents,0)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 779; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_parent_node));
     __pyx_v_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":780 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":780 */
     Py_INCREF(((PyObject *)__pyx_v_parent_node));
     Py_DECREF(((PyObject *)__pyx_v_ms_node->left_parent));
     __pyx_v_ms_node->left_parent = __pyx_v_parent_node;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":781 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":781 */
     __pyx_2 = __pyx_v_parent_node->parents == Py_None;
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":782 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":782 */
       Py_INCREF(Py_None);
       Py_DECREF(((PyObject *)__pyx_v_ms_node->left_pending_parent));
       __pyx_v_ms_node->left_pending_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":783 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":783 */
       Py_INCREF(Py_None);
       Py_DECREF(((PyObject *)__pyx_v_ms_node->left_parent));
       __pyx_v_ms_node->left_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None);
@@ -3115,27 +3115,27 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":786 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":786 */
   __pyx_2 = (PyTuple_GET_SIZE(__pyx_v_node->parents) > 1);
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":787 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":787 */
     __pyx_3 = PyList_New(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 787; goto __pyx_L1;}
     Py_DECREF(__pyx_v_ms_node->pending_parents);
     __pyx_v_ms_node->pending_parents = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":788 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":788 */
     __pyx_4 = PyTuple_GET_SIZE(__pyx_v_node->parents);
     for (__pyx_v_pos = 1; __pyx_v_pos < __pyx_4; ++__pyx_v_pos) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":789 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":789 */
       __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_tuple_node(__pyx_v_node->parents,__pyx_v_pos)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 789; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_parent_node));
       __pyx_v_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
       __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":790 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":790 */
       __pyx_2 = __pyx_v_parent_node->parents == Py_None;
       if (__pyx_2) {
         goto __pyx_L6;
@@ -3143,7 +3143,7 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":792 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":792 */
       __pyx_2 = PyList_Append(__pyx_v_ms_node->pending_parents,((PyObject *)__pyx_v_parent_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 792; goto __pyx_L1;}
       __pyx_L6:;
     }
@@ -3151,20 +3151,20 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":794 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":794 */
   __pyx_v_ms_node->is_first_child = 1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":795 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":795 */
   __pyx_2 = ((PyObject *)__pyx_v_ms_node->left_parent) != Py_None;
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":796 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":796 */
     __pyx_3 = ((PyObject *)((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_get_ms_node(__pyx_v_self,__pyx_v_ms_node->left_parent)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 796; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_ms_parent_node));
     __pyx_v_ms_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":797 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":797 */
     __pyx_2 = __pyx_v_ms_parent_node->seen_by_child;
     if (__pyx_2) {
       __pyx_v_ms_node->is_first_child = 0;
@@ -3172,23 +3172,23 @@
     }
     __pyx_L10:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":799 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":799 */
     __pyx_v_ms_parent_node->seen_by_child = 1;
     goto __pyx_L9;
   }
   __pyx_L9:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":800 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":800 */
   __pyx_v_self->_last_stack_item = (__pyx_v_self->_last_stack_item + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":801 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":801 */
   __pyx_2 = (__pyx_v_self->_last_stack_item < PyList_GET_SIZE(__pyx_v_self->_depth_first_stack));
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":802 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":802 */
     Py_INCREF(((PyObject *)__pyx_v_node));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":803 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":803 */
     __pyx_2 = PyList_SetItem(__pyx_v_self->_depth_first_stack,__pyx_v_self->_last_stack_item,((PyObject *)__pyx_v_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 803; goto __pyx_L1;}
     goto __pyx_L11;
   }
@@ -3238,46 +3238,46 @@
   __pyx_v_branch_count = Py_None; Py_INCREF(Py_None);
   __pyx_v_root_count = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":813 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":813 */
   __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_self->_depth_first_stack,__pyx_v_self->_last_stack_item)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 813; goto __pyx_L1;}
   Py_DECREF(((PyObject *)__pyx_v_node));
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":814 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":814 */
   Py_INCREF(__pyx_v_node->extra);
   Py_DECREF(((PyObject *)__pyx_v_ms_node));
   __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_node->extra);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":815 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":815 */
   __pyx_v_self->_last_stack_item = (__pyx_v_self->_last_stack_item - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":816 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":816 */
   __pyx_2 = ((PyObject *)__pyx_v_ms_node->left_parent) != Py_None;
   if (__pyx_2) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":818 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":818 */
     Py_INCREF(__pyx_v_ms_node->left_parent->extra);
     Py_DECREF(((PyObject *)__pyx_v_ms_parent_node));
     __pyx_v_ms_parent_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_ms_node->left_parent->extra);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":819 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":819 */
     __pyx_2 = __pyx_v_ms_node->is_first_child;
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":821 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":821 */
       __pyx_v_ms_node->_revno_first = __pyx_v_ms_parent_node->_revno_first;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":822 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":822 */
       __pyx_v_ms_node->_revno_second = __pyx_v_ms_parent_node->_revno_second;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":823 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":823 */
       __pyx_v_ms_node->_revno_last = (__pyx_v_ms_parent_node->_revno_last + 1);
       goto __pyx_L3;
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":827 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":827 */
       __pyx_2 = (__pyx_v_ms_parent_node->_revno_first == (-1));
       if (__pyx_2) {
         __pyx_1 = PyInt_FromLong(__pyx_v_ms_parent_node->_revno_last); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 829; goto __pyx_L1;}
@@ -3294,10 +3294,10 @@
       }
       __pyx_L4:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":832 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":832 */
       __pyx_v_temp = PyDict_GetItem(__pyx_v_self->_revno_to_branch_count,__pyx_v_base_revno);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":834 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":834 */
       __pyx_2 = (__pyx_v_temp == NULL);
       if (__pyx_2) {
         __pyx_1 = PyInt_FromLong(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 835; goto __pyx_L1;}
@@ -3316,18 +3316,18 @@
       }
       __pyx_L5:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":838 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":838 */
       __pyx_2 = PyDict_SetItem(__pyx_v_self->_revno_to_branch_count,__pyx_v_base_revno,__pyx_v_branch_count); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 838; goto __pyx_L1;}
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":840 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":840 */
       __pyx_4 = PyInt_AsLong(__pyx_v_base_revno); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 840; goto __pyx_L1;}
       __pyx_v_ms_node->_revno_first = __pyx_4;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":841 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":841 */
       __pyx_4 = PyInt_AsLong(__pyx_v_branch_count); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 841; goto __pyx_L1;}
       __pyx_v_ms_node->_revno_second = __pyx_4;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":842 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":842 */
       __pyx_v_ms_node->_revno_last = 1;
     }
     __pyx_L3:;
@@ -3335,34 +3335,34 @@
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":844 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":844 */
     __pyx_1 = PyInt_FromLong(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 844; goto __pyx_L1;}
     __pyx_v_temp = PyDict_GetItem(__pyx_v_self->_revno_to_branch_count,__pyx_1);
     Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":845 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":845 */
     __pyx_2 = (__pyx_v_temp == NULL);
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":847 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":847 */
       __pyx_3 = PyInt_FromLong(0); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 847; goto __pyx_L1;}
       Py_DECREF(__pyx_v_root_count);
       __pyx_v_root_count = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":848 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":848 */
       __pyx_v_ms_node->_revno_first = (-1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":849 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":849 */
       __pyx_v_ms_node->_revno_second = (-1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":850 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":850 */
       __pyx_v_ms_node->_revno_last = 1;
       goto __pyx_L6;
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":852 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":852 */
       __pyx_1 = PyInt_FromLong(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 852; goto __pyx_L1;}
       __pyx_3 = PyNumber_Add(((PyObject *)__pyx_v_temp), __pyx_1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 852; goto __pyx_L1;}
       Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -3370,29 +3370,29 @@
       __pyx_v_root_count = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":853 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":853 */
       __pyx_v_ms_node->_revno_first = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":854 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":854 */
       __pyx_4 = PyInt_AsLong(__pyx_v_root_count); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 854; goto __pyx_L1;}
       __pyx_v_ms_node->_revno_second = __pyx_4;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":855 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":855 */
       __pyx_v_ms_node->_revno_last = 1;
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":856 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":856 */
     __pyx_1 = PyInt_FromLong(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 856; goto __pyx_L1;}
     __pyx_2 = PyDict_SetItem(__pyx_v_self->_revno_to_branch_count,__pyx_1,__pyx_v_root_count); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 856; goto __pyx_L1;}
     Py_DECREF(__pyx_1); __pyx_1 = 0;
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":857 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":857 */
   __pyx_v_ms_node->completed = 1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":858 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":858 */
   __pyx_2 = (PyList_GET_SIZE(__pyx_v_self->_scheduled_nodes) == 0);
   if (__pyx_2) {
     Py_INCREF(Py_True);
@@ -3402,18 +3402,18 @@
   }
   /*else*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":862 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":862 */
     __pyx_3 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_self->_scheduled_nodes,(PyList_GET_SIZE(__pyx_v_self->_scheduled_nodes) - 1))); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 862; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_prev_node));
     __pyx_v_prev_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_3);
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":864 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":864 */
     Py_INCREF(__pyx_v_prev_node->extra);
     Py_DECREF(((PyObject *)__pyx_v_ms_prev_node));
     __pyx_v_ms_prev_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_prev_node->extra);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":865 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":865 */
     __pyx_2 = (__pyx_v_ms_prev_node->merge_depth < __pyx_v_ms_node->merge_depth);
     if (__pyx_2) {
       Py_INCREF(Py_True);
@@ -3441,7 +3441,7 @@
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":875 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":875 */
   __pyx_2 = PyList_Append(__pyx_v_self->_scheduled_nodes,((PyObject *)__pyx_v_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 875; goto __pyx_L1;}
 
   __pyx_r = Py_None; Py_INCREF(Py_None);
@@ -3483,24 +3483,24 @@
   __pyx_v_ms_next_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_ordered = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":881 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":881 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 881; goto __pyx_L1;}
   Py_DECREF(__pyx_v_ordered);
   __pyx_v_ordered = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":882 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":882 */
   while (1) {
     __pyx_2 = (__pyx_v_self->_last_stack_item >= 0);
     if (!__pyx_2) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":884 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":884 */
     __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_self->_depth_first_stack,__pyx_v_self->_last_stack_item)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 884; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_last_node));
     __pyx_v_last_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":886 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":886 */
     __pyx_2 = (__pyx_v_last_node->gdfo == (-1));
     if (__pyx_2) {
       __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_errors); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 889; goto __pyx_L1;}
@@ -3519,40 +3519,40 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":890 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":890 */
     Py_INCREF(__pyx_v_last_node->extra);
     Py_DECREF(((PyObject *)__pyx_v_ms_last_node));
     __pyx_v_ms_last_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_last_node->extra);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":891 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":891 */
     __pyx_2 = (!((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_ms_last_node->__pyx_vtab)->has_pending_parents(__pyx_v_ms_last_node));
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":893 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":893 */
       __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_pop_node(__pyx_v_self); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 893; goto __pyx_L1;}
       Py_DECREF(__pyx_3); __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":894 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":894 */
       goto __pyx_L2;
       goto __pyx_L5;
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":895 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":895 */
     while (1) {
       __pyx_2 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_ms_last_node->__pyx_vtab)->has_pending_parents(__pyx_v_ms_last_node);
       if (!__pyx_2) break;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":896 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":896 */
       __pyx_2 = ((PyObject *)__pyx_v_ms_last_node->left_pending_parent) != Py_None;
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":898 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":898 */
         Py_INCREF(((PyObject *)__pyx_v_ms_last_node->left_pending_parent));
         Py_DECREF(((PyObject *)__pyx_v_next_node));
         __pyx_v_next_node = __pyx_v_ms_last_node->left_pending_parent;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":899 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":899 */
         Py_INCREF(Py_None);
         Py_DECREF(((PyObject *)__pyx_v_ms_last_node->left_pending_parent));
         __pyx_v_ms_last_node->left_pending_parent = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None);
@@ -3569,13 +3569,13 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":909 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":909 */
       __pyx_3 = ((PyObject *)((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_get_ms_node(__pyx_v_self,__pyx_v_next_node)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 909; goto __pyx_L1;}
       Py_DECREF(((PyObject *)__pyx_v_ms_next_node));
       __pyx_v_ms_next_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_3);
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":910 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":910 */
       __pyx_2 = __pyx_v_ms_next_node->completed;
       if (__pyx_2) {
         goto __pyx_L6;
@@ -3583,7 +3583,7 @@
       }
       __pyx_L9:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":917 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":917 */
       __pyx_2 = __pyx_v_next_node == __pyx_v_ms_last_node->left_parent;
       if (__pyx_2) {
         __pyx_v_next_merge_depth = __pyx_v_ms_last_node->merge_depth;
@@ -3594,11 +3594,11 @@
       }
       __pyx_L10:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":921 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":921 */
       __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_push_node(__pyx_v_self,__pyx_v_next_node,__pyx_v_next_merge_depth); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 921; goto __pyx_L1;}
       Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":924 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":924 */
       goto __pyx_L7;
       __pyx_L6:;
     }
@@ -3637,46 +3637,46 @@
   __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)Py_None); Py_INCREF(Py_None);
   __pyx_v_ordered = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":936 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":936 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_16_known_graph_pyx__MergeSorter *)__pyx_v_self->__pyx_vtab)->_schedule_stack(__pyx_v_self); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 936; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":946 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":946 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 946; goto __pyx_L1;}
   Py_DECREF(__pyx_v_ordered);
   __pyx_v_ordered = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":948 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":948 */
   for (__pyx_v_pos = PyList_GET_SIZE(__pyx_v_self->_scheduled_nodes)-1; __pyx_v_pos >= 0; --__pyx_v_pos) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":949 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":949 */
     __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_16_known_graph_pyx__get_list_node(__pyx_v_self->_scheduled_nodes,__pyx_v_pos)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 949; goto __pyx_L1;}
     Py_DECREF(((PyObject *)__pyx_v_node));
     __pyx_v_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__KnownGraphNode *)__pyx_1);
     __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":950 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":950 */
     Py_INCREF(__pyx_v_node->extra);
     Py_DECREF(((PyObject *)__pyx_v_ms_node));
     __pyx_v_ms_node = ((struct __pyx_obj_6bzrlib_16_known_graph_pyx__MergeSortNode *)__pyx_v_node->extra);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":951 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":951 */
     __pyx_2 = PyList_Append(__pyx_v_ordered,((PyObject *)__pyx_v_ms_node)); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 951; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":952 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":952 */
     Py_INCREF(Py_None);
     Py_DECREF(__pyx_v_node->extra);
     __pyx_v_node->extra = Py_None;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":954 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":954 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 954; goto __pyx_L1;}
   Py_DECREF(__pyx_v_self->_scheduled_nodes);
   __pyx_v_self->_scheduled_nodes = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":955 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":955 */
   Py_INCREF(__pyx_v_ordered);
   __pyx_r = __pyx_v_ordered;
   goto __pyx_L0;
@@ -4532,7 +4532,7 @@
   if (PyObject_SetAttrString(__pyx_m, "_MergeSortNode", (PyObject *)&__pyx_type_6bzrlib_16_known_graph_pyx__MergeSortNode) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 666; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_16_known_graph_pyx__MergeSortNode = &__pyx_type_6bzrlib_16_known_graph_pyx__MergeSortNode;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":54 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":54 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 54; goto __pyx_L1;}
   Py_INCREF(__pyx_n_deque);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_deque);
@@ -4543,12 +4543,12 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":55 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":55 */
   __pyx_2 = __Pyx_Import(__pyx_n_gc, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 55; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_gc, __pyx_2) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 55; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":57 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":57 */
   __pyx_1 = PyList_New(2); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 57; goto __pyx_L1;}
   Py_INCREF(__pyx_n_errors);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_errors);
@@ -4564,7 +4564,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":60 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":60 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n_revision); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 60; goto __pyx_L1;}
   __pyx_1 = PyObject_GetAttr(__pyx_2, __pyx_n_NULL_REVISION); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 60; goto __pyx_L1;}
   Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -4572,11 +4572,11 @@
   __pyx_v_6bzrlib_16_known_graph_pyx_NULL_REVISION = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":199 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":199 */
   Py_INCREF(Py_True);
   __pyx_d1 = Py_True;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_known_graph_pyx.pyx":926 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_known_graph_pyx.pyx":926 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_known_graph_pyx.pyx'
--- bzrlib/_known_graph_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_known_graph_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_patiencediff_c.c'
--- bzrlib/_patiencediff_c.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_patiencediff_c.c	2010-03-24 22:27:38 +0000
@@ -1,5 +1,5 @@
 /*
- Copyright (C) 2007 Canonical Ltd
+ Copyright (C) 2007, 2010 Canonical Ltd
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
@@ -46,6 +46,12 @@
 #define SENTINEL -1
 
 
+/* malloc returns NULL on some platforms if you try to allocate nothing,
+ * causing <https://bugs.edge.launchpad.net/bzr/+bug/511267> and
+ * <https://bugs.edge.launchpad.net/bzr/+bug/331095>.  On glibc it passes, but
+ * let's make it fail to aid testing. */
+#define guarded_malloc(x) ( (x) ? malloc(x) : NULL )
+
 enum {
     OP_EQUAL = 0,
     OP_INSERT,
@@ -183,7 +189,8 @@
     while (hsize < bsize + 1)
         hsize *= 2;
 
-    hashtable = (struct bucket *)malloc(sizeof(struct bucket) * hsize);
+    /* can't be 0 */
+    hashtable = (struct bucket *) guarded_malloc(sizeof(struct bucket) * hsize);
     if (hashtable == NULL) {
         PyErr_NoMemory();
         return 0;
@@ -460,7 +467,7 @@
     last_a_pos = alo - 1;
     last_b_pos = blo - 1;
 
-    lcs = (struct matching_line *)malloc(sizeof(struct matching_line) * (bhi - blo));
+    lcs = (struct matching_line *)guarded_malloc(sizeof(struct matching_line) * (bhi - blo));
     if (lcs == NULL)
         return 0;
 
@@ -620,13 +627,15 @@
     if (!equate_lines(&hashtable, a, b, asize, bsize))
         goto error;
 
-    matches = (struct matching_line *)malloc(sizeof(struct matching_line) * bsize);
-    if (matches == NULL)
-        goto error;
+    if (bsize > 0) {
+        matches = (struct matching_line *)guarded_malloc(sizeof(struct matching_line) * bsize);
+        if (matches == NULL)
+            goto error;
 
-    backpointers = (Py_ssize_t *)malloc(sizeof(Py_ssize_t) * bsize * 4);
-    if (backpointers == NULL)
-        goto error;
+        backpointers = (Py_ssize_t *)guarded_malloc(sizeof(Py_ssize_t) * bsize * 4);
+        if (backpointers == NULL)
+            goto error;
+    }
 
     nmatches = unique_lcs(matches, &hashtable, backpointers, a, b, 0, 0, asize, bsize);
 
@@ -692,13 +701,19 @@
         goto error;
 
     matches.count = 0;
-    matches.matches = (struct matching_block *)malloc(sizeof(struct matching_block) * bsize);
-    if (matches.matches == NULL)
-        goto error;
-
-    backpointers = (Py_ssize_t *)malloc(sizeof(Py_ssize_t) * bsize * 4);
-    if (backpointers == NULL)
-        goto error;
+
+    if (bsize > 0) {
+        matches.matches = (struct matching_block *)guarded_malloc(sizeof(struct matching_block) * bsize);
+        if (matches.matches == NULL)
+            goto error;
+
+        backpointers = (Py_ssize_t *)guarded_malloc(sizeof(Py_ssize_t) * bsize * 4);
+        if (backpointers == NULL)
+            goto error;
+    } else {
+        matches.matches = NULL;
+        backpointers = NULL;
+    }
 
     res = recurse_matches(&matches, &hashtable, backpointers,
                           a, b, alo, blo, ahi, bhi, maxrecursion);
@@ -765,11 +780,15 @@
             return NULL;
         }
 
-        self->backpointers = (Py_ssize_t *)malloc(sizeof(Py_ssize_t) * self->bsize * 4);
-        if (self->backpointers == NULL) {
-            Py_DECREF(self);
-            PyErr_NoMemory();
-            return NULL;
+        if (self->bsize > 0) {
+            self->backpointers = (Py_ssize_t *)guarded_malloc(sizeof(Py_ssize_t) * self->bsize * 4);
+            if (self->backpointers == NULL) {
+                Py_DECREF(self);
+                PyErr_NoMemory();
+                return NULL;
+            }
+        } else {
+            self->backpointers = NULL;
         }
 
     }
@@ -812,9 +831,13 @@
     struct matching_blocks matches;
 
     matches.count = 0;
-    matches.matches = (struct matching_block *)malloc(sizeof(struct matching_block) * self->bsize);
-    if (matches.matches == NULL)
-        return PyErr_NoMemory();
+    if (self->bsize > 0) {
+        matches.matches = (struct matching_block *)
+            guarded_malloc(sizeof(struct matching_block) * self->bsize);
+        if (matches.matches == NULL)
+            return PyErr_NoMemory();
+    } else
+        matches.matches = NULL;
 
     res = recurse_matches(&matches, &self->hashtable, self->backpointers,
                           self->a, self->b, 0, 0,
@@ -900,7 +923,7 @@
     struct matching_blocks matches;
 
     matches.count = 0;
-    matches.matches = (struct matching_block *)malloc(sizeof(struct matching_block) * (self->bsize + 1));
+    matches.matches = (struct matching_block *)guarded_malloc(sizeof(struct matching_block) * (self->bsize + 1));
     if (matches.matches == NULL)
         return PyErr_NoMemory();
 
@@ -1013,7 +1036,7 @@
         return NULL;
 
     matches.count = 0;
-    matches.matches = (struct matching_block *)malloc(sizeof(struct matching_block) * (self->bsize + 1));
+    matches.matches = (struct matching_block *)guarded_malloc(sizeof(struct matching_block) * (self->bsize + 1));
     if (matches.matches == NULL)
         return PyErr_NoMemory();
 
@@ -1031,7 +1054,7 @@
     matches.count++;
 
     ncodes = 0;
-    codes = (struct opcode *)malloc(sizeof(struct opcode) * matches.count * 2);
+    codes = (struct opcode *)guarded_malloc(sizeof(struct opcode) * matches.count * 2);
     if (codes == NULL) {
         free(matches.matches);
         return PyErr_NoMemory();
@@ -1252,3 +1275,7 @@
     PyModule_AddObject(m, "PatienceSequenceMatcher_c",
                        (PyObject *)&PatienceSequenceMatcherType);
 }
+
+
+/* vim: sw=4 et 
+ */

=== modified file 'bzrlib/_readdir_pyx.c'
--- bzrlib/_readdir_pyx.c	2010-01-25 19:53:02 +0000
+++ bzrlib/_readdir_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Wed Jan  6 16:22:39 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:52 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -413,7 +413,7 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "", __pyx_argnames)) return -1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":173 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":173 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n_osutils); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 173; goto __pyx_L1;}
   __pyx_2 = PyObject_GetAttr(__pyx_1, __pyx_n_safe_utf8); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 173; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -421,49 +421,49 @@
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_safe_utf8 = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":174 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":174 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n__directory); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 174; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_directory);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_directory = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":175 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":175 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n__chardev); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 175; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_chardev);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_chardev = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":176 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":176 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n__block); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 176; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_block);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_block = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":177 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":177 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n__file); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 177; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_file);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_file = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":178 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":178 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n__fifo); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 178; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_fifo);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_fifo = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":179 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":179 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n__symlink); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 179; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_symlink);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_symlink = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":180 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":180 */
   __pyx_1 = __Pyx_GetName(__pyx_m, __pyx_n__socket); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 180; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_socket);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_socket = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":181 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":181 */
   __pyx_2 = __Pyx_GetName(__pyx_m, __pyx_n__unknown); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 181; goto __pyx_L1;}
   Py_DECREF(((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_unknown);
   ((struct __pyx_obj_6bzrlib_12_readdir_pyx_UTF8DirReader *)__pyx_v_self)->_unknown = __pyx_2;
@@ -511,7 +511,7 @@
   int __pyx_1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":189 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":189 */
   __pyx_1 = S_ISREG(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_file);
@@ -521,7 +521,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":191 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":191 */
   __pyx_1 = S_ISDIR(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_directory);
@@ -531,7 +531,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":193 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":193 */
   __pyx_1 = S_ISCHR(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_chardev);
@@ -541,7 +541,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":195 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":195 */
   __pyx_1 = S_ISBLK(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_block);
@@ -551,7 +551,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":197 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":197 */
   __pyx_1 = S_ISLNK(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_symlink);
@@ -561,7 +561,7 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":199 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":199 */
   __pyx_1 = S_ISFIFO(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_fifo);
@@ -571,7 +571,7 @@
   }
   __pyx_L7:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":201 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":201 */
   __pyx_1 = S_ISSOCK(__pyx_v_mode);
   if (__pyx_1) {
     Py_INCREF(__pyx_v_self->_socket);
@@ -581,7 +581,7 @@
   }
   __pyx_L8:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":203 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":203 */
   Py_INCREF(__pyx_v_self->_unknown);
   __pyx_r = __pyx_v_self->_unknown;
   goto __pyx_L0;
@@ -677,7 +677,7 @@
   __pyx_v_top_slash = Py_None; Py_INCREF(Py_None);
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":230 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":230 */
   __pyx_1 = PyString_Size(__pyx_v_prefix);
   if (__pyx_1) {
     __pyx_2 = PyNumber_Add(__pyx_v_prefix, __pyx_k15p); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 231; goto __pyx_L1;}
@@ -693,43 +693,43 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":234 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":234 */
   __pyx_2 = PyNumber_Add(__pyx_v_top, __pyx_k15p); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 234; goto __pyx_L1;}
   Py_DECREF(__pyx_v_top_slash);
   __pyx_v_top_slash = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":238 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":238 */
   __pyx_2 = __pyx_f_6bzrlib_12_readdir_pyx__read_dir(__pyx_v_top); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 238; goto __pyx_L1;}
   Py_DECREF(__pyx_v_result);
   __pyx_v_result = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":239 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":239 */
   __pyx_1 = PyObject_Length(__pyx_v_result); if (__pyx_1 == -1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 239; goto __pyx_L1;}
   __pyx_v_length = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":241 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":241 */
   for (__pyx_v_index = 0; __pyx_v_index < __pyx_v_length; ++__pyx_v_index) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":242 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":242 */
     __pyx_v_atuple = PyList_GET_ITEM(__pyx_v_result,__pyx_v_index);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":243 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":243 */
     Py_INCREF(((PyObject *)PyTuple_GET_ITEM(__pyx_v_atuple,1)));
     Py_DECREF(__pyx_v_name);
     __pyx_v_name = ((PyObject *)PyTuple_GET_ITEM(__pyx_v_atuple,1));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":248 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":248 */
     __pyx_v_new_val_obj = ((PyObject *)__pyx_v_relprefix);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":249 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":249 */
     Py_INCREF(__pyx_v_relprefix);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":250 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":250 */
     PyString_Concat((&__pyx_v_new_val_obj),__pyx_v_name);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":251 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":251 */
     __pyx_3 = (NULL == __pyx_v_new_val_obj);
     if (__pyx_3) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 254; goto __pyx_L1;}
@@ -744,10 +744,10 @@
     }
     __pyx_L5:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":255 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":255 */
     __pyx_3 = PyTuple_SetItem(__pyx_v_atuple,0,__pyx_v_new_val_obj); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 255; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":257 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":257 */
     __pyx_2 = PyObject_GetAttr(((PyObject *)PyTuple_GET_ITEM(__pyx_v_atuple,3)), __pyx_n_st_mode); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 258; goto __pyx_L1;}
     __pyx_3 = PyInt_AsLong(__pyx_2); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 258; goto __pyx_L1;}
     Py_DECREF(__pyx_2); __pyx_2 = 0;
@@ -756,22 +756,22 @@
     __pyx_v_newval = __pyx_4;
     __pyx_4 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":259 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":259 */
     Py_INCREF(__pyx_v_newval);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":260 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":260 */
     __pyx_3 = PyTuple_SetItem(__pyx_v_atuple,2,__pyx_v_newval); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 260; goto __pyx_L1;}
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":264 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":264 */
     __pyx_v_new_val_obj = ((PyObject *)__pyx_v_top_slash);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":265 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":265 */
     Py_INCREF(__pyx_v_top_slash);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":266 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":266 */
     PyString_Concat((&__pyx_v_new_val_obj),__pyx_v_name);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":267 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":267 */
     __pyx_3 = (NULL == __pyx_v_new_val_obj);
     if (__pyx_3) {
       __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 270; goto __pyx_L1;}
@@ -786,11 +786,11 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":271 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":271 */
     __pyx_3 = PyTuple_SetItem(__pyx_v_atuple,4,__pyx_v_new_val_obj); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 271; goto __pyx_L1;}
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":272 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":272 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -823,7 +823,7 @@
   PyObject *__pyx_5 = 0;
   Py_INCREF(__pyx_v_path);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":276 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":276 */
   __pyx_1 = (__pyx_v_errnum == EINTR);
   if (__pyx_1) {
     __pyx_1 = PyErr_CheckSignals(); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 277; goto __pyx_L1;}
@@ -831,7 +831,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":278 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":278 */
   __pyx_2 = PyInt_FromLong(__pyx_v_errnum); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
   __pyx_3 = PyString_FromString(__pyx_v_msg_prefix); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
   __pyx_4 = PyString_FromString(strerror(__pyx_v_errnum)); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 278; goto __pyx_L1;}
@@ -887,7 +887,7 @@
   __pyx_v_result = Py_None; Py_INCREF(Py_None);
   __pyx_v_failed = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":302 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":302 */
   if (PyObject_Cmp(__pyx_v_path, __pyx_k16p, &__pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 302; goto __pyx_L1;}
   __pyx_1 = __pyx_1 != 0;
   if (__pyx_1) {
@@ -896,10 +896,10 @@
   }
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":306 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":306 */
     __pyx_v_orig_dir_fd = open(__pyx_k18,O_RDONLY,0);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":307 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":307 */
     __pyx_1 = (__pyx_v_orig_dir_fd == (-1));
     if (__pyx_1) {
       __pyx_2 = __pyx_f_6bzrlib_12_readdir_pyx_raise_os_error(errno,__pyx_k19,__pyx_k18p); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 308; goto __pyx_L1;}
@@ -908,7 +908,7 @@
     }
     __pyx_L3:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":309 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":309 */
     __pyx_3 = PyString_AsString(__pyx_v_path); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 309; goto __pyx_L1;}
     __pyx_1 = ((-1) == chdir(__pyx_3));
     if (__pyx_1) {
@@ -924,13 +924,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":314 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":314 */
   /*try:*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":315 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":315 */
     __pyx_v_the_dir = opendir(__pyx_k18);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":316 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":316 */
     __pyx_1 = (NULL == __pyx_v_the_dir);
     if (__pyx_1) {
       __pyx_2 = __pyx_f_6bzrlib_12_readdir_pyx_raise_os_error(errno,__pyx_k21,__pyx_v_path); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 317; goto __pyx_L6;}
@@ -939,35 +939,35 @@
     }
     __pyx_L8:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":318 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":318 */
     /*try:*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":319 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":319 */
       __pyx_2 = PyList_New(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 319; goto __pyx_L10;}
       Py_DECREF(__pyx_v_result);
       __pyx_v_result = __pyx_2;
       __pyx_2 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":320 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":320 */
       __pyx_v_entry = (&__pyx_v_sentinel);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":321 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":321 */
       while (1) {
         __pyx_1 = (__pyx_v_entry != NULL);
         if (!__pyx_1) break;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":325 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":325 */
         while (1) {
           __pyx_1 = PyObject_IsTrue(Py_True); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 325; goto __pyx_L10;}
           if (!__pyx_1) break;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":326 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":326 */
           errno = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":327 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":327 */
           __pyx_v_entry = readdir(__pyx_v_the_dir);
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":328 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":328 */
           __pyx_1 = (__pyx_v_entry == NULL);
           if (__pyx_1) {
             __pyx_1 = (errno == EAGAIN);
@@ -977,7 +977,7 @@
           }
           if (__pyx_1) {
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":329 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":329 */
             __pyx_1 = (errno == EINTR);
             if (__pyx_1) {
               __pyx_1 = PyErr_CheckSignals(); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 330; goto __pyx_L10;}
@@ -985,7 +985,7 @@
             }
             __pyx_L17:;
 
-            /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":332 */
+            /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":332 */
             goto __pyx_L14;
             goto __pyx_L16;
           }
@@ -997,7 +997,7 @@
         }
         __pyx_L15:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":335 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":335 */
         __pyx_1 = (__pyx_v_entry == NULL);
         if (__pyx_1) {
           __pyx_1 = (errno == ENOTDIR);
@@ -1017,10 +1017,10 @@
         }
         __pyx_L18:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":343 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":343 */
         __pyx_v_name = __pyx_v_entry->d_name;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":344 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":344 */
         __pyx_1 = ((__pyx_v_name[0]) == '.');
         if (__pyx_1) {
           __pyx_1 = ((__pyx_v_name[1]) == 0);
@@ -1034,16 +1034,16 @@
         __pyx_4 = (!__pyx_1);
         if (__pyx_4) {
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":348 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":348 */
           __pyx_2 = PyObject_CallObject(((PyObject *)__pyx_ptype_6bzrlib_12_readdir_pyx__Stat), 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 348; goto __pyx_L10;}
           Py_DECREF(((PyObject *)__pyx_v_statvalue));
           __pyx_v_statvalue = ((struct __pyx_obj_6bzrlib_12_readdir_pyx__Stat *)__pyx_2);
           __pyx_2 = 0;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":349 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":349 */
           __pyx_v_stat_result = lstat(__pyx_v_entry->d_name,(&__pyx_v_statvalue->_st));
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":350 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":350 */
           __pyx_1 = (__pyx_v_stat_result != 0);
           if (__pyx_1) {
             __pyx_4 = (errno != ENOENT);
@@ -1066,7 +1066,7 @@
           }
           __pyx_L21:;
 
-          /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":366 */
+          /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":366 */
           __pyx_5 = PyLong_FromUnsignedLong(__pyx_v_entry->d_ino); if (!__pyx_5) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L10;}
           __pyx_6 = PyString_FromString(__pyx_v_entry->d_name); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L10;}
           __pyx_2 = PyTuple_New(5); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 366; goto __pyx_L10;}
@@ -1149,12 +1149,12 @@
     __pyx_1 = ((-1) != __pyx_v_orig_dir_fd);
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":373 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":373 */
       Py_INCREF(Py_False);
       Py_DECREF(__pyx_v_failed);
       __pyx_v_failed = Py_False;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":374 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":374 */
       __pyx_4 = ((-1) == fchdir(__pyx_v_orig_dir_fd));
       if (__pyx_4) {
         Py_INCREF(Py_True);
@@ -1164,7 +1164,7 @@
       }
       __pyx_L28:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":377 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":377 */
       __pyx_6 = PyInt_FromLong(((-1) == close(__pyx_v_orig_dir_fd))); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 377; goto __pyx_L26;}
       __pyx_1 = PyObject_IsTrue(__pyx_6); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 377; goto __pyx_L26;}
       if (!__pyx_1) {
@@ -1204,7 +1204,7 @@
     }
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":380 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":380 */
   Py_INCREF(__pyx_v_result);
   __pyx_r = __pyx_v_result;
   goto __pyx_L0;
@@ -1651,44 +1651,44 @@
   if (PyObject_SetAttrString(__pyx_m, "UTF8DirReader", (PyObject *)&__pyx_type_6bzrlib_12_readdir_pyx_UTF8DirReader) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 165; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_12_readdir_pyx_UTF8DirReader = &__pyx_type_6bzrlib_12_readdir_pyx_UTF8DirReader;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":20 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":20 */
   __pyx_1 = __Pyx_Import(__pyx_n_os, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 20; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_os, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 20; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":21 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":21 */
   __pyx_1 = __Pyx_Import(__pyx_n_sys, 0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 21; goto __pyx_L1;}
   if (PyObject_SetAttr(__pyx_m, __pyx_n_sys, __pyx_1) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 21; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":109 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":109 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__directory, __pyx_n_directory) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 109; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":110 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":110 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__chardev, __pyx_n_chardev) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 110; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":111 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__block, __pyx_n_block) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 111; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":112 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":112 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__file, __pyx_n_file) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 112; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":113 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":113 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__fifo, __pyx_n_fifo) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 113; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":114 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":114 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__symlink, __pyx_n_symlink) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 114; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":115 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":115 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__socket, __pyx_n_socket) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 115; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":116 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__unknown, __pyx_n_unknown) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 116; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":117 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":117 */
   if (PyObject_SetAttr(__pyx_m, __pyx_n__missing, __pyx_n_missing) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 117; goto __pyx_L1;}
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":162 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":162 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 162; goto __pyx_L1;}
   Py_INCREF(__pyx_n_osutils);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_osutils);
@@ -1699,11 +1699,11 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":205 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":205 */
   Py_INCREF(__pyx_k16p);
   __pyx_d1 = __pyx_k16p;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_readdir_pyx.pyx":281 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_readdir_pyx.pyx":281 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_readdir_pyx.pyx'
--- bzrlib/_readdir_pyx.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_readdir_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006, 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_rio_pyx.c'
--- bzrlib/_rio_pyx.c	2010-01-25 19:53:02 +0000
+++ bzrlib/_rio_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 14:10:37 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:17:31 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -151,7 +151,7 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "O", __pyx_argnames, &__pyx_v_tag)) return 0;
   Py_INCREF(__pyx_v_tag);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":63 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":63 */
   __pyx_1 = (!PyString_CheckExact(__pyx_v_tag));
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 64; goto __pyx_L1;}
@@ -166,14 +166,14 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":65 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":65 */
   __pyx_v_c_tag = PyString_AS_STRING(__pyx_v_tag);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":66 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":66 */
   __pyx_4 = PyString_GET_SIZE(__pyx_v_tag); if (__pyx_4 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 66; goto __pyx_L1;}
   __pyx_v_c_len = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":67 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":67 */
   __pyx_1 = (__pyx_v_c_len < 1);
   if (__pyx_1) {
     Py_INCREF(Py_False);
@@ -183,7 +183,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":69 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":69 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_c_len; ++__pyx_v_i) {
     __pyx_1 = (!__pyx_f_6bzrlib_8_rio_pyx__valid_tag_char((__pyx_v_c_tag[__pyx_v_i])));
     if (__pyx_1) {
@@ -195,7 +195,7 @@
     __pyx_L6:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":72 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":72 */
   Py_INCREF(Py_True);
   __pyx_r = Py_True;
   goto __pyx_L0;
@@ -219,12 +219,12 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":78 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":78 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_len; ++__pyx_v_i) {
     __pyx_1 = ((__pyx_v_line[__pyx_v_i]) == ':');
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":80 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":80 */
       __pyx_1 = ((__pyx_v_line[(__pyx_v_i + 1)]) != ' ');
       if (__pyx_1) {
         __pyx_2 = PyString_FromString(__pyx_v_line); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 81; goto __pyx_L1;}
@@ -242,13 +242,13 @@
       }
       __pyx_L5:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":82 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":82 */
       memcpy(__pyx_v_value,((__pyx_v_line + __pyx_v_i) + 2),((__pyx_v_len - __pyx_v_i) - 2));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":83 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":83 */
       (__pyx_v_value_len[0]) = ((__pyx_v_len - __pyx_v_i) - 2);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":84 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":84 */
       __pyx_2 = PyString_FromStringAndSize(__pyx_v_line,__pyx_v_i); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 84; goto __pyx_L1;}
       __pyx_r = __pyx_2;
       __pyx_2 = 0;
@@ -258,7 +258,7 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":85 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":85 */
   __pyx_3 = PyString_FromString(__pyx_v_line); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 85; goto __pyx_L1;}
   __pyx_2 = PyNumber_Remainder(__pyx_k2p, __pyx_3); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 85; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -289,12 +289,12 @@
   PyObject *__pyx_2 = 0;
   PyObject *__pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":91 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":91 */
   for (__pyx_v_i = 0; __pyx_v_i < __pyx_v_len; ++__pyx_v_i) {
     __pyx_1 = ((__pyx_v_line[__pyx_v_i]) == ':');
     if (__pyx_1) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":93 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":93 */
       __pyx_1 = ((__pyx_v_line[(__pyx_v_i + 1)]) != ' ');
       if (__pyx_1) {
         __pyx_2 = PyUnicode_FromUnicode(__pyx_v_line,__pyx_v_len); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 95; goto __pyx_L1;}
@@ -312,13 +312,13 @@
       }
       __pyx_L5:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":96 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":96 */
       memcpy(__pyx_v_value,(&(__pyx_v_line[(__pyx_v_i + 2)])),(((__pyx_v_len - __pyx_v_i) - 2) * (sizeof(Py_UNICODE))));
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":97 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":97 */
       (__pyx_v_value_len[0]) = ((__pyx_v_len - __pyx_v_i) - 2);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":98 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":98 */
       __pyx_2 = PyUnicode_EncodeASCII(__pyx_v_line,__pyx_v_i,__pyx_k3); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 98; goto __pyx_L1;}
       __pyx_r = __pyx_2;
       __pyx_2 = 0;
@@ -328,7 +328,7 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":99 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":99 */
   __pyx_3 = PyUnicode_FromUnicode(__pyx_v_line,__pyx_v_len); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 100; goto __pyx_L1;}
   __pyx_2 = PyNumber_Remainder(__pyx_k2p, __pyx_3); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 99; goto __pyx_L1;}
   Py_DECREF(__pyx_3); __pyx_3 = 0;
@@ -379,27 +379,27 @@
   __pyx_v_tag = Py_None; Py_INCREF(Py_None);
   __pyx_v_line = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":108 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":108 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 108; goto __pyx_L1;}
   Py_DECREF(__pyx_v_pairs);
   __pyx_v_pairs = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":109 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":109 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_tag);
   __pyx_v_tag = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":110 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":110 */
   __pyx_v_accum_len = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":111 */
   __pyx_v_accum_size = 4096;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":112 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":112 */
   __pyx_v_accum_value = ((char *)malloc(__pyx_v_accum_size));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":113 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":113 */
   __pyx_2 = (__pyx_v_accum_value == NULL);
   if (__pyx_2) {
     __Pyx_Raise(PyExc_MemoryError, 0, 0);
@@ -408,10 +408,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":115 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":115 */
   /*try:*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":116 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":116 */
     __pyx_1 = PyObject_GetIter(__pyx_v_line_iter); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 116; goto __pyx_L4;}
     for (;;) {
       __pyx_3 = PyIter_Next(__pyx_1);
@@ -423,7 +423,7 @@
       __pyx_v_line = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":117 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":117 */
       __pyx_2 = __pyx_v_line == Py_None;
       if (__pyx_2) {
         goto __pyx_L7;
@@ -431,7 +431,7 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":119 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":119 */
       __pyx_2 = (!PyString_CheckExact(__pyx_v_line));
       if (__pyx_2) {
         __pyx_3 = PyNumber_Remainder(__pyx_k4p, __pyx_v_line); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 120; goto __pyx_L4;}
@@ -447,14 +447,14 @@
       }
       __pyx_L9:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":121 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":121 */
       __pyx_v_c_line = PyString_AS_STRING(__pyx_v_line);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":122 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":122 */
       __pyx_5 = PyString_GET_SIZE(__pyx_v_line); if (__pyx_5 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 122; goto __pyx_L4;}
       __pyx_v_c_len = __pyx_5;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":123 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":123 */
       __pyx_2 = (__pyx_v_c_len < 1);
       if (__pyx_2) {
         goto __pyx_L7;
@@ -462,7 +462,7 @@
       }
       __pyx_L10:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":125 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":125 */
       __pyx_2 = (__pyx_v_c_len == 1);
       if (__pyx_2) {
         __pyx_2 = ((__pyx_v_c_line[0]) == '\n');
@@ -473,17 +473,17 @@
       }
       __pyx_L11:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":127 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":127 */
       __pyx_2 = ((__pyx_v_accum_len + __pyx_v_c_len) > __pyx_v_accum_size);
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":128 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":128 */
         __pyx_v_accum_size = (__pyx_v_accum_len + __pyx_v_c_len);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":129 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":129 */
         __pyx_v_new_accum_value = ((char *)realloc(__pyx_v_accum_value,__pyx_v_accum_size));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":130 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":130 */
         __pyx_2 = (__pyx_v_new_accum_value == NULL);
         if (__pyx_2) {
           __Pyx_Raise(PyExc_MemoryError, 0, 0);
@@ -498,11 +498,11 @@
       }
       __pyx_L12:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":134 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":134 */
       __pyx_2 = ((__pyx_v_c_line[0]) == '\t');
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":135 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":135 */
         __pyx_2 = __pyx_v_tag == Py_None;
         if (__pyx_2) {
           __pyx_4 = PyNumber_Remainder(__pyx_k5p, __pyx_v_line); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 136; goto __pyx_L4;}
@@ -518,16 +518,16 @@
         }
         __pyx_L15:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":137 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":137 */
         memcpy((__pyx_v_accum_value + __pyx_v_accum_len),(__pyx_v_c_line + 1),(__pyx_v_c_len - 1));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":138 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":138 */
         __pyx_v_accum_len = ((__pyx_v_accum_len + __pyx_v_c_len) - 1);
         goto __pyx_L14;
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":140 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":140 */
         __pyx_2 = __pyx_v_tag != Py_None;
         if (__pyx_2) {
           __pyx_3 = PyUnicode_DecodeUTF8(__pyx_v_accum_value,(__pyx_v_accum_len - 1),__pyx_k3); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 142; goto __pyx_L4;}
@@ -542,13 +542,13 @@
         }
         __pyx_L16:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":144 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":144 */
         __pyx_3 = __pyx_f_6bzrlib_8_rio_pyx__split_first_line_utf8(__pyx_v_c_line,__pyx_v_c_len,__pyx_v_accum_value,(&__pyx_v_accum_len)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 144; goto __pyx_L4;}
         Py_DECREF(__pyx_v_tag);
         __pyx_v_tag = __pyx_3;
         __pyx_3 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":146 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":146 */
         __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n__valid_tag); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 146; goto __pyx_L4;}
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 146; goto __pyx_L4;}
         Py_INCREF(__pyx_v_tag);
@@ -582,11 +582,11 @@
     __pyx_L7:;
     Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":148 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":148 */
     __pyx_2 = __pyx_v_tag != Py_None;
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":149 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":149 */
       __pyx_3 = PyUnicode_DecodeUTF8(__pyx_v_accum_value,(__pyx_v_accum_len - 1),__pyx_k3); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 150; goto __pyx_L4;}
       __pyx_6 = PyTuple_New(2); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 150; goto __pyx_L4;}
       Py_INCREF(__pyx_v_tag);
@@ -596,7 +596,7 @@
       __pyx_7 = PyList_Append(__pyx_v_pairs,__pyx_6); if (__pyx_7 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 149; goto __pyx_L4;}
       Py_DECREF(__pyx_6); __pyx_6 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":151 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":151 */
       __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n_Stanza); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 151; goto __pyx_L4;}
       __pyx_1 = PyObject_GetAttr(__pyx_4, __pyx_n_from_pairs); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 151; goto __pyx_L4;}
       Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -693,27 +693,27 @@
   __pyx_v_tag = Py_None; Py_INCREF(Py_None);
   __pyx_v_line = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":163 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":163 */
   __pyx_1 = PyList_New(0); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 163; goto __pyx_L1;}
   Py_DECREF(__pyx_v_pairs);
   __pyx_v_pairs = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":164 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":164 */
   Py_INCREF(Py_None);
   Py_DECREF(__pyx_v_tag);
   __pyx_v_tag = Py_None;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":165 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":165 */
   __pyx_v_accum_len = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":166 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":166 */
   __pyx_v_accum_size = 4096;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":167 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":167 */
   __pyx_v_accum_value = ((Py_UNICODE *)malloc((__pyx_v_accum_size * (sizeof(Py_UNICODE)))));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":168 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":168 */
   __pyx_2 = (__pyx_v_accum_value == NULL);
   if (__pyx_2) {
     __Pyx_Raise(PyExc_MemoryError, 0, 0);
@@ -722,10 +722,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":170 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":170 */
   /*try:*/ {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":171 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":171 */
     __pyx_1 = PyObject_GetIter(__pyx_v_unicode_iter); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 171; goto __pyx_L4;}
     for (;;) {
       __pyx_3 = PyIter_Next(__pyx_1);
@@ -737,7 +737,7 @@
       __pyx_v_line = __pyx_3;
       __pyx_3 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":172 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":172 */
       __pyx_2 = __pyx_v_line == Py_None;
       if (__pyx_2) {
         goto __pyx_L7;
@@ -745,7 +745,7 @@
       }
       __pyx_L8:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":174 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":174 */
       __pyx_2 = (!PyUnicode_CheckExact(__pyx_v_line));
       if (__pyx_2) {
         __pyx_3 = PyNumber_Remainder(__pyx_k10p, __pyx_v_line); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 175; goto __pyx_L4;}
@@ -761,14 +761,14 @@
       }
       __pyx_L9:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":176 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":176 */
       __pyx_v_c_line = PyUnicode_AS_UNICODE(__pyx_v_line);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":177 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":177 */
       __pyx_5 = PyUnicode_GET_SIZE(__pyx_v_line); if (__pyx_5 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 177; goto __pyx_L4;}
       __pyx_v_c_len = __pyx_5;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":178 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":178 */
       __pyx_2 = (__pyx_v_c_len < 1);
       if (__pyx_2) {
         goto __pyx_L7;
@@ -776,7 +776,7 @@
       }
       __pyx_L10:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":180 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":180 */
       __pyx_2 = Py_UNICODE_ISLINEBREAK((__pyx_v_c_line[0]));
       if (__pyx_2) {
         goto __pyx_L7;
@@ -784,17 +784,17 @@
       }
       __pyx_L11:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":182 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":182 */
       __pyx_2 = ((__pyx_v_accum_len + __pyx_v_c_len) > __pyx_v_accum_size);
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":183 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":183 */
         __pyx_v_accum_size = (__pyx_v_accum_len + __pyx_v_c_len);
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":184 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":184 */
         __pyx_v_new_accum_value = ((Py_UNICODE *)realloc(__pyx_v_accum_value,(__pyx_v_accum_size * (sizeof(Py_UNICODE)))));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":186 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":186 */
         __pyx_2 = (__pyx_v_new_accum_value == NULL);
         if (__pyx_2) {
           __Pyx_Raise(PyExc_MemoryError, 0, 0);
@@ -809,11 +809,11 @@
       }
       __pyx_L12:;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":190 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":190 */
       __pyx_2 = ((__pyx_v_c_line[0]) == '\t');
       if (__pyx_2) {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":191 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":191 */
         __pyx_2 = __pyx_v_tag == Py_None;
         if (__pyx_2) {
           __pyx_4 = PyNumber_Remainder(__pyx_k5p, __pyx_v_line); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 192; goto __pyx_L4;}
@@ -829,16 +829,16 @@
         }
         __pyx_L15:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":193 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":193 */
         memcpy((&(__pyx_v_accum_value[__pyx_v_accum_len])),(&(__pyx_v_c_line[1])),((__pyx_v_c_len - 1) * (sizeof(Py_UNICODE))));
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":195 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":195 */
         __pyx_v_accum_len = (__pyx_v_accum_len + (__pyx_v_c_len - 1));
         goto __pyx_L14;
       }
       /*else*/ {
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":197 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":197 */
         __pyx_2 = __pyx_v_tag != Py_None;
         if (__pyx_2) {
           __pyx_3 = PyUnicode_FromUnicode(__pyx_v_accum_value,(__pyx_v_accum_len - 1)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 199; goto __pyx_L4;}
@@ -853,13 +853,13 @@
         }
         __pyx_L16:;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":200 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":200 */
         __pyx_3 = __pyx_f_6bzrlib_8_rio_pyx__split_first_line_unicode(__pyx_v_c_line,__pyx_v_c_len,__pyx_v_accum_value,(&__pyx_v_accum_len)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 200; goto __pyx_L4;}
         Py_DECREF(__pyx_v_tag);
         __pyx_v_tag = __pyx_3;
         __pyx_3 = 0;
 
-        /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":202 */
+        /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":202 */
         __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n__valid_tag); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 202; goto __pyx_L4;}
         __pyx_3 = PyTuple_New(1); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 202; goto __pyx_L4;}
         Py_INCREF(__pyx_v_tag);
@@ -893,11 +893,11 @@
     __pyx_L7:;
     Py_DECREF(__pyx_1); __pyx_1 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":204 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":204 */
     __pyx_2 = __pyx_v_tag != Py_None;
     if (__pyx_2) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":205 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":205 */
       __pyx_3 = PyUnicode_FromUnicode(__pyx_v_accum_value,(__pyx_v_accum_len - 1)); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 206; goto __pyx_L4;}
       __pyx_6 = PyTuple_New(2); if (!__pyx_6) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 206; goto __pyx_L4;}
       Py_INCREF(__pyx_v_tag);
@@ -907,7 +907,7 @@
       __pyx_7 = PyList_Append(__pyx_v_pairs,__pyx_6); if (__pyx_7 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 205; goto __pyx_L4;}
       Py_DECREF(__pyx_6); __pyx_6 = 0;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":207 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":207 */
       __pyx_4 = __Pyx_GetName(__pyx_m, __pyx_n_Stanza); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 207; goto __pyx_L4;}
       __pyx_1 = PyObject_GetAttr(__pyx_4, __pyx_n_from_pairs); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 207; goto __pyx_L4;}
       Py_DECREF(__pyx_4); __pyx_4 = 0;
@@ -999,7 +999,7 @@
   if (PyObject_SetAttrString(__pyx_m, "__builtins__", __pyx_b) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 17; goto __pyx_L1;};
   if (__Pyx_InitStrings(__pyx_string_tab) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 17; goto __pyx_L1;};
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":50 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":50 */
   __pyx_1 = PyList_New(1); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 50; goto __pyx_L1;}
   Py_INCREF(__pyx_n_Stanza);
   PyList_SET_ITEM(__pyx_1, 0, __pyx_n_Stanza);
@@ -1010,7 +1010,7 @@
   Py_DECREF(__pyx_1); __pyx_1 = 0;
   Py_DECREF(__pyx_2); __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_rio_pyx.pyx":158 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_rio_pyx.pyx":158 */
   return;
   __pyx_L1:;
   Py_XDECREF(__pyx_1);

=== modified file 'bzrlib/_rio_pyx.pyx'
--- bzrlib/_rio_pyx.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_rio_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_simple_set_pyx.c'
--- bzrlib/_simple_set_pyx.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_simple_set_pyx.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Generated by Pyrex 0.9.8.5 on Thu Jan 21 16:24:26 2010 */
+/* Generated by Pyrex 0.9.8.5 on Wed Mar 24 18:18:00 2010 */
 
 #define PY_SSIZE_T_CLEAN
 #include "Python.h"
@@ -156,7 +156,7 @@
   PyObject *__pyx_3 = 0;
   __pyx_v_res = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":65 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":65 */
   __pyx_1 = (__pyx_v_this == __pyx_v_other);
   if (__pyx_1) {
     __pyx_r = 1;
@@ -165,11 +165,11 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":67 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":67 */
   __pyx_2 = PyObject_Hash(__pyx_v_other); if (__pyx_2 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 67; goto __pyx_L1;}
   __pyx_v_other_hash = __pyx_2;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":68 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":68 */
   __pyx_1 = (__pyx_v_other_hash != __pyx_v_this_hash);
   if (__pyx_1) {
     __pyx_r = 0;
@@ -178,23 +178,23 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":78 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":78 */
   __pyx_3 = Py_TYPE(__pyx_v_this)->tp_richcompare(__pyx_v_this,__pyx_v_other,Py_EQ); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 78; goto __pyx_L1;}
   Py_DECREF(__pyx_v_res);
   __pyx_v_res = __pyx_3;
   __pyx_3 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":79 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":79 */
   __pyx_1 = __pyx_v_res == __pyx_v_6bzrlib_15_simple_set_pyx__NotImplemented;
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":80 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":80 */
     __pyx_3 = Py_TYPE(__pyx_v_other)->tp_richcompare(__pyx_v_other,__pyx_v_this,Py_EQ); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 80; goto __pyx_L1;}
     Py_DECREF(__pyx_v_res);
     __pyx_v_res = __pyx_3;
     __pyx_3 = 0;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":81 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":81 */
     __pyx_1 = __pyx_v_res == __pyx_v_6bzrlib_15_simple_set_pyx__NotImplemented;
     if (__pyx_1) {
       __pyx_r = 0;
@@ -206,7 +206,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":83 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":83 */
   __pyx_1 = PyObject_IsTrue(__pyx_v_res); if (__pyx_1 < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 83; goto __pyx_L1;}
   if (__pyx_1) {
     __pyx_r = 1;
@@ -215,7 +215,7 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":85 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":85 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -241,25 +241,25 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "", __pyx_argnames)) return -1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":108 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":108 */
   __pyx_v_size = 1024;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":109 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":109 */
   ((struct SimpleSetObject *)__pyx_v_self)->_mask = (__pyx_v_size - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":110 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":110 */
   ((struct SimpleSetObject *)__pyx_v_self)->_used = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":111 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":111 */
   ((struct SimpleSetObject *)__pyx_v_self)->_fill = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":112 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":112 */
   __pyx_v_n_bytes = ((sizeof(PyObject *)) * __pyx_v_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":113 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":113 */
   ((struct SimpleSetObject *)__pyx_v_self)->_table = ((PyObject **)PyMem_Malloc(__pyx_v_n_bytes));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":114 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":114 */
   __pyx_1 = (((struct SimpleSetObject *)__pyx_v_self)->_table == NULL);
   if (__pyx_1) {
     __pyx_2 = PyObject_CallObject(PyExc_MemoryError, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 115; goto __pyx_L1;}
@@ -270,7 +270,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":116 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":116 */
   memset(((struct SimpleSetObject *)__pyx_v_self)->_table,0,__pyx_v_n_bytes);
 
   __pyx_r = 0;
@@ -291,10 +291,10 @@
   __pyx_1 = (((struct SimpleSetObject *)__pyx_v_self)->_table != NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":120 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":120 */
     PyMem_Free(((struct SimpleSetObject *)__pyx_v_self)->_table);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":121 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":121 */
     ((struct SimpleSetObject *)__pyx_v_self)->_table = NULL;
     goto __pyx_L2;
   }
@@ -419,11 +419,11 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_res = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":145 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":145 */
   __pyx_1 = __pyx_f_6bzrlib_15_simple_set_pyx__lookup(((struct SimpleSetObject *)__pyx_v_self),__pyx_v_key); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 145; goto __pyx_L1;}
   __pyx_v_slot = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":146 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":146 */
   __pyx_2 = ((__pyx_v_slot[0]) == NULL);
   if (__pyx_2) {
     Py_INCREF(__pyx_k1p);
@@ -445,7 +445,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":152 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":152 */
   __pyx_3 = PyInt_FromLong(((int)(__pyx_v_slot - ((struct SimpleSetObject *)__pyx_v_self)->_table))); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 152; goto __pyx_L1;}
   __pyx_4 = PyTuple_New(2); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 152; goto __pyx_L1;}
   PyTuple_SET_ITEM(__pyx_4, 0, __pyx_3);
@@ -479,11 +479,11 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":158 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":158 */
   __pyx_1 = __pyx_f_6bzrlib_15_simple_set_pyx__lookup(((struct SimpleSetObject *)__pyx_v_self),__pyx_v_key); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 158; goto __pyx_L1;}
   __pyx_v_slot = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":159 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":159 */
   __pyx_2 = ((__pyx_v_slot[0]) == NULL);
   if (!__pyx_2) {
     __pyx_2 = ((__pyx_v_slot[0]) == __pyx_v_6bzrlib_15_simple_set_pyx__dummy);
@@ -496,7 +496,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":161 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":161 */
   __pyx_2 = PyInt_AsLong(Py_True); if (PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 161; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   goto __pyx_L0;
@@ -520,11 +520,11 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":167 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":167 */
   __pyx_1 = __pyx_f_6bzrlib_15_simple_set_pyx__lookup(__pyx_v_self,__pyx_v_key); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 167; goto __pyx_L1;}
   __pyx_v_slot = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":168 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":168 */
   __pyx_2 = ((__pyx_v_slot[0]) == NULL);
   if (!__pyx_2) {
     __pyx_2 = ((__pyx_v_slot[0]) == __pyx_v_6bzrlib_15_simple_set_pyx__dummy);
@@ -536,7 +536,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":170 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":170 */
   __pyx_r = (__pyx_v_slot[0]);
   goto __pyx_L0;
 
@@ -564,11 +564,11 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_val = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":176 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":176 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_15_simple_set_pyx_SimpleSet *)((struct SimpleSetObject *)__pyx_v_self)->__pyx_vtab)->_get(((struct SimpleSetObject *)__pyx_v_self),__pyx_v_key); if (__pyx_1 == NULL && PyErr_Occurred()) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 176; goto __pyx_L1;}
   __pyx_v_py_val = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":177 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":177 */
   __pyx_2 = (__pyx_v_py_val == NULL);
   if (__pyx_2) {
     __pyx_3 = PyNumber_Remainder(__pyx_k3p, __pyx_v_key); if (!__pyx_3) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 178; goto __pyx_L1;}
@@ -584,12 +584,12 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":179 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":179 */
   Py_INCREF(((PyObject *)__pyx_v_py_val));
   Py_DECREF(__pyx_v_val);
   __pyx_v_val = ((PyObject *)__pyx_v_py_val);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":180 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":180 */
   Py_INCREF(__pyx_v_val);
   __pyx_r = __pyx_v_val;
   goto __pyx_L0;
@@ -623,51 +623,51 @@
   PyObject *__pyx_5 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":194 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":194 */
   __pyx_v_mask = __pyx_v_self->_mask;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":195 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":195 */
   __pyx_v_table = __pyx_v_self->_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":197 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":197 */
   __pyx_1 = PyObject_Hash(__pyx_v_key); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 197; goto __pyx_L1;}
   __pyx_v_the_hash = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":198 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":198 */
   __pyx_v_i = __pyx_v_the_hash;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":199 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":199 */
   __pyx_2 = __pyx_v_mask;
   for (__pyx_v_n_lookup = 0; __pyx_v_n_lookup <= __pyx_2; ++__pyx_v_n_lookup) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":200 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":200 */
     __pyx_v_slot = (&(__pyx_v_table[(__pyx_v_i & __pyx_v_mask)]));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":201 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":201 */
     __pyx_3 = ((__pyx_v_slot[0]) == NULL);
     if (__pyx_3) {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":202 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":202 */
       (__pyx_v_slot[0]) = __pyx_v_key;
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":203 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":203 */
       __pyx_v_self->_fill = (__pyx_v_self->_fill + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":204 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":204 */
       __pyx_v_self->_used = (__pyx_v_self->_used + 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":205 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":205 */
       __pyx_r = 1;
       goto __pyx_L0;
       goto __pyx_L4;
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":206 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":206 */
     __pyx_v_i = ((__pyx_v_i + 1) + __pyx_v_n_lookup);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":207 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":207 */
   __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 207; goto __pyx_L1;}
   Py_INCREF(__pyx_k4p);
   PyTuple_SET_ITEM(__pyx_4, 0, __pyx_k4p);
@@ -732,10 +732,10 @@
   PyObject *__pyx_2 = 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":225 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":225 */
   __pyx_v_new_size = 1024;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":226 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":226 */
   while (1) {
     __pyx_1 = (__pyx_v_new_size <= __pyx_v_min_used);
     if (__pyx_1) {
@@ -745,7 +745,7 @@
     __pyx_v_new_size = (__pyx_v_new_size << 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":229 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":229 */
   __pyx_1 = (__pyx_v_new_size <= 0);
   if (__pyx_1) {
     __pyx_2 = PyObject_CallObject(PyExc_MemoryError, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 230; goto __pyx_L1;}
@@ -756,13 +756,13 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":238 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":238 */
   __pyx_v_n_bytes = ((sizeof(PyObject *)) * __pyx_v_new_size);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":239 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":239 */
   __pyx_v_new_table = ((PyObject **)PyMem_Malloc(__pyx_v_n_bytes));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":240 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":240 */
   __pyx_1 = (__pyx_v_new_table == NULL);
   if (__pyx_1) {
     __pyx_2 = PyObject_CallObject(PyExc_MemoryError, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 241; goto __pyx_L1;}
@@ -773,36 +773,36 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":243 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":243 */
   __pyx_v_old_table = __pyx_v_self->_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":244 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":244 */
   __pyx_v_self->_table = __pyx_v_new_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":245 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":245 */
   memset(__pyx_v_self->_table,0,__pyx_v_n_bytes);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":246 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":246 */
   __pyx_v_self->_mask = (__pyx_v_new_size - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":247 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":247 */
   __pyx_v_self->_used = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":248 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":248 */
   __pyx_v_remaining = __pyx_v_self->_fill;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":249 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":249 */
   __pyx_v_self->_fill = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":253 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":253 */
   __pyx_v_slot = __pyx_v_old_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":254 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":254 */
   while (1) {
     __pyx_1 = (__pyx_v_remaining > 0);
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":255 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":255 */
     __pyx_1 = ((__pyx_v_slot[0]) == NULL);
     if (__pyx_1) {
       goto __pyx_L8;
@@ -814,22 +814,22 @@
     }
     /*else*/ {
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":260 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":260 */
       __pyx_v_remaining = (__pyx_v_remaining - 1);
 
-      /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":261 */
+      /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":261 */
       __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_15_simple_set_pyx_SimpleSet *)__pyx_v_self->__pyx_vtab)->_insert_clean(__pyx_v_self,(__pyx_v_slot[0])); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 261; goto __pyx_L1;}
     }
     __pyx_L8:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":262 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":262 */
     __pyx_v_slot = (__pyx_v_slot + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":263 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":263 */
   PyMem_Free(__pyx_v_old_table);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":264 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":264 */
   __pyx_r = __pyx_v_new_size;
   goto __pyx_L0;
 
@@ -886,10 +886,10 @@
   Py_INCREF(__pyx_v_key);
   __pyx_v_retval = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":279 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":279 */
   __pyx_v_py_key = ((PyObject *)__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":280 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":280 */
   __pyx_1 = (Py_TYPE(__pyx_v_py_key)->tp_richcompare == NULL);
   if (!__pyx_1) {
     __pyx_1 = (Py_TYPE(__pyx_v_py_key)->tp_hash == NULL);
@@ -907,10 +907,10 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":284 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":284 */
   __pyx_v_added = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":286 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":286 */
   #ifndef PYREX_WITHOUT_ASSERTIONS
   if (!(__pyx_v_self->_used < __pyx_v_self->_mask)) {
     PyErr_SetNone(PyExc_AssertionError);
@@ -918,54 +918,54 @@
   }
   #endif
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":287 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":287 */
   __pyx_4 = __pyx_f_6bzrlib_15_simple_set_pyx__lookup(__pyx_v_self,__pyx_v_key); if (__pyx_4 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 287; goto __pyx_L1;}
   __pyx_v_slot = __pyx_4;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":288 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":288 */
   __pyx_1 = ((__pyx_v_slot[0]) == NULL);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":289 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":289 */
     Py_INCREF(__pyx_v_py_key);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":290 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":290 */
     __pyx_v_self->_fill = (__pyx_v_self->_fill + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":291 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":291 */
     __pyx_v_self->_used = (__pyx_v_self->_used + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":292 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":292 */
     (__pyx_v_slot[0]) = __pyx_v_py_key;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":293 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":293 */
     __pyx_v_added = 1;
     goto __pyx_L3;
   }
   __pyx_1 = ((__pyx_v_slot[0]) == __pyx_v_6bzrlib_15_simple_set_pyx__dummy);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":295 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":295 */
     Py_INCREF(__pyx_v_py_key);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":296 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":296 */
     __pyx_v_self->_used = (__pyx_v_self->_used + 1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":297 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":297 */
     (__pyx_v_slot[0]) = __pyx_v_py_key;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":298 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":298 */
     __pyx_v_added = 1;
     goto __pyx_L3;
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":301 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":301 */
   Py_INCREF(((PyObject *)(__pyx_v_slot[0])));
   Py_DECREF(__pyx_v_retval);
   __pyx_v_retval = ((PyObject *)(__pyx_v_slot[0]));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":303 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":303 */
   __pyx_1 = __pyx_v_added;
   if (__pyx_1) {
     __pyx_1 = ((__pyx_v_self->_fill * 3) >= ((__pyx_v_self->_mask + 1) * 2));
@@ -976,7 +976,7 @@
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":309 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":309 */
   Py_INCREF(__pyx_v_retval);
   __pyx_r = __pyx_v_retval;
   goto __pyx_L0;
@@ -1006,7 +1006,7 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":316 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":316 */
   __pyx_1 = ((struct __pyx_vtabstruct_6bzrlib_15_simple_set_pyx_SimpleSet *)((struct SimpleSetObject *)__pyx_v_self)->__pyx_vtab)->_discard(((struct SimpleSetObject *)__pyx_v_self),__pyx_v_key); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 316; goto __pyx_L1;}
   if (__pyx_1) {
     Py_INCREF(Py_True);
@@ -1016,7 +1016,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":318 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":318 */
   Py_INCREF(Py_False);
   __pyx_r = Py_False;
   goto __pyx_L0;
@@ -1041,11 +1041,11 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":323 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":323 */
   __pyx_1 = __pyx_f_6bzrlib_15_simple_set_pyx__lookup(__pyx_v_self,__pyx_v_key); if (__pyx_1 == NULL) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 323; goto __pyx_L1;}
   __pyx_v_slot = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":324 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":324 */
   __pyx_2 = ((__pyx_v_slot[0]) == NULL);
   if (!__pyx_2) {
     __pyx_2 = ((__pyx_v_slot[0]) == __pyx_v_6bzrlib_15_simple_set_pyx__dummy);
@@ -1057,16 +1057,16 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":326 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":326 */
   __pyx_v_self->_used = (__pyx_v_self->_used - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":327 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":327 */
   Py_DECREF((__pyx_v_slot[0]));
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":328 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":328 */
   (__pyx_v_slot[0]) = __pyx_v_6bzrlib_15_simple_set_pyx__dummy;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":339 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":339 */
   __pyx_2 = (((__pyx_v_self->_fill - __pyx_v_self->_used) * 5) > __pyx_v_self->_mask);
   if (__pyx_2) {
     __pyx_3 = ((struct __pyx_vtabstruct_6bzrlib_15_simple_set_pyx_SimpleSet *)__pyx_v_self->__pyx_vtab)->_resize(__pyx_v_self,(__pyx_v_self->_used * 2)); if (__pyx_3 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 340; goto __pyx_L1;}
@@ -1074,7 +1074,7 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":341 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":341 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1125,19 +1125,19 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_obj);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":356 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":356 */
   if (!__Pyx_TypeTest(__pyx_v_obj, __pyx_ptype_6bzrlib_15_simple_set_pyx_SimpleSet)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 356; goto __pyx_L1;}
   Py_INCREF(__pyx_v_obj);
   Py_DECREF(((PyObject *)((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set));
   ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set = ((struct SimpleSetObject *)__pyx_v_obj);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":357 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":357 */
   ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":358 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":358 */
   ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->_used = ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set->_used;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":359 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":359 */
   ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->len = ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set->_used;
 
   __pyx_r = 0;
@@ -1177,7 +1177,7 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_the_key = Py_None; Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":368 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":368 */
   __pyx_1 = ((PyObject *)((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set) == Py_None;
   if (__pyx_1) {
     __Pyx_Raise(PyExc_StopIteration, 0, 0);
@@ -1186,14 +1186,14 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":370 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":370 */
   __pyx_1 = (((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set->_used != ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->_used);
   if (__pyx_1) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":372 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":372 */
     ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->_used = (-1);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":373 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":373 */
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 373; goto __pyx_L1;}
     Py_INCREF(__pyx_k6p);
     PyTuple_SET_ITEM(__pyx_2, 0, __pyx_k6p);
@@ -1206,32 +1206,32 @@
   }
   __pyx_L3:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":374 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":374 */
   __pyx_1 = SimpleSet_Next(((PyObject *)((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set),(&((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->pos),(&__pyx_v_key)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 374; goto __pyx_L1;}
   __pyx_4 = (!__pyx_1);
   if (__pyx_4) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":375 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":375 */
     Py_INCREF(Py_None);
     Py_DECREF(((PyObject *)((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set));
     ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set = ((struct SimpleSetObject *)Py_None);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":376 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":376 */
     __Pyx_Raise(PyExc_StopIteration, 0, 0);
     {__pyx_filename = __pyx_f[0]; __pyx_lineno = 376; goto __pyx_L1;}
     goto __pyx_L4;
   }
   __pyx_L4:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":378 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":378 */
   Py_INCREF(((PyObject *)__pyx_v_key));
   Py_DECREF(__pyx_v_the_key);
   __pyx_v_the_key = ((PyObject *)__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":379 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":379 */
   ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->len = (((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->len - 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":380 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":380 */
   Py_INCREF(__pyx_v_the_key);
   __pyx_r = __pyx_v_the_key;
   goto __pyx_L0;
@@ -1258,7 +1258,7 @@
   if (!PyArg_ParseTupleAndKeywords(__pyx_args, __pyx_kwds, "", __pyx_argnames)) return 0;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":383 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":383 */
   __pyx_1 = ((PyObject *)((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set) != Py_None;
   if (__pyx_1) {
     __pyx_1 = (((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->_used == ((struct __pyx_obj_6bzrlib_15_simple_set_pyx__SimpleSet_iterator *)__pyx_v_self)->set->_used);
@@ -1272,7 +1272,7 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":385 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":385 */
   __pyx_2 = PyInt_FromLong(0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 385; goto __pyx_L1;}
   __pyx_r = __pyx_2;
   __pyx_2 = 0;
@@ -1316,7 +1316,7 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_true_self = ((struct SimpleSetObject *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":403 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":403 */
   __pyx_1 = __pyx_v_self == Py_None;
   if (__pyx_1) {
     __pyx_2 = PyTuple_New(1); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 404; goto __pyx_L1;}
@@ -1331,13 +1331,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":405 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":405 */
   if (!__Pyx_TypeTest(__pyx_v_self, __pyx_ptype_6bzrlib_15_simple_set_pyx_SimpleSet)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 405; goto __pyx_L1;}
   Py_INCREF(__pyx_v_self);
   Py_DECREF(((PyObject *)__pyx_v_true_self));
   __pyx_v_true_self = ((struct SimpleSetObject *)__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":406 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":406 */
   Py_INCREF(((PyObject *)__pyx_v_true_self));
   __pyx_r = __pyx_v_true_self;
   goto __pyx_L0;
@@ -1374,36 +1374,36 @@
   Py_INCREF(__pyx_v_self);
   Py_INCREF(__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":450 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":450 */
   __pyx_v_py_key = ((PyObject *)__pyx_v_key);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":453 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":453 */
   __pyx_1 = PyObject_Hash(__pyx_v_py_key); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 453; goto __pyx_L1;}
   __pyx_v_key_hash = __pyx_1;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":454 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":454 */
   __pyx_v_i = __pyx_v_key_hash;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":455 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":455 */
   __pyx_v_mask = __pyx_v_self->_mask;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":456 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":456 */
   __pyx_v_table = __pyx_v_self->_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":457 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":457 */
   __pyx_v_free_slot = NULL;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":458 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":458 */
   __pyx_2 = __pyx_v_mask;
   for (__pyx_v_n_lookup = 0; __pyx_v_n_lookup <= __pyx_2; ++__pyx_v_n_lookup) {
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":459 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":459 */
     __pyx_v_slot = (&(__pyx_v_table[(__pyx_v_i & __pyx_v_mask)]));
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":460 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":460 */
     __pyx_v_cur = (__pyx_v_slot[0]);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":461 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":461 */
     __pyx_3 = (__pyx_v_cur == NULL);
     if (__pyx_3) {
       __pyx_3 = (__pyx_v_free_slot != NULL);
@@ -1421,7 +1421,7 @@
     }
     __pyx_L4:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":468 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":468 */
     __pyx_3 = (__pyx_v_cur == __pyx_v_py_key);
     if (__pyx_3) {
       __pyx_r = __pyx_v_slot;
@@ -1430,7 +1430,7 @@
     }
     __pyx_L6:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":471 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":471 */
     __pyx_3 = (__pyx_v_cur == __pyx_v_6bzrlib_15_simple_set_pyx__dummy);
     if (__pyx_3) {
       __pyx_3 = (__pyx_v_free_slot == NULL);
@@ -1449,11 +1449,11 @@
     }
     __pyx_L7:;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":477 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":477 */
     __pyx_v_i = ((__pyx_v_i + 1) + __pyx_v_n_lookup);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":478 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":478 */
   __pyx_4 = PyTuple_New(1); if (!__pyx_4) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 478; goto __pyx_L1;}
   Py_INCREF(__pyx_k8p);
   PyTuple_SET_ITEM(__pyx_4, 0, __pyx_k8p);
@@ -1629,16 +1629,16 @@
   Py_INCREF(__pyx_v_self);
   __pyx_v_true_self = ((struct SimpleSetObject *)Py_None); Py_INCREF(Py_None);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":555 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":555 */
   __pyx_1 = ((PyObject *)__pyx_f_6bzrlib_15_simple_set_pyx__check_self(__pyx_v_self)); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 555; goto __pyx_L1;}
   Py_DECREF(((PyObject *)__pyx_v_true_self));
   __pyx_v_true_self = ((struct SimpleSetObject *)__pyx_1);
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":556 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":556 */
   __pyx_v_i = (__pyx_v_pos[0]);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":557 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":557 */
   __pyx_2 = (__pyx_v_i < 0);
   if (__pyx_2) {
     __pyx_r = 0;
@@ -1647,13 +1647,13 @@
   }
   __pyx_L2:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":559 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":559 */
   __pyx_v_mask = __pyx_v_true_self->_mask;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":560 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":560 */
   __pyx_v_table = __pyx_v_true_self->_table;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":561 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":561 */
   while (1) {
     __pyx_2 = (__pyx_v_i <= __pyx_v_mask);
     if (__pyx_2) {
@@ -1666,10 +1666,10 @@
     __pyx_v_i = (__pyx_v_i + 1);
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":563 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":563 */
   (__pyx_v_pos[0]) = (__pyx_v_i + 1);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":564 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":564 */
   __pyx_2 = (__pyx_v_i > __pyx_v_mask);
   if (__pyx_2) {
     __pyx_r = 0;
@@ -1678,7 +1678,7 @@
   }
   __pyx_L5:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":566 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":566 */
   __pyx_2 = (__pyx_v_key != NULL);
   if (__pyx_2) {
     (__pyx_v_key[0]) = (__pyx_v_table[__pyx_v_i]);
@@ -1686,7 +1686,7 @@
   }
   __pyx_L6:;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":568 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":568 */
   __pyx_r = 1;
   goto __pyx_L0;
 
@@ -1710,18 +1710,18 @@
   int __pyx_1;
   Py_INCREF(__pyx_v_self);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":583 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":583 */
   __pyx_v_pos = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":584 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":584 */
   while (1) {
     __pyx_1 = SimpleSet_Next(((PyObject *)__pyx_v_self),(&__pyx_v_pos),(&__pyx_v_next_key)); if (__pyx_1 == (-1)) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 584; goto __pyx_L1;}
     if (!__pyx_1) break;
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":585 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":585 */
     __pyx_v_ret = __pyx_v_visit(__pyx_v_next_key,__pyx_v_arg);
 
-    /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":586 */
+    /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":586 */
     __pyx_1 = __pyx_v_ret;
     if (__pyx_1) {
       __pyx_r = __pyx_v_ret;
@@ -1731,7 +1731,7 @@
     __pyx_L4:;
   }
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":588 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":588 */
   __pyx_r = 0;
   goto __pyx_L0;
 
@@ -2122,7 +2122,7 @@
   if (PyObject_SetAttrString(__pyx_m, "_SimpleSet_iterator", (PyObject *)&__pyx_type_6bzrlib_15_simple_set_pyx__SimpleSet_iterator) < 0) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 347; goto __pyx_L1;}
   __pyx_ptype_6bzrlib_15_simple_set_pyx__SimpleSet_iterator = &__pyx_type_6bzrlib_15_simple_set_pyx__SimpleSet_iterator;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":54 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":54 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_object); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 54; goto __pyx_L1;}
   __pyx_2 = PyObject_CallObject(__pyx_1, 0); if (!__pyx_2) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 54; goto __pyx_L1;}
   Py_DECREF(__pyx_1); __pyx_1 = 0;
@@ -2130,16 +2130,16 @@
   __pyx_v_6bzrlib_15_simple_set_pyx__dummy_obj = __pyx_2;
   __pyx_2 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":55 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":55 */
   __pyx_v_6bzrlib_15_simple_set_pyx__dummy = ((PyObject *)__pyx_v_6bzrlib_15_simple_set_pyx__dummy_obj);
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":59 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":59 */
   __pyx_1 = __Pyx_GetName(__pyx_b, __pyx_n_NotImplemented); if (!__pyx_1) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 59; goto __pyx_L1;}
   Py_DECREF(__pyx_v_6bzrlib_15_simple_set_pyx__NotImplemented);
   __pyx_v_6bzrlib_15_simple_set_pyx__NotImplemented = __pyx_1;
   __pyx_1 = 0;
 
-  /* "/home/jameinel/dev/bzr/work/bzrlib/_simple_set_pyx.pyx":592 */
+  /* "/home/mbp/bzr/prepare-2.1/bzrlib/_simple_set_pyx.pyx":592 */
   ((PyTypeObject *)__pyx_ptype_6bzrlib_15_simple_set_pyx_SimpleSet)->tp_traverse = ((traverseproc)__pyx_f_6bzrlib_15_simple_set_pyx_SimpleSet_traverse);
   return;
   __pyx_L1:;

=== modified file 'bzrlib/_simple_set_pyx.pxd'
--- bzrlib/_simple_set_pyx.pxd	2010-02-05 13:53:30 +0000
+++ bzrlib/_simple_set_pyx.pxd	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_simple_set_pyx.pyx'
--- bzrlib/_simple_set_pyx.pyx	2010-02-05 13:53:30 +0000
+++ bzrlib/_simple_set_pyx.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_static_tuple_c.c'
--- bzrlib/_static_tuple_c.c	2010-02-05 13:53:30 +0000
+++ bzrlib/_static_tuple_c.c	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-/* Copyright (C) 2009 Canonical Ltd
+/* Copyright (C) 2009, 2010 Canonical Ltd
  * 
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -140,10 +140,6 @@
 StaticTuple_New(Py_ssize_t size)
 {
     StaticTuple *stuple;
-    if (size < 0) {
-        PyErr_BadInternalCall();
-        return NULL;
-    }
 
     if (size < 0 || size > 255) {
         /* Too big or too small */
@@ -280,6 +276,14 @@
         return NULL;
     }
     len = PyTuple_GET_SIZE(args);
+    if (len < 0 || len > 255) {
+        /* Check the length here so we can raise a TypeError instead of
+         * StaticTuple_New's ValueError.
+         */
+        PyErr_SetString(PyExc_TypeError, "StaticTuple(...)"
+            " takes from 0 to 255 items");
+        return NULL;
+    }
     self = (StaticTuple *)StaticTuple_New(len);
     if (self == NULL) {
         return NULL;

=== modified file 'bzrlib/_static_tuple_c.pxd'
--- bzrlib/_static_tuple_c.pxd	2010-02-05 13:53:30 +0000
+++ bzrlib/_static_tuple_c.pxd	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/_static_tuple_py.py'
--- bzrlib/_static_tuple_py.py	2010-02-05 13:53:30 +0000
+++ bzrlib/_static_tuple_py.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,15 +34,15 @@
 
     def __init__(self, *args):
         """Create a new 'StaticTuple'"""
+        num_keys = len(args)
+        if num_keys < 0 or num_keys > 255:
+            raise TypeError('StaticTuple(...) takes from 0 to 255 items')
         for bit in args:
             if type(bit) not in (str, StaticTuple, unicode, int, long, float,
                                  None.__class__, bool):
                 raise TypeError('StaticTuple can only point to'
                     ' StaticTuple, str, unicode, int, long, float, bool, or'
                     ' None not %s' % (type(bit),))
-        num_keys = len(args)
-        if num_keys < 0 or num_keys > 255:
-            raise ValueError('must have 1 => 256 key bits')
         # We don't need to pass args to tuple.__init__, because that was
         # already handled in __new__.
         tuple.__init__(self)

=== modified file 'bzrlib/_walkdirs_win32.pyx'
--- bzrlib/_walkdirs_win32.pyx	2010-01-25 19:53:02 +0000
+++ bzrlib/_walkdirs_win32.pyx	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/atomicfile.py'
--- bzrlib/atomicfile.py	2009-04-11 14:25:12 +0000
+++ bzrlib/atomicfile.py	2010-03-24 22:27:38 +0000
@@ -60,7 +60,7 @@
 
         self.realfilename = filename
 
-        flags = os.O_EXCL | os.O_CREAT | os.O_WRONLY
+        flags = os.O_EXCL | os.O_CREAT | os.O_WRONLY | osutils.O_NOINHERIT
         if mode == 'wb':
             flags |= osutils.O_BINARY
         elif mode != 'wt':

=== modified file 'bzrlib/benchmarks/bench_dirstate.py'
--- bzrlib/benchmarks/bench_dirstate.py	2010-02-05 13:53:30 +0000
+++ bzrlib/benchmarks/bench_dirstate.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2010-02-05 13:53:30 +0000
+++ bzrlib/branch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/btree_index.py'
--- bzrlib/btree_index.py	2010-02-05 13:53:30 +0000
+++ bzrlib/btree_index.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bugtracker.py'
--- bzrlib/bugtracker.py	2010-02-05 13:53:30 +0000
+++ bzrlib/bugtracker.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-02-17 17:47:40 +0000
+++ bzrlib/builtins.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/__init__.py'
--- bzrlib/bundle/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/bundle/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/bzrdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/chk_map.py'
--- bzrlib/chk_map.py	2010-02-17 17:47:40 +0000
+++ bzrlib/chk_map.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/chk_serializer.py'
--- bzrlib/chk_serializer.py	2010-02-05 13:53:30 +0000
+++ bzrlib/chk_serializer.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/cleanup.py'
--- bzrlib/cleanup.py	2010-02-17 17:47:40 +0000
+++ bzrlib/cleanup.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/cmd_version_info.py'
--- bzrlib/cmd_version_info.py	2010-02-05 13:53:30 +0000
+++ bzrlib/cmd_version_info.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2010-02-05 13:53:30 +0000
+++ bzrlib/commands.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/commit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2010-02-05 13:53:30 +0000
+++ bzrlib/config.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #            and others
 #

=== modified file 'bzrlib/conflicts.py'
--- bzrlib/conflicts.py	2010-02-05 13:53:30 +0000
+++ bzrlib/conflicts.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/decorators.py'
--- bzrlib/decorators.py	2010-02-05 13:53:30 +0000
+++ bzrlib/decorators.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/delta.py'
--- bzrlib/delta.py	2010-02-05 13:53:30 +0000
+++ bzrlib/delta.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2010-02-05 13:53:30 +0000
+++ bzrlib/diff.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 Canonical Ltd.
+# Copyright (C) 2005-2010 Canonical Ltd.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/doc_generate/autodoc_man.py'
--- bzrlib/doc_generate/autodoc_man.py	2010-02-05 13:53:30 +0000
+++ bzrlib/doc_generate/autodoc_man.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/doc_generate/autodoc_rstx.py'
--- bzrlib/doc_generate/autodoc_rstx.py	2010-02-05 13:53:30 +0000
+++ bzrlib/doc_generate/autodoc_rstx.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2010-02-05 13:53:30 +0000
+++ bzrlib/errors.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/export/dir_exporter.py'
--- bzrlib/export/dir_exporter.py	2010-01-25 19:53:02 +0000
+++ bzrlib/export/dir_exporter.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2009 Canonical Ltd
+# Copyright (C) 2005, 2006, 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/export/zip_exporter.py'
--- bzrlib/export/zip_exporter.py	2010-02-05 13:53:30 +0000
+++ bzrlib/export/zip_exporter.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005, 2006, 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/fetch.py'
--- bzrlib/fetch.py	2010-02-17 17:47:40 +0000
+++ bzrlib/fetch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/foreign.py'
--- bzrlib/foreign.py	2010-02-05 13:53:30 +0000
+++ bzrlib/foreign.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/globbing.py'
--- bzrlib/globbing.py	2010-02-05 13:53:30 +0000
+++ bzrlib/globbing.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/graph.py'
--- bzrlib/graph.py	2010-02-05 13:53:30 +0000
+++ bzrlib/graph.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/groupcompress.py'
--- bzrlib/groupcompress.py	2010-02-05 13:53:30 +0000
+++ bzrlib/groupcompress.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2010-02-05 13:53:30 +0000
+++ bzrlib/help.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/help_topics/__init__.py'
--- bzrlib/help_topics/__init__.py	2010-02-17 17:47:40 +0000
+++ bzrlib/help_topics/__init__.py	2010-03-24 22:27:38 +0000
@@ -278,7 +278,7 @@
 
 
 _basic_help = \
-"""Bazaar -- a free distributed version-control tool
+"""Bazaar %s -- a free distributed version-control tool
 http://bazaar-vcs.org/
 
 Basic commands:
@@ -302,7 +302,7 @@
   bzr help init      more help on e.g. init command
   bzr help commands  list all commands
   bzr help topics    list all help topics
-"""
+""" % bzrlib.__version__
 
 
 _global_options = \

=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2010-02-05 13:53:30 +0000
+++ bzrlib/hooks.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/index.py'
--- bzrlib/index.py	2010-02-05 13:53:30 +0000
+++ bzrlib/index.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/info.py'
--- bzrlib/info.py	2010-02-05 13:53:30 +0000
+++ bzrlib/info.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/inventory.py'
--- bzrlib/inventory.py	2010-02-05 13:53:30 +0000
+++ bzrlib/inventory.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/knit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/lockdir.py'
--- bzrlib/lockdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/lockdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -252,7 +252,7 @@
         if info is None:
             raise LockFailed(self, "lock was renamed into place, but "
                 "now is missing!")
-        if info['nonce'] != self.nonce:
+        if info.get('nonce') != self.nonce:
             self._trace("rename succeeded, "
                 "but lock is still held by someone else")
             raise LockContention(self)
@@ -430,7 +430,7 @@
     def peek(self):
         """Check if the lock is held by anyone.
 
-        If it is held, this returns the lock info structure as a rio Stanza,
+        If it is held, this returns the lock info structure as a dict
         which contains some information about the current lock holder.
         Otherwise returns None.
         """
@@ -459,8 +459,14 @@
         return s.to_string()
 
     def _parse_info(self, info_bytes):
-        # TODO: Handle if info_bytes is empty
-        return rio.read_stanza(osutils.split_lines(info_bytes)).as_dict()
+        stanza = rio.read_stanza(osutils.split_lines(info_bytes))
+        if stanza is None:
+            # see bug 185013; we fairly often end up with the info file being
+            # empty after an interruption; we could log a message here but
+            # there may not be much we can say
+            return {}
+        else:
+            return stanza.as_dict()
 
     def attempt_lock(self):
         """Take the lock; fail if it's already held.
@@ -611,11 +617,16 @@
     def _format_lock_info(self, info):
         """Turn the contents of peek() into something for the user"""
         lock_url = self.transport.abspath(self.path)
-        delta = time.time() - int(info['start_time'])
+        start_time = info.get('start_time')
+        if start_time is None:
+            time_ago = '(unknown)'
+        else:
+            time_ago = format_delta(time.time() - int(info['start_time']))
         return [
             'lock %s' % (lock_url,),
-            'held by %(user)s on host %(hostname)s [process #%(pid)s]' % info,
-            'locked %s' % (format_delta(delta),),
+            'held by %s on host %s [process #%s]' %
+                tuple([info.get(x, '<unknown>') for x in ['user', 'hostname', 'pid']]),
+            'locked %s' % (time_ago,),
             ]
 
     def validate_token(self, token):

=== modified file 'bzrlib/log.py'
--- bzrlib/log.py	2010-02-17 17:47:40 +0000
+++ bzrlib/log.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2010-02-17 17:47:40 +0000
+++ bzrlib/merge.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -130,7 +130,7 @@
         """
         affected_files = self.affected_files
         if affected_files is None:
-            config = self.merger.this_tree.branch.get_config()
+            config = self.merger.this_branch.get_config()
             # Until bzr provides a better policy for caching the config, we
             # just add the part we're interested in to the params to avoid
             # reading the config files repeatedly (bazaar.conf, location.conf,

=== modified file 'bzrlib/merge_directive.py'
--- bzrlib/merge_directive.py	2010-02-05 13:53:30 +0000
+++ bzrlib/merge_directive.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/msgeditor.py'
--- bzrlib/msgeditor.py	2010-02-05 13:53:30 +0000
+++ bzrlib/msgeditor.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2010-02-05 13:53:30 +0000
+++ bzrlib/option.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/osutils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -85,8 +85,11 @@
 # be opened in binary mode, rather than text mode.
 # On other platforms, O_BINARY doesn't exist, because
 # they always open in binary mode, so it is okay to
-# OR with 0 on those platforms
+# OR with 0 on those platforms.
+# O_NOINHERIT and O_TEXT exists only on win32 too.
 O_BINARY = getattr(os, 'O_BINARY', 0)
+O_TEXT = getattr(os, 'O_TEXT', 0)
+O_NOINHERIT = getattr(os, 'O_NOINHERIT', 0)
 
 
 def get_unicode_argv():
@@ -661,7 +664,7 @@
 def sha_file_by_name(fname):
     """Calculate the SHA1 of a file by reading the full text"""
     s = sha()
-    f = os.open(fname, os.O_RDONLY | O_BINARY)
+    f = os.open(fname, os.O_RDONLY | O_BINARY | O_NOINHERIT)
     try:
         while True:
             b = os.read(f, 1<<16)
@@ -1344,6 +1347,27 @@
     normalized_filename = _inaccessible_normalized_filename
 
 
+def set_signal_handler(signum, handler, restart_syscall=True):
+    """A wrapper for signal.signal that also calls siginterrupt(signum, False)
+    on platforms that support that.
+
+    :param restart_syscall: if set, allow syscalls interrupted by a signal to
+        automatically restart (by calling `signal.siginterrupt(signum,
+        False)`).  May be ignored if the feature is not available on this
+        platform or Python version.
+    """
+    old_handler = signal.signal(signum, handler)
+    if restart_syscall:
+        try:
+            siginterrupt = signal.siginterrupt
+        except AttributeError: # siginterrupt doesn't exist on this platform, or for this version of
+            # Python.
+            pass
+        else:
+            siginterrupt(signum, False)
+    return old_handler
+
+
 default_terminal_width = 80
 """The default terminal width for ttys.
 
@@ -1438,12 +1462,21 @@
     if width is not None:
         os.environ['COLUMNS'] = str(width)
 
-if sys.platform == 'win32':
-    # Martin (gz) mentioned WINDOW_BUFFER_SIZE_RECORD from ReadConsoleInput but
-    # I've no idea how to plug that in the current design -- vila 20091216
-    pass
-else:
-    signal.signal(signal.SIGWINCH, _terminal_size_changed)
+
+_registered_sigwinch = False
+
+def watch_sigwinch():
+    """Register for SIGWINCH, once and only once."""
+    global _registered_sigwinch
+    if not _registered_sigwinch:
+        if sys.platform == 'win32':
+            # Martin (gz) mentioned WINDOW_BUFFER_SIZE_RECORD from
+            # ReadConsoleInput but I've no idea how to plug that in
+            # the current design -- vila 20091216
+            pass
+        else:
+            set_signal_handler(signal.SIGWINCH, _terminal_size_changed)
+        _registered_sigwinch = True
 
 
 def supports_executable():
@@ -2106,3 +2139,46 @@
         else:
             data, _ = self.encode(object, self.errors)
             self.stream.write(data)
+
+if sys.platform == 'win32':
+    def open_file(filename, mode='r', bufsize=-1):
+        """This function is used to override the ``open`` builtin.
+        
+        But it uses O_NOINHERIT flag so the file handle is not inherited by
+        child processes.  Deleting or renaming a closed file opened with this
+        function is not blocking child processes.
+        """
+        writing = 'w' in mode
+        appending = 'a' in mode
+        updating = '+' in mode
+        binary = 'b' in mode
+
+        flags = O_NOINHERIT
+        # see http://msdn.microsoft.com/en-us/library/yeby3zcb%28VS.71%29.aspx
+        # for flags for each modes.
+        if binary:
+            flags |= O_BINARY
+        else:
+            flags |= O_TEXT
+
+        if writing:
+            if updating:
+                flags |= os.O_RDWR
+            else:
+                flags |= os.O_WRONLY
+            flags |= os.O_CREAT | os.O_TRUNC
+        elif appending:
+            if updating:
+                flags |= os.O_RDWR
+            else:
+                flags |= os.O_WRONLY
+            flags |= os.O_CREAT | os.O_APPEND
+        else: #reading
+            if updating:
+                flags |= os.O_RDWR
+            else:
+                flags |= os.O_RDONLY
+
+        return os.fdopen(os.open(filename, flags), mode, bufsize)
+else:
+    open_file = open

=== modified file 'bzrlib/patches.py'
--- bzrlib/patches.py	2009-12-16 21:43:42 +0000
+++ bzrlib/patches.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004 - 2006, 2008 Aaron Bentley, Canonical Ltd
+# Copyright (C) 2005-2010 Aaron Bentley, Canonical Ltd
 # <aaron.bentley@utoronto.ca>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/plugins/launchpad/__init__.py'
--- bzrlib/plugins/launchpad/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 - 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/lp_api.py'
--- bzrlib/plugins/launchpad/lp_api.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/lp_api.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/lp_directory.py'
--- bzrlib/plugins/launchpad/lp_directory.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/lp_directory.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/lp_registration.py'
--- bzrlib/plugins/launchpad/lp_registration.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/lp_registration.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/test_lp_api.py'
--- bzrlib/plugins/launchpad/test_lp_api.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/test_lp_api.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/test_lp_directory.py'
--- bzrlib/plugins/launchpad/test_lp_directory.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/test_lp_directory.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/test_lp_open.py'
--- bzrlib/plugins/launchpad/test_lp_open.py	2010-02-05 13:53:30 +0000
+++ bzrlib/plugins/launchpad/test_lp_open.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/reconcile.py'
--- bzrlib/reconcile.py	2010-02-05 13:53:30 +0000
+++ bzrlib/reconcile.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2010-02-05 13:53:30 +0000
+++ bzrlib/remote.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/repository.py	2010-03-24 22:27:38 +0000
@@ -3086,8 +3086,8 @@
     # Does the repository inventory storage understand references to trees?
     supports_tree_reference = None
 
-    def __str__(self):
-        return "<%s>" % self.__class__.__name__
+    def __repr__(self):
+        return "%s()" % self.__class__.__name__
 
     def __eq__(self, other):
         # format objects are generally stateless
@@ -3425,7 +3425,13 @@
                    provided a default one will be created.
         :return: None.
         """
-        f = _mod_fetch.RepoFetcher(to_repository=self.target,
+        from bzrlib.fetch import RepoFetcher
+        # See <https://launchpad.net/bugs/456077> asking for a warning here
+        if self.source._format.network_name() != self.target._format.network_name():
+            ui.ui_factory.show_user_warning('cross_format_fetch',
+                from_format=self.source._format,
+                to_format=self.target._format)
+        f = RepoFetcher(to_repository=self.target,
                                from_repository=self.source,
                                last_revision=revision_id,
                                fetch_spec=fetch_spec,
@@ -4009,18 +4015,17 @@
         """See InterRepository.fetch()."""
         if fetch_spec is not None:
             raise AssertionError("Not implemented yet...")
-        # See <https://launchpad.net/bugs/456077> asking for a warning here
-        #
-        # nb this is only active for local-local fetches; other things using
-        # streaming.
-        ui.ui_factory.warn_cross_format_fetch(self.source._format,
-            self.target._format)
         if (not self.source.supports_rich_root()
             and self.target.supports_rich_root()):
             self._converting_to_rich_root = True
             self._revision_id_to_root_id = {}
         else:
             self._converting_to_rich_root = False
+        # See <https://launchpad.net/bugs/456077> asking for a warning here
+        if self.source._format.network_name() != self.target._format.network_name():
+            ui.ui_factory.show_user_warning('cross_format_fetch',
+                from_format=self.source._format,
+                to_format=self.target._format)
         revision_ids = self.target.search_missing_revision_ids(self.source,
             revision_id, find_ghosts=find_ghosts).get_keys()
         if not revision_ids:
@@ -4313,8 +4318,6 @@
                     self._extract_and_insert_inventories(
                         substream, src_serializer)
             elif substream_type == 'inventory-deltas':
-                ui.ui_factory.warn_cross_format_fetch(src_format,
-                    self.target_repo._format)
                 self._extract_and_insert_inventory_deltas(
                     substream, src_serializer)
             elif substream_type == 'chk_bytes':

=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2010-02-05 13:53:30 +0000
+++ bzrlib/revision.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/revisionspec.py'
--- bzrlib/revisionspec.py	2010-02-05 13:53:30 +0000
+++ bzrlib/revisionspec.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/revisiontree.py'
--- bzrlib/revisiontree.py	2010-02-05 13:53:30 +0000
+++ bzrlib/revisiontree.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/serializer.py'
--- bzrlib/serializer.py	2010-02-05 13:53:30 +0000
+++ bzrlib/serializer.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/shellcomplete.py'
--- bzrlib/shellcomplete.py	2009-12-16 21:43:42 +0000
+++ bzrlib/shellcomplete.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/bzrdir.py'
--- bzrlib/smart/bzrdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/bzrdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/client.py'
--- bzrlib/smart/client.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/client.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/medium.py'
--- bzrlib/smart/medium.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/medium.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/protocol.py'
--- bzrlib/smart/protocol.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/protocol.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/repository.py'
--- bzrlib/smart/repository.py	2010-01-25 19:53:02 +0000
+++ bzrlib/smart/repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -503,13 +503,6 @@
     yield pack_writer.begin()
     yield pack_writer.bytes_record(src_format.network_name(), '')
     for substream_type, substream in stream:
-        if substream_type == 'inventory-deltas':
-            # This doesn't feel like the ideal place to issue this warning;
-            # however we don't want to do it in the Repository that's
-            # generating the stream, because that might be on the server.
-            # Instead we try to observe it as the stream goes by.
-            ui.ui_factory.warn_cross_format_fetch(src_format,
-                '(remote)')
         for record in substream:
             if record.storage_kind in ('chunked', 'fulltext'):
                 serialised = record_to_fulltext_bytes(record)

=== modified file 'bzrlib/smart/request.py'
--- bzrlib/smart/request.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/request.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/server.py'
--- bzrlib/smart/server.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/server.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/smart/vfs.py'
--- bzrlib/smart/vfs.py	2010-02-05 13:53:30 +0000
+++ bzrlib/smart/vfs.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/static_tuple.py'
--- bzrlib/static_tuple.py	2010-02-05 13:53:30 +0000
+++ bzrlib/static_tuple.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/status.py'
--- bzrlib/status.py	2010-02-05 13:53:30 +0000
+++ bzrlib/status.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/switch.py'
--- bzrlib/switch.py	2010-02-05 13:53:30 +0000
+++ bzrlib/switch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd.
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/TestUtil.py'
--- bzrlib/tests/TestUtil.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/TestUtil.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #       Author: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_add.py'
--- bzrlib/tests/blackbox/test_add.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_add.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_annotate.py'
--- bzrlib/tests/blackbox/test_annotate.py	2010-01-25 19:53:02 +0000
+++ bzrlib/tests/blackbox/test_annotate.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_branch.py'
--- bzrlib/tests/blackbox/test_branch.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_branch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -325,6 +325,8 @@
             '  Packs 5 (adds stacking support, requires bzr 1.6)\n'
             'Source branch format does not support stacking, using format:\n'
             '  Branch format 7\n'
+            'Doing on-the-fly conversion from RepositoryFormatKnitPack1() to RepositoryFormatKnitPack5().\n'
+            'This may take some time. Upgrade the repositories to the same format for better performance.\n'
             'Created new stacked branch referring to %s.\n' % (trunk.base,),
             err)
 
@@ -338,6 +340,8 @@
             '  Packs 5 rich-root (adds stacking support, requires bzr 1.6.1)\n'
             'Source branch format does not support stacking, using format:\n'
             '  Branch format 7\n'
+            'Doing on-the-fly conversion from RepositoryFormatKnitPack4() to RepositoryFormatKnitPack5RichRoot().\n'
+            'This may take some time. Upgrade the repositories to the same format for better performance.\n'
             'Created new stacked branch referring to %s.\n' % (trunk.base,),
             err)
 

=== modified file 'bzrlib/tests/blackbox/test_cat.py'
--- bzrlib/tests/blackbox/test_cat.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_cat.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_checkout.py'
--- bzrlib/tests/blackbox/test_checkout.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_checkout.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2009 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_debug.py'
--- bzrlib/tests/blackbox/test_debug.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_debug.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_exceptions.py'
--- bzrlib/tests/blackbox/test_exceptions.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_exceptions.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_export.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_filtered_view_ops.py'
--- bzrlib/tests/blackbox/test_filtered_view_ops.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_filtered_view_ops.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_help.py'
--- bzrlib/tests/blackbox/test_help.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_help.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_info.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_init.py'
--- bzrlib/tests/blackbox/test_init.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_init.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_log.py'
--- bzrlib/tests/blackbox/test_log.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_log.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_ls.py'
--- bzrlib/tests/blackbox/test_ls.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_ls.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_merge.py'
--- bzrlib/tests/blackbox/test_merge.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_merge.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_mv.py'
--- bzrlib/tests/blackbox/test_mv.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_mv.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_non_ascii.py'
--- bzrlib/tests/blackbox/test_non_ascii.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_non_ascii.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2010-01-25 19:53:02 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_push.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_remerge.py'
--- bzrlib/tests/blackbox/test_remerge.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_remerge.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_selftest.py'
--- bzrlib/tests/blackbox/test_selftest.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/blackbox/test_selftest.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_send.py'
--- bzrlib/tests/blackbox/test_send.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_send.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 # Authors: Aaron Bentley
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_shared_repository.py'
--- bzrlib/tests/blackbox/test_shared_repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_shared_repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_shelve.py'
--- bzrlib/tests/blackbox/test_shelve.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_shelve.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_switch.py'
--- bzrlib/tests/blackbox/test_switch.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_switch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_too_much.py'
--- bzrlib/tests/blackbox/test_too_much.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_too_much.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_update.py'
--- bzrlib/tests/blackbox/test_update.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/blackbox/test_update.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/commands/test_branch.py'
--- bzrlib/tests/commands/test_branch.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_branch.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_cat.py'
--- bzrlib/tests/commands/test_cat.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_cat.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_checkout.py'
--- bzrlib/tests/commands/test_checkout.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_checkout.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_commit.py'
--- bzrlib/tests/commands/test_commit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_commit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_init.py'
--- bzrlib/tests/commands/test_init.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_init.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_init_repository.py'
--- bzrlib/tests/commands/test_init_repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_init_repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_merge.py'
--- bzrlib/tests/commands/test_merge.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_merge.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_missing.py'
--- bzrlib/tests/commands/test_missing.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_missing.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_pull.py'
--- bzrlib/tests/commands/test_pull.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_pull.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_push.py'
--- bzrlib/tests/commands/test_push.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_push.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/commands/test_update.py'
--- bzrlib/tests/commands/test_update.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/commands/test_update.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/features.py'
--- bzrlib/tests/features.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/features.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/ftp_server/__init__.py'
--- bzrlib/tests/ftp_server/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/ftp_server/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/ftp_server/medusa_based.py'
--- bzrlib/tests/ftp_server/medusa_based.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/ftp_server/medusa_based.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/ftp_server/pyftpdlib_based.py'
--- bzrlib/tests/ftp_server/pyftpdlib_based.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/ftp_server/pyftpdlib_based.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/http_server.py'
--- bzrlib/tests/http_server.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/http_server.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/http_utils.py'
--- bzrlib/tests/http_utils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/http_utils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_branch/test_hooks.py'
--- bzrlib/tests/per_branch/test_hooks.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_branch/test_hooks.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py'
--- bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_branch/test_parent.py'
--- bzrlib/tests/per_branch/test_parent.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_branch/test_parent.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_branch/test_push.py'
--- bzrlib/tests/per_branch/test_push.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_branch/test_push.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/per_bzrdir/test_bzrdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_foreign_vcs/__init__.py'
--- bzrlib/tests/per_foreign_vcs/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_foreign_vcs/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_foreign_vcs/test_repository.py'
--- bzrlib/tests/per_foreign_vcs/test_repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_foreign_vcs/test_repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_interbranch/test_push.py'
--- bzrlib/tests/per_interbranch/test_push.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_interbranch/test_push.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2007, 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_intertree/__init__.py'
--- bzrlib/tests/per_intertree/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_intertree/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_merger.py'
--- bzrlib/tests/per_merger.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_merger.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_pack_repository.py'
--- bzrlib/tests/per_pack_repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_pack_repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_repository/test_check.py'
--- bzrlib/tests/per_repository/test_check.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_repository/test_check.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_repository/test_check_reconcile.py'
--- bzrlib/tests/per_repository/test_check_reconcile.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_repository/test_check_reconcile.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_repository/test_commit_builder.py'
--- bzrlib/tests/per_repository/test_commit_builder.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_repository/test_commit_builder.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_repository/test_repository.py'
--- bzrlib/tests/per_repository/test_repository.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_repository/test_repository.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_repository_reference/test_check.py'
--- bzrlib/tests/per_repository_reference/test_check.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_repository_reference/test_check.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_transport.py'
--- bzrlib/tests/per_transport.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_transport.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_tree/test_get_file_with_stat.py'
--- bzrlib/tests/per_tree/test_get_file_with_stat.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_tree/test_get_file_with_stat.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_tree/test_iter_search_rules.py'
--- bzrlib/tests/per_tree/test_iter_search_rules.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_tree/test_iter_search_rules.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_tree/test_path_content_summary.py'
--- bzrlib/tests/per_tree/test_path_content_summary.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_tree/test_path_content_summary.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_uifactory/__init__.py'
--- bzrlib/tests/per_uifactory/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_uifactory/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009-2010 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_versionedfile.py'
--- bzrlib/tests/per_versionedfile.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_versionedfile.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # Authors:
 #   Johan Rydberg <jrydberg@gnu.org>

=== modified file 'bzrlib/tests/per_workingtree/test_content_filters.py'
--- bzrlib/tests/per_workingtree/test_content_filters.py	2009-12-16 21:43:42 +0000
+++ bzrlib/tests/per_workingtree/test_content_filters.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_workingtree/test_is_ignored.py'
--- bzrlib/tests/per_workingtree/test_is_ignored.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_workingtree/test_is_ignored.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/per_workingtree/test_smart_add.py'
--- bzrlib/tests/per_workingtree/test_smart_add.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/per_workingtree/test_smart_add.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/script.py'
--- bzrlib/tests/script.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/script.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/stub_sftp.py'
--- bzrlib/tests/stub_sftp.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/stub_sftp.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Robey Pointer <robey@lag.net>, Canonical Ltd
+# Copyright (C) 2005, 2006, 2008, 2009, 2010 Robey Pointer <robey@lag.net>, Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -297,14 +297,14 @@
                 threading.Thread(target=self._callback, args=(s,)).start()
             except socket.error, x:
                 sys.excepthook(*sys.exc_info())
-                warning('Socket error during accept() within unit test server'
-                        ' thread: %r' % x)
+                trace.warning('Socket error during accept() '
+                              'within unit test server thread: %r' % x)
             except Exception, x:
                 # probably a failed test; unit test thread will log the
                 # failure/error
                 sys.excepthook(*sys.exc_info())
-                warning('Exception from within unit test server thread: %r' %
-                        x)
+                trace.warning(
+                    'Exception from within unit test server thread: %r' % x)
 
 
 class SocketDelay(object):
@@ -438,13 +438,15 @@
         if not (backing_server is None or
                 isinstance(backing_server, local.LocalURLServer)):
             raise AssertionError(
-                "backing_server should not be %r, because this can only serve the "
-                "local current working directory." % (backing_server,))
+                'backing_server should not be %r, because this can only serve '
+                'the local current working directory.' % (backing_server,))
         self._original_vendor = ssh._ssh_vendor_manager._cached_ssh_vendor
         ssh._ssh_vendor_manager._cached_ssh_vendor = self._vendor
+        # FIXME: the following block should certainly just be self._homedir =
+        # osutils.getcwd() but that fails badly on Unix -- vila 20100224
         if sys.platform == 'win32':
             # Win32 needs to use the UNICODE api
-            self._homedir = getcwd()
+            self._homedir = os.getcwdu()
         else:
             # But Linux SFTP servers should just deal in bytestreams
             self._homedir = os.getcwd()

=== modified file 'bzrlib/tests/test__annotator.py'
--- bzrlib/tests/test__annotator.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__annotator.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__bencode.py'
--- bzrlib/tests/test__bencode.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__bencode.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__chk_map.py'
--- bzrlib/tests/test__chk_map.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__chk_map.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__chunks_to_lines.py'
--- bzrlib/tests/test__chunks_to_lines.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__chunks_to_lines.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__dirstate_helpers.py'
--- bzrlib/tests/test__dirstate_helpers.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__dirstate_helpers.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__groupcompress.py'
--- bzrlib/tests/test__groupcompress.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__groupcompress.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__known_graph.py'
--- bzrlib/tests/test__known_graph.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__known_graph.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__rio.py'
--- bzrlib/tests/test__rio.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__rio.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__simple_set.py'
--- bzrlib/tests/test__simple_set.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__simple_set.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test__static_tuple.py'
--- bzrlib/tests/test__static_tuple.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__static_tuple.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -77,9 +77,9 @@
     def test_create_bad_args(self):
         args_256 = ['a']*256
         # too many args
-        self.assertRaises(ValueError, self.module.StaticTuple, *args_256)
+        self.assertRaises(TypeError, self.module.StaticTuple, *args_256)
         args_300 = ['a']*300
-        self.assertRaises(ValueError, self.module.StaticTuple, *args_300)
+        self.assertRaises(TypeError, self.module.StaticTuple, *args_300)
         # not a string
         self.assertRaises(TypeError, self.module.StaticTuple, object())
 

=== modified file 'bzrlib/tests/test__walkdirs_win32.py'
--- bzrlib/tests/test__walkdirs_win32.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test__walkdirs_win32.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_btree_index.py'
--- bzrlib/tests/test_btree_index.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_btree_index.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_bundle.py'
--- bzrlib/tests/test_bundle.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_bundle.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_bzrdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_chk_map.py'
--- bzrlib/tests/test_chk_map.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_chk_map.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_cleanup.py'
--- bzrlib/tests/test_cleanup.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_cleanup.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_commit.py'
--- bzrlib/tests/test_commit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_commit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_config.py'
--- bzrlib/tests/test_config.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_config.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_conflicts.py'
--- bzrlib/tests/test_conflicts.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_conflicts.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_crash.py'
--- bzrlib/tests/test_crash.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_crash.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_diff.py'
--- bzrlib/tests/test_diff.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_diff.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_directory_service.py'
--- bzrlib/tests/test_directory_service.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_directory_service.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_errors.py'
--- bzrlib/tests/test_errors.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_errors.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_foreign.py'
--- bzrlib/tests/test_foreign.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_foreign.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_globbing.py'
--- bzrlib/tests/test_globbing.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_globbing.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_graph.py'
--- bzrlib/tests/test_graph.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_graph.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_groupcompress.py'
--- bzrlib/tests/test_groupcompress.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_groupcompress.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_hooks.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_http.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_http_response.py'
--- bzrlib/tests/test_http_response.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_http_response.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ignores.py'
--- bzrlib/tests/test_ignores.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_ignores.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_index.py'
--- bzrlib/tests/test_index.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_index.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_info.py'
--- bzrlib/tests/test_info.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_info.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_knit.py'
--- bzrlib/tests/test_knit.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_knit.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_lockable_files.py'
--- bzrlib/tests/test_lockable_files.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_lockable_files.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_lockdir.py'
--- bzrlib/tests/test_lockdir.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_lockdir.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -666,6 +666,25 @@
         # no kibble
         check_dir(['held'])
 
+    def test_no_lockdir_info(self):
+        """We can cope with empty info files."""
+        # This seems like a fairly common failure case - see
+        # <https://bugs.edge.launchpad.net/bzr/+bug/185103> and all its dupes.
+        # Processes are often interrupted after opening the file
+        # before the actual contents are committed.
+        t = self.get_transport()
+        t.mkdir('test_lock')
+        t.mkdir('test_lock/held')
+        t.put_bytes('test_lock/held/info', '')
+        lf = LockDir(t, 'test_lock')
+        info = lf.peek()
+        formatted_info = lf._format_lock_info(info)
+        self.assertEquals(
+            ['lock %s' % t.abspath('test_lock'),
+             'held by <unknown> on host <unknown> [process #<unknown>]',
+             'locked (unknown)'],
+            formatted_info)
+
 
 class TestLockDirHooks(TestCaseWithTransport):
 

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_log.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_merge.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -2894,6 +2894,11 @@
                         base=False, other=False)
         return builder
 
+    def test_uses_this_branch(self):
+        builder = self.make_text_conflict()
+        tt = builder.make_preview_transform()
+        self.addCleanup(tt.finalize)
+
     def test_affected_files_cached(self):
         """Ensures that the config variable is cached"""
         builder = self.make_text_conflict()

=== modified file 'bzrlib/tests/test_merge_core.py'
--- bzrlib/tests/test_merge_core.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_merge_core.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -73,6 +73,16 @@
                 new_file(tt)
 
     def merge(self, merge_type=Merge3Merger, interesting_ids=None, **kwargs):
+        merger = self.make_merger(merge_type, interesting_ids, **kwargs)
+        merger.do_merge()
+        return merger.cooked_conflicts
+
+    def make_preview_transform(self):
+        merger = self.make_merger(Merge3Merger, None, this_revision_tree=True)
+        return merger.make_preview_transform()
+
+    def make_merger(self, merge_type, interesting_ids,
+            this_revision_tree=False, **kwargs):
         self.base_tt.apply()
         self.base.commit('base commit')
         for tt, wt in ((self.this_tt, self.this), (self.other_tt, self.other)):
@@ -89,9 +99,15 @@
                 raise AssertionError()
         self.this.branch.fetch(self.other.branch)
         other_basis = self.other.branch.basis_tree()
-        merger = merge_type(self.this, self.this, self.base, other_basis,
-                            interesting_ids=interesting_ids, **kwargs)
-        return merger.cooked_conflicts
+        if this_revision_tree:
+            self.this.commit('message')
+            this_tree = self.this.basis_tree()
+        else:
+            this_tree = self.this
+        merger = merge_type(this_tree, self.this, self.base, other_basis,
+                            interesting_ids=interesting_ids, do_merge=False,
+                            this_branch=self.this.branch, **kwargs)
+        return merger
 
     def list_transforms(self):
         return [self.this_tt, self.base_tt, self.other_tt]

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_msgeditor.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_osutils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_patches.py'
--- bzrlib/tests/test_patches.py	2009-12-16 21:43:42 +0000
+++ bzrlib/tests/test_patches.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004 - 2008 Aaron Bentley, Canonical Ltd
+# Copyright (C) 2005-2010 Aaron Bentley, Canonical Ltd
 # <aaron.bentley@utoronto.ca>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_progress.py'
--- bzrlib/tests/test_progress.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_progress.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_remote.py'
--- bzrlib/tests/test_remote.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_remote.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_revisionspec.py'
--- bzrlib/tests/test_revisionspec.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_revisionspec.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_revisiontree.py'
--- bzrlib/tests/test_revisiontree.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_revisiontree.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2008, 2009, 2010 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_script.py'
--- bzrlib/tests/test_script.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_script.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_selftest.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_sftp_transport.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Robey Pointer <robey@lag.net>
+# Copyright (C) 2005-2010 Robey Pointer <robey@lag.net>
 # Copyright (C) 2005, 2006, 2007 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_shelf_ui.py'
--- bzrlib/tests/test_shelf_ui.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_shelf_ui.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_smart.py'
--- bzrlib/tests/test_smart.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_smart.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_smart_transport.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_source.py'
--- bzrlib/tests/test_source.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_source.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ssh_transport.py'
--- bzrlib/tests/test_ssh_transport.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_ssh_transport.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_trace.py'
--- bzrlib/tests/test_trace.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_trace.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_transport.py'
--- bzrlib/tests/test_transport.py	2010-02-17 17:47:40 +0000
+++ bzrlib/tests/test_transport.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_transport_log.py'
--- bzrlib/tests/test_transport_log.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_transport_log.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ui.py'
--- bzrlib/tests/test_ui.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_ui.py	2010-03-24 22:27:38 +0000
@@ -21,8 +21,12 @@
 import re
 import time
 
+from StringIO import StringIO
+
 from bzrlib import (
     errors,
+    remote,
+    repository,
     tests,
     ui as _mod_ui,
     )
@@ -259,6 +263,32 @@
         self.assertIsInstance(ui_factory._progress_view,
             _mod_ui_text.NullProgressView)
 
+    def test_text_ui_show_user_warning(self):
+        from bzrlib.repofmt.groupcompress_repo import RepositoryFormat2a
+        from bzrlib.repofmt.pack_repo import RepositoryFormatKnitPack5
+        err = StringIO()
+        out = StringIO()
+        ui = tests.TextUIFactory(stdin=None, stdout=out, stderr=err)
+        remote_fmt = remote.RemoteRepositoryFormat()
+        remote_fmt._network_name = RepositoryFormatKnitPack5().network_name()
+        ui.show_user_warning('cross_format_fetch', from_format=RepositoryFormat2a(),
+            to_format=remote_fmt)
+        self.assertEquals('', out.getvalue())
+        self.assertEquals("Doing on-the-fly conversion from RepositoryFormat2a() to "
+            "RemoteRepositoryFormat(_network_name='Bazaar RepositoryFormatKnitPack5 "
+            "(bzr 1.6)\\n').\nThis may take some time. Upgrade the repositories to "
+            "the same format for better performance.\n",
+            err.getvalue())
+        # and now with it suppressed please
+        err = StringIO()
+        out = StringIO()
+        ui = tests.TextUIFactory(stdin=None, stdout=out, stderr=err)
+        ui.suppressed_warnings.add('cross_format_fetch')
+        ui.show_user_warning('cross_format_fetch', from_format=RepositoryFormat2a(),
+            to_format=remote_fmt)
+        self.assertEquals('', out.getvalue())
+        self.assertEquals('', err.getvalue())
+
 
 class TestTextUIOutputStream(tests.TestCase):
     """Tests for output stream that synchronizes with progress bar."""

=== modified file 'bzrlib/tests/test_urlutils.py'
--- bzrlib/tests/test_urlutils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_urlutils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_version.py'
--- bzrlib/tests/test_version.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_version.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 Canonical Ltd
+# Copyright (C) 2006, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_win32utils.py'
--- bzrlib/tests/test_win32utils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_win32utils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_xml.py'
--- bzrlib/tests/test_xml.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/test_xml.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/transport_util.py'
--- bzrlib/tests/transport_util.py	2010-02-05 13:53:30 +0000
+++ bzrlib/tests/transport_util.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2010-02-05 13:53:30 +0000
+++ bzrlib/trace.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/chroot.py'
--- bzrlib/transport/chroot.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/chroot.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/decorator.py'
--- bzrlib/transport/decorator.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/decorator.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/ftp/__init__.py'
--- bzrlib/transport/ftp/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/ftp/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/http/__init__.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/http/_urllib.py'
--- bzrlib/transport/http/_urllib.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/http/_urllib.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/http/_urllib2_wrappers.py'
--- bzrlib/transport/http/_urllib2_wrappers.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/http/_urllib2_wrappers.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/http/wsgi.py'
--- bzrlib/transport/http/wsgi.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/http/wsgi.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/local.py'
--- bzrlib/transport/local.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/local.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -42,8 +42,8 @@
 from bzrlib.transport import Transport, Server
 
 
-_append_flags = os.O_CREAT | os.O_APPEND | os.O_WRONLY | osutils.O_BINARY
-_put_non_atomic_flags = os.O_CREAT | os.O_TRUNC | os.O_WRONLY | osutils.O_BINARY
+_append_flags = os.O_CREAT | os.O_APPEND | os.O_WRONLY | osutils.O_BINARY | osutils.O_NOINHERIT
+_put_non_atomic_flags = os.O_CREAT | os.O_TRUNC | os.O_WRONLY | osutils.O_BINARY | osutils.O_NOINHERIT
 
 
 class LocalTransport(Transport):
@@ -160,7 +160,7 @@
             transport._file_streams[canonical_url].flush()
         try:
             path = self._abspath(relpath)
-            return open(path, 'rb')
+            return osutils.open_file(path, 'rb')
         except (IOError, OSError),e:
             if e.errno == errno.EISDIR:
                 return LateReadError(relpath)
@@ -329,7 +329,7 @@
         # initialise the file
         self.put_bytes_non_atomic(relpath, "", mode=mode)
         abspath = self._abspath(relpath)
-        handle = open(abspath, 'wb')
+        handle = osutils.open_file(abspath, 'wb')
         if mode is not None:
             self._check_mode_and_size(abspath, handle.fileno(), mode)
         transport._file_streams[self.abspath(relpath)] = handle

=== modified file 'bzrlib/transport/memory.py'
--- bzrlib/transport/memory.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/memory.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/pathfilter.py'
--- bzrlib/transport/pathfilter.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/pathfilter.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/sftp.py'
--- bzrlib/transport/sftp.py	2010-02-17 17:47:40 +0000
+++ bzrlib/transport/sftp.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/ssh.py'
--- bzrlib/transport/ssh.py	2010-02-05 13:53:30 +0000
+++ bzrlib/transport/ssh.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Robey Pointer <robey@lag.net>
+# Copyright (C) 2006-2010 Robey Pointer <robey@lag.net>
 # Copyright (C) 2005, 2006, 2007 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/ui/__init__.py'
--- bzrlib/ui/__init__.py	2010-02-05 13:53:30 +0000
+++ bzrlib/ui/__init__.py	2010-03-24 22:27:38 +0000
@@ -105,10 +105,22 @@
 
     This tells the library how to display things to the user.  Through this
     layer different applications can choose the style of UI.
+
+    :ivar suppressed_warnings: Identifiers for user warnings that should 
+        no be emitted.
     """
 
+    _user_warning_templates = dict(
+        cross_format_fetch=("Doing on-the-fly conversion from "
+            "%(from_format)s to %(to_format)s.\n"
+            "This may take some time. Upgrade the repositories to the "
+            "same format for better performance."
+            )
+        )
+
     def __init__(self):
         self._task_stack = []
+        self.suppressed_warnings = set()
         self._quiet = False
 
     def be_quiet(self, state):
@@ -210,6 +222,21 @@
         """
         pass
 
+    def format_user_warning(self, warning_id, message_args):
+        try:
+            template = self._user_warning_templates[warning_id]
+        except KeyError:
+            fail = "failed to format warning %r, %r" % (warning_id, message_args)
+            warnings.warn(fail)   # so tests will fail etc
+            return fail
+        try:
+            return template % message_args
+        except ValueError, e:
+            fail = "failed to format warning %r, %r: %s" % (
+                warning_id, message_args, e)
+            warnings.warn(fail)   # so tests will fail etc
+            return fail
+
     def get_boolean(self, prompt):
         """Get a boolean question answered from the user.
 
@@ -240,8 +267,11 @@
     def recommend_upgrade(self,
         current_format_name,
         basedir):
-        # this should perhaps be in the TextUIFactory and the default can do
+        # XXX: this should perhaps be in the TextUIFactory and the default can do
         # nothing
+        #
+        # XXX: Change to show_user_warning - that will accomplish the previous
+        # xxx. -- mbp 2010-02-25
         trace.warning("%s is deprecated "
             "and a better format is available.\n"
             "It is recommended that you upgrade by "
@@ -271,6 +301,24 @@
         # Default implementation just does nothing
         pass
 
+    def show_user_warning(self, warning_id, **message_args):
+        """Show a warning to the user.
+
+        This is specifically for things that are under the user's control (eg
+        outdated formats), not for internal program warnings like deprecated
+        APIs.
+
+        This can be overridden by UIFactory subclasses to show it in some 
+        appropriate way; the default UIFactory is noninteractive and does
+        nothing.  format_user_warning maps it to a string, though other
+        presentations can be used for particular UIs.
+
+        :param warning_id: An identifier like 'cross_format_fetch' used to 
+            check if the message is suppressed and to look up the string.
+        :param message_args: Arguments to be interpolated into the message.
+        """
+        pass
+
     def show_error(self, msg):
         """Show an error message (not an exception) to the user.
         
@@ -288,12 +336,13 @@
         raise NotImplementedError(self.show_warning)
 
     def warn_cross_format_fetch(self, from_format, to_format):
-        """Warn about a potentially slow cross-format transfer"""
-        # See <https://launchpad.net/bugs/456077> asking for a warning here
-        trace.warning("Doing on-the-fly conversion from %s to %s.\n"
-            "This may take some time. Upgrade the repositories to the "
-            "same format for better performance.\n" %
-            (from_format, to_format))
+        """Warn about a potentially slow cross-format transfer.
+        
+        This is deprecated in favor of show_user_warning, but retained for api
+        compatibility in 2.0 and 2.1.
+        """
+        self.show_user_warning('cross_format_fetch', from_format=from_format,
+            to_format=to_format)
 
 
 class SilentUIFactory(UIFactory):

=== modified file 'bzrlib/ui/text.py'
--- bzrlib/ui/text.py	2010-02-05 13:53:30 +0000
+++ bzrlib/ui/text.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -37,6 +37,8 @@
 
 """)
 
+from bzrlib.osutils import watch_sigwinch
+
 from bzrlib.ui import (
     UIFactory,
     NullProgressView,
@@ -60,7 +62,9 @@
         self.stderr = stderr
         # paints progress, network activity, etc
         self._progress_view = self.make_progress_view()
-        
+        # hook up the signals to watch for terminal size changes
+        watch_sigwinch()
+
     def be_quiet(self, state):
         if state and not self._quiet:
             self.clear_term()
@@ -245,6 +249,18 @@
     def _progress_all_finished(self):
         self._progress_view.clear()
 
+    def show_user_warning(self, warning_id, **message_args):
+        """Show a text message to the user.
+
+        Explicitly not for warnings about bzr apis, deprecations or internals.
+        """
+        # eventually trace.warning should migrate here, to avoid logging and
+        # be easier to test; that has a lot of test fallout so for now just
+        # new code can call this
+        if warning_id not in self.suppressed_warnings:
+            self.stderr.write(self.format_user_warning(warning_id, message_args) +
+                '\n')
+
 
 class TextProgressView(object):
     """Display of progress bar and other information on a tty.

=== modified file 'bzrlib/upgrade.py'
--- bzrlib/upgrade.py	2010-02-05 13:53:30 +0000
+++ bzrlib/upgrade.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005, 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,6 +29,9 @@
     def __init__(self, url, format=None):
         self.format = format
         self.bzrdir = BzrDir.open_unsupported(url)
+        # XXX: Change to cleanup
+        warning_id = 'cross_format_fetch'
+        saved_warning = warning_id in ui.ui_factory.suppressed_warnings
         if isinstance(self.bzrdir, RemoteBzrDir):
             self.bzrdir._ensure_real()
             self.bzrdir = self.bzrdir._real_bzrdir
@@ -36,10 +39,13 @@
             raise errors.UpgradeReadonly
         self.transport = self.bzrdir.root_transport
         self.pb = ui.ui_factory.nested_progress_bar()
+        ui.ui_factory.suppressed_warnings.add(warning_id)
         try:
             self.convert()
         finally:
             self.pb.finished()
+            if not saved_warning:
+                ui.ui_factory.suppressed_warnings.remove(warning_id)
 
     def convert(self):
         try:

=== modified file 'bzrlib/urlutils.py'
--- bzrlib/urlutils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/urlutils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/version.py'
--- bzrlib/version.py	2010-02-05 13:53:30 +0000
+++ bzrlib/version.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/version_info_formats/format_rio.py'
--- bzrlib/version_info_formats/format_rio.py	2010-02-05 13:53:30 +0000
+++ bzrlib/version_info_formats/format_rio.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2010-02-05 13:53:30 +0000
+++ bzrlib/versionedfile.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # Authors:
 #   Johan Rydberg <jrydberg@gnu.org>

=== modified file 'bzrlib/win32utils.py'
--- bzrlib/win32utils.py	2010-02-05 13:53:30 +0000
+++ bzrlib/win32utils.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2010-02-05 13:53:30 +0000
+++ bzrlib/workingtree_4.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/xml4.py'
--- bzrlib/xml4.py	2010-02-05 13:53:30 +0000
+++ bzrlib/xml4.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/xml5.py'
--- bzrlib/xml5.py	2010-02-05 13:53:30 +0000
+++ bzrlib/xml5.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/xml7.py'
--- bzrlib/xml7.py	2010-02-05 13:53:30 +0000
+++ bzrlib/xml7.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/xml8.py'
--- bzrlib/xml8.py	2010-02-05 13:53:30 +0000
+++ bzrlib/xml8.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/xml_serializer.py'
--- bzrlib/xml_serializer.py	2010-02-05 13:53:30 +0000
+++ bzrlib/xml_serializer.py	2010-03-24 22:27:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'doc/developers/_templates/layout.html'
--- doc/developers/_templates/layout.html	2010-02-05 13:53:30 +0000
+++ doc/developers/_templates/layout.html	2010-03-24 22:27:38 +0000
@@ -11,22 +11,3 @@
 <a href="http://doc.bazaar-vcs.org/en/">Documentation</a>&nbsp;|&nbsp;</li>
 {{ super() }}
 {% endblock %}
-
-{% block document %}
- <script type="text/javascript">
-  var gaJsHost = (("https:" == document.location.protocol) ?  "https://ssl." : "http://www.");
-  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
-  </script>
-  <script type="text/javascript">
-  try{
-  var pageTracker = _gat._getTracker("UA-1018242-1");
-  pageTracker._trackPageview();
-  } catch(err) {}
-  try {
-    /* bazaar team tracker */
-    var pageTracker = _gat._getTracker("UA-11329411-2");
-    pageTracker._trackPageview();
-  } catch(err) {}
-</script>
-{{ super() }}
-{% endblock %}

=== modified file 'doc/en/_templates/index.html'
--- doc/en/_templates/index.html	2010-02-05 13:53:30 +0000
+++ doc/en/_templates/index.html	2010-03-24 22:27:38 +0000
@@ -7,8 +7,11 @@
 
   <table class="contentstable" align="center" style="margin-left: 30px"><tr>
     <td width="50%">
+        <p class="biglink"><a class="biglink" href="{{ pathto("whats-new/whats-new-in-2.1") }}">What's New in Bazaar 2.1?</a><br/>
+        <span class="linkdescr">what's new in this release</span>
+      </p>
         <p class="biglink"><a class="biglink" href="{{ pathto("user-guide/index") }}">User Guide</a><br/>
-        <span class="linkdescr">how to use Bazaar effectively</span>
+        <span class="linkdescr">how to use the command line client</span>
       </p>
       <p class="biglink"><a class="biglink" href="{{ pathto("tutorials/index") }}">Tutorials</a><br/>
       <span class="linkdescr">brief introductions</span>
@@ -18,7 +21,7 @@
       </p>
     </td><td width="50%">
     <p class="biglink"><a class="biglink" href="{{ pathto("release-notes/index") }}">Release Notes</a><br/>
-      <span class="linkdescr">what's new</span>
+      <span class="linkdescr">a detailed log of changes</span>
       </p>
       <p class="biglink"><a class="biglink" href="{{ pathto("upgrade-guide/index") }}">Upgrade Guide</a><br/>
       <span class="linkdescr">moving to Bazaar 2.x</span>
@@ -36,21 +39,24 @@
 
   <table class="contentstable" align="center" style="margin-left: 30px"><tr>
     <td width="50%">
+      <p class="biglink"><a class="biglink" href="http://doc.bazaar.canonical.com/explorer/en/guide/">Desktop Guide</a><br/>
+      <span class="linkdescr">how to use our GUI applications</span>
+      </p>
         <p class="biglink"><a class="biglink" href="https://answers.launchpad.net/bzr/+faqs">FAQ</a><br/>
       <span class="linkdescr">frequently asked questions</span>
       </p>
       <p class="biglink"><a class="biglink" href="http://bazaar-vcs.org/BzrGlossary/">Glossary</a><br/>
       <span class="linkdescr">help with terminology</span>
       </p>
+    </td>
+    <td width="50%">
       <p class="biglink"><a class="biglink" href="../developers/">Developer Docs</a><br/>
         <span class="linkdescr">improving and extending bzr</span>
       </p>
-    </td>
-    <td width="50%">
-      <p class="biglink"><a class="biglink" href="http://doc.bazaar-vcs.org/migration/en/">Migration Docs</a><br/>
+      <p class="biglink"><a class="biglink" href="http://doc.bazaar.canonical.com/migration/en/">Migration Docs</a><br/>
       <span class="linkdescr">for refugees of other tools</span>
       </p>
-      <p class="biglink"><a class="biglink" href="http://doc.bazaar-vcs.org/plugins/en/">Plugins Guide</a><br/>
+      <p class="biglink"><a class="biglink" href="http://doc.bazaar.canonical.com/plugins/en/">Plugins Guide</a><br/>
       <span class="linkdescr">help on popular plugins</span>
       </p>
     </td></tr>

=== modified file 'doc/en/_templates/layout.html'
--- doc/en/_templates/layout.html	2009-11-04 22:47:44 +0000
+++ doc/en/_templates/layout.html	2010-03-24 22:27:38 +0000
@@ -6,22 +6,3 @@
 <a href="http://doc.bazaar-vcs.org/en/">Documentation</a>&nbsp;|&nbsp;</li>
 {{ super() }}
 {% endblock %}
-
-{% block document %}
- <script type="text/javascript">
-  var gaJsHost = (("https:" == document.location.protocol) ?  "https://ssl." : "http://www.");
-  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
-  </script>
-  <script type="text/javascript">
-  try{
-  var pageTracker = _gat._getTracker("UA-1018242-1");
-  pageTracker._trackPageview();
-  } catch(err) {}
-  try {
-    /* bazaar team tracker */
-    var pageTracker = _gat._getTracker("UA-11329411-2");
-    pageTracker._trackPageview();
-  } catch(err) {}
-</script>
-{{ super() }}
-{% endblock %}

=== modified file 'doc/en/admin-guide/hooks-plugins.txt'
--- doc/en/admin-guide/hooks-plugins.txt	2010-02-05 13:53:30 +0000
+++ doc/en/admin-guide/hooks-plugins.txt	2010-03-24 22:27:38 +0000
@@ -22,7 +22,7 @@
 purposes, as well as for backups and mirroring.
 
 Information on the whole range of Bazaar plugins is available at
-http://doc.bazaar-vcs.org/en/plugin-guide.  For purposes of installation,
+http://doc.bazaar.canonical.com/plugins/en/.  For purposes of installation,
 plugins are simply python packages.  They can be installed alongside Bazaar in
 the ``bzrlib.plugins`` package using each plugin's ``setup.py``.  They can
 also be installed in the plugin path which is the user's ``~/.bazaar/plugins``

=== modified file 'doc/en/conf.py'
--- doc/en/conf.py	2010-02-05 13:53:30 +0000
+++ doc/en/conf.py	2010-03-24 22:27:38 +0000
@@ -28,10 +28,12 @@
         u'Bazaar User Reference': None,
         u'Bazaar Release Notes': None,
         u'Bazaar Upgrade Guide': None,
+        u"Bazaar System Administrator's Guide": None,
         u'Bazaar in five minutes': None,
         u'Bazaar Tutorial': None,
         u'Using Bazaar With Launchpad': None,
         u'Centralized Workflow Tutorial': None,
+        u"What's New in Bazaar 2.1?": None,
     }
 def bzr_title(s):
     return bzr_titles.get(s) or s
@@ -58,6 +60,8 @@
     bzr_title(u'Bazaar Release Notes'), bzr_team, 'manual'),
   ('upgrade-guide/index', 'bzr-%s-upgrade-guide.tex' % (bzr_locale,),
     bzr_title(u'Bazaar Upgrade Guide'), bzr_team, 'manual'),
+  ('admin-guide/index', 'bzr-%s-admin-guide.tex' % (bzr_locale,),
+    bzr_title(u"Bazaar System Administrator's Guide"), bzr_team, 'manual'),
   # Tutorials
   ('mini-tutorial/index', 'bzr-%s-tutorial-mini.tex' % (bzr_locale,),
     bzr_title(u'Bazaar in five minutes'), bzr_team, 'howto'),
@@ -69,6 +73,8 @@
   ('tutorials/centralized_workflow',
     'bzr-%s-tutorial-centralized.tex' % (bzr_locale,),
     bzr_title(u'Centralized Workflow Tutorial'), bzr_team, 'howto'),
+  ('whats-new/whats-new-in-2.1', 'bzr-%s-whats-new.tex' % (bzr_locale,),
+    bzr_title(u"What's New in Bazaar 2.1?"), bzr_team, 'howto'),
 ]
 
 # List of documents that shouldn't be included in the build.

=== modified file 'doc/en/index.txt'
--- doc/en/index.txt	2010-02-05 13:53:30 +0000
+++ doc/en/index.txt	2010-03-24 22:27:38 +0000
@@ -10,6 +10,7 @@
 .. toctree::
    :maxdepth: 1
 
+   whats-new/whats-new-in-2.1
    user-guide/index
    tutorials/index
    quick-reference/index

=== modified file 'doc/en/user-guide/introducing_bazaar.txt'
--- doc/en/user-guide/introducing_bazaar.txt	2010-02-05 13:53:30 +0000
+++ doc/en/user-guide/introducing_bazaar.txt	2010-03-24 22:27:38 +0000
@@ -134,7 +134,7 @@
 details on the commands and options available.
 
 .. _Bazaar in five minutes: ../mini-tutorial/index.html
-.. _Bazaar Quick Start Card: ../quick-reference/quick-start-summary.svg
+.. _Bazaar Quick Start Card: ../quick-reference/index.html
 .. _Bazaar User Reference: ../user-reference/index.html
 
 We hope you find this manual useful. If you have suggestions on how it

=== modified file 'doc/en/user-guide/stacked.txt'
--- doc/en/user-guide/stacked.txt	2010-02-05 13:53:30 +0000
+++ doc/en/user-guide/stacked.txt	2010-03-24 22:27:38 +0000
@@ -65,25 +65,38 @@
 and only contains the revisions in the current branch that are not already
 in the branch at ``reference-url``.
 
-If the local branch was created as a stacked branch, then you can
-use the ``--stacked`` option to ``push`` and the *stacked-on* location
-will be implicit. For example::
-
-  bzr branch --stacked source-url my-dir
-  cd my-dir
-  (hack, hack, hack)
-  bzr commit -m "fix bug"
-  bzr push --stacked
+
+.. The following text is hidden because bug 375013 breaks the example.
+   When bug 375013 is fixed, we should unhide this text.
+      - Andrew Bennetts, 10 March 2010
+
+.. If the local branch was created as a stacked branch, then you can
+.. use the ``--stacked`` option to ``push`` and the *stacked-on* location
+.. will be implicit. For example::
+.. 
+..   bzr branch --stacked source-url my-dir
+..   cd my-dir
+..   (hack, hack, hack)
+..   bzr commit -m "fix bug"
+..   bzr push --stacked
 
 
 Limitations of stacked branches
 -------------------------------
 
+Currently, you cannot commit to a stacked branch, due to `bug 375013`_.
+
+.. _bug 375013: https://bugs.launchpad.net/bzr/+bug/375013
+
 The important thing to remember about a stacked branch is that the
 stacked-on branch needs to be available for almost all operations. This is
 not an issue when both branches are local or both branches are on the
 same server.
 
+Similarly, because most of the history is stored in the stacked-on repository,
+operations like ``bzr log`` can be slower when the stacked-on repository is
+accessed via a network.
+
 
 Changing branch stacking
 ------------------------

=== added directory 'doc/en/whats-new'
=== added file 'doc/en/whats-new/whats-new-in-2.1.txt'
--- doc/en/whats-new/whats-new-in-2.1.txt	1970-01-01 00:00:00 +0000
+++ doc/en/whats-new/whats-new-in-2.1.txt	2010-03-24 22:27:38 +0000
@@ -0,0 +1,202 @@
+What's New in Bazaar 2.1?
+=========================
+
+This document outlines the major improvements in Bazaar 2.1
+vs Bazaar 2.0. As well as summarizing improvements made to
+the core product, it highlights enhancements within the broader
+Bazaar world of potential interest to those upgrading.
+
+Bazaar 2.1.0 marks the start of our second long-term-stable series.
+This series will be supported with bug fixes for the next 12 months.
+All users are encouraged to upgrade from the 2.0.x stable series.
+
+
+Better efficiency
+-----------------
+
+Many operations now consume less memory. Several operations are
+also faster including branching, logging merged revisions and
+upgrading from pre-2a to 2a format.
+
+
+New command options
+-------------------
+
+Several commands have new options. These include:
+
+===========     ==============  ======================================
+Command         Option            Description
+===========     ==============  ======================================
+branch          bind            Bind to the source location
+commit          commit-time     Give an explicit commit timestamp
+switch          revision        Switch to a particular revision
+unshelve        keep            Apply changes but don't delete them
+unshelve        preview         Show the diff that would result from
+                                unshelving
+update          revision        Update to a particular revision
+===========     ==============  ======================================
+
+Other command improvements include:
+
+* A :doc:`../user-reference/shelve-help` editor can be defined to provide shelf functionality at
+  a granularity finer than per-patch hunk.
+
+* :doc:`../user-reference/send-help` send now supports the OS X Mail application.
+
+See the help for the commands above for further details.
+
+
+Per-file merge hooks
+--------------------
+
+Hooks can now be defined for smart merging of selected file types.
+This enables easier merging of ChangeLogs, Release Notes and other
+file that frequently conflict.
+
+
+DWIM revision identifiers
+-------------------------
+
+Revision identifiers can now be given in a *Do-What-I-Mean* style.
+For example, you can now just give a tag (instead of saying ``tag:xxx``)
+or just say ``today`` (instead of saying ``date:today``). Prefixes
+are now only required if the revision spec could be ambiguous.
+
+
+New ignore patterns
+-------------------
+
+Patterns prefixed with ``!`` are exceptions to ignore patterns and
+take precedence over regular ignores. Such exceptions are used to
+specify files that should be versioned which would otherwise be
+ignored. Patterns prefixed with ``!!`` act as regular ignore patterns,
+but have highest precedence, even over the ``!`` exception patterns. 
+
+
+Smart server home directory support
+-----------------------------------
+
+``bzr+ssh`` and ``bzr`` paths can now be relative to home directories
+specified in the URL.  Paths starting with a path segment of ``~`` are
+relative to the home directory of the user running the server, and paths
+starting with ``~user`` are relative to the home directory of the named
+user.  For example, for a user "bob" with a home directory of
+``/home/bob``, these URLs are all equivalent:
+
+* ``bzr+ssh://bob@host/~/repo``
+* ``bzr+ssh://bob@host/~bob/repo``
+* ``bzr+ssh://bob@host/home/bob/repo``
+
+If ``bzr serve`` was invoked with a ``--directory`` argument, then no
+home directories outside that directory will be accessible via this
+method.
+
+This is a feature of ``bzr serve``, so pre-2.1 clients will
+automatically benefit from this feature when ``bzr`` on the server is
+upgraded.
+
+
+Generalized glob support on Windows
+-----------------------------------
+
+On Windows, glob expansion is now handled in a universal way across
+all commands. In previous versions, it was explicitly handed by just
+a few commands, e.g. ``add``. A side effect of this change is that
+patterns now need to be quoted when passed to the ``ignore`` command,
+e.g. ``bzr ignore *.foo`` now needs to be given as ``bzr ignore "*.foo"``.
+
+
+Improved Git and Mercurial interoperability
+-------------------------------------------
+
+Many improvements have been made to the git_ and hg_ plugins.
+With these plugins installed, most Git and Mercurial repositories
+can now be read by standard Bazaar clients. Changes can also
+be written back via the dpush command.
+
+.. _git: http://doc.bazaar.canonical.com/plugins/en/git-plugin.html
+.. _hg: http://doc.bazaar.canonical.com/plugins/en/hg-plugin.html
+
+
+Metaprojects
+------------
+
+New plugins are available for constructing larger projects
+from smaller ones. These include:
+
+* builder_ - construction of a branch using recipes
+* externals_ - Subversion-style external branches
+
+.. note::
+
+   The builder plugin has been designed to complement the builddeb_
+   plugin to streamline Debian source package management. It may also
+   be useful for building test images for a QA team or disk images
+   for installers, say.
+
+.. _builder: http://doc.bazaar.canonical.com/plugins/en/builder-plugin.html
+.. _externals: http://doc.bazaar.canonical.com/plugins/en/externals-plugin.html
+.. _builddeb: http://doc.bazaar.canonical.com/plugins/en/builddeb-plugin.html
+
+
+Colocated branch workspaces
+---------------------------
+
+A colocated workspace is one where a single working tree is used
+across one or more branches managed at that same location. This
+is now supported by the new colo_ plugin and by Bazaar Explorer.
+
+.. _colo: http://doc.bazaar.canonical.com/plugins/en/colo-plugin.html
+
+
+Better documentation
+--------------------
+
+A :doc:`../admin-guide/index` covering topics such as setting up servers,
+security, backups and email integration has been added.
+
+A large number of documentation bugs have been fixed, clarifying
+numerous issues and filling in some missing holes.
+
+The :doc:`../user-reference/index`
+has been organized into topics making it easier to
+navigate through and print selected sections of.
+
+To assist users migrating from other tools, a
+`Survival Guide <http://doc.bazaar.canonical.com/migration/en/survival/index.html>`_
+has been published explaining Bazaar to users of other tools in terms they
+already know. Sections are provided for existing users of 
+CVS, Subversion, ClearCase, Perforce, Visual SourceSafe, Git, Mercurial,
+Darcs and Monotone.
+
+Selected documents have also been translated to Japanese.
+
+
+Enhanced GUI clients
+--------------------
+
+Numerous enhancements have been made to most of our GUIs including
+Bazaar Explorer, TortoiseBZR and the QBzr-Eclipse add-on. These
+applications all build on top of improvements made to QBzr. Bzr-gtk
+has also been improved.
+
+Bazaar Explorer has over a dozen new features including smart toolbars,
+support for all bzr commands (including those in plugins),
+a better working tree browser and a submit delta report showing the
+cumulative effect of a series of commits.
+See `What's New in Bazaar Explorer 1.0?
+<http://doc.bazaar.canonical.com/explorer/en/whats-new/whats-new-in-1.0.html>`_
+for more information.
+
+
+Further information
+-------------------
+
+For more detailed information on the changes made, be sure to check
+the :doc:`../release-notes/index` for:
+
+* the interim bzr `milestones <https://launchpad.net/bzr/2.1>`_
+* the plugins you use.
+
+Enjoy,
+The Bazaar Development Team

=== modified file 'doc/es/_templates/layout.html'
--- doc/es/_templates/layout.html	2009-11-04 22:47:44 +0000
+++ doc/es/_templates/layout.html	2010-03-24 22:27:38 +0000
@@ -6,22 +6,3 @@
 <a href="http://doc.bazaar-vcs.org/en/">Documentación</a>&nbsp;|&nbsp;</li>
 {{ super() }}
 {% endblock %}
-
-{% block document %}
- <script type="text/javascript">
-  var gaJsHost = (("https:" == document.location.protocol) ?  "https://ssl." : "http://www.");
-  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
-  </script>
-  <script type="text/javascript">
-  try{
-  var pageTracker = _gat._getTracker("UA-1018242-1");
-  pageTracker._trackPageview();
-  } catch(err) {}
-  try {
-    /* bazaar team tracker */
-    var pageTracker = _gat._getTracker("UA-11329411-2");
-    pageTracker._trackPageview();
-  } catch(err) {}
-</script>
-{{ super() }}
-{% endblock %}

=== modified file 'doc/ru/_templates/layout.html'
--- doc/ru/_templates/layout.html	2009-11-04 22:47:44 +0000
+++ doc/ru/_templates/layout.html	2010-03-24 22:27:38 +0000
@@ -6,22 +6,3 @@
 <a href="http://doc.bazaar-vcs.org/ru/">Документация</a>&nbsp;|&nbsp;</li>
 {{ super() }}
 {% endblock %}
-
-{% block document %}
- <script type="text/javascript">
-  var gaJsHost = (("https:" == document.location.protocol) ?  "https://ssl." : "http://www.");
-  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
-  </script>
-  <script type="text/javascript">
-  try{
-  var pageTracker = _gat._getTracker("UA-1018242-1");
-  pageTracker._trackPageview();
-  } catch(err) {}
-  try {
-    /* bazaar team tracker */
-    var pageTracker = _gat._getTracker("UA-11329411-2");
-    pageTracker._trackPageview();
-  } catch(err) {}
-</script>
-{{ super() }}
-{% endblock %}

=== modified file 'setup.py'
--- setup.py	2010-02-05 13:53:30 +0000
+++ setup.py	2010-03-24 22:27:38 +0000
@@ -37,7 +37,7 @@
     'version':      bzrlib.__version__,
     'author':       'Canonical Ltd',
     'author_email': 'bazaar@lists.canonical.com',
-    'url':          'http://www.bazaar-vcs.org/',
+    'url':          'http://bazaar.canonical.com/',
     'description':  'Friendly distributed version control system',
     'license':      'GNU GPL v2',
     'download_url': 'https://launchpad.net/bzr/+download',
@@ -186,6 +186,7 @@
     from distutils.command.build_ext import build_ext
 else:
     have_pyrex = True
+    pyrex_version_info = tuple(map(int, pyrex_version.split('.')))
 
 
 class build_ext_if_possible(build_ext):
@@ -282,7 +283,7 @@
     add_pyrex_extension('bzrlib._walkdirs_win32')
     z_lib = 'zdll'
 else:
-    if have_pyrex and pyrex_version.startswith('0.9.4'):
+    if have_pyrex and pyrex_version_info[:3] == (0,9,4):
         # Pyrex 0.9.4.1 fails to compile this extension correctly
         # The code it generates re-uses a "local" pointer and
         # calls "PY_DECREF" after having set it to NULL. (It mixes PY_XDECREF
@@ -301,9 +302,20 @@
 add_pyrex_extension('bzrlib._chk_map_pyx', libraries=[z_lib])
 ext_modules.append(Extension('bzrlib._patiencediff_c',
                              ['bzrlib/_patiencediff_c.c']))
-add_pyrex_extension('bzrlib._simple_set_pyx')
-ext_modules.append(Extension('bzrlib._static_tuple_c',
-                             ['bzrlib/_static_tuple_c.c']))
+if have_pyrex and pyrex_version_info < (0, 9, 6, 3):
+    print
+    print 'Your Pyrex/Cython version %s is too old to build the simple_set' % (
+        pyrex_version)
+    print 'and static_tuple extensions.'
+    print 'Please upgrade to at least Pyrex 0.9.6.3'
+    print
+    # TODO: Should this be a fatal error?
+else:
+    # We only need 0.9.6.3 to build _simple_set_pyx, but static_tuple depends
+    # on simple_set
+    add_pyrex_extension('bzrlib._simple_set_pyx')
+    ext_modules.append(Extension('bzrlib._static_tuple_c',
+                                 ['bzrlib/_static_tuple_c.c']))
 add_pyrex_extension('bzrlib._btree_serializer_pyx')
 
 
@@ -541,7 +553,7 @@
                                      version = version_str,
                                      description = META_INFO['description'],
                                      author = META_INFO['author'],
-                                     copyright = "(c) Canonical Ltd, 2005-2009",
+                                     copyright = "(c) Canonical Ltd, 2005-2010",
                                      company_name = "Canonical Ltd.",
                                      comments = META_INFO['description'],
                                     )
@@ -612,7 +624,11 @@
             excludes.extend(["bzrlib.plugins." + d for d in dirs])
         x = []
         for i in files:
-            if os.path.splitext(i)[1] not in [".py", ".pyd", ".dll", ".mo"]:
+            # Throw away files we don't want packaged. Note that plugins may
+            # have data files with all sorts of extensions so we need to
+            # be conservative here about what we ditch.
+            ext = os.path.splitext(i)[1]
+            if ext.endswith('~') or ext in [".pyc", ".swp"]:
                 continue
             if i == '__init__.py' and root == 'bzrlib/plugins':
                 continue

